import sys; sys.dont_write_bytecode=True
import warnings
import pandas as pd

warnings.filterwarnings('ignore')


endpoint = lambda TICKER: f'https://project-finance-backend.onrender.com/options-stack/{TICKER}'


def get(TICKER='MSFT'):
    return pd.read_json(endpoint(TICKER))


sample_req = 'https://project-finance-backend.onrender.com/options-stack/MSFT'
sample_res = [
  {
    "Code": "MSFT250411C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 230,
    "Volume": 3,
    "OI": 0,
    "Ask": 132.5,
    "Bid": 128.15,
    "IV": 1.71484517578125
  },
  {
    "Code": "MSFT250411C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 260,
    "Volume": 2,
    "OI": 1,
    "Ask": 102.5,
    "Bid": 98.15,
    "IV": 1.2959019580078124
  },
  {
    "Code": "MSFT250411C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 290,
    "Volume": 1,
    "OI": 1,
    "Ask": 73,
    "Bid": 68.7,
    "IV": 1.0517625537109376
  },
  {
    "Code": "MSFT250411C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 300,
    "Volume": 303,
    "OI": 24,
    "Ask": 63,
    "Bid": 58.85,
    "IV": 0.930664755859375
  },
  {
    "Code": "MSFT250411C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 305,
    "Volume": None,
    "OI": 1,
    "Ask": 58.5,
    "Bid": 58.7,
    "IV": 1.2094766088867184
  },
  {
    "Code": "MSFT250411C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 310,
    "Volume": 1,
    "OI": 6003,
    "Ask": 53.5,
    "Bid": 53.85,
    "IV": 1.1328168359375002
  },
  {
    "Code": "MSFT250411C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 315,
    "Volume": 8,
    "OI": 2,
    "Ask": 48.75,
    "Bid": 49.4,
    "IV": 1.0855758612060546
  },
  {
    "Code": "MSFT250411C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 320,
    "Volume": 20,
    "OI": 1,
    "Ask": 44,
    "Bid": 44.5,
    "IV": 1.0144092248535155
  },
  {
    "Code": "MSFT250411C00322500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 322.5,
    "Volume": 25,
    "OI": 0,
    "Ask": 40.2,
    "Bid": 42.25,
    "IV": 0.9254157849121094
  },
  {
    "Code": "MSFT250411C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 325,
    "Volume": 33,
    "OI": 15,
    "Ask": 38.3,
    "Bid": 40.3,
    "IV": 0.9310309631347657
  },
  {
    "Code": "MSFT250411C00327500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 327.5,
    "Volume": 20,
    "OI": 0,
    "Ask": 36.35,
    "Bid": 38.05,
    "IV": 0.9187019848632813
  },
  {
    "Code": "MSFT250411C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 330,
    "Volume": 25,
    "OI": 13,
    "Ask": 33.9,
    "Bid": 36.2,
    "IV": 0.9000254138183592
  },
  {
    "Code": "MSFT250411C00332500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 332.5,
    "Volume": 26,
    "OI": 0,
    "Ask": 31.45,
    "Bid": 33.9,
    "IV": 0.8630384790039063
  },
  {
    "Code": "MSFT250411C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 335,
    "Volume": 8,
    "OI": 27,
    "Ask": 29.65,
    "Bid": 31.95,
    "IV": 0.8602308898925781
  },
  {
    "Code": "MSFT250411C00337500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 337.5,
    "Volume": 17,
    "OI": 1,
    "Ask": 27.25,
    "Bid": 29.65,
    "IV": 0.8220232641601561
  },
  {
    "Code": "MSFT250411C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 340,
    "Volume": 52,
    "OI": 13,
    "Ask": 25,
    "Bid": 26.8,
    "IV": 0.7695335546875001
  },
  {
    "Code": "MSFT250411C00342500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 342.5,
    "Volume": 26,
    "OI": 0,
    "Ask": 23.05,
    "Bid": 25.2,
    "IV": 0.7659935510253908
  },
  {
    "Code": "MSFT250411C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 345,
    "Volume": 84,
    "OI": 18,
    "Ask": 21.35,
    "Bid": 23.8,
    "IV": 0.7723411437988281
  },
  {
    "Code": "MSFT250411C00347500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 347.5,
    "Volume": 107,
    "OI": 0,
    "Ask": 18.8,
    "Bid": 21.8,
    "IV": 0.731325928955078
  },
  {
    "Code": "MSFT250411C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 350,
    "Volume": 289,
    "OI": 152,
    "Ask": 17.6,
    "Bid": 19.85,
    "IV": 0.7288845471191407
  },
  {
    "Code": "MSFT250411C00352500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 352.5,
    "Volume": 122,
    "OI": 8,
    "Ask": 15.2,
    "Bid": 17.95,
    "IV": 0.6899445068359377
  },
  {
    "Code": "MSFT250411C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 355,
    "Volume": 295,
    "OI": 109,
    "Ask": 14.25,
    "Bid": 16.15,
    "IV": 0.6912262322998048
  },
  {
    "Code": "MSFT250411C00357500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 357.5,
    "Volume": 262,
    "OI": 48,
    "Ask": 12.75,
    "Bid": 14.4,
    "IV": 0.6744417321777345
  },
  {
    "Code": "MSFT250411C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 360,
    "Volume": 958,
    "OI": 133,
    "Ask": 10.5,
    "Bid": 12.8,
    "IV": 0.6373327282714845
  },
  {
    "Code": "MSFT250411C00362500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 362.5,
    "Volume": 617,
    "OI": 125,
    "Ask": 9.1,
    "Bid": 11.25,
    "IV": 0.6202430554199221
  },
  {
    "Code": "MSFT250411C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 365,
    "Volume": 3542,
    "OI": 101,
    "Ask": 7.8,
    "Bid": 9.8,
    "IV": 0.6038857971191409
  },
  {
    "Code": "MSFT250411C00367500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 367.5,
    "Volume": 1068,
    "OI": 127,
    "Ask": 6.65,
    "Bid": 8.5,
    "IV": 0.5905802661132813
  },
  {
    "Code": "MSFT250411C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 370,
    "Volume": 6688,
    "OI": 398,
    "Ask": 6.05,
    "Bid": 7.3,
    "IV": 0.5904581970214844
  },
  {
    "Code": "MSFT250411C00372500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 372.5,
    "Volume": 1933,
    "OI": 207,
    "Ask": 4.65,
    "Bid": 6.2,
    "IV": 0.564579549560547
  },
  {
    "Code": "MSFT250411C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 375,
    "Volume": 7033,
    "OI": 1012,
    "Ask": 3.8,
    "Bid": 5.25,
    "IV": 0.5532271240234375
  },
  {
    "Code": "MSFT250411C00377500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 377.5,
    "Volume": 1925,
    "OI": 380,
    "Ask": 3.05,
    "Bid": 4.35,
    "IV": 0.5404098693847659
  },
  {
    "Code": "MSFT250411C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 380,
    "Volume": 4940,
    "OI": 1103,
    "Ask": 2.42,
    "Bid": 3.6,
    "IV": 0.5301560656738282
  },
  {
    "Code": "MSFT250411C00382500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 382.5,
    "Volume": 2844,
    "OI": 1710,
    "Ask": 1.87,
    "Bid": 3,
    "IV": 0.5218553674316406
  },
  {
    "Code": "MSFT250411C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 385,
    "Volume": 6570,
    "OI": 1911,
    "Ask": 1.51,
    "Bid": 2.44,
    "IV": 0.516606396484375
  },
  {
    "Code": "MSFT250411C00387500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 387.5,
    "Volume": 1475,
    "OI": 657,
    "Ask": 1.17,
    "Bid": 1.98,
    "IV": 0.5105029418945313
  },
  {
    "Code": "MSFT250411C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 390,
    "Volume": 5460,
    "OI": 1606,
    "Ask": 0.87,
    "Bid": 1.6,
    "IV": 0.5039112109375
  },
  {
    "Code": "MSFT250411C00392500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 392.5,
    "Volume": 1790,
    "OI": 863,
    "Ask": 0.77,
    "Bid": 1.28,
    "IV": 0.5065967309570312
  },
  {
    "Code": "MSFT250411C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 395,
    "Volume": 2081,
    "OI": 1456,
    "Ask": 0.5,
    "Bid": 1.02,
    "IV": 0.45264219238281256
  },
  {
    "Code": "MSFT250411C00397500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 397.5,
    "Volume": 711,
    "OI": 1896,
    "Ask": 0.4,
    "Bid": 0.82,
    "IV": 0.4555718505859375
  },
  {
    "Code": "MSFT250411C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 400,
    "Volume": 5075,
    "OI": 7750,
    "Ask": 0.3,
    "Bid": 0.65,
    "IV": 0.45361874511718747
  },
  {
    "Code": "MSFT250411C00402500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 402.5,
    "Volume": 307,
    "OI": 1232,
    "Ask": 0.35,
    "Bid": 0.51,
    "IV": 0.507817421875
  },
  {
    "Code": "MSFT250411C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 405,
    "Volume": 3677,
    "OI": 12345,
    "Ask": 0.2,
    "Bid": 0.4,
    "IV": 0.463872548828125
  },
  {
    "Code": "MSFT250411C00407500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 407.5,
    "Volume": 241,
    "OI": 1660,
    "Ask": 0.2,
    "Bid": 0.32,
    "IV": 0.5048877636718749
  },
  {
    "Code": "MSFT250411C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 410,
    "Volume": 790,
    "OI": 6318,
    "Ask": 0.14,
    "Bid": 0.25,
    "IV": 0.5019581054687501
  },
  {
    "Code": "MSFT250411C00412500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 412.5,
    "Volume": 175,
    "OI": 155,
    "Ask": 0.19,
    "Bid": 0.2,
    "IV": 0.5214891601562499
  },
  {
    "Code": "MSFT250411C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 415,
    "Volume": 343,
    "OI": 4734,
    "Ask": 0.14,
    "Bid": 0.16,
    "IV": 0.5205126074218749
  },
  {
    "Code": "MSFT250411C00417500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 417.5,
    "Volume": 72,
    "OI": 79,
    "Ask": 0.12,
    "Bid": 0.12,
    "IV": 0.5224657128906249
  },
  {
    "Code": "MSFT250411C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 420,
    "Volume": 462,
    "OI": 2527,
    "Ask": 0.04,
    "Bid": 0.09,
    "IV": 0.500005
  },
  {
    "Code": "MSFT250411C00422500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 422.5,
    "Volume": 4,
    "OI": 59,
    "Ask": 0.08,
    "Bid": 0.08,
    "IV": 0.5293015820312501
  },
  {
    "Code": "MSFT250411C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 425,
    "Volume": 247,
    "OI": 2678,
    "Ask": 0.05,
    "Bid": 0.06,
    "IV": 0.523442265625
  },
  {
    "Code": "MSFT250411C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 430,
    "Volume": 59,
    "OI": 1114,
    "Ask": 0.08,
    "Bid": 0.03,
    "IV": 0.5546919531250001
  },
  {
    "Code": "MSFT250411C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 435,
    "Volume": 11,
    "OI": 348,
    "Ask": 0.07,
    "Bid": 0.01,
    "IV": 0.5664105859375
  },
  {
    "Code": "MSFT250411C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 440,
    "Volume": 94,
    "OI": 415,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.523442265625
  },
  {
    "Code": "MSFT250411C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 445,
    "Volume": 2,
    "OI": 127,
    "Ask": 0.05,
    "Bid": 0,
    "IV": 0.5976602734375001
  },
  {
    "Code": "MSFT250411C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 450,
    "Volume": 12,
    "OI": 359,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.57812921875
  },
  {
    "Code": "MSFT250411C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 455,
    "Volume": 2,
    "OI": 38,
    "Ask": 0.05,
    "Bid": 0,
    "IV": 0.6523472265625001
  },
  {
    "Code": "MSFT250411C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 460,
    "Volume": 2,
    "OI": 271,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6640658593750002
  },
  {
    "Code": "MSFT250411C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 465,
    "Volume": 2,
    "OI": 13,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6914093359375001
  },
  {
    "Code": "MSFT250411C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 470,
    "Volume": 2,
    "OI": 11,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.6718782812500002
  },
  {
    "Code": "MSFT250411C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 475,
    "Volume": None,
    "OI": 27,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7421900781249999
  },
  {
    "Code": "MSFT250411C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 480,
    "Volume": 1,
    "OI": 50,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7656273437500001
  },
  {
    "Code": "MSFT250411C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 490,
    "Volume": None,
    "OI": 1,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.8164080859374999
  },
  {
    "Code": "MSFT250411C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 495,
    "Volume": 1,
    "OI": 1,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.8437515624999999
  },
  {
    "Code": "MSFT250411C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 500,
    "Volume": 6,
    "OI": 7,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.867188828125
  },
  {
    "Code": "MSFT250411C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 505,
    "Volume": None,
    "OI": 10,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.8906260937499999
  },
  {
    "Code": "MSFT250411C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-11",
    "Strike": 525,
    "Volume": None,
    "OI": 0,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.9765627343750001
  },
  {
    "Code": "MSFT250411P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 230,
    "Volume": 50,
    "OI": 189,
    "Ask": 0.06,
    "Bid": 0.01,
    "IV": 1.2500037499999999
  },
  {
    "Code": "MSFT250411P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 240,
    "Volume": 5,
    "OI": 9,
    "Ask": 0.09,
    "Bid": 0.02,
    "IV": 1.19141029296875
  },
  {
    "Code": "MSFT250411P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 250,
    "Volume": 160,
    "OI": 38,
    "Ask": 0.1,
    "Bid": 0.04,
    "IV": 1.109379453125
  },
  {
    "Code": "MSFT250411P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 260,
    "Volume": 170,
    "OI": 1,
    "Ask": 0.13,
    "Bid": 0.15,
    "IV": 1.0859420703125
  },
  {
    "Code": "MSFT250411P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 270,
    "Volume": 345,
    "OI": 86,
    "Ask": 0.16,
    "Bid": 0.09,
    "IV": 0.9589847851562499
  },
  {
    "Code": "MSFT250411P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 280,
    "Volume": 279,
    "OI": 77,
    "Ask": 0.2,
    "Bid": 0.14,
    "IV": 0.88476677734375
  },
  {
    "Code": "MSFT250411P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 290,
    "Volume": 729,
    "OI": 102,
    "Ask": 0.28,
    "Bid": 0.43,
    "IV": 0.866212275390625
  },
  {
    "Code": "MSFT250411P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 295,
    "Volume": 420,
    "OI": 21,
    "Ask": 0.33,
    "Bid": 0.52,
    "IV": 0.8330094824218748
  },
  {
    "Code": "MSFT250411P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 300,
    "Volume": 1276,
    "OI": 321,
    "Ask": 0.4,
    "Bid": 0.64,
    "IV": 0.8017597949218749
  },
  {
    "Code": "MSFT250411P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 305,
    "Volume": 887,
    "OI": 410,
    "Ask": 0.49,
    "Bid": 0.78,
    "IV": 0.7700218310546876
  },
  {
    "Code": "MSFT250411P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 310,
    "Volume": 574,
    "OI": 6402,
    "Ask": 0.61,
    "Bid": 0.99,
    "IV": 0.7426783544921874
  },
  {
    "Code": "MSFT250411P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 315,
    "Volume": 232,
    "OI": 152,
    "Ask": 0.77,
    "Bid": 1.14,
    "IV": 0.7060576269531251
  },
  {
    "Code": "MSFT250411P00317500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 317.5,
    "Volume": 432,
    "OI": 553,
    "Ask": 0.85,
    "Bid": 1.4,
    "IV": 0.700198310546875
  },
  {
    "Code": "MSFT250411P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 320,
    "Volume": 350,
    "OI": 541,
    "Ask": 0.97,
    "Bid": 1.57,
    "IV": 0.6870148486328126
  },
  {
    "Code": "MSFT250411P00322500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 322.5,
    "Volume": 169,
    "OI": 141,
    "Ask": 1.11,
    "Bid": 1.76,
    "IV": 0.674075524902344
  },
  {
    "Code": "MSFT250411P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 325,
    "Volume": 1777,
    "OI": 1399,
    "Ask": 1.26,
    "Bid": 2,
    "IV": 0.6621127539062501
  },
  {
    "Code": "MSFT250411P00327500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 327.5,
    "Volume": 203,
    "OI": 44,
    "Ask": 1.43,
    "Bid": 2.21,
    "IV": 0.6469761865234375
  },
  {
    "Code": "MSFT250411P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 330,
    "Volume": 2299,
    "OI": 675,
    "Ask": 1.62,
    "Bid": 2.52,
    "IV": 0.6352575537109376
  },
  {
    "Code": "MSFT250411P00332500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 332.5,
    "Volume": 635,
    "OI": 52,
    "Ask": 1.85,
    "Bid": 2.85,
    "IV": 0.6231727136230469
  },
  {
    "Code": "MSFT250411P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 335,
    "Volume": 1356,
    "OI": 926,
    "Ask": 2.11,
    "Bid": 3.2,
    "IV": 0.6101113208007813
  },
  {
    "Code": "MSFT250411P00337500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 337.5,
    "Volume": 638,
    "OI": 564,
    "Ask": 2.4,
    "Bid": 3.6,
    "IV": 0.5970499279785157
  },
  {
    "Code": "MSFT250411P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 340,
    "Volume": 1908,
    "OI": 1676,
    "Ask": 2.73,
    "Bid": 4.05,
    "IV": 0.5839885351562499
  },
  {
    "Code": "MSFT250411P00342500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 342.5,
    "Volume": 866,
    "OI": 88,
    "Ask": 3.15,
    "Bid": 3.6,
    "IV": 0.5387009020996094
  },
  {
    "Code": "MSFT250411P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 345,
    "Volume": 1142,
    "OI": 1253,
    "Ask": 3.55,
    "Bid": 4.35,
    "IV": 0.5327195166015625
  },
  {
    "Code": "MSFT250411P00347500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 347.5,
    "Volume": 825,
    "OI": 469,
    "Ask": 4.05,
    "Bid": 5.7,
    "IV": 0.5440719421386719
  },
  {
    "Code": "MSFT250411P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 350,
    "Volume": 3317,
    "OI": 2664,
    "Ask": 4.6,
    "Bid": 6.2,
    "IV": 0.5246629565429688
  },
  {
    "Code": "MSFT250411P00352500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 352.5,
    "Volume": 604,
    "OI": 162,
    "Ask": 5.2,
    "Bid": 7.15,
    "IV": 0.51562984375
  },
  {
    "Code": "MSFT250411P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 355,
    "Volume": 1931,
    "OI": 931,
    "Ask": 5.9,
    "Bid": 8,
    "IV": 0.5015918981933594
  },
  {
    "Code": "MSFT250411P00357500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 357.5,
    "Volume": 944,
    "OI": 517,
    "Ask": 6.7,
    "Bid": 8.3,
    "IV": 0.4260311303710938
  },
  {
    "Code": "MSFT250411P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 360,
    "Volume": 5833,
    "OI": 1282,
    "Ask": 7.55,
    "Bid": 9.95,
    "IV": 0.4057676611328125
  },
  {
    "Code": "MSFT250411P00362500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 362.5,
    "Volume": 1566,
    "OI": 437,
    "Ask": 8.5,
    "Bid": 10.3,
    "IV": 0.3839172937011719
  },
  {
    "Code": "MSFT250411P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 365,
    "Volume": 6212,
    "OI": 2634,
    "Ask": 9.6,
    "Bid": 11.75,
    "IV": 0.3618227880859375
  },
  {
    "Code": "MSFT250411P00367500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 367.5,
    "Volume": 1154,
    "OI": 1203,
    "Ask": 10.75,
    "Bid": 13.55,
    "IV": 0.33228206787109377
  },
  {
    "Code": "MSFT250411P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 370,
    "Volume": 2271,
    "OI": 1826,
    "Ask": 12.05,
    "Bid": 15,
    "IV": 0.29761444580078117
  },
  {
    "Code": "MSFT250411P00372500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 372.5,
    "Volume": 880,
    "OI": 791,
    "Ask": 13.5,
    "Bid": 16.05,
    "IV": 0.2500075
  },
  {
    "Code": "MSFT250411P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 375,
    "Volume": 1069,
    "OI": 1032,
    "Ask": 15.05,
    "Bid": 18.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00377500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 377.5,
    "Volume": 516,
    "OI": 1175,
    "Ask": 16.7,
    "Bid": 20,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 380,
    "Volume": 551,
    "OI": 1118,
    "Ask": 18.45,
    "Bid": 20,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00382500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 382.5,
    "Volume": 236,
    "OI": 312,
    "Ask": 20.3,
    "Bid": 23.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 385,
    "Volume": 374,
    "OI": 544,
    "Ask": 22.25,
    "Bid": 25.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00387500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 387.5,
    "Volume": 77,
    "OI": 259,
    "Ask": 24.75,
    "Bid": 27.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 390,
    "Volume": 332,
    "OI": 622,
    "Ask": 27.35,
    "Bid": 28.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00392500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 392.5,
    "Volume": 22,
    "OI": 253,
    "Ask": 29.7,
    "Bid": 30.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 395,
    "Volume": 269,
    "OI": 508,
    "Ask": 31.8,
    "Bid": 33,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00397500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 397.5,
    "Volume": 71,
    "OI": 153,
    "Ask": 34.9,
    "Bid": 35.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 400,
    "Volume": 64,
    "OI": 3207,
    "Ask": 36.45,
    "Bid": 38,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00402500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 402.5,
    "Volume": 7,
    "OI": 187,
    "Ask": 39.45,
    "Bid": 40.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 405,
    "Volume": 24,
    "OI": 113,
    "Ask": 47.05,
    "Bid": 43,
    "IV": 0.7448755981445312
  },
  {
    "Code": "MSFT250411P00407500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 407.5,
    "Volume": 1,
    "OI": 17,
    "Ask": 49.55,
    "Bid": 45,
    "IV": 0.7722190747070312
  },
  {
    "Code": "MSFT250411P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 410,
    "Volume": 4,
    "OI": 67,
    "Ask": 46.6,
    "Bid": 47.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 415,
    "Volume": 38,
    "OI": 0,
    "Ask": 52.2,
    "Bid": 52.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 420,
    "Volume": 1,
    "OI": 0,
    "Ask": 56.55,
    "Bid": 57.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 425,
    "Volume": 1,
    "OI": 0,
    "Ask": 67.05,
    "Bid": 62.5,
    "IV": 0.9516606396484374
  },
  {
    "Code": "MSFT250411P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 430,
    "Volume": 12,
    "OI": 5,
    "Ask": 66.45,
    "Bid": 67.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 435,
    "Volume": 2,
    "OI": 0,
    "Ask": 77.05,
    "Bid": 72.5,
    "IV": 1.0471239050292969
  },
  {
    "Code": "MSFT250411P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 440,
    "Volume": None,
    "OI": 0,
    "Ask": 62.1,
    "Bid": 60.35,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 445,
    "Volume": 1,
    "OI": 0,
    "Ask": 86.85,
    "Bid": 82.6,
    "IV": 1.109379453125
  },
  {
    "Code": "MSFT250411P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 450,
    "Volume": 1,
    "OI": 8,
    "Ask": 87.1,
    "Bid": 87.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 455,
    "Volume": 1,
    "OI": 10,
    "Ask": 92.1,
    "Bid": 92.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250411P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 460,
    "Volume": 1,
    "OI": 2,
    "Ask": 101.85,
    "Bid": 97.6,
    "IV": 1.2373085009765623
  },
  {
    "Code": "MSFT250411P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 465,
    "Volume": 3,
    "OI": 0,
    "Ask": 106.85,
    "Bid": 102.6,
    "IV": 1.2783239208984374
  },
  {
    "Code": "MSFT250411P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 470,
    "Volume": 8,
    "OI": 4,
    "Ask": 111.85,
    "Bid": 107.6,
    "IV": 1.3186069226074215
  },
  {
    "Code": "MSFT250411P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 475,
    "Volume": 1,
    "OI": 2,
    "Ask": 116.85,
    "Bid": 112.65,
    "IV": 1.3581575061035154
  },
  {
    "Code": "MSFT250411P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 121.85,
    "Bid": 117.6,
    "IV": 1.3969756713867185
  },
  {
    "Code": "MSFT250411P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 485,
    "Volume": 1,
    "OI": 3,
    "Ask": 126.85,
    "Bid": 122.6,
    "IV": 1.4353055578613283
  },
  {
    "Code": "MSFT250411P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 490,
    "Volume": None,
    "OI": 1,
    "Ask": 131.85,
    "Bid": 127.65,
    "IV": 1.472903026123047
  },
  {
    "Code": "MSFT250411P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 495,
    "Volume": 1,
    "OI": 0,
    "Ask": 136.85,
    "Bid": 132.6,
    "IV": 1.509768076171875
  },
  {
    "Code": "MSFT250411P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 525,
    "Volume": None,
    "OI": 0,
    "Ask": 167.1,
    "Bid": 162.6,
    "IV": 1.7670910083007811
  },
  {
    "Code": "MSFT250411P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 540,
    "Volume": None,
    "OI": 0,
    "Ask": 182.1,
    "Bid": 177.65,
    "IV": 1.8671881640625
  },
  {
    "Code": "MSFT250411P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-11",
    "Strike": 550,
    "Volume": None,
    "OI": 0,
    "Ask": 192.1,
    "Bid": 187.65,
    "IV": 1.931640966796875
  },
  {
    "Code": "MSFT250417C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 210,
    "Volume": 3,
    "OI": 519,
    "Ask": 152.5,
    "Bid": 148.55,
    "IV": 1.5068384033203124
  },
  {
    "Code": "MSFT250417C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 215,
    "Volume": 23,
    "OI": 222,
    "Ask": 147.5,
    "Bid": 148.35,
    "IV": 1.9411624035644532
  },
  {
    "Code": "MSFT250417C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 220,
    "Volume": 4,
    "OI": 197,
    "Ask": 142.9,
    "Bid": 144.45,
    "IV": 1.970703271484375
  },
  {
    "Code": "MSFT250417C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 225,
    "Volume": None,
    "OI": 1,
    "Ask": 137.95,
    "Bid": 133.6,
    "IV": 1.408206083984375
  },
  {
    "Code": "MSFT250417C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 230,
    "Volume": 1,
    "OI": 4,
    "Ask": 133,
    "Bid": 128.65,
    "IV": 1.3637727124023438
  },
  {
    "Code": "MSFT250417C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 235,
    "Volume": 1,
    "OI": 8,
    "Ask": 128,
    "Bid": 123.7,
    "IV": 1.3129917163085936
  },
  {
    "Code": "MSFT250417C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 240,
    "Volume": 1,
    "OI": 2,
    "Ask": 123,
    "Bid": 118.7,
    "IV": 1.2573279321289061
  },
  {
    "Code": "MSFT250417C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 245,
    "Volume": 64,
    "OI": 77,
    "Ask": 118,
    "Bid": 118.5,
    "IV": 1.5676291149902344
  },
  {
    "Code": "MSFT250417C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 250,
    "Volume": 2,
    "OI": 19,
    "Ask": 113,
    "Bid": 113.5,
    "IV": 1.5017114758300782
  },
  {
    "Code": "MSFT250417C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 255,
    "Volume": 2,
    "OI": 12,
    "Ask": 108,
    "Bid": 103.85,
    "IV": 1.1108442895507813
  },
  {
    "Code": "MSFT250417C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 260,
    "Volume": 1,
    "OI": 7,
    "Ask": 103,
    "Bid": 98.9,
    "IV": 1.0625046875000002
  },
  {
    "Code": "MSFT250417C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 265,
    "Volume": 1,
    "OI": 13,
    "Ask": 98,
    "Bid": 93.95,
    "IV": 1.0148975036621093
  },
  {
    "Code": "MSFT250417C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 270,
    "Volume": 1,
    "OI": 16,
    "Ask": 93.35,
    "Bid": 88.9,
    "IV": 0.9880372290039063
  },
  {
    "Code": "MSFT250417C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 275,
    "Volume": 9,
    "OI": 9,
    "Ask": 88.45,
    "Bid": 84.1,
    "IV": 0.9584965087890623
  },
  {
    "Code": "MSFT250417C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 280,
    "Volume": 1,
    "OI": 12,
    "Ask": 83.5,
    "Bid": 79.2,
    "IV": 0.9165047412109376
  },
  {
    "Code": "MSFT250417C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 285,
    "Volume": 1,
    "OI": 10,
    "Ask": 78.5,
    "Bid": 74.25,
    "IV": 0.8676771044921875
  },
  {
    "Code": "MSFT250417C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 290,
    "Volume": 2,
    "OI": 18,
    "Ask": 73.75,
    "Bid": 69.5,
    "IV": 0.8457046679687499
  },
  {
    "Code": "MSFT250417C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 295,
    "Volume": 20,
    "OI": 25,
    "Ask": 68.75,
    "Bid": 64.55,
    "IV": 0.7956563403320311
  },
  {
    "Code": "MSFT250417C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 300,
    "Volume": 12,
    "OI": 77,
    "Ask": 64,
    "Bid": 59.7,
    "IV": 0.76367423828125
  },
  {
    "Code": "MSFT250417C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 305,
    "Volume": 4,
    "OI": 9,
    "Ask": 59.25,
    "Bid": 59.5,
    "IV": 0.9105233557128907
  },
  {
    "Code": "MSFT250417C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 310,
    "Volume": 4,
    "OI": 3262,
    "Ask": 54.75,
    "Bid": 54.65,
    "IV": 0.8699964172363281
  },
  {
    "Code": "MSFT250417C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 315,
    "Volume": 25,
    "OI": 6,
    "Ask": 50.1,
    "Bid": 49.9,
    "IV": 0.8258074060058591
  },
  {
    "Code": "MSFT250417C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 320,
    "Volume": 31,
    "OI": 113,
    "Ask": 45.5,
    "Bid": 45.85,
    "IV": 0.8010273803710937
  },
  {
    "Code": "MSFT250417C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 325,
    "Volume": 26,
    "OI": 36,
    "Ask": 41.1,
    "Bid": 41.55,
    "IV": 0.7702659692382813
  },
  {
    "Code": "MSFT250417C00327500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 327.5,
    "Volume": 21,
    "OI": 0,
    "Ask": 38.9,
    "Bid": 39.1,
    "IV": 0.7454859436035157
  },
  {
    "Code": "MSFT250417C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 330,
    "Volume": 5,
    "OI": 33,
    "Ask": 36.8,
    "Bid": 37.75,
    "IV": 0.7499414654541017
  },
  {
    "Code": "MSFT250417C00332500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 332.5,
    "Volume": 2,
    "OI": 2,
    "Ask": 33.35,
    "Bid": 34.85,
    "IV": 0.681887946777344
  },
  {
    "Code": "MSFT250417C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 335,
    "Volume": 126,
    "OI": 192,
    "Ask": 31.5,
    "Bid": 32.55,
    "IV": 0.6674837939453127
  },
  {
    "Code": "MSFT250417C00337500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 337.5,
    "Volume": 16,
    "OI": 4,
    "Ask": 28.7,
    "Bid": 31.1,
    "IV": 0.6492954992675781
  },
  {
    "Code": "MSFT250417C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 340,
    "Volume": 158,
    "OI": 190,
    "Ask": 27.5,
    "Bid": 29.85,
    "IV": 0.6697420721435547
  },
  {
    "Code": "MSFT250417C00342500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 342.5,
    "Volume": 140,
    "OI": 3,
    "Ask": 25.45,
    "Bid": 27.8,
    "IV": 0.6511265356445313
  },
  {
    "Code": "MSFT250417C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 345,
    "Volume": 95,
    "OI": 52,
    "Ask": 22.95,
    "Bid": 25.8,
    "IV": 0.6226844372558593
  },
  {
    "Code": "MSFT250417C00347500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 347.5,
    "Volume": 86,
    "OI": 26,
    "Ask": 21.8,
    "Bid": 23.85,
    "IV": 0.6218299536132813
  },
  {
    "Code": "MSFT250417C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 350,
    "Volume": 256,
    "OI": 595,
    "Ask": 20.15,
    "Bid": 22,
    "IV": 0.6104775280761721
  },
  {
    "Code": "MSFT250417C00352500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 352.5,
    "Volume": 51,
    "OI": 27,
    "Ask": 18.45,
    "Bid": 20.15,
    "IV": 0.5961344097900392
  },
  {
    "Code": "MSFT250417C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 355,
    "Volume": 164,
    "OI": 271,
    "Ask": 16,
    "Bid": 18.4,
    "IV": 0.5670209313964845
  },
  {
    "Code": "MSFT250417C00357500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 357.5,
    "Volume": 160,
    "OI": 130,
    "Ask": 14.7,
    "Bid": 16.75,
    "IV": 0.5600629931640625
  },
  {
    "Code": "MSFT250417C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 360,
    "Volume": 323,
    "OI": 437,
    "Ask": 13.55,
    "Bid": 15.15,
    "IV": 0.5544478149414063
  },
  {
    "Code": "MSFT250417C00362500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 362.5,
    "Volume": 627,
    "OI": 69,
    "Ask": 11.6,
    "Bid": 13.6,
    "IV": 0.5318650329589845
  },
  {
    "Code": "MSFT250417C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 365,
    "Volume": 812,
    "OI": 352,
    "Ask": 10.3,
    "Bid": 12.15,
    "IV": 0.5208788146972656
  },
  {
    "Code": "MSFT250417C00367500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 367.5,
    "Volume": 572,
    "OI": 158,
    "Ask": 9.05,
    "Bid": 10.8,
    "IV": 0.509892596435547
  },
  {
    "Code": "MSFT250417C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 370,
    "Volume": 1340,
    "OI": 1209,
    "Ask": 7.95,
    "Bid": 9.55,
    "IV": 0.5007374145507812
  },
  {
    "Code": "MSFT250417C00372500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 372.5,
    "Volume": 902,
    "OI": 417,
    "Ask": 7.3,
    "Bid": 8.4,
    "IV": 0.4771780798339844
  },
  {
    "Code": "MSFT250417C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 375,
    "Volume": 1559,
    "OI": 1611,
    "Ask": 5.9,
    "Bid": 7.3,
    "IV": 0.45117736328125
  },
  {
    "Code": "MSFT250417C00377500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 377.5,
    "Volume": 662,
    "OI": 766,
    "Ask": 5.85,
    "Bid": 6.35,
    "IV": 0.4797415307617187
  },
  {
    "Code": "MSFT250417C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 380,
    "Volume": 2146,
    "OI": 12116,
    "Ask": 4.35,
    "Bid": 5.45,
    "IV": 0.4407404559326171
  },
  {
    "Code": "MSFT250417C00382500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 382.5,
    "Volume": 814,
    "OI": 474,
    "Ask": 3.55,
    "Bid": 4.65,
    "IV": 0.42847251220703125
  },
  {
    "Code": "MSFT250417C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 385,
    "Volume": 1861,
    "OI": 5793,
    "Ask": 3.3,
    "Bid": 3.95,
    "IV": 0.4410456286621094
  },
  {
    "Code": "MSFT250417C00387500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 387.5,
    "Volume": 758,
    "OI": 681,
    "Ask": 2.41,
    "Bid": 3.35,
    "IV": 0.4149228430175781
  },
  {
    "Code": "MSFT250417C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 390,
    "Volume": 3608,
    "OI": 5008,
    "Ask": 2.02,
    "Bid": 2.83,
    "IV": 0.4128476684570312
  },
  {
    "Code": "MSFT250417C00392500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 392.5,
    "Volume": 1167,
    "OI": 851,
    "Ask": 1.78,
    "Bid": 2.36,
    "IV": 0.41785250122070305
  },
  {
    "Code": "MSFT250417C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 395,
    "Volume": 2448,
    "OI": 4229,
    "Ask": 1.34,
    "Bid": 1.96,
    "IV": 0.4046690393066406
  },
  {
    "Code": "MSFT250417C00397500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 397.5,
    "Volume": 1760,
    "OI": 2133,
    "Ask": 1.07,
    "Bid": 1.62,
    "IV": 0.40015248291015626
  },
  {
    "Code": "MSFT250417C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 400,
    "Volume": 3134,
    "OI": 9049,
    "Ask": 0.86,
    "Bid": 1.34,
    "IV": 0.3973448937988281
  },
  {
    "Code": "MSFT250417C00402500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 402.5,
    "Volume": 317,
    "OI": 1498,
    "Ask": 0.69,
    "Bid": 1.1,
    "IV": 0.3952697192382813
  },
  {
    "Code": "MSFT250417C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 405,
    "Volume": 6509,
    "OI": 13717,
    "Ask": 0.56,
    "Bid": 0.9,
    "IV": 0.39453730468750003
  },
  {
    "Code": "MSFT250417C00407500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 407.5,
    "Volume": 111,
    "OI": 1025,
    "Ask": 0.43,
    "Bid": 0.74,
    "IV": 0.39014281738281253
  },
  {
    "Code": "MSFT250417C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 410,
    "Volume": 2437,
    "OI": 8643,
    "Ask": 0.32,
    "Bid": 0.61,
    "IV": 0.38477177734374995
  },
  {
    "Code": "MSFT250417C00412500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 412.5,
    "Volume": 18,
    "OI": 20,
    "Ask": 0.27,
    "Bid": 0.49,
    "IV": 0.3881897119140625
  },
  {
    "Code": "MSFT250417C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 415,
    "Volume": 2475,
    "OI": 15274,
    "Ask": 0.22,
    "Bid": 0.4,
    "IV": 0.389654541015625
  },
  {
    "Code": "MSFT250417C00417500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 417.5,
    "Volume": 38,
    "OI": 22,
    "Ask": 0.39,
    "Bid": 0.32,
    "IV": 0.44287666503906253
  },
  {
    "Code": "MSFT250417C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 420,
    "Volume": 1456,
    "OI": 23707,
    "Ask": 0.25,
    "Bid": 0.27,
    "IV": 0.424810439453125
  },
  {
    "Code": "MSFT250417C00422500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 422.5,
    "Volume": 54,
    "OI": 13,
    "Ask": 0.14,
    "Bid": 0.21,
    "IV": 0.4028380029296875
  },
  {
    "Code": "MSFT250417C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 425,
    "Volume": 679,
    "OI": 6691,
    "Ask": 0.12,
    "Bid": 0.17,
    "IV": 0.407232490234375
  },
  {
    "Code": "MSFT250417C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 430,
    "Volume": 430,
    "OI": 7827,
    "Ask": 0.03,
    "Bid": 0.11,
    "IV": 0.367193828125
  },
  {
    "Code": "MSFT250417C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 435,
    "Volume": 293,
    "OI": 4288,
    "Ask": 0.03,
    "Bid": 0.09,
    "IV": 0.38867798828125
  },
  {
    "Code": "MSFT250417C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 440,
    "Volume": 237,
    "OI": 4053,
    "Ask": 0.01,
    "Bid": 0.05,
    "IV": 0.367193828125
  },
  {
    "Code": "MSFT250417C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 445,
    "Volume": 86,
    "OI": 6161,
    "Ask": 0.01,
    "Bid": 0.02,
    "IV": 0.39063109375
  },
  {
    "Code": "MSFT250417C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 450,
    "Volume": 323,
    "OI": 8894,
    "Ask": 0.01,
    "Bid": 0.02,
    "IV": 0.4062559375
  },
  {
    "Code": "MSFT250417C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 455,
    "Volume": 18,
    "OI": 2008,
    "Ask": 0.01,
    "Bid": 0.01,
    "IV": 0.42188078125
  },
  {
    "Code": "MSFT250417C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 460,
    "Volume": 72,
    "OI": 5157,
    "Ask": 0.01,
    "Bid": 0.01,
    "IV": 0.445318046875
  },
  {
    "Code": "MSFT250417C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 465,
    "Volume": 20,
    "OI": 1377,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.46094289062500005
  },
  {
    "Code": "MSFT250417C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 470,
    "Volume": 20,
    "OI": 2137,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.476567734375
  },
  {
    "Code": "MSFT250417C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 475,
    "Volume": 4,
    "OI": 1805,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.49219257812500006
  },
  {
    "Code": "MSFT250417C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 480,
    "Volume": 10,
    "OI": 4414,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.507817421875
  },
  {
    "Code": "MSFT250417C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 485,
    "Volume": 1,
    "OI": 1014,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.500005
  },
  {
    "Code": "MSFT250417C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 490,
    "Volume": 9,
    "OI": 1520,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.51562984375
  },
  {
    "Code": "MSFT250417C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 495,
    "Volume": 261,
    "OI": 2538,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.5312546875
  },
  {
    "Code": "MSFT250417C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 500,
    "Volume": 6,
    "OI": 1538,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.5468795312500001
  },
  {
    "Code": "MSFT250417C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 505,
    "Volume": 4,
    "OI": 853,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.5625043750000001
  },
  {
    "Code": "MSFT250417C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 510,
    "Volume": 27,
    "OI": 2274,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6445348046875
  },
  {
    "Code": "MSFT250417C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 515,
    "Volume": 2,
    "OI": 234,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6601596484375001
  },
  {
    "Code": "MSFT250417C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 520,
    "Volume": 1,
    "OI": 373,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6757844921875001
  },
  {
    "Code": "MSFT250417C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 525,
    "Volume": 1,
    "OI": 325,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.6914093359375001
  },
  {
    "Code": "MSFT250417C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 530,
    "Volume": 1,
    "OI": 319,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7070341796875
  },
  {
    "Code": "MSFT250417C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 535,
    "Volume": 1,
    "OI": 171,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7226590234375
  },
  {
    "Code": "MSFT250417C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 540,
    "Volume": 1,
    "OI": 195,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7382838671874999
  },
  {
    "Code": "MSFT250417C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 545,
    "Volume": 2,
    "OI": 223,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7500025
  },
  {
    "Code": "MSFT250417C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 550,
    "Volume": 2,
    "OI": 660,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7656273437500001
  },
  {
    "Code": "MSFT250417C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 555,
    "Volume": 16,
    "OI": 394,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.7812521875
  },
  {
    "Code": "MSFT250417C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 560,
    "Volume": 1,
    "OI": 320,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.79687703125
  },
  {
    "Code": "MSFT250417C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 565,
    "Volume": 8,
    "OI": 387,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.8125018749999999
  },
  {
    "Code": "MSFT250417C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 570,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.500005
  },
  {
    "Code": "MSFT250417C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 575,
    "Volume": 11,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.500005
  },
  {
    "Code": "MSFT250417C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 580,
    "Volume": 10,
    "OI": 326,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.851563984375
  },
  {
    "Code": "MSFT250417C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 585,
    "Volume": 3,
    "OI": 118,
    "Ask": 0.03,
    "Bid": 0,
    "IV": 0.8437515624999999
  },
  {
    "Code": "MSFT250417C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 590,
    "Volume": 24,
    "OI": 0,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.8281267187499999
  },
  {
    "Code": "MSFT250417C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 595,
    "Volume": 1,
    "OI": 63,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.8945323046874999
  },
  {
    "Code": "MSFT250417C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 600,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.500005
  },
  {
    "Code": "MSFT250417C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 605,
    "Volume": 8,
    "OI": 34,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.87500125
  },
  {
    "Code": "MSFT250417C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 610,
    "Volume": 1,
    "OI": 56,
    "Ask": 0.43,
    "Bid": 0,
    "IV": 1.1757853710937498
  },
  {
    "Code": "MSFT250417C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 615,
    "Volume": 5,
    "OI": 376,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.945313046875
  },
  {
    "Code": "MSFT250417C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 620,
    "Volume": 1,
    "OI": 155,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.87500125
  },
  {
    "Code": "MSFT250417C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-17",
    "Strike": 625,
    "Volume": 7,
    "OI": 161,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.9765627343750001
  },
  {
    "Code": "MSFT250417P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 210,
    "Volume": 12,
    "OI": 638,
    "Ask": 0.11,
    "Bid": 0.03,
    "IV": 1.12109814453125
  },
  {
    "Code": "MSFT250417P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 215,
    "Volume": 2,
    "OI": 232,
    "Ask": 0.13,
    "Bid": 0.06,
    "IV": 1.11328568359375
  },
  {
    "Code": "MSFT250417P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 220,
    "Volume": 5,
    "OI": 129,
    "Ask": 0.14,
    "Bid": 0.07,
    "IV": 1.0781296093750001
  },
  {
    "Code": "MSFT250417P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 225,
    "Volume": 43,
    "OI": 129,
    "Ask": 0.15,
    "Bid": 0.08,
    "IV": 1.0449266503906252
  },
  {
    "Code": "MSFT250417P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 230,
    "Volume": 4,
    "OI": 590,
    "Ask": 0.17,
    "Bid": 0.1,
    "IV": 1.01953615234375
  },
  {
    "Code": "MSFT250417P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 235,
    "Volume": 27,
    "OI": 23,
    "Ask": 0.19,
    "Bid": 0.1,
    "IV": 0.983398603515625
  },
  {
    "Code": "MSFT250417P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 240,
    "Volume": 37,
    "OI": 4673,
    "Ask": 0.2,
    "Bid": 0.14,
    "IV": 0.9580082324218748
  },
  {
    "Code": "MSFT250417P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 245,
    "Volume": 27,
    "OI": 294,
    "Ask": 0.23,
    "Bid": 0.16,
    "IV": 0.930664755859375
  },
  {
    "Code": "MSFT250417P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 250,
    "Volume": 308,
    "OI": 144,
    "Ask": 0.26,
    "Bid": 0.19,
    "IV": 0.90429783203125
  },
  {
    "Code": "MSFT250417P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 255,
    "Volume": 39,
    "OI": 123,
    "Ask": 0.29,
    "Bid": 0.22,
    "IV": 0.87500125
  },
  {
    "Code": "MSFT250417P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 260,
    "Volume": 28,
    "OI": 101,
    "Ask": 0.32,
    "Bid": 0.26,
    "IV": 0.8466812207031249
  },
  {
    "Code": "MSFT250417P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 265,
    "Volume": 42,
    "OI": 371,
    "Ask": 0.35,
    "Bid": 0.3,
    "IV": 0.8173846386718748
  },
  {
    "Code": "MSFT250417P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 270,
    "Volume": 33,
    "OI": 871,
    "Ask": 0.41,
    "Bid": 0.41,
    "IV": 0.8017597949218749
  },
  {
    "Code": "MSFT250417P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 275,
    "Volume": 84,
    "OI": 450,
    "Ask": 0.44,
    "Bid": 0.6,
    "IV": 0.788088056640625
  },
  {
    "Code": "MSFT250417P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 280,
    "Volume": 13,
    "OI": 341,
    "Ask": 0.52,
    "Bid": 0.45,
    "IV": 0.7338893798828124
  },
  {
    "Code": "MSFT250417P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 285,
    "Volume": 15,
    "OI": 234,
    "Ask": 0.59,
    "Bid": 0.82,
    "IV": 0.7380397290039062
  },
  {
    "Code": "MSFT250417P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 290,
    "Volume": 196,
    "OI": 680,
    "Ask": 0.68,
    "Bid": 0.95,
    "IV": 0.711916943359375
  },
  {
    "Code": "MSFT250417P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 295,
    "Volume": 651,
    "OI": 545,
    "Ask": 0.79,
    "Bid": 1.16,
    "IV": 0.6904327832031252
  },
  {
    "Code": "MSFT250417P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 300,
    "Volume": 1468,
    "OI": 3621,
    "Ask": 0.92,
    "Bid": 1.36,
    "IV": 0.665286550292969
  },
  {
    "Code": "MSFT250417P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 305,
    "Volume": 194,
    "OI": 2385,
    "Ask": 1.06,
    "Bid": 1.59,
    "IV": 0.6391637646484375
  },
  {
    "Code": "MSFT250417P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 310,
    "Volume": 391,
    "OI": 3590,
    "Ask": 1.26,
    "Bid": 1.93,
    "IV": 0.6180458117675782
  },
  {
    "Code": "MSFT250417P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 315,
    "Volume": 689,
    "OI": 583,
    "Ask": 1.52,
    "Bid": 2.31,
    "IV": 0.5964395825195312
  },
  {
    "Code": "MSFT250417P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 320,
    "Volume": 713,
    "OI": 1106,
    "Ask": 1.86,
    "Bid": 2.6,
    "IV": 0.5690961059570312
  },
  {
    "Code": "MSFT250417P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 325,
    "Volume": 581,
    "OI": 1061,
    "Ask": 2.27,
    "Bid": 3.3,
    "IV": 0.5539595385742189
  },
  {
    "Code": "MSFT250417P00327500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 327.5,
    "Volume": 399,
    "OI": 6,
    "Ask": 2.52,
    "Bid": 3.7,
    "IV": 0.5465133239746094
  },
  {
    "Code": "MSFT250417P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 330,
    "Volume": 1133,
    "OI": 2781,
    "Ask": 2.79,
    "Bid": 4.1,
    "IV": 0.5376022802734376
  },
  {
    "Code": "MSFT250417P00332500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 332.5,
    "Volume": 225,
    "OI": 32,
    "Ask": 3.15,
    "Bid": 4.4,
    "IV": 0.5264329583740235
  },
  {
    "Code": "MSFT250417P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 335,
    "Volume": 1537,
    "OI": 3183,
    "Ask": 3.5,
    "Bid": 4.9,
    "IV": 0.5185595019531251
  },
  {
    "Code": "MSFT250417P00337500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 337.5,
    "Volume": 234,
    "OI": 252,
    "Ask": 3.9,
    "Bid": 5.4,
    "IV": 0.5097705273437501
  },
  {
    "Code": "MSFT250417P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 340,
    "Volume": 1209,
    "OI": 1853,
    "Ask": 4.3,
    "Bid": 5.95,
    "IV": 0.45953909606933596
  },
  {
    "Code": "MSFT250417P00342500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 342.5,
    "Volume": 894,
    "OI": 170,
    "Ask": 4.8,
    "Bid": 6.5,
    "IV": 0.4505670178222656
  },
  {
    "Code": "MSFT250417P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 345,
    "Volume": 1090,
    "OI": 4687,
    "Ask": 5.25,
    "Bid": 7.15,
    "IV": 0.4368952795410156
  },
  {
    "Code": "MSFT250417P00347500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 347.5,
    "Volume": 368,
    "OI": 236,
    "Ask": 5.8,
    "Bid": 7.75,
    "IV": 0.4252376812744141
  },
  {
    "Code": "MSFT250417P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 350,
    "Volume": 2520,
    "OI": 4282,
    "Ask": 6.45,
    "Bid": 8.5,
    "IV": 0.4151669812011719
  },
  {
    "Code": "MSFT250417P00352500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 352.5,
    "Volume": 1442,
    "OI": 708,
    "Ask": 7.15,
    "Bid": 9.25,
    "IV": 0.40418076293945315
  },
  {
    "Code": "MSFT250417P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 355,
    "Volume": 1007,
    "OI": 7994,
    "Ask": 7.9,
    "Bid": 10.25,
    "IV": 0.3921569573974609
  },
  {
    "Code": "MSFT250417P00357500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 357.5,
    "Volume": 918,
    "OI": 631,
    "Ask": 8.7,
    "Bid": 11.2,
    "IV": 0.37879039184570307
  },
  {
    "Code": "MSFT250417P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 360,
    "Volume": 2182,
    "OI": 5298,
    "Ask": 9.6,
    "Bid": 12.15,
    "IV": 0.3657289990234375
  },
  {
    "Code": "MSFT250417P00362500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 362.5,
    "Volume": 508,
    "OI": 718,
    "Ask": 10.6,
    "Bid": 13.35,
    "IV": 0.352545537109375
  },
  {
    "Code": "MSFT250417P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 365,
    "Volume": 2190,
    "OI": 6159,
    "Ask": 11.65,
    "Bid": 13.65,
    "IV": 0.336920693359375
  },
  {
    "Code": "MSFT250417P00367500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 367.5,
    "Volume": 467,
    "OI": 712,
    "Ask": 12.8,
    "Bid": 14.9,
    "IV": 0.32019722778320303
  },
  {
    "Code": "MSFT250417P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 370,
    "Volume": 1480,
    "OI": 4794,
    "Ask": 14.05,
    "Bid": 16.3,
    "IV": 0.3016427258300781
  },
  {
    "Code": "MSFT250417P00372500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 372.5,
    "Volume": 293,
    "OI": 756,
    "Ask": 15.4,
    "Bid": 18.45,
    "IV": 0.27997546203613277
  },
  {
    "Code": "MSFT250417P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 375,
    "Volume": 1346,
    "OI": 6869,
    "Ask": 16.85,
    "Bid": 19.4,
    "IV": 0.2528150891113281
  },
  {
    "Code": "MSFT250417P00377500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 377.5,
    "Volume": 280,
    "OI": 606,
    "Ask": 18.35,
    "Bid": 20.95,
    "IV": 0.20948056152343747
  },
  {
    "Code": "MSFT250417P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 380,
    "Volume": 730,
    "OI": 10579,
    "Ask": 20,
    "Bid": 22.8,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00382500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 382.5,
    "Volume": 59,
    "OI": 402,
    "Ask": 21.75,
    "Bid": 24.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 385,
    "Volume": 580,
    "OI": 8098,
    "Ask": 23.55,
    "Bid": 27,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00387500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 387.5,
    "Volume": 50,
    "OI": 407,
    "Ask": 25.45,
    "Bid": 27.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 390,
    "Volume": 251,
    "OI": 7432,
    "Ask": 27.75,
    "Bid": 30.85,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00392500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 392.5,
    "Volume": 6,
    "OI": 621,
    "Ask": 30.65,
    "Bid": 32.75,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 395,
    "Volume": 194,
    "OI": 3699,
    "Ask": 32.25,
    "Bid": 34.35,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00397500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 397.5,
    "Volume": 25,
    "OI": 154,
    "Ask": 35.15,
    "Bid": 36,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 400,
    "Volume": 358,
    "OI": 7162,
    "Ask": 36.7,
    "Bid": 38,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00402500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 402.5,
    "Volume": 3,
    "OI": 69,
    "Ask": 40.25,
    "Bid": 40.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 405,
    "Volume": 61,
    "OI": 1755,
    "Ask": 41.25,
    "Bid": 43,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00407500",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 407.5,
    "Volume": 2,
    "OI": 54,
    "Ask": 45.1,
    "Bid": 45.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 410,
    "Volume": 60,
    "OI": 2487,
    "Ask": 52.05,
    "Bid": 48,
    "IV": 0.5649457568359376
  },
  {
    "Code": "MSFT250417P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 415,
    "Volume": 21,
    "OI": 348,
    "Ask": 57.05,
    "Bid": 52.6,
    "IV": 0.6019326916503909
  },
  {
    "Code": "MSFT250417P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 420,
    "Volume": 301,
    "OI": 521,
    "Ask": 57.35,
    "Bid": 57.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 425,
    "Volume": 977,
    "OI": 403,
    "Ask": 62.15,
    "Bid": 62.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 430,
    "Volume": 239,
    "OI": 125,
    "Ask": 67.15,
    "Bid": 67.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 435,
    "Volume": 345,
    "OI": 168,
    "Ask": 77.25,
    "Bid": 72.6,
    "IV": 0.7590356127929689
  },
  {
    "Code": "MSFT250417P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 440,
    "Volume": 158,
    "OI": 112,
    "Ask": 82.25,
    "Bid": 77.6,
    "IV": 0.7922384057617188
  },
  {
    "Code": "MSFT250417P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 445,
    "Volume": 160,
    "OI": 122,
    "Ask": 87.05,
    "Bid": 82.6,
    "IV": 0.8051777294921875
  },
  {
    "Code": "MSFT250417P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 450,
    "Volume": 49,
    "OI": 0,
    "Ask": 92.05,
    "Bid": 87.65,
    "IV": 0.8364274169921874
  },
  {
    "Code": "MSFT250417P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 455,
    "Volume": 1,
    "OI": 0,
    "Ask": 97.05,
    "Bid": 92.6,
    "IV": 0.8669446899414062
  },
  {
    "Code": "MSFT250417P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 460,
    "Volume": 2,
    "OI": 1,
    "Ask": 102.05,
    "Bid": 97.65,
    "IV": 0.8969736865234373
  },
  {
    "Code": "MSFT250417P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 465,
    "Volume": 1,
    "OI": 2,
    "Ask": 107.05,
    "Bid": 102.65,
    "IV": 0.9265144067382812
  },
  {
    "Code": "MSFT250417P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 470,
    "Volume": 1,
    "OI": 0,
    "Ask": 112.05,
    "Bid": 107.6,
    "IV": 0.9553227124023438
  },
  {
    "Code": "MSFT250417P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 475,
    "Volume": 1,
    "OI": 0,
    "Ask": 117.05,
    "Bid": 113.15,
    "IV": 0.9836427416992188
  },
  {
    "Code": "MSFT250417P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 102.1,
    "Bid": 100.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 485,
    "Volume": 1,
    "OI": 0,
    "Ask": 127.05,
    "Bid": 122.6,
    "IV": 1.0390673046875003
  },
  {
    "Code": "MSFT250417P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 132.05,
    "Bid": 127.65,
    "IV": 1.0659226391601564
  },
  {
    "Code": "MSFT250417P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 495,
    "Volume": 1,
    "OI": 0,
    "Ask": 88.4,
    "Bid": 86.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 500,
    "Volume": 2,
    "OI": 0,
    "Ask": 122.05,
    "Bid": 120.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 505,
    "Volume": 2,
    "OI": 0,
    "Ask": 115.35,
    "Bid": 112.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 510,
    "Volume": 1,
    "OI": 0,
    "Ask": 101.95,
    "Bid": 100.75,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 515,
    "Volume": 1,
    "OI": 0,
    "Ask": 97.15,
    "Bid": 93.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 520,
    "Volume": 3,
    "OI": 0,
    "Ask": 162.25,
    "Bid": 158.05,
    "IV": 1.2441444042968748
  },
  {
    "Code": "MSFT250417P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 525,
    "Volume": 1,
    "OI": 0,
    "Ask": 167.25,
    "Bid": 163.15,
    "IV": 0.7382838671874999
  },
  {
    "Code": "MSFT250417P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 530,
    "Volume": 1,
    "OI": 0,
    "Ask": 122.05,
    "Bid": 120.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 550,
    "Volume": None,
    "OI": 0,
    "Ask": 122.5,
    "Bid": 120.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 555,
    "Volume": None,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 560,
    "Volume": 1,
    "OI": 0,
    "Ask": 202.25,
    "Bid": 197.65,
    "IV": 1.4306669091796875
  },
  {
    "Code": "MSFT250417P00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 565,
    "Volume": None,
    "OI": 0,
    "Ask": 207.25,
    "Bid": 203.05,
    "IV": 1.4526394555664064
  },
  {
    "Code": "MSFT250417P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 570,
    "Volume": 4,
    "OI": 0,
    "Ask": 174.9,
    "Bid": 171.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 575,
    "Volume": 2,
    "OI": 0,
    "Ask": 179.9,
    "Bid": 176.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 580,
    "Volume": None,
    "OI": 0,
    "Ask": 152.5,
    "Bid": 149.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 610,
    "Volume": 1,
    "OI": 0,
    "Ask": 193.35,
    "Bid": 191.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250417P00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-17",
    "Strike": 625,
    "Volume": 1,
    "OI": 0,
    "Ask": 207.95,
    "Bid": 206.45,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 230,
    "Volume": 1,
    "OI": 279,
    "Ask": 133,
    "Bid": 128.9,
    "IV": 1.0795944458007813
  },
  {
    "Code": "MSFT250425C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 250,
    "Volume": None,
    "OI": 1,
    "Ask": 113.4,
    "Bid": 109,
    "IV": 0.9428716650390624
  },
  {
    "Code": "MSFT250425C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 260,
    "Volume": 10,
    "OI": 0,
    "Ask": 103.5,
    "Bid": 104,
    "IV": 1.1036421771240237
  },
  {
    "Code": "MSFT250425C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 270,
    "Volume": 2,
    "OI": 13,
    "Ask": 93.85,
    "Bid": 90,
    "IV": 0.852540537109375
  },
  {
    "Code": "MSFT250425C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 280,
    "Volume": None,
    "OI": 11,
    "Ask": 83.75,
    "Bid": 84.05,
    "IV": 0.9169930175781251
  },
  {
    "Code": "MSFT250425C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 285,
    "Volume": None,
    "OI": 3,
    "Ask": 78.95,
    "Bid": 74.75,
    "IV": 0.7165555688476561
  },
  {
    "Code": "MSFT250425C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 290,
    "Volume": 7,
    "OI": 11,
    "Ask": 74.5,
    "Bid": 74.5,
    "IV": 0.8575453698730469
  },
  {
    "Code": "MSFT250425C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 295,
    "Volume": None,
    "OI": 4,
    "Ask": 69.7,
    "Bid": 65.7,
    "IV": 0.6962920996093751
  },
  {
    "Code": "MSFT250425C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 300,
    "Volume": 7,
    "OI": 3914,
    "Ask": 65,
    "Bid": 60.5,
    "IV": 0.6555210229492189
  },
  {
    "Code": "MSFT250425C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 305,
    "Volume": 1,
    "OI": 22,
    "Ask": 60.45,
    "Bid": 60,
    "IV": 0.7495142236328125
  },
  {
    "Code": "MSFT250425C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 310,
    "Volume": 2,
    "OI": 8,
    "Ask": 55.55,
    "Bid": 55.35,
    "IV": 0.7106962524414062
  },
  {
    "Code": "MSFT250425C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 315,
    "Volume": None,
    "OI": 6,
    "Ask": 51.05,
    "Bid": 51.65,
    "IV": 0.7014190014648438
  },
  {
    "Code": "MSFT250425C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 320,
    "Volume": 6,
    "OI": 8,
    "Ask": 46.65,
    "Bid": 47.05,
    "IV": 0.6707796594238282
  },
  {
    "Code": "MSFT250425C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 325,
    "Volume": 7,
    "OI": 6,
    "Ask": 42.4,
    "Bid": 43.4,
    "IV": 0.6594882684326173
  },
  {
    "Code": "MSFT250425C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 330,
    "Volume": 2,
    "OI": 8,
    "Ask": 38.05,
    "Bid": 38.8,
    "IV": 0.624149266357422
  },
  {
    "Code": "MSFT250425C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 335,
    "Volume": 6,
    "OI": 7,
    "Ask": 34.15,
    "Bid": 34.75,
    "IV": 0.6040078662109377
  },
  {
    "Code": "MSFT250425C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 340,
    "Volume": 33,
    "OI": 91,
    "Ask": 30.4,
    "Bid": 30.55,
    "IV": 0.5796550823974609
  },
  {
    "Code": "MSFT250425C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 345,
    "Volume": 11,
    "OI": 19,
    "Ask": 26.8,
    "Bid": 26.45,
    "IV": 0.5550581604003908
  },
  {
    "Code": "MSFT250425C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 350,
    "Volume": 20,
    "OI": 124,
    "Ask": 23.3,
    "Bid": 23.1,
    "IV": 0.5389450402832032
  },
  {
    "Code": "MSFT250425C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 355,
    "Volume": 17,
    "OI": 144,
    "Ask": 20.15,
    "Bid": 19.6,
    "IV": 0.5200243310546875
  },
  {
    "Code": "MSFT250425C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 360,
    "Volume": 119,
    "OI": 189,
    "Ask": 16.65,
    "Bid": 16.75,
    "IV": 0.49799085998535164
  },
  {
    "Code": "MSFT250425C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 365,
    "Volume": 202,
    "OI": 115,
    "Ask": 13.05,
    "Bid": 13.4,
    "IV": 0.45798271514892586
  },
  {
    "Code": "MSFT250425C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 370,
    "Volume": 317,
    "OI": 221,
    "Ask": 11.7,
    "Bid": 11.15,
    "IV": 0.4779104943847656
  },
  {
    "Code": "MSFT250425C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 375,
    "Volume": 248,
    "OI": 454,
    "Ask": 8.9,
    "Bid": 8.65,
    "IV": 0.4461725305175781
  },
  {
    "Code": "MSFT250425C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 380,
    "Volume": 546,
    "OI": 808,
    "Ask": 6.85,
    "Bid": 7.45,
    "IV": 0.4285945812988281
  },
  {
    "Code": "MSFT250425C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 385,
    "Volume": 446,
    "OI": 630,
    "Ask": 6.05,
    "Bid": 5.65,
    "IV": 0.44562321960449214
  },
  {
    "Code": "MSFT250425C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 390,
    "Volume": 306,
    "OI": 1209,
    "Ask": 3.6,
    "Bid": 4.4,
    "IV": 0.3920959228515625
  },
  {
    "Code": "MSFT250425C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 395,
    "Volume": 945,
    "OI": 885,
    "Ask": 3.85,
    "Bid": 2.91,
    "IV": 0.43958079956054685
  },
  {
    "Code": "MSFT250425C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 400,
    "Volume": 798,
    "OI": 1350,
    "Ask": 1.98,
    "Bid": 2.29,
    "IV": 0.38269660278320305
  },
  {
    "Code": "MSFT250425C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 405,
    "Volume": 172,
    "OI": 1034,
    "Ask": 1.49,
    "Bid": 1.51,
    "IV": 0.3825745336914062
  },
  {
    "Code": "MSFT250425C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 410,
    "Volume": 268,
    "OI": 757,
    "Ask": 1.1,
    "Bid": 1.11,
    "IV": 0.38184211914062494
  },
  {
    "Code": "MSFT250425C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 415,
    "Volume": 239,
    "OI": 1018,
    "Ask": 0.81,
    "Bid": 0.73,
    "IV": 0.38184211914062494
  },
  {
    "Code": "MSFT250425C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 420,
    "Volume": 450,
    "OI": 1714,
    "Ask": 0.52,
    "Bid": 0.54,
    "IV": 0.37280900634765624
  },
  {
    "Code": "MSFT250425C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 425,
    "Volume": 148,
    "OI": 1026,
    "Ask": 0.52,
    "Bid": 0.3,
    "IV": 0.39551385742187506
  },
  {
    "Code": "MSFT250425C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 430,
    "Volume": 186,
    "OI": 786,
    "Ask": 0.21,
    "Bid": 0.2,
    "IV": 0.36084623535156246
  },
  {
    "Code": "MSFT250425C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 435,
    "Volume": 7,
    "OI": 589,
    "Ask": 0.46,
    "Bid": 0.05,
    "IV": 0.43018147949218755
  },
  {
    "Code": "MSFT250425C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 440,
    "Volume": 28,
    "OI": 220,
    "Ask": 0.3,
    "Bid": 0.01,
    "IV": 0.42139250488281255
  },
  {
    "Code": "MSFT250425C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 445,
    "Volume": 2,
    "OI": 180,
    "Ask": 0.7,
    "Bid": 0.01,
    "IV": 0.507817421875
  },
  {
    "Code": "MSFT250425C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 450,
    "Volume": 23,
    "OI": 348,
    "Ask": 0.14,
    "Bid": 0,
    "IV": 0.414068359375
  },
  {
    "Code": "MSFT250425C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 455,
    "Volume": 7,
    "OI": 10,
    "Ask": 0.7,
    "Bid": 0,
    "IV": 0.5498091894531252
  },
  {
    "Code": "MSFT250425C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 460,
    "Volume": 5,
    "OI": 10,
    "Ask": 0.69,
    "Bid": 0,
    "IV": 0.5083056982421875
  },
  {
    "Code": "MSFT250425C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 465,
    "Volume": 10,
    "OI": 30,
    "Ask": 0.68,
    "Bid": 0,
    "IV": 0.52539537109375
  },
  {
    "Code": "MSFT250425C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 470,
    "Volume": 1,
    "OI": 8,
    "Ask": 0.67,
    "Bid": 0,
    "IV": 0.5424850439453126
  },
  {
    "Code": "MSFT250425C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 480,
    "Volume": None,
    "OI": 5,
    "Ask": 0.66,
    "Bid": 0,
    "IV": 0.5766643896484375
  },
  {
    "Code": "MSFT250425C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 485,
    "Volume": None,
    "OI": 5,
    "Ask": 0.65,
    "Bid": 0,
    "IV": 0.5927775097656252
  },
  {
    "Code": "MSFT250425C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 490,
    "Volume": 1,
    "OI": 1,
    "Ask": 0.65,
    "Bid": 0,
    "IV": 0.6098671826171876
  },
  {
    "Code": "MSFT250425C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 495,
    "Volume": 5,
    "OI": 7,
    "Ask": 0.65,
    "Bid": 0,
    "IV": 0.6264685791015626
  },
  {
    "Code": "MSFT250425C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 500,
    "Volume": 1,
    "OI": 3,
    "Ask": 0.65,
    "Bid": 0,
    "IV": 0.6430699755859376
  },
  {
    "Code": "MSFT250425C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-04-25",
    "Strike": 520,
    "Volume": 6,
    "OI": 6,
    "Ask": 0.64,
    "Bid": 0,
    "IV": 0.7055693505859376
  },
  {
    "Code": "MSFT250425P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 230,
    "Volume": 19,
    "OI": 85,
    "Ask": 0.3,
    "Bid": 0.05,
    "IV": 0.815431533203125
  },
  {
    "Code": "MSFT250425P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 240,
    "Volume": None,
    "OI": 1,
    "Ask": 0.83,
    "Bid": 0,
    "IV": 0.8398453515625
  },
  {
    "Code": "MSFT250425P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 250,
    "Volume": 1,
    "OI": 0,
    "Ask": 0.82,
    "Bid": 0,
    "IV": 0.76367423828125
  },
  {
    "Code": "MSFT250425P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 270,
    "Volume": 1,
    "OI": 2,
    "Ask": 1.09,
    "Bid": 0.01,
    "IV": 0.6521030883789063
  },
  {
    "Code": "MSFT250425P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 280,
    "Volume": 13,
    "OI": 2,
    "Ask": 0.6,
    "Bid": 0.71,
    "IV": 0.5996133789062501
  },
  {
    "Code": "MSFT250425P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 285,
    "Volume": 39,
    "OI": 138,
    "Ask": 1.2,
    "Bid": 0.76,
    "IV": 0.6098671826171876
  },
  {
    "Code": "MSFT250425P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 290,
    "Volume": 12,
    "OI": 36,
    "Ask": 1.2,
    "Bid": 1.03,
    "IV": 0.5882609533691407
  },
  {
    "Code": "MSFT250425P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 295,
    "Volume": 115,
    "OI": 49,
    "Ask": 1.51,
    "Bid": 1.21,
    "IV": 0.5755657678222657
  },
  {
    "Code": "MSFT250425P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 300,
    "Volume": 33,
    "OI": 3933,
    "Ask": 1.3,
    "Bid": 1.39,
    "IV": 0.5354050366210938
  },
  {
    "Code": "MSFT250425P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 305,
    "Volume": 33,
    "OI": 22,
    "Ask": 1.49,
    "Bid": 1.09,
    "IV": 0.5094043200683593
  },
  {
    "Code": "MSFT250425P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 310,
    "Volume": 19,
    "OI": 86,
    "Ask": 2.05,
    "Bid": 1.04,
    "IV": 0.5120898400878906
  },
  {
    "Code": "MSFT250425P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 315,
    "Volume": 82,
    "OI": 90,
    "Ask": 2.47,
    "Bid": 1.91,
    "IV": 0.49768568725585943
  },
  {
    "Code": "MSFT250425P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 320,
    "Volume": 196,
    "OI": 232,
    "Ask": 2.83,
    "Bid": 2.61,
    "IV": 0.4753470434570312
  },
  {
    "Code": "MSFT250425P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 325,
    "Volume": 45,
    "OI": 274,
    "Ask": 4.1,
    "Bid": 4.55,
    "IV": 0.5039112109375
  },
  {
    "Code": "MSFT250425P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 330,
    "Volume": 155,
    "OI": 543,
    "Ask": 4.05,
    "Bid": 4.45,
    "IV": 0.4436701141357422
  },
  {
    "Code": "MSFT250425P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 335,
    "Volume": 942,
    "OI": 741,
    "Ask": 4.85,
    "Bid": 5.35,
    "IV": 0.4279842358398438
  },
  {
    "Code": "MSFT250425P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 340,
    "Volume": 640,
    "OI": 439,
    "Ask": 5.9,
    "Bid": 6.7,
    "IV": 0.4157773266601562
  },
  {
    "Code": "MSFT250425P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 345,
    "Volume": 241,
    "OI": 890,
    "Ask": 7.5,
    "Bid": 7.6,
    "IV": 0.4151669812011719
  },
  {
    "Code": "MSFT250425P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 350,
    "Volume": 290,
    "OI": 1318,
    "Ask": 8.9,
    "Bid": 9.9,
    "IV": 0.3997252410888672
  },
  {
    "Code": "MSFT250425P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 355,
    "Volume": 320,
    "OI": 401,
    "Ask": 10.4,
    "Bid": 11.15,
    "IV": 0.37982797912597654
  },
  {
    "Code": "MSFT250425P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 360,
    "Volume": 487,
    "OI": 701,
    "Ask": 12.05,
    "Bid": 13.3,
    "IV": 0.3562686444091796
  },
  {
    "Code": "MSFT250425P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 365,
    "Volume": 290,
    "OI": 531,
    "Ask": 14.25,
    "Bid": 15.1,
    "IV": 0.3394841442871094
  },
  {
    "Code": "MSFT250425P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 370,
    "Volume": 400,
    "OI": 682,
    "Ask": 16.55,
    "Bid": 18.5,
    "IV": 0.31445998046874996
  },
  {
    "Code": "MSFT250425P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 375,
    "Volume": 220,
    "OI": 458,
    "Ask": 19.25,
    "Bid": 20.9,
    "IV": 0.28790995300292954
  },
  {
    "Code": "MSFT250425P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 380,
    "Volume": 102,
    "OI": 468,
    "Ask": 22.3,
    "Bid": 23.3,
    "IV": 0.25403578002929694
  },
  {
    "Code": "MSFT250425P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 385,
    "Volume": 117,
    "OI": 588,
    "Ask": 26.2,
    "Bid": 26.85,
    "IV": 0.23242955078125
  },
  {
    "Code": "MSFT250425P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 390,
    "Volume": 61,
    "OI": 432,
    "Ask": 29.8,
    "Bid": 31.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 395,
    "Volume": 78,
    "OI": 246,
    "Ask": 33.75,
    "Bid": 35.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 400,
    "Volume": 111,
    "OI": 283,
    "Ask": 37.45,
    "Bid": 39.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 405,
    "Volume": 17,
    "OI": 118,
    "Ask": 43.1,
    "Bid": 43.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 410,
    "Volume": 33,
    "OI": 144,
    "Ask": 47.8,
    "Bid": 48.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 415,
    "Volume": 73,
    "OI": 82,
    "Ask": 52.5,
    "Bid": 53.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250425P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 420,
    "Volume": 2,
    "OI": 28,
    "Ask": 61.85,
    "Bid": 58,
    "IV": 0.4803518762207031
  },
  {
    "Code": "MSFT250425P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 425,
    "Volume": 1,
    "OI": 2,
    "Ask": 67,
    "Bid": 63.15,
    "IV": 0.5178270874023438
  },
  {
    "Code": "MSFT250425P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 430,
    "Volume": 3,
    "OI": 0,
    "Ask": 72,
    "Bid": 68.15,
    "IV": 0.5441940112304688
  },
  {
    "Code": "MSFT250425P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 435,
    "Volume": 2,
    "OI": 0,
    "Ask": 77.3,
    "Bid": 72.65,
    "IV": 0.5915568188476563
  },
  {
    "Code": "MSFT250425P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 440,
    "Volume": 2,
    "OI": 0,
    "Ask": 82.3,
    "Bid": 78.15,
    "IV": 0.617313397216797
  },
  {
    "Code": "MSFT250425P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 450,
    "Volume": 1,
    "OI": 0,
    "Ask": 92.4,
    "Bid": 88.15,
    "IV": 0.6744417321777345
  },
  {
    "Code": "MSFT250425P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 460,
    "Volume": 1,
    "OI": 1,
    "Ask": 102.3,
    "Bid": 97.65,
    "IV": 0.7148466015625
  },
  {
    "Code": "MSFT250425P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 510,
    "Volume": None,
    "OI": 0,
    "Ask": 152.3,
    "Bid": 147.65,
    "IV": 0.9294440649414062
  },
  {
    "Code": "MSFT250425P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-04-25",
    "Strike": 515,
    "Volume": None,
    "OI": 0,
    "Ask": 157.3,
    "Bid": 152.65,
    "IV": 0.9492192578124999
  },
  {
    "Code": "MSFT250502C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 230,
    "Volume": 3,
    "OI": 160,
    "Ask": 133.4,
    "Bid": 134,
    "IV": 1.2186318365478515
  },
  {
    "Code": "MSFT250502C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 240,
    "Volume": None,
    "OI": 35,
    "Ask": 123.2,
    "Bid": 119,
    "IV": 0.8740246972656249
  },
  {
    "Code": "MSFT250502C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 250,
    "Volume": 10,
    "OI": 72,
    "Ask": 113.5,
    "Bid": 109.35,
    "IV": 0.8374039697265624
  },
  {
    "Code": "MSFT250502C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 285,
    "Volume": None,
    "OI": 2,
    "Ask": 80,
    "Bid": 80,
    "IV": 0.8062763513183593
  },
  {
    "Code": "MSFT250502C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 290,
    "Volume": None,
    "OI": 4,
    "Ask": 75.15,
    "Bid": 71,
    "IV": 0.6601596484375001
  },
  {
    "Code": "MSFT250502C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 300,
    "Volume": 1,
    "OI": 1,
    "Ask": 65.9,
    "Bid": 65.8,
    "IV": 0.7155790161132812
  },
  {
    "Code": "MSFT250502C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 305,
    "Volume": 1,
    "OI": 1,
    "Ask": 61.25,
    "Bid": 61.25,
    "IV": 0.6884186431884767
  },
  {
    "Code": "MSFT250502C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 310,
    "Volume": 11,
    "OI": 3231,
    "Ask": 56.7,
    "Bid": 57.75,
    "IV": 0.6821320849609377
  },
  {
    "Code": "MSFT250502C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 320,
    "Volume": 8,
    "OI": 9,
    "Ask": 48.3,
    "Bid": 47.95,
    "IV": 0.6223182299804688
  },
  {
    "Code": "MSFT250502C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 325,
    "Volume": None,
    "OI": 4,
    "Ask": 44.2,
    "Bid": 43.85,
    "IV": 0.6048623498535157
  },
  {
    "Code": "MSFT250502C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 330,
    "Volume": 5,
    "OI": 29,
    "Ask": 40.2,
    "Bid": 39.9,
    "IV": 0.5883219879150392
  },
  {
    "Code": "MSFT250502C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 335,
    "Volume": 1,
    "OI": 5,
    "Ask": 36.35,
    "Bid": 36.8,
    "IV": 0.5832561206054687
  },
  {
    "Code": "MSFT250502C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 340,
    "Volume": 7,
    "OI": 66,
    "Ask": 32.75,
    "Bid": 33,
    "IV": 0.5673261041259765
  },
  {
    "Code": "MSFT250502C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 345,
    "Volume": 64,
    "OI": 20,
    "Ask": 29.15,
    "Bid": 29.5,
    "IV": 0.5518233294677735
  },
  {
    "Code": "MSFT250502C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 350,
    "Volume": 18,
    "OI": 51,
    "Ask": 25.75,
    "Bid": 25.85,
    "IV": 0.532933137512207
  },
  {
    "Code": "MSFT250502C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 355,
    "Volume": 11,
    "OI": 6,
    "Ask": 23,
    "Bid": 22.5,
    "IV": 0.5222826092529296
  },
  {
    "Code": "MSFT250502C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 360,
    "Volume": 70,
    "OI": 84,
    "Ask": 18.45,
    "Bid": 19.25,
    "IV": 0.4747977325439453
  },
  {
    "Code": "MSFT250502C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 365,
    "Volume": 35,
    "OI": 36,
    "Ask": 16.55,
    "Bid": 17.3,
    "IV": 0.483952914428711
  },
  {
    "Code": "MSFT250502C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 370,
    "Volume": 91,
    "OI": 43,
    "Ask": 14.2,
    "Bid": 13.9,
    "IV": 0.47632359619140624
  },
  {
    "Code": "MSFT250502C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 375,
    "Volume": 71,
    "OI": 100,
    "Ask": 11.55,
    "Bid": 12.1,
    "IV": 0.45508357421875
  },
  {
    "Code": "MSFT250502C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 380,
    "Volume": 66,
    "OI": 301,
    "Ask": 9.1,
    "Bid": 10.4,
    "IV": 0.43256182678222654
  },
  {
    "Code": "MSFT250502C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 385,
    "Volume": 131,
    "OI": 996,
    "Ask": 8.15,
    "Bid": 8.5,
    "IV": 0.4459283923339844
  },
  {
    "Code": "MSFT250502C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 390,
    "Volume": 30,
    "OI": 1896,
    "Ask": 6.15,
    "Bid": 6.9,
    "IV": 0.4227962994384765
  },
  {
    "Code": "MSFT250502C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 395,
    "Volume": 100,
    "OI": 548,
    "Ask": 4.85,
    "Bid": 5.5,
    "IV": 0.41394629028320307
  },
  {
    "Code": "MSFT250502C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 400,
    "Volume": 735,
    "OI": 1520,
    "Ask": 3.95,
    "Bid": 4.05,
    "IV": 0.41272559936523434
  },
  {
    "Code": "MSFT250502C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 405,
    "Volume": 257,
    "OI": 1841,
    "Ask": 3.8,
    "Bid": 2.96,
    "IV": 0.4364070031738281
  },
  {
    "Code": "MSFT250502C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 410,
    "Volume": 347,
    "OI": 1332,
    "Ask": 2.84,
    "Bid": 2.55,
    "IV": 0.4234676794433594
  },
  {
    "Code": "MSFT250502C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 415,
    "Volume": 178,
    "OI": 4098,
    "Ask": 2.37,
    "Bid": 1.65,
    "IV": 0.42676354492187507
  },
  {
    "Code": "MSFT250502C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 420,
    "Volume": 76,
    "OI": 815,
    "Ask": 2.26,
    "Bid": 1.34,
    "IV": 0.4458063232421875
  },
  {
    "Code": "MSFT250502C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 425,
    "Volume": 85,
    "OI": 571,
    "Ask": 1.1,
    "Bid": 1,
    "IV": 0.39502558105468755
  },
  {
    "Code": "MSFT250502C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 430,
    "Volume": 23,
    "OI": 195,
    "Ask": 1.36,
    "Bid": 0.91,
    "IV": 0.43604079589843747
  },
  {
    "Code": "MSFT250502C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 435,
    "Volume": 158,
    "OI": 342,
    "Ask": 0.8,
    "Bid": 0.62,
    "IV": 0.4096738720703125
  },
  {
    "Code": "MSFT250502C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 440,
    "Volume": 14,
    "OI": 151,
    "Ask": 0.9,
    "Bid": 0.01,
    "IV": 0.43884838500976564
  },
  {
    "Code": "MSFT250502C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 445,
    "Volume": 6,
    "OI": 155,
    "Ask": 0.55,
    "Bid": 0.17,
    "IV": 0.41870698486328123
  },
  {
    "Code": "MSFT250502C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 450,
    "Volume": 8,
    "OI": 199,
    "Ask": 1.05,
    "Bid": 0.15,
    "IV": 0.4914601635742188
  },
  {
    "Code": "MSFT250502C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 455,
    "Volume": 1,
    "OI": 4,
    "Ask": 1,
    "Bid": 0,
    "IV": 0.5056201782226561
  },
  {
    "Code": "MSFT250502C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 460,
    "Volume": 2,
    "OI": 14,
    "Ask": 0.47,
    "Bid": 0,
    "IV": 0.45898978515625005
  },
  {
    "Code": "MSFT250502C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 465,
    "Volume": None,
    "OI": 3,
    "Ask": 0.85,
    "Bid": 0,
    "IV": 0.5258836474609375
  },
  {
    "Code": "MSFT250502C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 470,
    "Volume": None,
    "OI": 4,
    "Ask": 0.91,
    "Bid": 0,
    "IV": 0.5500533276367189
  },
  {
    "Code": "MSFT250502C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 475,
    "Volume": 2,
    "OI": 2,
    "Ask": 0.9,
    "Bid": 0,
    "IV": 0.5043994873046875
  },
  {
    "Code": "MSFT250502C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 500,
    "Volume": 25,
    "OI": 30,
    "Ask": 0.5,
    "Bid": 0,
    "IV": 0.534184345703125
  },
  {
    "Code": "MSFT250502C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 510,
    "Volume": 1,
    "OI": 0,
    "Ask": 0.83,
    "Bid": 0,
    "IV": 0.6015664843750002
  },
  {
    "Code": "MSFT250502C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-02",
    "Strike": 560,
    "Volume": None,
    "OI": 2,
    "Ask": 0.81,
    "Bid": 0,
    "IV": 0.7309597216796875
  },
  {
    "Code": "MSFT250502P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 230,
    "Volume": None,
    "OI": 2,
    "Ask": 1,
    "Bid": 0.01,
    "IV": 0.813478427734375
  },
  {
    "Code": "MSFT250502P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 250,
    "Volume": 2,
    "OI": 3,
    "Ask": 0.5,
    "Bid": 0.01,
    "IV": 0.6132851171875001
  },
  {
    "Code": "MSFT250502P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 270,
    "Volume": 31,
    "OI": 1,
    "Ask": 1.41,
    "Bid": 0.11,
    "IV": 0.5942423388671876
  },
  {
    "Code": "MSFT250502P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 280,
    "Volume": 26,
    "OI": 38,
    "Ask": 1.68,
    "Bid": 0.14,
    "IV": 0.5493209130859377
  },
  {
    "Code": "MSFT250502P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 285,
    "Volume": 1,
    "OI": 5,
    "Ask": 1.79,
    "Bid": 0.4,
    "IV": 0.5371140039062501
  },
  {
    "Code": "MSFT250502P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 290,
    "Volume": 7,
    "OI": 2,
    "Ask": 1.99,
    "Bid": 1.5,
    "IV": 0.5607954077148438
  },
  {
    "Code": "MSFT250502P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 295,
    "Volume": 6,
    "OI": 17,
    "Ask": 2.31,
    "Bid": 1.02,
    "IV": 0.5197801928710937
  },
  {
    "Code": "MSFT250502P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 300,
    "Volume": 85,
    "OI": 77,
    "Ask": 2.67,
    "Bid": 2.11,
    "IV": 0.5334519311523438
  },
  {
    "Code": "MSFT250502P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 305,
    "Volume": 352,
    "OI": 23,
    "Ask": 2.7,
    "Bid": 1.72,
    "IV": 0.5147753601074219
  },
  {
    "Code": "MSFT250502P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 310,
    "Volume": 39,
    "OI": 3616,
    "Ask": 3.05,
    "Bid": 2.86,
    "IV": 0.49573258178710944
  },
  {
    "Code": "MSFT250502P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 315,
    "Volume": 260,
    "OI": 57,
    "Ask": 3.7,
    "Bid": 2.87,
    "IV": 0.4880422290039063
  },
  {
    "Code": "MSFT250502P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 320,
    "Volume": 17,
    "OI": 121,
    "Ask": 4.3,
    "Bid": 3.25,
    "IV": 0.47376014526367194
  },
  {
    "Code": "MSFT250502P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 325,
    "Volume": 26,
    "OI": 417,
    "Ask": 5.7,
    "Bid": 4.25,
    "IV": 0.4854787780761719
  },
  {
    "Code": "MSFT250502P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 330,
    "Volume": 69,
    "OI": 473,
    "Ask": 6,
    "Bid": 5.8,
    "IV": 0.4519097778320313
  },
  {
    "Code": "MSFT250502P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 335,
    "Volume": 42,
    "OI": 129,
    "Ask": 6.95,
    "Bid": 6.7,
    "IV": 0.43756665954589846
  },
  {
    "Code": "MSFT250502P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 340,
    "Volume": 90,
    "OI": 311,
    "Ask": 8.1,
    "Bid": 8.55,
    "IV": 0.424810439453125
  },
  {
    "Code": "MSFT250502P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 345,
    "Volume": 62,
    "OI": 621,
    "Ask": 9.45,
    "Bid": 10.3,
    "IV": 0.41275611663818357
  },
  {
    "Code": "MSFT250502P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 350,
    "Volume": 225,
    "OI": 1544,
    "Ask": 11.15,
    "Bid": 11.4,
    "IV": 0.40479110839843746
  },
  {
    "Code": "MSFT250502P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 355,
    "Volume": 59,
    "OI": 124,
    "Ask": 12.75,
    "Bid": 14.1,
    "IV": 0.3881897119140625
  },
  {
    "Code": "MSFT250502P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 360,
    "Volume": 126,
    "OI": 221,
    "Ask": 15.1,
    "Bid": 14.75,
    "IV": 0.38483281188964835
  },
  {
    "Code": "MSFT250502P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 365,
    "Volume": 102,
    "OI": 309,
    "Ask": 17.5,
    "Bid": 19.1,
    "IV": 0.375982802734375
  },
  {
    "Code": "MSFT250502P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 370,
    "Volume": 158,
    "OI": 964,
    "Ask": 19.35,
    "Bid": 20.65,
    "IV": 0.34552656433105466
  },
  {
    "Code": "MSFT250502P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 375,
    "Volume": 63,
    "OI": 844,
    "Ask": 22.4,
    "Bid": 22,
    "IV": 0.33850759155273435
  },
  {
    "Code": "MSFT250502P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 380,
    "Volume": 122,
    "OI": 842,
    "Ask": 25.1,
    "Bid": 25.85,
    "IV": 0.3122017022705078
  },
  {
    "Code": "MSFT250502P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 385,
    "Volume": 97,
    "OI": 304,
    "Ask": 28.65,
    "Bid": 29.15,
    "IV": 0.3007882421875
  },
  {
    "Code": "MSFT250502P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 390,
    "Volume": 54,
    "OI": 348,
    "Ask": 32.5,
    "Bid": 32.15,
    "IV": 0.28900857482910147
  },
  {
    "Code": "MSFT250502P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 395,
    "Volume": 59,
    "OI": 565,
    "Ask": 36.45,
    "Bid": 36.2,
    "IV": 0.2672192419433594
  },
  {
    "Code": "MSFT250502P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 400,
    "Volume": 58,
    "OI": 185,
    "Ask": 39.95,
    "Bid": 40.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 405,
    "Volume": 42,
    "OI": 185,
    "Ask": 43.85,
    "Bid": 44.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 410,
    "Volume": 1,
    "OI": 88,
    "Ask": 48.85,
    "Bid": 49,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 415,
    "Volume": 10,
    "OI": 151,
    "Ask": 52.65,
    "Bid": 53.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 420,
    "Volume": 5,
    "OI": 28,
    "Ask": 57.9,
    "Bid": 58.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 425,
    "Volume": 1,
    "OI": 12,
    "Ask": 62.3,
    "Bid": 63,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 430,
    "Volume": 3,
    "OI": 18,
    "Ask": 67.4,
    "Bid": 68,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250502P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 435,
    "Volume": 2,
    "OI": 0,
    "Ask": 77,
    "Bid": 73.15,
    "IV": 0.49060567993164067
  },
  {
    "Code": "MSFT250502P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 440,
    "Volume": None,
    "OI": 0,
    "Ask": 82.05,
    "Bid": 77.6,
    "IV": 0.5155077746582031
  },
  {
    "Code": "MSFT250502P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-02",
    "Strike": 455,
    "Volume": None,
    "OI": 0,
    "Ask": 97,
    "Bid": 93.15,
    "IV": 0.5745892150878906
  },
  {
    "Code": "MSFT250509C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 230,
    "Volume": None,
    "OI": 10,
    "Ask": 133.45,
    "Bid": 129.1,
    "IV": 0.8693860717773438
  },
  {
    "Code": "MSFT250509C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 300,
    "Volume": None,
    "OI": 3654,
    "Ask": 66.45,
    "Bid": 66.4,
    "IV": 0.6596713720703126
  },
  {
    "Code": "MSFT250509C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 315,
    "Volume": 2,
    "OI": 1,
    "Ask": 53.3,
    "Bid": 53.2,
    "IV": 0.6003457934570313
  },
  {
    "Code": "MSFT250509C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 320,
    "Volume": None,
    "OI": 11,
    "Ask": 49.1,
    "Bid": 49.35,
    "IV": 0.5880778497314454
  },
  {
    "Code": "MSFT250509C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 330,
    "Volume": 1,
    "OI": 6,
    "Ask": 41.2,
    "Bid": 41.25,
    "IV": 0.5565229895019532
  },
  {
    "Code": "MSFT250509C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 335,
    "Volume": 3,
    "OI": 1,
    "Ask": 37.45,
    "Bid": 36.75,
    "IV": 0.5335129656982422
  },
  {
    "Code": "MSFT250509C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 340,
    "Volume": None,
    "OI": 26,
    "Ask": 33.8,
    "Bid": 33.65,
    "IV": 0.5269212347412109
  },
  {
    "Code": "MSFT250509C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 345,
    "Volume": None,
    "OI": 20,
    "Ask": 30.2,
    "Bid": 30.15,
    "IV": 0.5123339782714844
  },
  {
    "Code": "MSFT250509C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 350,
    "Volume": None,
    "OI": 6,
    "Ask": 27.4,
    "Bid": 27,
    "IV": 0.5079394909667969
  },
  {
    "Code": "MSFT250509C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 355,
    "Volume": 10,
    "OI": 81,
    "Ask": 23.6,
    "Bid": 22.9,
    "IV": 0.48505153625488284
  },
  {
    "Code": "MSFT250509C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 360,
    "Volume": 2,
    "OI": 7,
    "Ask": 20.25,
    "Bid": 20.6,
    "IV": 0.4642387561035156
  },
  {
    "Code": "MSFT250509C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 365,
    "Volume": 102,
    "OI": 6,
    "Ask": 17.8,
    "Bid": 17.7,
    "IV": 0.4598442687988281
  },
  {
    "Code": "MSFT250509C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 370,
    "Volume": 102,
    "OI": 53,
    "Ask": 15.2,
    "Bid": 15.25,
    "IV": 0.44751529052734373
  },
  {
    "Code": "MSFT250509C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 375,
    "Volume": 8,
    "OI": 110,
    "Ask": 13,
    "Bid": 12.85,
    "IV": 0.4397639031982422
  },
  {
    "Code": "MSFT250509C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 380,
    "Volume": 107,
    "OI": 74,
    "Ask": 10.3,
    "Bid": 11.25,
    "IV": 0.4149533602905273
  },
  {
    "Code": "MSFT250509C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 385,
    "Volume": 43,
    "OI": 55,
    "Ask": 8.45,
    "Bid": 9,
    "IV": 0.4050962811279296
  },
  {
    "Code": "MSFT250509C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 390,
    "Volume": 69,
    "OI": 50,
    "Ask": 6.8,
    "Bid": 7.55,
    "IV": 0.3947814428710938
  },
  {
    "Code": "MSFT250509C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 395,
    "Volume": 64,
    "OI": 38,
    "Ask": 5.6,
    "Bid": 6.35,
    "IV": 0.39148557739257805
  },
  {
    "Code": "MSFT250509C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 400,
    "Volume": 101,
    "OI": 335,
    "Ask": 5.5,
    "Bid": 4.8,
    "IV": 0.41748629394531245
  },
  {
    "Code": "MSFT250509C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 405,
    "Volume": 164,
    "OI": 302,
    "Ask": 3.5,
    "Bid": 3.15,
    "IV": 0.3781190118408203
  },
  {
    "Code": "MSFT250509C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 410,
    "Volume": 157,
    "OI": 1102,
    "Ask": 3.8,
    "Bid": 2.74,
    "IV": 0.41425146301269533
  },
  {
    "Code": "MSFT250509C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 415,
    "Volume": 620,
    "OI": 801,
    "Ask": 2.44,
    "Bid": 2.33,
    "IV": 0.38349005187988283
  },
  {
    "Code": "MSFT250509C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 420,
    "Volume": 12,
    "OI": 61,
    "Ask": 2.81,
    "Bid": 1.21,
    "IV": 0.4222469885253906
  },
  {
    "Code": "MSFT250509C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 425,
    "Volume": 5,
    "OI": 61,
    "Ask": 2.33,
    "Bid": 0.64,
    "IV": 0.4220638848876953
  },
  {
    "Code": "MSFT250509C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 430,
    "Volume": 5,
    "OI": 32,
    "Ask": 2.11,
    "Bid": 0.71,
    "IV": 0.4317683776855469
  },
  {
    "Code": "MSFT250509C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 435,
    "Volume": 2,
    "OI": 115,
    "Ask": 1.8,
    "Bid": 0.33,
    "IV": 0.43469803588867195
  },
  {
    "Code": "MSFT250509C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 440,
    "Volume": 5,
    "OI": 47,
    "Ask": 1.4,
    "Bid": 0,
    "IV": 0.428716650390625
  },
  {
    "Code": "MSFT250509C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 445,
    "Volume": 4,
    "OI": 11,
    "Ask": 1.7,
    "Bid": 0,
    "IV": 0.4666801379394532
  },
  {
    "Code": "MSFT250509C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 450,
    "Volume": None,
    "OI": 100,
    "Ask": 0.51,
    "Bid": 0,
    "IV": 0.38403936279296874
  },
  {
    "Code": "MSFT250509C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 455,
    "Volume": None,
    "OI": 5,
    "Ask": 1.37,
    "Bid": 0,
    "IV": 0.47998566894531247
  },
  {
    "Code": "MSFT250509C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 460,
    "Volume": None,
    "OI": 2,
    "Ask": 0.42,
    "Bid": 0,
    "IV": 0.4018614501953125
  },
  {
    "Code": "MSFT250509C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-09",
    "Strike": 540,
    "Volume": None,
    "OI": 1,
    "Ask": 0.96,
    "Bid": 0,
    "IV": 0.6210975390625001
  },
  {
    "Code": "MSFT250509P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 230,
    "Volume": 1,
    "OI": 0,
    "Ask": 1.13,
    "Bid": 0,
    "IV": 0.7377955908203124
  },
  {
    "Code": "MSFT250509P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 240,
    "Volume": 1,
    "OI": 1,
    "Ask": 1.19,
    "Bid": 0,
    "IV": 0.6816438085937502
  },
  {
    "Code": "MSFT250509P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 250,
    "Volume": 1,
    "OI": 0,
    "Ask": 1.3,
    "Bid": 0.01,
    "IV": 0.6315954809570312
  },
  {
    "Code": "MSFT250509P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 265,
    "Volume": 2,
    "OI": 0,
    "Ask": 1.2,
    "Bid": 0.01,
    "IV": 0.5366257275390626
  },
  {
    "Code": "MSFT250509P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 270,
    "Volume": 23,
    "OI": 0,
    "Ask": 1.4,
    "Bid": 0.08,
    "IV": 0.5271043383789062
  },
  {
    "Code": "MSFT250509P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 280,
    "Volume": 2,
    "OI": 0,
    "Ask": 2.01,
    "Bid": 0.35,
    "IV": 0.5161181201171875
  },
  {
    "Code": "MSFT250509P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 285,
    "Volume": 10,
    "OI": 0,
    "Ask": 2.38,
    "Bid": 0.77,
    "IV": 0.5185595019531251
  },
  {
    "Code": "MSFT250509P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 290,
    "Volume": 4,
    "OI": 1,
    "Ask": 2.69,
    "Bid": 1.66,
    "IV": 0.5279588220214844
  },
  {
    "Code": "MSFT250509P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 295,
    "Volume": 40,
    "OI": 4,
    "Ask": 2.58,
    "Bid": 1.07,
    "IV": 0.5189257092285156
  },
  {
    "Code": "MSFT250509P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 300,
    "Volume": 381,
    "OI": 3665,
    "Ask": 2.91,
    "Bid": 2.72,
    "IV": 0.5028125891113282
  },
  {
    "Code": "MSFT250509P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 305,
    "Volume": 87,
    "OI": 360,
    "Ask": 2.87,
    "Bid": 1.84,
    "IV": 0.4670463452148438
  },
  {
    "Code": "MSFT250509P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 310,
    "Volume": 362,
    "OI": 41,
    "Ask": 3.8,
    "Bid": 3.6,
    "IV": 0.4744315252685547
  },
  {
    "Code": "MSFT250509P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 315,
    "Volume": 73,
    "OI": 59,
    "Ask": 3.85,
    "Bid": 3.45,
    "IV": 0.44098459411621094
  },
  {
    "Code": "MSFT250509P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 320,
    "Volume": 15,
    "OI": 51,
    "Ask": 4.55,
    "Bid": 4.45,
    "IV": 0.4312801013183594
  },
  {
    "Code": "MSFT250509P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 325,
    "Volume": 6,
    "OI": 52,
    "Ask": 5.45,
    "Bid": 5.6,
    "IV": 0.4244442321777344
  },
  {
    "Code": "MSFT250509P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 330,
    "Volume": 67,
    "OI": 62,
    "Ask": 7.2,
    "Bid": 6.55,
    "IV": 0.4386652813720704
  },
  {
    "Code": "MSFT250509P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 335,
    "Volume": 41,
    "OI": 93,
    "Ask": 8.45,
    "Bid": 7.65,
    "IV": 0.4317683776855469
  },
  {
    "Code": "MSFT250509P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 340,
    "Volume": 8,
    "OI": 72,
    "Ask": 8.85,
    "Bid": 8.95,
    "IV": 0.3983214465332031
  },
  {
    "Code": "MSFT250509P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 345,
    "Volume": 14,
    "OI": 109,
    "Ask": 10.15,
    "Bid": 10.75,
    "IV": 0.38532108825683586
  },
  {
    "Code": "MSFT250509P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 350,
    "Volume": 24,
    "OI": 108,
    "Ask": 11.95,
    "Bid": 11.9,
    "IV": 0.37982797912597654
  },
  {
    "Code": "MSFT250509P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 355,
    "Volume": 17,
    "OI": 89,
    "Ask": 13.9,
    "Bid": 13.55,
    "IV": 0.372625902709961
  },
  {
    "Code": "MSFT250509P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 360,
    "Volume": 99,
    "OI": 55,
    "Ask": 16.3,
    "Bid": 16.1,
    "IV": 0.37036762451171873
  },
  {
    "Code": "MSFT250509P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 365,
    "Volume": 69,
    "OI": 59,
    "Ask": 18.1,
    "Bid": 18.4,
    "IV": 0.34882242980957034
  },
  {
    "Code": "MSFT250509P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 370,
    "Volume": 48,
    "OI": 1247,
    "Ask": 20.85,
    "Bid": 21,
    "IV": 0.3430851824951171
  },
  {
    "Code": "MSFT250509P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 375,
    "Volume": 109,
    "OI": 181,
    "Ask": 23.55,
    "Bid": 23.45,
    "IV": 0.3299017205810546
  },
  {
    "Code": "MSFT250509P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 380,
    "Volume": 60,
    "OI": 185,
    "Ask": 25.8,
    "Bid": 27.45,
    "IV": 0.2971261694335937
  },
  {
    "Code": "MSFT250509P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 385,
    "Volume": 112,
    "OI": 155,
    "Ask": 29.65,
    "Bid": 29.5,
    "IV": 0.2980416876220703
  },
  {
    "Code": "MSFT250509P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 390,
    "Volume": 6,
    "OI": 52,
    "Ask": 33.15,
    "Bid": 33.3,
    "IV": 0.28064684204101553
  },
  {
    "Code": "MSFT250509P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 395,
    "Volume": 7,
    "OI": 64,
    "Ask": 36.3,
    "Bid": 37.05,
    "IV": 0.2304764453125
  },
  {
    "Code": "MSFT250509P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 400,
    "Volume": 2,
    "OI": 26,
    "Ask": 40.45,
    "Bid": 41,
    "IV": 0.18982743774414065
  },
  {
    "Code": "MSFT250509P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 405,
    "Volume": 9,
    "OI": 32,
    "Ask": 44.6,
    "Bid": 45.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250509P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 410,
    "Volume": None,
    "OI": 4,
    "Ask": 49,
    "Bid": 49.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250509P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 415,
    "Volume": 1,
    "OI": 1,
    "Ask": 53.5,
    "Bid": 53.9,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250509P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 420,
    "Volume": None,
    "OI": 14,
    "Ask": 58.05,
    "Bid": 58.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250509P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 425,
    "Volume": None,
    "OI": 12,
    "Ask": 62.75,
    "Bid": 63,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250509P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 430,
    "Volume": None,
    "OI": 3,
    "Ask": 72.1,
    "Bid": 68.15,
    "IV": 0.4229794030761719
  },
  {
    "Code": "MSFT250509P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 435,
    "Volume": 1,
    "OI": 1,
    "Ask": 76.9,
    "Bid": 73,
    "IV": 0.4314632049560547
  },
  {
    "Code": "MSFT250509P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 455,
    "Volume": 1,
    "OI": 0,
    "Ask": 97.3,
    "Bid": 93.05,
    "IV": 0.5302781347656251
  },
  {
    "Code": "MSFT250509P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-09",
    "Strike": 465,
    "Volume": None,
    "OI": 0,
    "Ask": 107.3,
    "Bid": 103.05,
    "IV": 0.5661664477539063
  },
  {
    "Code": "MSFT250516C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 230,
    "Volume": 1,
    "OI": 354,
    "Ask": 133.9,
    "Bid": 134.15,
    "IV": 1.009770576171875
  },
  {
    "Code": "MSFT250516C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 240,
    "Volume": 1,
    "OI": 6,
    "Ask": 124,
    "Bid": 119.55,
    "IV": 0.7744163183593751
  },
  {
    "Code": "MSFT250516C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 250,
    "Volume": 1,
    "OI": 21,
    "Ask": 114,
    "Bid": 109.7,
    "IV": 0.7153348779296875
  },
  {
    "Code": "MSFT250516C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 260,
    "Volume": 3,
    "OI": 4,
    "Ask": 104.5,
    "Bid": 100,
    "IV": 0.6803010485839844
  },
  {
    "Code": "MSFT250516C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 265,
    "Volume": 1,
    "OI": 1,
    "Ask": 99.95,
    "Bid": 95.2,
    "IV": 0.6689486230468751
  },
  {
    "Code": "MSFT250516C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 270,
    "Volume": 4,
    "OI": 25,
    "Ask": 94.9,
    "Bid": 90.35,
    "IV": 0.639652041015625
  },
  {
    "Code": "MSFT250516C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 280,
    "Volume": 2,
    "OI": 44,
    "Ask": 85.5,
    "Bid": 80.85,
    "IV": 0.6049844189453126
  },
  {
    "Code": "MSFT250516C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 285,
    "Volume": None,
    "OI": 1,
    "Ask": 81,
    "Bid": 80.9,
    "IV": 0.6923248541259766
  },
  {
    "Code": "MSFT250516C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 290,
    "Volume": 30,
    "OI": 20,
    "Ask": 76.35,
    "Bid": 76.2,
    "IV": 0.6682162084960939
  },
  {
    "Code": "MSFT250516C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 295,
    "Volume": 3,
    "OI": 2,
    "Ask": 71.7,
    "Bid": 71.95,
    "IV": 0.6512486047363282
  },
  {
    "Code": "MSFT250516C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 300,
    "Volume": 102,
    "OI": 119,
    "Ask": 66.4,
    "Bid": 67.4,
    "IV": 0.6168861553955078
  },
  {
    "Code": "MSFT250516C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 305,
    "Volume": 3,
    "OI": 13,
    "Ask": 61.85,
    "Bid": 63.7,
    "IV": 0.6081582153320313
  },
  {
    "Code": "MSFT250516C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 310,
    "Volume": 7,
    "OI": 56,
    "Ask": 57.4,
    "Bid": 59.65,
    "IV": 0.5930826824951172
  },
  {
    "Code": "MSFT250516C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 315,
    "Volume": 11,
    "OI": 51,
    "Ask": 53.35,
    "Bid": 55.3,
    "IV": 0.5775188732910157
  },
  {
    "Code": "MSFT250516C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 320,
    "Volume": 1,
    "OI": 88,
    "Ask": 49.05,
    "Bid": 51.05,
    "IV": 0.5579267840576172
  },
  {
    "Code": "MSFT250516C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 325,
    "Volume": 1,
    "OI": 54,
    "Ask": 45.15,
    "Bid": 46.8,
    "IV": 0.5417526293945314
  },
  {
    "Code": "MSFT250516C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 330,
    "Volume": 80,
    "OI": 393,
    "Ask": 41.5,
    "Bid": 41.85,
    "IV": 0.5179186392211915
  },
  {
    "Code": "MSFT250516C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 335,
    "Volume": 71,
    "OI": 145,
    "Ask": 38.55,
    "Bid": 38.95,
    "IV": 0.5248155429077149
  },
  {
    "Code": "MSFT250516C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 340,
    "Volume": 32,
    "OI": 157,
    "Ask": 35.5,
    "Bid": 33.95,
    "IV": 0.5025989682006836
  },
  {
    "Code": "MSFT250516C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 345,
    "Volume": 8,
    "OI": 159,
    "Ask": 32,
    "Bid": 32.05,
    "IV": 0.5072986282348633
  },
  {
    "Code": "MSFT250516C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 350,
    "Volume": 155,
    "OI": 571,
    "Ask": 28.5,
    "Bid": 28.65,
    "IV": 0.4904530935668946
  },
  {
    "Code": "MSFT250516C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 355,
    "Volume": 93,
    "OI": 538,
    "Ask": 25.45,
    "Bid": 25.45,
    "IV": 0.48068756622314457
  },
  {
    "Code": "MSFT250516C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 360,
    "Volume": 177,
    "OI": 256,
    "Ask": 22.3,
    "Bid": 22.4,
    "IV": 0.46545944702148445
  },
  {
    "Code": "MSFT250516C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 365,
    "Volume": 408,
    "OI": 333,
    "Ask": 19.65,
    "Bid": 19.6,
    "IV": 0.4571892660522462
  },
  {
    "Code": "MSFT250516C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 370,
    "Volume": 1272,
    "OI": 3564,
    "Ask": 15.1,
    "Bid": 17,
    "IV": 0.4054014538574219
  },
  {
    "Code": "MSFT250516C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 375,
    "Volume": 1224,
    "OI": 2059,
    "Ask": 13.9,
    "Bid": 14.6,
    "IV": 0.41968353759765625
  },
  {
    "Code": "MSFT250516C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 380,
    "Volume": 354,
    "OI": 1547,
    "Ask": 10.85,
    "Bid": 12.4,
    "IV": 0.3900817828369141
  },
  {
    "Code": "MSFT250516C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 385,
    "Volume": 1122,
    "OI": 1966,
    "Ask": 9.1,
    "Bid": 10.45,
    "IV": 0.38397832824707034
  },
  {
    "Code": "MSFT250516C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 390,
    "Volume": 1458,
    "OI": 3576,
    "Ask": 9,
    "Bid": 8.7,
    "IV": 0.4129392202758788
  },
  {
    "Code": "MSFT250516C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 395,
    "Volume": 1138,
    "OI": 1949,
    "Ask": 7.5,
    "Bid": 7.2,
    "IV": 0.40582869567871094
  },
  {
    "Code": "MSFT250516C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 400,
    "Volume": 1898,
    "OI": 31380,
    "Ask": 5.8,
    "Bid": 5.9,
    "IV": 0.38849488464355464
  },
  {
    "Code": "MSFT250516C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 405,
    "Volume": 537,
    "OI": 3762,
    "Ask": 3.95,
    "Bid": 4.85,
    "IV": 0.358954164428711
  },
  {
    "Code": "MSFT250516C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 410,
    "Volume": 890,
    "OI": 6230,
    "Ask": 3.2,
    "Bid": 3.9,
    "IV": 0.3566958862304687
  },
  {
    "Code": "MSFT250516C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 415,
    "Volume": 1371,
    "OI": 3229,
    "Ask": 2.45,
    "Bid": 3.15,
    "IV": 0.34961587890624996
  },
  {
    "Code": "MSFT250516C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 420,
    "Volume": 1087,
    "OI": 4781,
    "Ask": 2,
    "Bid": 2.49,
    "IV": 0.35016518981933586
  },
  {
    "Code": "MSFT250516C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 425,
    "Volume": 449,
    "OI": 3814,
    "Ask": 1.59,
    "Bid": 1.99,
    "IV": 0.34888346435546874
  },
  {
    "Code": "MSFT250516C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 430,
    "Volume": 481,
    "OI": 4237,
    "Ask": 1.25,
    "Bid": 1.57,
    "IV": 0.34729656616210935
  },
  {
    "Code": "MSFT250516C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 435,
    "Volume": 277,
    "OI": 2215,
    "Ask": 1.23,
    "Bid": 1.23,
    "IV": 0.36304347900390627
  },
  {
    "Code": "MSFT250516C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 440,
    "Volume": 291,
    "OI": 4468,
    "Ask": 0.84,
    "Bid": 0.96,
    "IV": 0.3513248461914062
  },
  {
    "Code": "MSFT250516C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 445,
    "Volume": 93,
    "OI": 2146,
    "Ask": 0.68,
    "Bid": 0.73,
    "IV": 0.35278967529296873
  },
  {
    "Code": "MSFT250516C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 450,
    "Volume": 341,
    "OI": 11502,
    "Ask": 0.45,
    "Bid": 0.57,
    "IV": 0.3425358715820312
  },
  {
    "Code": "MSFT250516C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 455,
    "Volume": 31,
    "OI": 1458,
    "Ask": 0.53,
    "Bid": 0.44,
    "IV": 0.36597313720703123
  },
  {
    "Code": "MSFT250516C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 460,
    "Volume": 419,
    "OI": 17861,
    "Ask": 0.27,
    "Bid": 0.33,
    "IV": 0.34229173339843744
  },
  {
    "Code": "MSFT250516C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 465,
    "Volume": 19,
    "OI": 616,
    "Ask": 0.21,
    "Bid": 0.26,
    "IV": 0.34278000976562495
  },
  {
    "Code": "MSFT250516C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 470,
    "Volume": 22,
    "OI": 1780,
    "Ask": 0.3,
    "Bid": 0.19,
    "IV": 0.37305314453125
  },
  {
    "Code": "MSFT250516C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 475,
    "Volume": 92,
    "OI": 810,
    "Ask": 0.25,
    "Bid": 0.15,
    "IV": 0.3754945263671875
  },
  {
    "Code": "MSFT250516C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 480,
    "Volume": 10,
    "OI": 2547,
    "Ask": 0.21,
    "Bid": 0.11,
    "IV": 0.37842418457031246
  },
  {
    "Code": "MSFT250516C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 485,
    "Volume": 66,
    "OI": 1359,
    "Ask": 0.1,
    "Bid": 0.08,
    "IV": 0.35645174804687496
  },
  {
    "Code": "MSFT250516C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 490,
    "Volume": 13,
    "OI": 1086,
    "Ask": 0.12,
    "Bid": 0.05,
    "IV": 0.37500625
  },
  {
    "Code": "MSFT250516C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 495,
    "Volume": 3,
    "OI": 558,
    "Ask": 0.16,
    "Bid": 0.04,
    "IV": 0.39893179199218753
  },
  {
    "Code": "MSFT250516C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 500,
    "Volume": 945,
    "OI": 2330,
    "Ask": 0.08,
    "Bid": 0.04,
    "IV": 0.37793590820312495
  },
  {
    "Code": "MSFT250516C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 505,
    "Volume": 2,
    "OI": 548,
    "Ask": 0.13,
    "Bid": 0.01,
    "IV": 0.4101621484375
  },
  {
    "Code": "MSFT250516C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 510,
    "Volume": 1,
    "OI": 1162,
    "Ask": 0.11,
    "Bid": 0.02,
    "IV": 0.41211525390625
  },
  {
    "Code": "MSFT250516C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 515,
    "Volume": 1,
    "OI": 492,
    "Ask": 0.12,
    "Bid": 0,
    "IV": 0.42676354492187507
  },
  {
    "Code": "MSFT250516C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 520,
    "Volume": 1,
    "OI": 279,
    "Ask": 0.05,
    "Bid": 0,
    "IV": 0.398443515625
  },
  {
    "Code": "MSFT250516C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 525,
    "Volume": 2,
    "OI": 212,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.437505625
  },
  {
    "Code": "MSFT250516C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 530,
    "Volume": 1,
    "OI": 305,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.44727115234375
  },
  {
    "Code": "MSFT250516C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 535,
    "Volume": 20,
    "OI": 113,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.45117736328125
  },
  {
    "Code": "MSFT250516C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 540,
    "Volume": 5,
    "OI": 464,
    "Ask": 0.09,
    "Bid": 0.01,
    "IV": 0.459966337890625
  },
  {
    "Code": "MSFT250516C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 560,
    "Volume": 200,
    "OI": 668,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.49023947265625006
  },
  {
    "Code": "MSFT250516C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 580,
    "Volume": 10,
    "OI": 219,
    "Ask": 0.07,
    "Bid": 0,
    "IV": 0.51758294921875
  },
  {
    "Code": "MSFT250516C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 600,
    "Volume": 3,
    "OI": 1055,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.5214891601562499
  },
  {
    "Code": "MSFT250516C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-16",
    "Strike": 620,
    "Volume": 2,
    "OI": 187,
    "Ask": 0.07,
    "Bid": 0,
    "IV": 0.5449264257812501
  },
  {
    "Code": "MSFT250516P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 230,
    "Volume": 313,
    "OI": 228,
    "Ask": 0.32,
    "Bid": 0.31,
    "IV": 0.6157264990234376
  },
  {
    "Code": "MSFT250516P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 240,
    "Volume": 14,
    "OI": 156,
    "Ask": 0.4,
    "Bid": 0.42,
    "IV": 0.5854533642578125
  },
  {
    "Code": "MSFT250516P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 250,
    "Volume": 33,
    "OI": 919,
    "Ask": 0.56,
    "Bid": 0.65,
    "IV": 0.5676312768554688
  },
  {
    "Code": "MSFT250516P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 255,
    "Volume": 40,
    "OI": 15,
    "Ask": 0.68,
    "Bid": 0.75,
    "IV": 0.5566450585937501
  },
  {
    "Code": "MSFT250516P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 260,
    "Volume": 40,
    "OI": 76,
    "Ask": 0.78,
    "Bid": 0.67,
    "IV": 0.5310105493164063
  },
  {
    "Code": "MSFT250516P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 265,
    "Volume": 16,
    "OI": 245,
    "Ask": 0.9,
    "Bid": 1.09,
    "IV": 0.5351608984375
  },
  {
    "Code": "MSFT250516P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 270,
    "Volume": 185,
    "OI": 488,
    "Ask": 1.09,
    "Bid": 1.31,
    "IV": 0.5271043383789062
  },
  {
    "Code": "MSFT250516P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 275,
    "Volume": 384,
    "OI": 697,
    "Ask": 1.25,
    "Bid": 1.36,
    "IV": 0.5081836291503907
  },
  {
    "Code": "MSFT250516P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 280,
    "Volume": 161,
    "OI": 439,
    "Ask": 1.48,
    "Bid": 1.87,
    "IV": 0.507817421875
  },
  {
    "Code": "MSFT250516P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 285,
    "Volume": 21,
    "OI": 46,
    "Ask": 1.72,
    "Bid": 2.2,
    "IV": 0.4820608435058594
  },
  {
    "Code": "MSFT250516P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 290,
    "Volume": 324,
    "OI": 406,
    "Ask": 2.03,
    "Bid": 1.93,
    "IV": 0.47241738525390625
  },
  {
    "Code": "MSFT250516P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 295,
    "Volume": 40,
    "OI": 282,
    "Ask": 2.39,
    "Bid": 3.05,
    "IV": 0.4627739270019532
  },
  {
    "Code": "MSFT250516P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 300,
    "Volume": 247,
    "OI": 1566,
    "Ask": 2.8,
    "Bid": 3.6,
    "IV": 0.4527642614746094
  },
  {
    "Code": "MSFT250516P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 305,
    "Volume": 111,
    "OI": 220,
    "Ask": 3.3,
    "Bid": 4.25,
    "IV": 0.4439142523193359
  },
  {
    "Code": "MSFT250516P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 310,
    "Volume": 244,
    "OI": 2689,
    "Ask": 3.85,
    "Bid": 3.8,
    "IV": 0.43396562133789063
  },
  {
    "Code": "MSFT250516P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 315,
    "Volume": 73,
    "OI": 849,
    "Ask": 4.5,
    "Bid": 4.3,
    "IV": 0.42456630126953127
  },
  {
    "Code": "MSFT250516P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 320,
    "Volume": 452,
    "OI": 3454,
    "Ask": 5.25,
    "Bid": 5,
    "IV": 0.41528905029296875
  },
  {
    "Code": "MSFT250516P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 325,
    "Volume": 1303,
    "OI": 6298,
    "Ask": 6.1,
    "Bid": 7.7,
    "IV": 0.4056455920410156
  },
  {
    "Code": "MSFT250516P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 330,
    "Volume": 860,
    "OI": 3120,
    "Ask": 7.1,
    "Bid": 8.8,
    "IV": 0.39679558288574224
  },
  {
    "Code": "MSFT250516P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 335,
    "Volume": 933,
    "OI": 1762,
    "Ask": 8.2,
    "Bid": 9,
    "IV": 0.3869079864501953
  },
  {
    "Code": "MSFT250516P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 340,
    "Volume": 530,
    "OI": 2102,
    "Ask": 9.5,
    "Bid": 9.5,
    "IV": 0.3782105636596679
  },
  {
    "Code": "MSFT250516P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 345,
    "Volume": 1225,
    "OI": 2742,
    "Ask": 10.9,
    "Bid": 13,
    "IV": 0.36783469085693365
  },
  {
    "Code": "MSFT250516P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 350,
    "Volume": 378,
    "OI": 8374,
    "Ask": 12.5,
    "Bid": 14.75,
    "IV": 0.3578250253295898
  },
  {
    "Code": "MSFT250516P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 355,
    "Volume": 1172,
    "OI": 2093,
    "Ask": 14.35,
    "Bid": 16.65,
    "IV": 0.34882242980957034
  },
  {
    "Code": "MSFT250516P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 360,
    "Volume": 438,
    "OI": 3986,
    "Ask": 16.3,
    "Bid": 18.8,
    "IV": 0.3372563833618164
  },
  {
    "Code": "MSFT250516P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 365,
    "Volume": 948,
    "OI": 2179,
    "Ask": 18.5,
    "Bid": 21.1,
    "IV": 0.3259955096435546
  },
  {
    "Code": "MSFT250516P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 370,
    "Volume": 1247,
    "OI": 4519,
    "Ask": 20.9,
    "Bid": 23.65,
    "IV": 0.313483427734375
  },
  {
    "Code": "MSFT250516P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 375,
    "Volume": 526,
    "OI": 4245,
    "Ask": 23.5,
    "Bid": 26.4,
    "IV": 0.29932341308593746
  },
  {
    "Code": "MSFT250516P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 380,
    "Volume": 244,
    "OI": 5685,
    "Ask": 26.3,
    "Bid": 27,
    "IV": 0.2825999475097656
  },
  {
    "Code": "MSFT250516P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 385,
    "Volume": 266,
    "OI": 5351,
    "Ask": 29.35,
    "Bid": 30.5,
    "IV": 0.26343510009765625
  },
  {
    "Code": "MSFT250516P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 390,
    "Volume": 737,
    "OI": 8932,
    "Ask": 32.65,
    "Bid": 35.55,
    "IV": 0.23957059265136715
  },
  {
    "Code": "MSFT250516P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 395,
    "Volume": 115,
    "OI": 2936,
    "Ask": 37.1,
    "Bid": 38.65,
    "IV": 0.2436599072265625
  },
  {
    "Code": "MSFT250516P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 400,
    "Volume": 106,
    "OI": 5989,
    "Ask": 40.85,
    "Bid": 41.5,
    "IV": 0.2048419360351562
  },
  {
    "Code": "MSFT250516P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 405,
    "Volume": 68,
    "OI": 2956,
    "Ask": 44.55,
    "Bid": 46.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 410,
    "Volume": 87,
    "OI": 1982,
    "Ask": 49.1,
    "Bid": 50.85,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 415,
    "Volume": 31,
    "OI": 1391,
    "Ask": 53,
    "Bid": 55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 420,
    "Volume": 31,
    "OI": 1842,
    "Ask": 57.15,
    "Bid": 58.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 425,
    "Volume": 54,
    "OI": 804,
    "Ask": 63.15,
    "Bid": 63.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 430,
    "Volume": 6,
    "OI": 760,
    "Ask": 67.7,
    "Bid": 68,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 435,
    "Volume": 9,
    "OI": 388,
    "Ask": 72.45,
    "Bid": 73,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 440,
    "Volume": 5,
    "OI": 699,
    "Ask": 82.4,
    "Bid": 78,
    "IV": 0.4361628649902344
  },
  {
    "Code": "MSFT250516P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 445,
    "Volume": 280,
    "OI": 115,
    "Ask": 87.25,
    "Bid": 82.6,
    "IV": 0.446294599609375
  },
  {
    "Code": "MSFT250516P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 450,
    "Volume": 182,
    "OI": 82,
    "Ask": 92.25,
    "Bid": 87.65,
    "IV": 0.4633842724609375
  },
  {
    "Code": "MSFT250516P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 455,
    "Volume": 3,
    "OI": 2,
    "Ask": 97.3,
    "Bid": 92.65,
    "IV": 0.48291532714843755
  },
  {
    "Code": "MSFT250516P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 460,
    "Volume": 7,
    "OI": 7,
    "Ask": 102.3,
    "Bid": 97.6,
    "IV": 0.4993946545410156
  },
  {
    "Code": "MSFT250516P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 465,
    "Volume": 1,
    "OI": 0,
    "Ask": 107.15,
    "Bid": 102.6,
    "IV": 0.5072070764160157
  },
  {
    "Code": "MSFT250516P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 470,
    "Volume": 34,
    "OI": 0,
    "Ask": 80.85,
    "Bid": 79.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 475,
    "Volume": 6,
    "OI": 0,
    "Ask": 93.65,
    "Bid": 92.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 122.3,
    "Bid": 117.6,
    "IV": 0.5625043750000001
  },
  {
    "Code": "MSFT250516P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 485,
    "Volume": 3,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 100.4,
    "Bid": 97.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 495,
    "Volume": 4,
    "OI": 0,
    "Ask": 113.75,
    "Bid": 112.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 500,
    "Volume": 1,
    "OI": 0,
    "Ask": 142.3,
    "Bid": 137.6,
    "IV": 0.6213416772460938
  },
  {
    "Code": "MSFT250516P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 505,
    "Volume": 9,
    "OI": 0,
    "Ask": 147.3,
    "Bid": 142.65,
    "IV": 0.6355016918945313
  },
  {
    "Code": "MSFT250516P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 510,
    "Volume": 8,
    "OI": 0,
    "Ask": 92.35,
    "Bid": 90.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 515,
    "Volume": 14,
    "OI": 0,
    "Ask": 97.25,
    "Bid": 94.1,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 520,
    "Volume": None,
    "OI": 0,
    "Ask": 95.35,
    "Bid": 91.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 525,
    "Volume": None,
    "OI": 0,
    "Ask": 99.4,
    "Bid": 97.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 530,
    "Volume": None,
    "OI": 0,
    "Ask": 112.25,
    "Bid": 110.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 535,
    "Volume": None,
    "OI": 0,
    "Ask": 109.4,
    "Bid": 107.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250516P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-16",
    "Strike": 560,
    "Volume": None,
    "OI": 0,
    "Ask": 117.5,
    "Bid": 114.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250523C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 335,
    "Volume": 2,
    "OI": 1,
    "Ask": 39.1,
    "Bid": 38.55,
    "IV": 0.4926198199462891
  },
  {
    "Code": "MSFT250523C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 340,
    "Volume": 2,
    "OI": 0,
    "Ask": 35.7,
    "Bid": 35.8,
    "IV": 0.48492946716308594
  },
  {
    "Code": "MSFT250523C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 350,
    "Volume": 1,
    "OI": 0,
    "Ask": 29,
    "Bid": 28.3,
    "IV": 0.46320116882324225
  },
  {
    "Code": "MSFT250523C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 360,
    "Volume": 513,
    "OI": 0,
    "Ask": 22.15,
    "Bid": 22.1,
    "IV": 0.42731285583496104
  },
  {
    "Code": "MSFT250523C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 365,
    "Volume": 2,
    "OI": 0,
    "Ask": 20.15,
    "Bid": 19.2,
    "IV": 0.4321345849609375
  },
  {
    "Code": "MSFT250523C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 370,
    "Volume": 4,
    "OI": 1,
    "Ask": 16.75,
    "Bid": 16.7,
    "IV": 0.4066221447753906
  },
  {
    "Code": "MSFT250523C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 375,
    "Volume": 21,
    "OI": 30,
    "Ask": 15.25,
    "Bid": 14.55,
    "IV": 0.4143735321044921
  },
  {
    "Code": "MSFT250523C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 380,
    "Volume": 20,
    "OI": 4,
    "Ask": 13.1,
    "Bid": 12.2,
    "IV": 0.4060423165893554
  },
  {
    "Code": "MSFT250523C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 385,
    "Volume": 25,
    "OI": 0,
    "Ask": 11.25,
    "Bid": 9.8,
    "IV": 0.4000914483642578
  },
  {
    "Code": "MSFT250523C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 390,
    "Volume": 10,
    "OI": 21,
    "Ask": 9.4,
    "Bid": 8.2,
    "IV": 0.39038695556640624
  },
  {
    "Code": "MSFT250523C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 395,
    "Volume": 80,
    "OI": 3,
    "Ask": 7.85,
    "Bid": 7.2,
    "IV": 0.3831238446044921
  },
  {
    "Code": "MSFT250523C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 400,
    "Volume": 57,
    "OI": 5,
    "Ask": 6.95,
    "Bid": 4.75,
    "IV": 0.3875183319091796
  },
  {
    "Code": "MSFT250523C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 405,
    "Volume": 3,
    "OI": 1,
    "Ask": 5.95,
    "Bid": 3.6,
    "IV": 0.38660281372070304
  },
  {
    "Code": "MSFT250523C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 410,
    "Volume": 7,
    "OI": 30,
    "Ask": 4.5,
    "Bid": 2.47,
    "IV": 0.3695131408691406
  },
  {
    "Code": "MSFT250523C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 415,
    "Volume": 29,
    "OI": 0,
    "Ask": 3.55,
    "Bid": 1.58,
    "IV": 0.36133451171875
  },
  {
    "Code": "MSFT250523C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 420,
    "Volume": 20,
    "OI": 14,
    "Ask": 3.2,
    "Bid": 1.05,
    "IV": 0.36926900268554685
  },
  {
    "Code": "MSFT250523C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 425,
    "Volume": 6,
    "OI": 11,
    "Ask": 2.99,
    "Bid": 0.66,
    "IV": 0.38068246276855466
  },
  {
    "Code": "MSFT250523C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 430,
    "Volume": 22,
    "OI": 1,
    "Ask": 2.6,
    "Bid": 1.07,
    "IV": 0.3839172937011719
  },
  {
    "Code": "MSFT250523C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 435,
    "Volume": 17,
    "OI": 0,
    "Ask": 2.28,
    "Bid": 0,
    "IV": 0.38788453918457033
  },
  {
    "Code": "MSFT250523C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 440,
    "Volume": 1,
    "OI": 0,
    "Ask": 1.99,
    "Bid": 0,
    "IV": 0.3913635083007812
  },
  {
    "Code": "MSFT250523C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 445,
    "Volume": 2,
    "OI": 0,
    "Ask": 2.15,
    "Bid": 0,
    "IV": 0.415044912109375
  },
  {
    "Code": "MSFT250523C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 450,
    "Volume": 2,
    "OI": 0,
    "Ask": 1.56,
    "Bid": 0,
    "IV": 0.40039662109375
  },
  {
    "Code": "MSFT250523C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-05-23",
    "Strike": 460,
    "Volume": 5,
    "OI": None,
    "Ask": 1.28,
    "Bid": 0.01,
    "IV": 0.41260353027343744
  },
  {
    "Code": "MSFT250523P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 250,
    "Volume": 2,
    "OI": None,
    "Ask": 1.8,
    "Bid": 0,
    "IV": 0.5622602368164062
  },
  {
    "Code": "MSFT250523P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 275,
    "Volume": 2,
    "OI": None,
    "Ask": 2.65,
    "Bid": 0.94,
    "IV": 0.5041553491210937
  },
  {
    "Code": "MSFT250523P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 280,
    "Volume": 2,
    "OI": None,
    "Ask": 2.69,
    "Bid": 1.17,
    "IV": 0.5275926147460939
  },
  {
    "Code": "MSFT250523P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 295,
    "Volume": 13,
    "OI": None,
    "Ask": 3.6,
    "Bid": 2.42,
    "IV": 0.4810842907714844
  },
  {
    "Code": "MSFT250523P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 300,
    "Volume": 2,
    "OI": None,
    "Ask": 4.1,
    "Bid": 2.97,
    "IV": 0.4704032452392578
  },
  {
    "Code": "MSFT250523P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 310,
    "Volume": 8,
    "OI": 8,
    "Ask": 4.7,
    "Bid": 4.3,
    "IV": 0.4298763067626954
  },
  {
    "Code": "MSFT250523P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 315,
    "Volume": 2,
    "OI": 0,
    "Ask": 5.9,
    "Bid": 5.5,
    "IV": 0.435125277709961
  },
  {
    "Code": "MSFT250523P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 320,
    "Volume": 23,
    "OI": 1,
    "Ask": 7.05,
    "Bid": 6.25,
    "IV": 0.43411820770263676
  },
  {
    "Code": "MSFT250523P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 325,
    "Volume": 21,
    "OI": 0,
    "Ask": 8.4,
    "Bid": 7.15,
    "IV": 0.4343013113403321
  },
  {
    "Code": "MSFT250523P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 330,
    "Volume": 66,
    "OI": 11,
    "Ask": 8.65,
    "Bid": 8.05,
    "IV": 0.4044859356689453
  },
  {
    "Code": "MSFT250523P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 335,
    "Volume": 61,
    "OI": 0,
    "Ask": 9.85,
    "Bid": 9.25,
    "IV": 0.39539178833007815
  },
  {
    "Code": "MSFT250523P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 340,
    "Volume": 24,
    "OI": 3,
    "Ask": 11.15,
    "Bid": 10.95,
    "IV": 0.38532108825683586
  },
  {
    "Code": "MSFT250523P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 345,
    "Volume": 66,
    "OI": 3,
    "Ask": 12.15,
    "Bid": 12.25,
    "IV": 0.36591210266113283
  },
  {
    "Code": "MSFT250523P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 350,
    "Volume": 45,
    "OI": 2,
    "Ask": 13.7,
    "Bid": 14.15,
    "IV": 0.35474278076171867
  },
  {
    "Code": "MSFT250523P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 355,
    "Volume": 19,
    "OI": 0,
    "Ask": 15.8,
    "Bid": 15.9,
    "IV": 0.3506534661865234
  },
  {
    "Code": "MSFT250523P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 360,
    "Volume": 27,
    "OI": 2,
    "Ask": 18,
    "Bid": 17.95,
    "IV": 0.34442794250488284
  },
  {
    "Code": "MSFT250523P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 365,
    "Volume": 20,
    "OI": 0,
    "Ask": 20.5,
    "Bid": 20.15,
    "IV": 0.33978931701660153
  },
  {
    "Code": "MSFT250523P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 370,
    "Volume": 49,
    "OI": 7,
    "Ask": 22.1,
    "Bid": 22.7,
    "IV": 0.3132698068237304
  },
  {
    "Code": "MSFT250523P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 375,
    "Volume": 43,
    "OI": 14,
    "Ask": 25.15,
    "Bid": 26.6,
    "IV": 0.3101570449829102
  },
  {
    "Code": "MSFT250523P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 380,
    "Volume": 5,
    "OI": 1,
    "Ask": 27.9,
    "Bid": 28.45,
    "IV": 0.29584444396972653
  },
  {
    "Code": "MSFT250523P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 385,
    "Volume": 12,
    "OI": 5,
    "Ask": 31.75,
    "Bid": 31.65,
    "IV": 0.30005582763671873
  },
  {
    "Code": "MSFT250523P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 390,
    "Volume": 2,
    "OI": 1,
    "Ask": 35.1,
    "Bid": 34.65,
    "IV": 0.28790995300292954
  },
  {
    "Code": "MSFT250523P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 395,
    "Volume": 13,
    "OI": 6,
    "Ask": 37.5,
    "Bid": 38.45,
    "IV": 0.2387771435546875
  },
  {
    "Code": "MSFT250523P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 400,
    "Volume": 8,
    "OI": 1,
    "Ask": 42,
    "Bid": 42.05,
    "IV": 0.24195093994140626
  },
  {
    "Code": "MSFT250523P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 405,
    "Volume": 4,
    "OI": 2,
    "Ask": 46,
    "Bid": 46,
    "IV": 0.2153398779296875
  },
  {
    "Code": "MSFT250523P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-05-23",
    "Strike": 410,
    "Volume": None,
    "OI": 2,
    "Ask": 50,
    "Bid": 50.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620C00115000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 115,
    "Volume": 1,
    "OI": 76,
    "Ask": 247.9,
    "Bid": 243.55,
    "IV": 1.2348671069335935
  },
  {
    "Code": "MSFT250620C00120000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 120,
    "Volume": 1,
    "OI": 163,
    "Ask": 242.9,
    "Bid": 238.3,
    "IV": 1.1635784008789063
  },
  {
    "Code": "MSFT250620C00125000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 125,
    "Volume": 15,
    "OI": 64,
    "Ask": 268.85,
    "Bid": 266.25,
    "IV": 3.031008281860352
  },
  {
    "Code": "MSFT250620C00130000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 130,
    "Volume": 2,
    "OI": 458,
    "Ask": 233,
    "Bid": 228.5,
    "IV": 1.1147505200195313
  },
  {
    "Code": "MSFT250620C00135000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 135,
    "Volume": 1,
    "OI": 142,
    "Ask": 290.45,
    "Bid": 286,
    "IV": 4.11432370475769
  },
  {
    "Code": "MSFT250620C00140000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 140,
    "Volume": 7,
    "OI": 40,
    "Ask": 254,
    "Bid": 251.35,
    "IV": 2.7482941448974607
  },
  {
    "Code": "MSFT250620C00145000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 145,
    "Volume": 1,
    "OI": 136,
    "Ask": 284,
    "Bid": 279,
    "IV": 3.972656318359375
  },
  {
    "Code": "MSFT250620C00150000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 150,
    "Volume": 1,
    "OI": 778,
    "Ask": 213,
    "Bid": 208.75,
    "IV": 0.9897461962890625
  },
  {
    "Code": "MSFT250620C00155000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 155,
    "Volume": 15,
    "OI": 134,
    "Ask": 225.85,
    "Bid": 223.9,
    "IV": 2.0223438113403325
  },
  {
    "Code": "MSFT250620C00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 160,
    "Volume": 1,
    "OI": 34,
    "Ask": 203.5,
    "Bid": 198.7,
    "IV": 0.9548344360351562
  },
  {
    "Code": "MSFT250620C00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 165,
    "Volume": 1,
    "OI": 70,
    "Ask": 273.45,
    "Bid": 272.5,
    "IV": 3.9008791540527343
  },
  {
    "Code": "MSFT250620C00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 170,
    "Volume": 52,
    "OI": 318,
    "Ask": 193.5,
    "Bid": 188.95,
    "IV": 0.905274384765625
  },
  {
    "Code": "MSFT250620C00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 175,
    "Volume": 1,
    "OI": 41,
    "Ask": 236.85,
    "Bid": 233.25,
    "IV": 2.7590363055419918
  },
  {
    "Code": "MSFT250620C00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 180,
    "Volume": 1,
    "OI": 1079,
    "Ask": 183.5,
    "Bid": 179.2,
    "IV": 0.8571791625976561
  },
  {
    "Code": "MSFT250620C00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 185,
    "Volume": 1,
    "OI": 61,
    "Ask": 225.6,
    "Bid": 224.25,
    "IV": 2.597110440826416
  },
  {
    "Code": "MSFT250620C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 190,
    "Volume": 4,
    "OI": 155,
    "Ask": 173.5,
    "Bid": 169.4,
    "IV": 0.8077411804199219
  },
  {
    "Code": "MSFT250620C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 195,
    "Volume": 1,
    "OI": 493,
    "Ask": 169,
    "Bid": 164.45,
    "IV": 0.8034687622070311
  },
  {
    "Code": "MSFT250620C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 200,
    "Volume": 2,
    "OI": 454,
    "Ask": 164,
    "Bid": 159.5,
    "IV": 0.7767356311035156
  },
  {
    "Code": "MSFT250620C00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 205,
    "Volume": 1,
    "OI": 103,
    "Ask": 159,
    "Bid": 154.6,
    "IV": 0.7524438818359375
  },
  {
    "Code": "MSFT250620C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 210,
    "Volume": 1,
    "OI": 69,
    "Ask": 154,
    "Bid": 149.75,
    "IV": 0.7304714453125
  },
  {
    "Code": "MSFT250620C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 215,
    "Volume": 2,
    "OI": 14,
    "Ask": 149,
    "Bid": 144.9,
    "IV": 0.7086210778808593
  },
  {
    "Code": "MSFT250620C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 220,
    "Volume": 2,
    "OI": 162,
    "Ask": 144.45,
    "Bid": 140,
    "IV": 0.700198310546875
  },
  {
    "Code": "MSFT250620C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 225,
    "Volume": 13,
    "OI": 97,
    "Ask": 189.5,
    "Bid": 185.8,
    "IV": 2.1269578076171873
  },
  {
    "Code": "MSFT250620C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 230,
    "Volume": 1,
    "OI": 513,
    "Ask": 134.5,
    "Bid": 130.3,
    "IV": 0.6574741284179688
  },
  {
    "Code": "MSFT250620C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 235,
    "Volume": 2,
    "OI": 160,
    "Ask": 130,
    "Bid": 125.45,
    "IV": 0.6492954992675781
  },
  {
    "Code": "MSFT250620C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 240,
    "Volume": 1,
    "OI": 261,
    "Ask": 125,
    "Bid": 120.65,
    "IV": 0.6281775463867189
  },
  {
    "Code": "MSFT250620C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 245,
    "Volume": 1,
    "OI": 457,
    "Ask": 120.4,
    "Bid": 115.8,
    "IV": 0.6156044299316408
  },
  {
    "Code": "MSFT250620C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 250,
    "Volume": 8,
    "OI": 422,
    "Ask": 115.5,
    "Bid": 111.05,
    "IV": 0.5976602734375001
  },
  {
    "Code": "MSFT250620C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 255,
    "Volume": 1,
    "OI": 106,
    "Ask": 110.85,
    "Bid": 106.3,
    "IV": 0.5847209497070311
  },
  {
    "Code": "MSFT250620C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 260,
    "Volume": 20,
    "OI": 196,
    "Ask": 106,
    "Bid": 101.6,
    "IV": 0.5679974841308593
  },
  {
    "Code": "MSFT250620C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 265,
    "Volume": 5,
    "OI": 125,
    "Ask": 101.5,
    "Bid": 101.5,
    "IV": 0.6351354846191408
  },
  {
    "Code": "MSFT250620C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 270,
    "Volume": 2,
    "OI": 479,
    "Ask": 96.85,
    "Bid": 97.4,
    "IV": 0.6256140954589844
  },
  {
    "Code": "MSFT250620C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 275,
    "Volume": 1,
    "OI": 154,
    "Ask": 92.25,
    "Bid": 93.5,
    "IV": 0.6183509844970705
  },
  {
    "Code": "MSFT250620C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 280,
    "Volume": 9,
    "OI": 227,
    "Ask": 87.7,
    "Bid": 87.9,
    "IV": 0.5875285388183593
  },
  {
    "Code": "MSFT250620C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 285,
    "Volume": 11,
    "OI": 96,
    "Ask": 82.7,
    "Bid": 83.95,
    "IV": 0.5726971441650393
  },
  {
    "Code": "MSFT250620C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 290,
    "Volume": 1,
    "OI": 389,
    "Ask": 78.15,
    "Bid": 78.6,
    "IV": 0.5452926330566408
  },
  {
    "Code": "MSFT250620C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 295,
    "Volume": 2,
    "OI": 65,
    "Ask": 73.85,
    "Bid": 74.85,
    "IV": 0.5401046966552736
  },
  {
    "Code": "MSFT250620C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 300,
    "Volume": 5,
    "OI": 986,
    "Ask": 70,
    "Bid": 71,
    "IV": 0.5369919348144532
  },
  {
    "Code": "MSFT250620C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 305,
    "Volume": 2,
    "OI": 490,
    "Ask": 65.9,
    "Bid": 66.8,
    "IV": 0.5254869229125977
  },
  {
    "Code": "MSFT250620C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 310,
    "Volume": 56,
    "OI": 509,
    "Ask": 61.05,
    "Bid": 61.95,
    "IV": 0.48920188537597664
  },
  {
    "Code": "MSFT250620C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 315,
    "Volume": 55,
    "OI": 309,
    "Ask": 57.05,
    "Bid": 57.1,
    "IV": 0.47922273712158203
  },
  {
    "Code": "MSFT250620C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 320,
    "Volume": 27,
    "OI": 1479,
    "Ask": 52.85,
    "Bid": 54.3,
    "IV": 0.46393358337402346
  },
  {
    "Code": "MSFT250620C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 325,
    "Volume": 23,
    "OI": 501,
    "Ask": 48.9,
    "Bid": 49.9,
    "IV": 0.4520928814697266
  },
  {
    "Code": "MSFT250620C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 330,
    "Volume": 18,
    "OI": 460,
    "Ask": 44.55,
    "Bid": 46.7,
    "IV": 0.43173786041259765
  },
  {
    "Code": "MSFT250620C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 335,
    "Volume": 3,
    "OI": 331,
    "Ask": 41.45,
    "Bid": 43,
    "IV": 0.43164630859375
  },
  {
    "Code": "MSFT250620C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 340,
    "Volume": 47,
    "OI": 751,
    "Ask": 38.4,
    "Bid": 39.25,
    "IV": 0.42996785858154296
  },
  {
    "Code": "MSFT250620C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 345,
    "Volume": 8,
    "OI": 299,
    "Ask": 34.95,
    "Bid": 35.85,
    "IV": 0.41962250305175786
  },
  {
    "Code": "MSFT250620C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 350,
    "Volume": 96,
    "OI": 1609,
    "Ask": 32.85,
    "Bid": 32.8,
    "IV": 0.42862509857177733
  },
  {
    "Code": "MSFT250620C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 355,
    "Volume": 57,
    "OI": 503,
    "Ask": 27.75,
    "Bid": 29.55,
    "IV": 0.38861695373535154
  },
  {
    "Code": "MSFT250620C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 360,
    "Volume": 232,
    "OI": 1289,
    "Ask": 24.9,
    "Bid": 26.8,
    "IV": 0.3816895327758788
  },
  {
    "Code": "MSFT250620C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 365,
    "Volume": 245,
    "OI": 826,
    "Ask": 24.4,
    "Bid": 24,
    "IV": 0.4083005947875976
  },
  {
    "Code": "MSFT250620C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 370,
    "Volume": 760,
    "OI": 789,
    "Ask": 19.7,
    "Bid": 21.35,
    "IV": 0.3683840017700196
  },
  {
    "Code": "MSFT250620C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 375,
    "Volume": 2427,
    "OI": 2301,
    "Ask": 17.35,
    "Bid": 18.9,
    "IV": 0.36188382263183594
  },
  {
    "Code": "MSFT250620C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 380,
    "Volume": 397,
    "OI": 4157,
    "Ask": 17,
    "Bid": 16.6,
    "IV": 0.38425298370361327
  },
  {
    "Code": "MSFT250620C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 385,
    "Volume": 372,
    "OI": 2904,
    "Ask": 13.2,
    "Bid": 14.5,
    "IV": 0.34979898254394526
  },
  {
    "Code": "MSFT250620C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 390,
    "Volume": 1331,
    "OI": 3694,
    "Ask": 11.4,
    "Bid": 12.65,
    "IV": 0.3442448388671875
  },
  {
    "Code": "MSFT250620C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 395,
    "Volume": 527,
    "OI": 2997,
    "Ask": 9.75,
    "Bid": 10.9,
    "IV": 0.33847707427978513
  },
  {
    "Code": "MSFT250620C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 400,
    "Volume": 750,
    "OI": 9295,
    "Ask": 8.3,
    "Bid": 9.35,
    "IV": 0.3334417242431641
  },
  {
    "Code": "MSFT250620C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 405,
    "Volume": 264,
    "OI": 2845,
    "Ask": 8.3,
    "Bid": 8,
    "IV": 0.3534305380249023
  },
  {
    "Code": "MSFT250620C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 410,
    "Volume": 309,
    "OI": 5504,
    "Ask": 7.1,
    "Bid": 6.8,
    "IV": 0.3491581198120117
  },
  {
    "Code": "MSFT250620C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 415,
    "Volume": 118,
    "OI": 2813,
    "Ask": 5.05,
    "Bid": 5.75,
    "IV": 0.3232794723510741
  },
  {
    "Code": "MSFT250620C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 420,
    "Volume": 2503,
    "OI": 11264,
    "Ask": 4.1,
    "Bid": 4.85,
    "IV": 0.3170844659423828
  },
  {
    "Code": "MSFT250620C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 425,
    "Volume": 1287,
    "OI": 13046,
    "Ask": 3.55,
    "Bid": 4.05,
    "IV": 0.3182441223144531
  },
  {
    "Code": "MSFT250620C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 430,
    "Volume": 381,
    "OI": 6082,
    "Ask": 2.95,
    "Bid": 3.4,
    "IV": 0.315863775024414
  },
  {
    "Code": "MSFT250620C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 435,
    "Volume": 1710,
    "OI": 4568,
    "Ask": 3.05,
    "Bid": 2.84,
    "IV": 0.3330755169677735
  },
  {
    "Code": "MSFT250620C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 440,
    "Volume": 1192,
    "OI": 5343,
    "Ask": 2.33,
    "Bid": 2.35,
    "IV": 0.3233710241699218
  },
  {
    "Code": "MSFT250620C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 445,
    "Volume": 193,
    "OI": 2599,
    "Ask": 1.95,
    "Bid": 1.95,
    "IV": 0.32221136779785153
  },
  {
    "Code": "MSFT250620C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 450,
    "Volume": 627,
    "OI": 10014,
    "Ask": 1.5,
    "Bid": 1.61,
    "IV": 0.3154365332031249
  },
  {
    "Code": "MSFT250620C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 455,
    "Volume": 528,
    "OI": 3636,
    "Ask": 1.22,
    "Bid": 1.35,
    "IV": 0.313483427734375
  },
  {
    "Code": "MSFT250620C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 460,
    "Volume": 60,
    "OI": 9309,
    "Ask": 1.02,
    "Bid": 1.09,
    "IV": 0.313483427734375
  },
  {
    "Code": "MSFT250620C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 465,
    "Volume": 10,
    "OI": 1420,
    "Ask": 0.88,
    "Bid": 0.9,
    "IV": 0.3154365332031249
  },
  {
    "Code": "MSFT250620C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 470,
    "Volume": 170,
    "OI": 4850,
    "Ask": 0.75,
    "Bid": 0.74,
    "IV": 0.3166572241210937
  },
  {
    "Code": "MSFT250620C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 475,
    "Volume": 85,
    "OI": 12529,
    "Ask": 0.58,
    "Bid": 0.6,
    "IV": 0.3129951513671875
  },
  {
    "Code": "MSFT250620C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 480,
    "Volume": 108,
    "OI": 2482,
    "Ask": 0.56,
    "Bid": 0.51,
    "IV": 0.32068550415039054
  },
  {
    "Code": "MSFT250620C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 485,
    "Volume": 66,
    "OI": 1892,
    "Ask": 0.4,
    "Bid": 0.41,
    "IV": 0.313483427734375
  },
  {
    "Code": "MSFT250620C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 490,
    "Volume": 17,
    "OI": 3562,
    "Ask": 0.42,
    "Bid": 0.34,
    "IV": 0.32471378417968744
  },
  {
    "Code": "MSFT250620C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 495,
    "Volume": 17,
    "OI": 1098,
    "Ask": 0.39,
    "Bid": 0.29,
    "IV": 0.3298406860351562
  },
  {
    "Code": "MSFT250620C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 500,
    "Volume": 65,
    "OI": 7590,
    "Ask": 0.35,
    "Bid": 0.27,
    "IV": 0.3332586206054688
  },
  {
    "Code": "MSFT250620C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 505,
    "Volume": 9,
    "OI": 1914,
    "Ask": 0.32,
    "Bid": 0.19,
    "IV": 0.33740896972656254
  },
  {
    "Code": "MSFT250620C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 510,
    "Volume": 5,
    "OI": 1498,
    "Ask": 0.3,
    "Bid": 0.15,
    "IV": 0.34278000976562495
  },
  {
    "Code": "MSFT250620C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 515,
    "Volume": 3,
    "OI": 828,
    "Ask": 0.28,
    "Bid": 0.14,
    "IV": 0.34766277343749996
  },
  {
    "Code": "MSFT250620C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 520,
    "Volume": 5,
    "OI": 3704,
    "Ask": 0.26,
    "Bid": 0.1,
    "IV": 0.35205726074218746
  },
  {
    "Code": "MSFT250620C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 525,
    "Volume": 20,
    "OI": 1335,
    "Ask": 0.24,
    "Bid": 0.09,
    "IV": 0.35596347167968745
  },
  {
    "Code": "MSFT250620C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 530,
    "Volume": 1,
    "OI": 738,
    "Ask": 0.22,
    "Bid": 0.07,
    "IV": 0.35986968261718744
  },
  {
    "Code": "MSFT250620C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 535,
    "Volume": 15,
    "OI": 1389,
    "Ask": 0.21,
    "Bid": 0.06,
    "IV": 0.36524072265625
  },
  {
    "Code": "MSFT250620C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 540,
    "Volume": 10,
    "OI": 1323,
    "Ask": 0.18,
    "Bid": 0.05,
    "IV": 0.36524072265625
  },
  {
    "Code": "MSFT250620C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 545,
    "Volume": 1,
    "OI": 254,
    "Ask": 0.17,
    "Bid": 0.03,
    "IV": 0.370123486328125
  },
  {
    "Code": "MSFT250620C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 550,
    "Volume": 16,
    "OI": 3244,
    "Ask": 0.15,
    "Bid": 0.03,
    "IV": 0.3715883154296875
  },
  {
    "Code": "MSFT250620C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 555,
    "Volume": 1,
    "OI": 243,
    "Ask": 0.15,
    "Bid": 0.01,
    "IV": 0.37842418457031246
  },
  {
    "Code": "MSFT250620C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 560,
    "Volume": 6,
    "OI": 1297,
    "Ask": 0.14,
    "Bid": 0.03,
    "IV": 0.38233039550781245
  },
  {
    "Code": "MSFT250620C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 565,
    "Volume": 1,
    "OI": 389,
    "Ask": 0.14,
    "Bid": 0,
    "IV": 0.38867798828125
  },
  {
    "Code": "MSFT250620C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 570,
    "Volume": 9,
    "OI": 1994,
    "Ask": 0.13,
    "Bid": 0,
    "IV": 0.3920959228515625
  },
  {
    "Code": "MSFT250620C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 575,
    "Volume": 30,
    "OI": 1130,
    "Ask": 0.13,
    "Bid": 0,
    "IV": 0.398443515625
  },
  {
    "Code": "MSFT250620C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 580,
    "Volume": 176,
    "OI": 935,
    "Ask": 0.12,
    "Bid": 0,
    "IV": 0.401373173828125
  },
  {
    "Code": "MSFT250620C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 585,
    "Volume": 5,
    "OI": 191,
    "Ask": 0.12,
    "Bid": 0,
    "IV": 0.40772076660156253
  },
  {
    "Code": "MSFT250620C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 590,
    "Volume": 1,
    "OI": 95,
    "Ask": 0.12,
    "Bid": 0,
    "IV": 0.414068359375
  },
  {
    "Code": "MSFT250620C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 595,
    "Volume": 5,
    "OI": 304,
    "Ask": 0.05,
    "Bid": 0,
    "IV": 0.38477177734374995
  },
  {
    "Code": "MSFT250620C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 600,
    "Volume": 8,
    "OI": 2811,
    "Ask": 0.03,
    "Bid": 0.01,
    "IV": 0.37305314453125
  },
  {
    "Code": "MSFT250620C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 605,
    "Volume": 1,
    "OI": 19,
    "Ask": 0.11,
    "Bid": 0,
    "IV": 0.4282283740234375
  },
  {
    "Code": "MSFT250620C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 610,
    "Volume": 1,
    "OI": 1707,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.42969320312500003
  },
  {
    "Code": "MSFT250620C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 615,
    "Volume": 4,
    "OI": 139,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.42578699218750005
  },
  {
    "Code": "MSFT250620C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 620,
    "Volume": 74,
    "OI": 5284,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.4414118359375
  },
  {
    "Code": "MSFT250620C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 625,
    "Volume": 2,
    "OI": 223,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.44727115234375
  },
  {
    "Code": "MSFT250620C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 630,
    "Volume": 1,
    "OI": 123,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.44824770507812495
  },
  {
    "Code": "MSFT250620C00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 635,
    "Volume": 1,
    "OI": 5,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.2500075
  },
  {
    "Code": "MSFT250620C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 640,
    "Volume": 1,
    "OI": 893,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.45898978515625005
  },
  {
    "Code": "MSFT250620C00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 645,
    "Volume": 2,
    "OI": 12,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.463872548828125
  },
  {
    "Code": "MSFT250620C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 650,
    "Volume": 92,
    "OI": 1183,
    "Ask": 0.09,
    "Bid": 0.01,
    "IV": 0.46973186523437505
  },
  {
    "Code": "MSFT250620C00655000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 655,
    "Volume": 1,
    "OI": 10,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.46973186523437505
  },
  {
    "Code": "MSFT250620C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 660,
    "Volume": 4,
    "OI": 204,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.445318046875
  },
  {
    "Code": "MSFT250620C00665000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 665,
    "Volume": 1,
    "OI": 46,
    "Ask": 2.13,
    "Bid": 0,
    "IV": 0.6552768847656252
  },
  {
    "Code": "MSFT250620C00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 670,
    "Volume": 1,
    "OI": 98,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.485356708984375
  },
  {
    "Code": "MSFT250620C00675000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 675,
    "Volume": 1,
    "OI": 43,
    "Ask": 0.03,
    "Bid": 0,
    "IV": 0.44922425781249997
  },
  {
    "Code": "MSFT250620C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 680,
    "Volume": 5,
    "OI": 324,
    "Ask": 0.06,
    "Bid": 0,
    "IV": 0.48242705078125003
  },
  {
    "Code": "MSFT250620C00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 685,
    "Volume": 3,
    "OI": 23,
    "Ask": 0.58,
    "Bid": 0,
    "IV": 0.5727581787109376
  },
  {
    "Code": "MSFT250620C00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 690,
    "Volume": 1,
    "OI": 36,
    "Ask": 0.01,
    "Bid": 0,
    "IV": 0.42578699218750005
  },
  {
    "Code": "MSFT250620C00695000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 695,
    "Volume": 1,
    "OI": 88,
    "Ask": 0.03,
    "Bid": 0,
    "IV": 0.4687553125
  },
  {
    "Code": "MSFT250620C00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-06-20",
    "Strike": 700,
    "Volume": 1,
    "OI": 2341,
    "Ask": 0.04,
    "Bid": 0,
    "IV": 0.48438015625
  },
  {
    "Code": "MSFT250620P00115000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 115,
    "Volume": 100,
    "OI": 3708,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.867188828125
  },
  {
    "Code": "MSFT250620P00120000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 120,
    "Volume": 2,
    "OI": 1183,
    "Ask": 0.09,
    "Bid": 0,
    "IV": 0.8359391406249999
  },
  {
    "Code": "MSFT250620P00125000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 125,
    "Volume": 8,
    "OI": 599,
    "Ask": 0.02,
    "Bid": 0,
    "IV": 0.710940390625
  },
  {
    "Code": "MSFT250620P00130000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 130,
    "Volume": 3,
    "OI": 57,
    "Ask": 0.07,
    "Bid": 0,
    "IV": 0.7578149218750001
  },
  {
    "Code": "MSFT250620P00135000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 135,
    "Volume": 3,
    "OI": 129,
    "Ask": 0.1,
    "Bid": 0.01,
    "IV": 0.76367423828125
  },
  {
    "Code": "MSFT250620P00140000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 140,
    "Volume": 30,
    "OI": 541,
    "Ask": 0.11,
    "Bid": 0.05,
    "IV": 0.76367423828125
  },
  {
    "Code": "MSFT250620P00145000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 145,
    "Volume": 1,
    "OI": 260,
    "Ask": 0.12,
    "Bid": 0.04,
    "IV": 0.73633076171875
  },
  {
    "Code": "MSFT250620P00150000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 150,
    "Volume": 1,
    "OI": 2241,
    "Ask": 0.13,
    "Bid": 0,
    "IV": 0.6972686523437501
  },
  {
    "Code": "MSFT250620P00155000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 155,
    "Volume": 40,
    "OI": 587,
    "Ask": 0.18,
    "Bid": 0,
    "IV": 0.694338994140625
  },
  {
    "Code": "MSFT250620P00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 160,
    "Volume": 5,
    "OI": 284,
    "Ask": 0.15,
    "Bid": 0,
    "IV": 0.657229990234375
  },
  {
    "Code": "MSFT250620P00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 165,
    "Volume": 10,
    "OI": 182,
    "Ask": 0.16,
    "Bid": 0.03,
    "IV": 0.649417568359375
  },
  {
    "Code": "MSFT250620P00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 170,
    "Volume": 7,
    "OI": 358,
    "Ask": 0.17,
    "Bid": 0.05,
    "IV": 0.6367223828125
  },
  {
    "Code": "MSFT250620P00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 175,
    "Volume": 2,
    "OI": 257,
    "Ask": 0.18,
    "Bid": 0.07,
    "IV": 0.622074091796875
  },
  {
    "Code": "MSFT250620P00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 180,
    "Volume": 11,
    "OI": 275,
    "Ask": 0.21,
    "Bid": 0.11,
    "IV": 0.6162147753906251
  },
  {
    "Code": "MSFT250620P00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 185,
    "Volume": 22,
    "OI": 687,
    "Ask": 0.23,
    "Bid": 0.14,
    "IV": 0.6044961425781252
  },
  {
    "Code": "MSFT250620P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 190,
    "Volume": 45,
    "OI": 103,
    "Ask": 0.26,
    "Bid": 0.18,
    "IV": 0.594730615234375
  },
  {
    "Code": "MSFT250620P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 195,
    "Volume": 59,
    "OI": 276,
    "Ask": 0.29,
    "Bid": 0.22,
    "IV": 0.5835002587890624
  },
  {
    "Code": "MSFT250620P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 200,
    "Volume": 198,
    "OI": 1522,
    "Ask": 0.31,
    "Bid": 0.27,
    "IV": 0.5708050732421875
  },
  {
    "Code": "MSFT250620P00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 205,
    "Volume": 2,
    "OI": 340,
    "Ask": 0.36,
    "Bid": 0.23,
    "IV": 0.5502974658203126
  },
  {
    "Code": "MSFT250620P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 210,
    "Volume": 9,
    "OI": 2405,
    "Ask": 0.42,
    "Bid": 0.36,
    "IV": 0.5498091894531252
  },
  {
    "Code": "MSFT250620P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 215,
    "Volume": 2,
    "OI": 356,
    "Ask": 0.44,
    "Bid": 0.34,
    "IV": 0.5283250292968751
  },
  {
    "Code": "MSFT250620P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 220,
    "Volume": 12,
    "OI": 908,
    "Ask": 0.51,
    "Bid": 0.51,
    "IV": 0.5278367529296876
  },
  {
    "Code": "MSFT250620P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 225,
    "Volume": 11,
    "OI": 437,
    "Ask": 0.59,
    "Bid": 0.47,
    "IV": 0.5095263891601562
  },
  {
    "Code": "MSFT250620P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 230,
    "Volume": 15,
    "OI": 3707,
    "Ask": 0.66,
    "Bid": 0.56,
    "IV": 0.50586431640625
  },
  {
    "Code": "MSFT250620P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 235,
    "Volume": 56,
    "OI": 370,
    "Ask": 0.77,
    "Bid": 0.82,
    "IV": 0.5002491381835938
  },
  {
    "Code": "MSFT250620P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 240,
    "Volume": 9,
    "OI": 840,
    "Ask": 0.9,
    "Bid": 1.02,
    "IV": 0.4892629199218751
  },
  {
    "Code": "MSFT250620P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 245,
    "Volume": 41,
    "OI": 553,
    "Ask": 1.02,
    "Bid": 1.14,
    "IV": 0.47876497802734375
  },
  {
    "Code": "MSFT250620P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 250,
    "Volume": 116,
    "OI": 1644,
    "Ask": 1.18,
    "Bid": 1.33,
    "IV": 0.47022014160156256
  },
  {
    "Code": "MSFT250620P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 255,
    "Volume": 124,
    "OI": 802,
    "Ask": 1.34,
    "Bid": 1.56,
    "IV": 0.4603325451660156
  },
  {
    "Code": "MSFT250620P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 260,
    "Volume": 65,
    "OI": 725,
    "Ask": 1.52,
    "Bid": 1.81,
    "IV": 0.4503228796386719
  },
  {
    "Code": "MSFT250620P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 265,
    "Volume": 53,
    "OI": 1907,
    "Ask": 1.74,
    "Bid": 2.08,
    "IV": 0.4414118359375
  },
  {
    "Code": "MSFT250620P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 270,
    "Volume": 28,
    "OI": 295,
    "Ask": 2.02,
    "Bid": 2.44,
    "IV": 0.43420975952148444
  },
  {
    "Code": "MSFT250620P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 275,
    "Volume": 27,
    "OI": 1610,
    "Ask": 2.33,
    "Bid": 2.86,
    "IV": 0.4265194067382813
  },
  {
    "Code": "MSFT250620P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 280,
    "Volume": 24,
    "OI": 928,
    "Ask": 2.67,
    "Bid": 3.35,
    "IV": 0.4184628466796875
  },
  {
    "Code": "MSFT250620P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 285,
    "Volume": 43,
    "OI": 701,
    "Ask": 3.05,
    "Bid": 2.93,
    "IV": 0.41022318298339844
  },
  {
    "Code": "MSFT250620P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 290,
    "Volume": 26,
    "OI": 388,
    "Ask": 3.5,
    "Bid": 4.3,
    "IV": 0.4027159338378906
  },
  {
    "Code": "MSFT250620P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 295,
    "Volume": 237,
    "OI": 2438,
    "Ask": 4,
    "Bid": 5,
    "IV": 0.39502558105468755
  },
  {
    "Code": "MSFT250620P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 300,
    "Volume": 659,
    "OI": 3396,
    "Ask": 4.6,
    "Bid": 4.6,
    "IV": 0.38837281555175784
  },
  {
    "Code": "MSFT250620P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 305,
    "Volume": 250,
    "OI": 1450,
    "Ask": 5.2,
    "Bid": 5.3,
    "IV": 0.37970591003417964
  },
  {
    "Code": "MSFT250620P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 310,
    "Volume": 396,
    "OI": 1850,
    "Ask": 5.95,
    "Bid": 7.25,
    "IV": 0.3729921099853516
  },
  {
    "Code": "MSFT250620P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 315,
    "Volume": 180,
    "OI": 1570,
    "Ask": 6.75,
    "Bid": 8.2,
    "IV": 0.3653017572021484
  },
  {
    "Code": "MSFT250620P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 320,
    "Volume": 659,
    "OI": 3371,
    "Ask": 7.65,
    "Bid": 9.3,
    "IV": 0.35776399078369137
  },
  {
    "Code": "MSFT250620P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 325,
    "Volume": 3225,
    "OI": 3439,
    "Ask": 8.7,
    "Bid": 10.4,
    "IV": 0.35108070800781244
  },
  {
    "Code": "MSFT250620P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 330,
    "Volume": 522,
    "OI": 3608,
    "Ask": 9.85,
    "Bid": 11.65,
    "IV": 0.3440617352294921
  },
  {
    "Code": "MSFT250620P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 335,
    "Volume": 131,
    "OI": 1420,
    "Ask": 11.1,
    "Bid": 11.1,
    "IV": 0.3365239688110352
  },
  {
    "Code": "MSFT250620P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 340,
    "Volume": 367,
    "OI": 3871,
    "Ask": 12.5,
    "Bid": 14.65,
    "IV": 0.3291998233032226
  },
  {
    "Code": "MSFT250620P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 345,
    "Volume": 246,
    "OI": 3493,
    "Ask": 14.05,
    "Bid": 16.2,
    "IV": 0.32187567779541015
  },
  {
    "Code": "MSFT250620P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 350,
    "Volume": 1611,
    "OI": 6375,
    "Ask": 15.7,
    "Bid": 16,
    "IV": 0.3136054968261719
  },
  {
    "Code": "MSFT250620P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 355,
    "Volume": 186,
    "OI": 2568,
    "Ask": 17.6,
    "Bid": 20.1,
    "IV": 0.30655600677490236
  },
  {
    "Code": "MSFT250620P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 360,
    "Volume": 224,
    "OI": 2441,
    "Ask": 19.6,
    "Bid": 22.15,
    "IV": 0.29822479125976553
  },
  {
    "Code": "MSFT250620P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 365,
    "Volume": 301,
    "OI": 2912,
    "Ask": 21.8,
    "Bid": 24.45,
    "IV": 0.28992409301757804
  },
  {
    "Code": "MSFT250620P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 370,
    "Volume": 510,
    "OI": 4041,
    "Ask": 24.15,
    "Bid": 27.05,
    "IV": 0.2807383938598632
  },
  {
    "Code": "MSFT250620P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 375,
    "Volume": 296,
    "OI": 4937,
    "Ask": 26.75,
    "Bid": 29.7,
    "IV": 0.27197993652343744
  },
  {
    "Code": "MSFT250620P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 380,
    "Volume": 314,
    "OI": 9353,
    "Ask": 29.45,
    "Bid": 31.85,
    "IV": 0.26105475280761714
  },
  {
    "Code": "MSFT250620P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 385,
    "Volume": 294,
    "OI": 3174,
    "Ask": 32.65,
    "Bid": 34.45,
    "IV": 0.2544325045776368
  },
  {
    "Code": "MSFT250620P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 390,
    "Volume": 1935,
    "OI": 6072,
    "Ask": 35.9,
    "Bid": 38,
    "IV": 0.24439232177734377
  },
  {
    "Code": "MSFT250620P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 395,
    "Volume": 232,
    "OI": 3119,
    "Ask": 39.4,
    "Bid": 40.1,
    "IV": 0.23407748352050778
  },
  {
    "Code": "MSFT250620P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 400,
    "Volume": 312,
    "OI": 7900,
    "Ask": 42.95,
    "Bid": 44.45,
    "IV": 0.21845263977050777
  },
  {
    "Code": "MSFT250620P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 405,
    "Volume": 164,
    "OI": 2430,
    "Ask": 46.9,
    "Bid": 48.7,
    "IV": 0.2048419360351562
  },
  {
    "Code": "MSFT250620P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 410,
    "Volume": 39,
    "OI": 2106,
    "Ask": 50.95,
    "Bid": 52.35,
    "IV": 0.18225915405273438
  },
  {
    "Code": "MSFT250620P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 415,
    "Volume": 47,
    "OI": 2620,
    "Ask": 54.8,
    "Bid": 56.75,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 420,
    "Volume": 52,
    "OI": 5302,
    "Ask": 59.95,
    "Bid": 60.9,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 425,
    "Volume": 1017,
    "OI": 3466,
    "Ask": 63.45,
    "Bid": 64.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 430,
    "Volume": 13,
    "OI": 2838,
    "Ask": 67.75,
    "Bid": 69,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 435,
    "Volume": 4,
    "OI": 1038,
    "Ask": 72.6,
    "Bid": 73.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 440,
    "Volume": 7,
    "OI": 1158,
    "Ask": 77.8,
    "Bid": 78,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 445,
    "Volume": 1,
    "OI": 714,
    "Ask": 82.6,
    "Bid": 83,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 450,
    "Volume": 5,
    "OI": 430,
    "Ask": 92.05,
    "Bid": 88,
    "IV": 0.33264827514648443
  },
  {
    "Code": "MSFT250620P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 455,
    "Volume": 130,
    "OI": 209,
    "Ask": 92.35,
    "Bid": 93,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 460,
    "Volume": 1,
    "OI": 1,
    "Ask": 102.05,
    "Bid": 98,
    "IV": 0.3567569207763671
  },
  {
    "Code": "MSFT250620P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 465,
    "Volume": 8,
    "OI": 0,
    "Ask": 84.35,
    "Bid": 82,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 470,
    "Volume": 6,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 475,
    "Volume": 10,
    "OI": 0,
    "Ask": 117.3,
    "Bid": 112.7,
    "IV": 0.40204455383300786
  },
  {
    "Code": "MSFT250620P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 122.3,
    "Bid": 117.7,
    "IV": 0.4133359448242187
  },
  {
    "Code": "MSFT250620P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 485,
    "Volume": 5,
    "OI": 0,
    "Ask": 127.3,
    "Bid": 122.7,
    "IV": 0.4244442321777344
  },
  {
    "Code": "MSFT250620P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 100.4,
    "Bid": 97.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 495,
    "Volume": 19,
    "OI": 0,
    "Ask": 137.3,
    "Bid": 132.7,
    "IV": 0.44605046142578125
  },
  {
    "Code": "MSFT250620P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 500,
    "Volume": 2,
    "OI": 0,
    "Ask": 142.25,
    "Bid": 137.7,
    "IV": 0.45435115966796874
  },
  {
    "Code": "MSFT250620P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 505,
    "Volume": 2,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 510,
    "Volume": 1,
    "OI": 0,
    "Ask": 152.3,
    "Bid": 147.7,
    "IV": 0.4771780798339844
  },
  {
    "Code": "MSFT250620P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 515,
    "Volume": 2,
    "OI": 0,
    "Ask": 98.5,
    "Bid": 96.65,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 520,
    "Volume": 6,
    "OI": 0,
    "Ask": 99.8,
    "Bid": 98.4,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 525,
    "Volume": 32,
    "OI": 66,
    "Ask": 98.45,
    "Bid": 97.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 530,
    "Volume": 1,
    "OI": 0,
    "Ask": 113.35,
    "Bid": 111.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 535,
    "Volume": 16,
    "OI": 0,
    "Ask": 117.7,
    "Bid": 116.1,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 124.9,
    "Bid": 121.35,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 545,
    "Volume": None,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 550,
    "Volume": 3,
    "OI": 0,
    "Ask": 143.5,
    "Bid": 141.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 560,
    "Volume": 2,
    "OI": 0,
    "Ask": 146,
    "Bid": 141.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 570,
    "Volume": 2,
    "OI": 0,
    "Ask": 154.3,
    "Bid": 144.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 580,
    "Volume": 2,
    "OI": 0,
    "Ask": 177.4,
    "Bid": 174.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 595,
    "Volume": None,
    "OI": 0,
    "Ask": 179.75,
    "Bid": 176.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 600,
    "Volume": 2,
    "OI": 0,
    "Ask": 184.5,
    "Bid": 182.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 605,
    "Volume": 1,
    "OI": 0,
    "Ask": 247.3,
    "Bid": 242.65,
    "IV": 0.6467320483398438
  },
  {
    "Code": "MSFT250620P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 620,
    "Volume": 2,
    "OI": 0,
    "Ask": 224.5,
    "Bid": 219.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 630,
    "Volume": 1,
    "OI": 0,
    "Ask": 213.2,
    "Bid": 211.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 640,
    "Volume": 2,
    "OI": 0,
    "Ask": 225.5,
    "Bid": 220.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 650,
    "Volume": 3,
    "OI": 0,
    "Ask": 220.3,
    "Bid": 217.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 660,
    "Volume": None,
    "OI": 0,
    "Ask": 237,
    "Bid": 232.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00665000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 665,
    "Volume": 2,
    "OI": 0,
    "Ask": 248.15,
    "Bid": 246.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 680,
    "Volume": None,
    "OI": 0,
    "Ask": 278,
    "Bid": 273.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 690,
    "Volume": 1,
    "OI": 0,
    "Ask": 273.45,
    "Bid": 271.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250620P00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-06-20",
    "Strike": 700,
    "Volume": 1,
    "OI": 0,
    "Ask": 342.2,
    "Bid": 337.65,
    "IV": 0.7763694238281251
  },
  {
    "Code": "MSFT250718C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 220,
    "Volume": 2,
    "OI": 7,
    "Ask": 145.5,
    "Bid": 140.8,
    "IV": 0.645389288330078
  },
  {
    "Code": "MSFT250718C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 230,
    "Volume": 20,
    "OI": 22,
    "Ask": 135.9,
    "Bid": 131.25,
    "IV": 0.6155433953857423
  },
  {
    "Code": "MSFT250718C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 240,
    "Volume": 1,
    "OI": 40,
    "Ask": 126.35,
    "Bid": 121.75,
    "IV": 0.5863078479003907
  },
  {
    "Code": "MSFT250718C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 250,
    "Volume": 2,
    "OI": 8,
    "Ask": 116.85,
    "Bid": 112.35,
    "IV": 0.5582319567871095
  },
  {
    "Code": "MSFT250718C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 260,
    "Volume": 4,
    "OI": 5,
    "Ask": 126.75,
    "Bid": 124.4,
    "IV": 0.9827272235107423
  },
  {
    "Code": "MSFT250718C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 270,
    "Volume": 5,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 280,
    "Volume": 2,
    "OI": 3,
    "Ask": 89.4,
    "Bid": 89.5,
    "IV": 0.5392502130126955
  },
  {
    "Code": "MSFT250718C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 290,
    "Volume": 83,
    "OI": 8,
    "Ask": 80,
    "Bid": 81.35,
    "IV": 0.513554669189453
  },
  {
    "Code": "MSFT250718C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 300,
    "Volume": 18,
    "OI": 32,
    "Ask": 71.65,
    "Bid": 72.9,
    "IV": 0.48056549713134766
  },
  {
    "Code": "MSFT250718C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 310,
    "Volume": 5,
    "OI": 41,
    "Ask": 63.4,
    "Bid": 65.1,
    "IV": 0.45892875061035165
  },
  {
    "Code": "MSFT250718C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 320,
    "Volume": 8,
    "OI": 45,
    "Ask": 55.6,
    "Bid": 56.9,
    "IV": 0.4405573522949219
  },
  {
    "Code": "MSFT250718C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 325,
    "Volume": 10,
    "OI": 21,
    "Ask": 51.8,
    "Bid": 52.7,
    "IV": 0.43112751495361334
  },
  {
    "Code": "MSFT250718C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 330,
    "Volume": 4,
    "OI": 22,
    "Ask": 48.25,
    "Bid": 48.35,
    "IV": 0.4242000939941406
  },
  {
    "Code": "MSFT250718C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 335,
    "Volume": 31,
    "OI": 62,
    "Ask": 44.3,
    "Bid": 44.75,
    "IV": 0.41010111389160153
  },
  {
    "Code": "MSFT250718C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 340,
    "Volume": 1,
    "OI": 117,
    "Ask": 41.4,
    "Bid": 41.55,
    "IV": 0.4095823202514648
  },
  {
    "Code": "MSFT250718C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 345,
    "Volume": 2,
    "OI": 438,
    "Ask": 38.25,
    "Bid": 38.9,
    "IV": 0.403875590209961
  },
  {
    "Code": "MSFT250718C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 350,
    "Volume": 7,
    "OI": 208,
    "Ask": 34.65,
    "Bid": 34.75,
    "IV": 0.3905700592041016
  },
  {
    "Code": "MSFT250718C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 355,
    "Volume": 5,
    "OI": 77,
    "Ask": 30.85,
    "Bid": 32.2,
    "IV": 0.37320573089599607
  },
  {
    "Code": "MSFT250718C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 360,
    "Volume": 75,
    "OI": 71,
    "Ask": 27.95,
    "Bid": 29.9,
    "IV": 0.366217275390625
  },
  {
    "Code": "MSFT250718C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 365,
    "Volume": 135,
    "OI": 691,
    "Ask": 26.2,
    "Bid": 27.1,
    "IV": 0.3725038336181641
  },
  {
    "Code": "MSFT250718C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 370,
    "Volume": 84,
    "OI": 214,
    "Ask": 22.7,
    "Bid": 24.45,
    "IV": 0.3541324353027343
  },
  {
    "Code": "MSFT250718C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 375,
    "Volume": 134,
    "OI": 469,
    "Ask": 20.35,
    "Bid": 21.95,
    "IV": 0.3489292402648925
  },
  {
    "Code": "MSFT250718C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 380,
    "Volume": 119,
    "OI": 413,
    "Ask": 18.1,
    "Bid": 19.6,
    "IV": 0.34314621704101556
  },
  {
    "Code": "MSFT250718C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 385,
    "Volume": 65,
    "OI": 374,
    "Ask": 16.05,
    "Bid": 17.4,
    "IV": 0.3380803497314453
  },
  {
    "Code": "MSFT250718C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 390,
    "Volume": 445,
    "OI": 986,
    "Ask": 15.1,
    "Bid": 15.4,
    "IV": 0.3462894961547851
  },
  {
    "Code": "MSFT250718C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 395,
    "Volume": 105,
    "OI": 582,
    "Ask": 13.35,
    "Bid": 13.6,
    "IV": 0.3418187156677246
  },
  {
    "Code": "MSFT250718C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 400,
    "Volume": 254,
    "OI": 2443,
    "Ask": 10.8,
    "Bid": 11.9,
    "IV": 0.32343205871582026
  },
  {
    "Code": "MSFT250718C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 405,
    "Volume": 93,
    "OI": 1266,
    "Ask": 9.35,
    "Bid": 10.4,
    "IV": 0.3188239505004882
  },
  {
    "Code": "MSFT250718C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 410,
    "Volume": 116,
    "OI": 1025,
    "Ask": 9.3,
    "Bid": 9.05,
    "IV": 0.33484551879882807
  },
  {
    "Code": "MSFT250718C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 415,
    "Volume": 524,
    "OI": 2574,
    "Ask": 6.95,
    "Bid": 7.8,
    "IV": 0.31140825317382803
  },
  {
    "Code": "MSFT250718C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 420,
    "Volume": 831,
    "OI": 18387,
    "Ask": 6.4,
    "Bid": 6.75,
    "IV": 0.31641308593749995
  },
  {
    "Code": "MSFT250718C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 425,
    "Volume": 133,
    "OI": 1237,
    "Ask": 6,
    "Bid": 5.8,
    "IV": 0.3232489550781249
  },
  {
    "Code": "MSFT250718C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 430,
    "Volume": 187,
    "OI": 2229,
    "Ask": 5.2,
    "Bid": 4.9,
    "IV": 0.3211127459716796
  },
  {
    "Code": "MSFT250718C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 435,
    "Volume": 67,
    "OI": 1385,
    "Ask": 3.7,
    "Bid": 4.2,
    "IV": 0.3009103112792969
  },
  {
    "Code": "MSFT250718C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 440,
    "Volume": 495,
    "OI": 1906,
    "Ask": 3.2,
    "Bid": 3.55,
    "IV": 0.3005746212768554
  },
  {
    "Code": "MSFT250718C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 445,
    "Volume": 98,
    "OI": 1476,
    "Ask": 3,
    "Bid": 3.05,
    "IV": 0.30689169677734374
  },
  {
    "Code": "MSFT250718C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 450,
    "Volume": 318,
    "OI": 3983,
    "Ask": 2.23,
    "Bid": 2.56,
    "IV": 0.295356167602539
  },
  {
    "Code": "MSFT250718C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 455,
    "Volume": 218,
    "OI": 1778,
    "Ask": 2.33,
    "Bid": 2.16,
    "IV": 0.3092110095214844
  },
  {
    "Code": "MSFT250718C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 460,
    "Volume": 16,
    "OI": 1929,
    "Ask": 1.69,
    "Bid": 1.84,
    "IV": 0.2971261694335937
  },
  {
    "Code": "MSFT250718C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 465,
    "Volume": 42,
    "OI": 2282,
    "Ask": 1.67,
    "Bid": 1.53,
    "IV": 0.306220316772461
  },
  {
    "Code": "MSFT250718C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 470,
    "Volume": 367,
    "OI": 2460,
    "Ask": 1.38,
    "Bid": 1.28,
    "IV": 0.30359583129882806
  },
  {
    "Code": "MSFT250718C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 475,
    "Volume": 22,
    "OI": 421,
    "Ask": 1.06,
    "Bid": 1.05,
    "IV": 0.29724823852539056
  },
  {
    "Code": "MSFT250718C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 480,
    "Volume": 9,
    "OI": 2085,
    "Ask": 0.92,
    "Bid": 0.86,
    "IV": 0.29822479125976553
  },
  {
    "Code": "MSFT250718C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 485,
    "Volume": 113,
    "OI": 620,
    "Ask": 0.83,
    "Bid": 0.71,
    "IV": 0.3012765185546875
  },
  {
    "Code": "MSFT250718C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 490,
    "Volume": 394,
    "OI": 880,
    "Ask": 0.72,
    "Bid": 0.59,
    "IV": 0.30213100219726563
  },
  {
    "Code": "MSFT250718C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 495,
    "Volume": 3,
    "OI": 1208,
    "Ask": 0.62,
    "Bid": 0.51,
    "IV": 0.30274134765625
  },
  {
    "Code": "MSFT250718C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 500,
    "Volume": 50,
    "OI": 2082,
    "Ask": 0.53,
    "Bid": 0.43,
    "IV": 0.30298548583984375
  },
  {
    "Code": "MSFT250718C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 505,
    "Volume": 4,
    "OI": 194,
    "Ask": 0.46,
    "Bid": 0.33,
    "IV": 0.3039620385742187
  },
  {
    "Code": "MSFT250718C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 510,
    "Volume": 28,
    "OI": 436,
    "Ask": 0.4,
    "Bid": 0.3,
    "IV": 0.30493859130859374
  },
  {
    "Code": "MSFT250718C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 515,
    "Volume": 1,
    "OI": 227,
    "Ask": 0.38,
    "Bid": 0.22,
    "IV": 0.30982135498046875
  },
  {
    "Code": "MSFT250718C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 520,
    "Volume": 1,
    "OI": 396,
    "Ask": 0.32,
    "Bid": 0.2,
    "IV": 0.30933307861328124
  },
  {
    "Code": "MSFT250718C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 525,
    "Volume": 3,
    "OI": 445,
    "Ask": 0.32,
    "Bid": 0.15,
    "IV": 0.3161689477539062
  },
  {
    "Code": "MSFT250718C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 540,
    "Volume": 3,
    "OI": 528,
    "Ask": 0.25,
    "Bid": 0.08,
    "IV": 0.32520206054687495
  },
  {
    "Code": "MSFT250718C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 560,
    "Volume": 10,
    "OI": 310,
    "Ask": 0.18,
    "Bid": 0.05,
    "IV": 0.3364324169921875
  },
  {
    "Code": "MSFT250718C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 580,
    "Volume": 1,
    "OI": 94,
    "Ask": 0.15,
    "Bid": 0,
    "IV": 0.35156898437499995
  },
  {
    "Code": "MSFT250718C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 600,
    "Volume": 1,
    "OI": 117,
    "Ask": 0.13,
    "Bid": 0,
    "IV": 0.367193828125
  },
  {
    "Code": "MSFT250718C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 620,
    "Volume": 1,
    "OI": 206,
    "Ask": 0.11,
    "Bid": 0,
    "IV": 0.38086556640624997
  },
  {
    "Code": "MSFT250718C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 640,
    "Volume": 3,
    "OI": 11,
    "Ask": 0.1,
    "Bid": 0,
    "IV": 0.39649041015625003
  },
  {
    "Code": "MSFT250718C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-07-18",
    "Strike": 660,
    "Volume": 2,
    "OI": 169,
    "Ask": 0.1,
    "Bid": 0.01,
    "IV": 0.415044912109375
  },
  {
    "Code": "MSFT250718P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 220,
    "Volume": 4,
    "OI": 67,
    "Ask": 0.73,
    "Bid": 0.73,
    "IV": 0.4777884252929688
  },
  {
    "Code": "MSFT250718P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 230,
    "Volume": 105,
    "OI": 63,
    "Ask": 0.93,
    "Bid": 1,
    "IV": 0.45862357788085945
  },
  {
    "Code": "MSFT250718P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 240,
    "Volume": 5,
    "OI": 92,
    "Ask": 1.24,
    "Bid": 1.34,
    "IV": 0.4440973559570312
  },
  {
    "Code": "MSFT250718P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 250,
    "Volume": 19,
    "OI": 121,
    "Ask": 1.62,
    "Bid": 1.8,
    "IV": 0.428716650390625
  },
  {
    "Code": "MSFT250718P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 260,
    "Volume": 16,
    "OI": 61,
    "Ask": 2.1,
    "Bid": 2.39,
    "IV": 0.4136411175537109
  },
  {
    "Code": "MSFT250718P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 270,
    "Volume": 105,
    "OI": 108,
    "Ask": 2.74,
    "Bid": 3.15,
    "IV": 0.4000914483642578
  },
  {
    "Code": "MSFT250718P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 280,
    "Volume": 116,
    "OI": 150,
    "Ask": 3.55,
    "Bid": 4.15,
    "IV": 0.3867859173583984
  },
  {
    "Code": "MSFT250718P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 290,
    "Volume": 57,
    "OI": 196,
    "Ask": 4.5,
    "Bid": 5.25,
    "IV": 0.37189348815917966
  },
  {
    "Code": "MSFT250718P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 300,
    "Volume": 228,
    "OI": 878,
    "Ask": 5.75,
    "Bid": 5.5,
    "IV": 0.3588626126098633
  },
  {
    "Code": "MSFT250718P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 310,
    "Volume": 202,
    "OI": 701,
    "Ask": 7.3,
    "Bid": 8.65,
    "IV": 0.34598432342529295
  },
  {
    "Code": "MSFT250718P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 320,
    "Volume": 113,
    "OI": 796,
    "Ask": 9.2,
    "Bid": 10.75,
    "IV": 0.33313655151367194
  },
  {
    "Code": "MSFT250718P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 325,
    "Volume": 94,
    "OI": 280,
    "Ask": 10.3,
    "Bid": 11.95,
    "IV": 0.3266974069213867
  },
  {
    "Code": "MSFT250718P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 330,
    "Volume": 299,
    "OI": 534,
    "Ask": 11.5,
    "Bid": 11.35,
    "IV": 0.3200751586914062
  },
  {
    "Code": "MSFT250718P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 335,
    "Volume": 640,
    "OI": 1002,
    "Ask": 12.85,
    "Bid": 14.8,
    "IV": 0.31391066955566405
  },
  {
    "Code": "MSFT250718P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 340,
    "Volume": 119,
    "OI": 2228,
    "Ask": 14.35,
    "Bid": 16.35,
    "IV": 0.3080208358764648
  },
  {
    "Code": "MSFT250718P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 345,
    "Volume": 132,
    "OI": 697,
    "Ask": 15.95,
    "Bid": 16,
    "IV": 0.30155117401123044
  },
  {
    "Code": "MSFT250718P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 350,
    "Volume": 173,
    "OI": 2184,
    "Ask": 17.7,
    "Bid": 19.9,
    "IV": 0.2951120294189453
  },
  {
    "Code": "MSFT250718P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 355,
    "Volume": 95,
    "OI": 1006,
    "Ask": 19.55,
    "Bid": 21.9,
    "IV": 0.2878794357299803
  },
  {
    "Code": "MSFT250718P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 360,
    "Volume": 584,
    "OI": 3494,
    "Ask": 21.6,
    "Bid": 22,
    "IV": 0.2811046011352538
  },
  {
    "Code": "MSFT250718P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 365,
    "Volume": 82,
    "OI": 1234,
    "Ask": 23.8,
    "Bid": 26.25,
    "IV": 0.2739635592651367
  },
  {
    "Code": "MSFT250718P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 370,
    "Volume": 223,
    "OI": 1226,
    "Ask": 26.2,
    "Bid": 28.8,
    "IV": 0.26702087966918947
  },
  {
    "Code": "MSFT250718P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 375,
    "Volume": 77,
    "OI": 4217,
    "Ask": 28.7,
    "Bid": 31.45,
    "IV": 0.25879647460937505
  },
  {
    "Code": "MSFT250718P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 380,
    "Volume": 80,
    "OI": 2338,
    "Ask": 31.4,
    "Bid": 32,
    "IV": 0.250434741821289
  },
  {
    "Code": "MSFT250718P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 385,
    "Volume": 56,
    "OI": 846,
    "Ask": 34.3,
    "Bid": 35.8,
    "IV": 0.24179835357666019
  },
  {
    "Code": "MSFT250718P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 390,
    "Volume": 54,
    "OI": 1629,
    "Ask": 38.5,
    "Bid": 39.15,
    "IV": 0.24951922363281248
  },
  {
    "Code": "MSFT250718P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 395,
    "Volume": 47,
    "OI": 856,
    "Ask": 41.35,
    "Bid": 42.55,
    "IV": 0.23383334533691402
  },
  {
    "Code": "MSFT250718P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 400,
    "Volume": 22,
    "OI": 2053,
    "Ask": 45.2,
    "Bid": 46.05,
    "IV": 0.23072058349609376
  },
  {
    "Code": "MSFT250718P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 405,
    "Volume": 7,
    "OI": 767,
    "Ask": 48.8,
    "Bid": 49.4,
    "IV": 0.21930712341308595
  },
  {
    "Code": "MSFT250718P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 410,
    "Volume": 52,
    "OI": 775,
    "Ask": 52.1,
    "Bid": 52.85,
    "IV": 0.1935505450439453
  },
  {
    "Code": "MSFT250718P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 415,
    "Volume": 11,
    "OI": 418,
    "Ask": 55.85,
    "Bid": 56.85,
    "IV": 0.16248396118164063
  },
  {
    "Code": "MSFT250718P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 420,
    "Volume": 10,
    "OI": 494,
    "Ask": 59.85,
    "Bid": 61.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 425,
    "Volume": 1,
    "OI": 475,
    "Ask": 64.75,
    "Bid": 65.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 430,
    "Volume": 11,
    "OI": 350,
    "Ask": 68.85,
    "Bid": 69.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 435,
    "Volume": 5,
    "OI": 252,
    "Ask": 73.2,
    "Bid": 74,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 440,
    "Volume": 32,
    "OI": 288,
    "Ask": 77.55,
    "Bid": 78.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 445,
    "Volume": 12,
    "OI": 170,
    "Ask": 82.25,
    "Bid": 83.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 450,
    "Volume": 1,
    "OI": 317,
    "Ask": 87.5,
    "Bid": 88,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 455,
    "Volume": 185,
    "OI": 127,
    "Ask": 97.45,
    "Bid": 93,
    "IV": 0.3083565258789062
  },
  {
    "Code": "MSFT250718P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 460,
    "Volume": 55,
    "OI": 94,
    "Ask": 102.05,
    "Bid": 98,
    "IV": 0.3050606604003906
  },
  {
    "Code": "MSFT250718P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 465,
    "Volume": 1,
    "OI": 0,
    "Ask": 107.3,
    "Bid": 103,
    "IV": 0.32398136962890617
  },
  {
    "Code": "MSFT250718P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 470,
    "Volume": 1,
    "OI": 0,
    "Ask": 91.95,
    "Bid": 90.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 475,
    "Volume": 1,
    "OI": 2,
    "Ask": 83.35,
    "Bid": 79.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 122.3,
    "Bid": 117.65,
    "IV": 0.35346105529785155
  },
  {
    "Code": "MSFT250718P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 485,
    "Volume": 10,
    "OI": 0,
    "Ask": 106,
    "Bid": 103.9,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 495,
    "Volume": 1,
    "OI": 0,
    "Ask": 137.3,
    "Bid": 132.65,
    "IV": 0.3814148773193359
  },
  {
    "Code": "MSFT250718P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 500,
    "Volume": 6,
    "OI": 0,
    "Ask": 109.85,
    "Bid": 107.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 505,
    "Volume": 10,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 510,
    "Volume": 2,
    "OI": 1,
    "Ask": 93.25,
    "Bid": 91.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 520,
    "Volume": 1,
    "OI": 0,
    "Ask": 103.55,
    "Bid": 101.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 525,
    "Volume": 50,
    "OI": 0,
    "Ask": 128.85,
    "Bid": 126.1,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250718P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-07-18",
    "Strike": 560,
    "Volume": 3,
    "OI": 0,
    "Ask": 151.1,
    "Bid": 148.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 200,
    "Volume": 51,
    "OI": 73,
    "Ask": 165.8,
    "Bid": 161.35,
    "IV": 0.6831696722412111
  },
  {
    "Code": "MSFT250815C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 210,
    "Volume": 15,
    "OI": 15,
    "Ask": 212.95,
    "Bid": 211.6,
    "IV": 1.9505007357788084
  },
  {
    "Code": "MSFT250815C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 220,
    "Volume": 5,
    "OI": 6,
    "Ask": 146.5,
    "Bid": 142.15,
    "IV": 0.618289949951172
  },
  {
    "Code": "MSFT250815C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 225,
    "Volume": 1,
    "OI": 2,
    "Ask": 141.9,
    "Bid": 137.45,
    "IV": 0.607547869873047
  },
  {
    "Code": "MSFT250815C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 230,
    "Volume": 15,
    "OI": 33,
    "Ask": 185.9,
    "Bid": 182.15,
    "IV": 1.593019613037109
  },
  {
    "Code": "MSFT250815C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 235,
    "Volume": 41,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 245,
    "Volume": None,
    "OI": 29,
    "Ask": 152.2,
    "Bid": 148.5,
    "IV": 1.140629296875
  },
  {
    "Code": "MSFT250815C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 250,
    "Volume": 2,
    "OI": 59,
    "Ask": 118.5,
    "Bid": 114.05,
    "IV": 0.5420578021240237
  },
  {
    "Code": "MSFT250815C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 255,
    "Volume": 10,
    "OI": 10,
    "Ask": 142.65,
    "Bid": 139,
    "IV": 1.0778244351196293
  },
  {
    "Code": "MSFT250815C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 260,
    "Volume": 1,
    "OI": 47,
    "Ask": 109.5,
    "Bid": 110.3,
    "IV": 0.5808757733154297
  },
  {
    "Code": "MSFT250815C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 265,
    "Volume": 1,
    "OI": 1,
    "Ask": 104.9,
    "Bid": 105.2,
    "IV": 0.5601850622558593
  },
  {
    "Code": "MSFT250815C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 270,
    "Volume": 3,
    "OI": 8,
    "Ask": 100.45,
    "Bid": 100.7,
    "IV": 0.5470626348876955
  },
  {
    "Code": "MSFT250815C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 275,
    "Volume": 17,
    "OI": 47,
    "Ask": 95.45,
    "Bid": 96.1,
    "IV": 0.5272874420166016
  },
  {
    "Code": "MSFT250815C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 280,
    "Volume": 3,
    "OI": 6,
    "Ask": 91.55,
    "Bid": 91.8,
    "IV": 0.5205126074218749
  },
  {
    "Code": "MSFT250815C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 285,
    "Volume": 10,
    "OI": 67,
    "Ask": 86.95,
    "Bid": 88.4,
    "IV": 0.514531221923828
  },
  {
    "Code": "MSFT250815C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 290,
    "Volume": 18,
    "OI": 19,
    "Ask": 82.75,
    "Bid": 83.05,
    "IV": 0.4918568881225587
  },
  {
    "Code": "MSFT250815C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 295,
    "Volume": 5,
    "OI": 8,
    "Ask": 78.6,
    "Bid": 79.9,
    "IV": 0.4820608435058594
  },
  {
    "Code": "MSFT250815C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 300,
    "Volume": 10,
    "OI": 27,
    "Ask": 74.3,
    "Bid": 75.25,
    "IV": 0.46915203704833985
  },
  {
    "Code": "MSFT250815C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 305,
    "Volume": 1,
    "OI": 15,
    "Ask": 70.65,
    "Bid": 71.2,
    "IV": 0.46555099884033213
  },
  {
    "Code": "MSFT250815C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 310,
    "Volume": 17,
    "OI": 59,
    "Ask": 67.5,
    "Bid": 67.55,
    "IV": 0.4679923806762696
  },
  {
    "Code": "MSFT250815C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 315,
    "Volume": 7,
    "OI": 16,
    "Ask": 62.8,
    "Bid": 62.5,
    "IV": 0.44696597961425777
  },
  {
    "Code": "MSFT250815C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 320,
    "Volume": 11,
    "OI": 53,
    "Ask": 59.95,
    "Bid": 59.55,
    "IV": 0.4510247769165039
  },
  {
    "Code": "MSFT250815C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 325,
    "Volume": 1,
    "OI": 57,
    "Ask": 55.25,
    "Bid": 56.2,
    "IV": 0.42889975402832037
  },
  {
    "Code": "MSFT250815C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 330,
    "Volume": 6,
    "OI": 98,
    "Ask": 51.85,
    "Bid": 52.5,
    "IV": 0.42331509307861326
  },
  {
    "Code": "MSFT250815C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 335,
    "Volume": 2,
    "OI": 50,
    "Ask": 48.25,
    "Bid": 49,
    "IV": 0.41403784210205075
  },
  {
    "Code": "MSFT250815C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 340,
    "Volume": 3,
    "OI": 75,
    "Ask": 44.95,
    "Bid": 45.7,
    "IV": 0.407430852508545
  },
  {
    "Code": "MSFT250815C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 345,
    "Volume": 2,
    "OI": 41,
    "Ask": 41.55,
    "Bid": 42.1,
    "IV": 0.398443515625
  },
  {
    "Code": "MSFT250815C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 350,
    "Volume": 33,
    "OI": 153,
    "Ask": 38.55,
    "Bid": 38.6,
    "IV": 0.3931029928588867
  },
  {
    "Code": "MSFT250815C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 355,
    "Volume": 31,
    "OI": 146,
    "Ask": 34.65,
    "Bid": 35.6,
    "IV": 0.37592176818847656
  },
  {
    "Code": "MSFT250815C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 360,
    "Volume": 81,
    "OI": 925,
    "Ask": 31.75,
    "Bid": 33.65,
    "IV": 0.3692995199584961
  },
  {
    "Code": "MSFT250815C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 365,
    "Volume": 102,
    "OI": 149,
    "Ask": 29.05,
    "Bid": 30.85,
    "IV": 0.36366908309936524
  },
  {
    "Code": "MSFT250815C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 370,
    "Volume": 60,
    "OI": 408,
    "Ask": 26.4,
    "Bid": 28.2,
    "IV": 0.3572146798706054
  },
  {
    "Code": "MSFT250815C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 375,
    "Volume": 26,
    "OI": 279,
    "Ask": 24.05,
    "Bid": 25.65,
    "IV": 0.3528201925659179
  },
  {
    "Code": "MSFT250815C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 380,
    "Volume": 125,
    "OI": 417,
    "Ask": 21.65,
    "Bid": 23.25,
    "IV": 0.3463810479736328
  },
  {
    "Code": "MSFT250815C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 385,
    "Volume": 128,
    "OI": 419,
    "Ask": 19.7,
    "Bid": 21,
    "IV": 0.34374130386352536
  },
  {
    "Code": "MSFT250815C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 390,
    "Volume": 25,
    "OI": 520,
    "Ask": 17.55,
    "Bid": 18.95,
    "IV": 0.3372258660888672
  },
  {
    "Code": "MSFT250815C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 395,
    "Volume": 23,
    "OI": 285,
    "Ask": 15.7,
    "Bid": 16.95,
    "IV": 0.33280086151123045
  },
  {
    "Code": "MSFT250815C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 400,
    "Volume": 171,
    "OI": 1295,
    "Ask": 13.9,
    "Bid": 15.15,
    "IV": 0.32739930419921875
  },
  {
    "Code": "MSFT250815C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 405,
    "Volume": 7,
    "OI": 313,
    "Ask": 12.45,
    "Bid": 13.45,
    "IV": 0.324927405090332
  },
  {
    "Code": "MSFT250815C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 410,
    "Volume": 47,
    "OI": 992,
    "Ask": 11,
    "Bid": 11.95,
    "IV": 0.32092964233398436
  },
  {
    "Code": "MSFT250815C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 415,
    "Volume": 38,
    "OI": 1267,
    "Ask": 9.8,
    "Bid": 10.65,
    "IV": 0.3188239505004882
  },
  {
    "Code": "MSFT250815C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 420,
    "Volume": 52,
    "OI": 1209,
    "Ask": 8.55,
    "Bid": 9.4,
    "IV": 0.3144904977416991
  },
  {
    "Code": "MSFT250815C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 425,
    "Volume": 475,
    "OI": 780,
    "Ask": 8.5,
    "Bid": 8.25,
    "IV": 0.327155166015625
  },
  {
    "Code": "MSFT250815C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 430,
    "Volume": 76,
    "OI": 801,
    "Ask": 6.5,
    "Bid": 7.15,
    "IV": 0.3078072149658203
  },
  {
    "Code": "MSFT250815C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 435,
    "Volume": 166,
    "OI": 897,
    "Ask": 5.6,
    "Bid": 6.3,
    "IV": 0.3041146249389648
  },
  {
    "Code": "MSFT250815C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 440,
    "Volume": 243,
    "OI": 2588,
    "Ask": 4.95,
    "Bid": 5.45,
    "IV": 0.30344324493408203
  },
  {
    "Code": "MSFT250815C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 445,
    "Volume": 22,
    "OI": 882,
    "Ask": 4.3,
    "Bid": 4.7,
    "IV": 0.30142910491943364
  },
  {
    "Code": "MSFT250815C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 450,
    "Volume": 232,
    "OI": 2056,
    "Ask": 3.75,
    "Bid": 4.1,
    "IV": 0.3000863449096679
  },
  {
    "Code": "MSFT250815C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 455,
    "Volume": 9,
    "OI": 555,
    "Ask": 3.8,
    "Bid": 3.55,
    "IV": 0.31140825317382803
  },
  {
    "Code": "MSFT250815C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 460,
    "Volume": 141,
    "OI": 1691,
    "Ask": 3.3,
    "Bid": 3.05,
    "IV": 0.30951618225097655
  },
  {
    "Code": "MSFT250815C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 465,
    "Volume": 49,
    "OI": 485,
    "Ask": 2.65,
    "Bid": 2.63,
    "IV": 0.3020699676513672
  },
  {
    "Code": "MSFT250815C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 470,
    "Volume": 93,
    "OI": 1200,
    "Ask": 2.16,
    "Bid": 2.27,
    "IV": 0.29669892761230465
  },
  {
    "Code": "MSFT250815C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 475,
    "Volume": 6,
    "OI": 1945,
    "Ask": 1.88,
    "Bid": 1.93,
    "IV": 0.29614961669921874
  },
  {
    "Code": "MSFT250815C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 480,
    "Volume": 49,
    "OI": 2046,
    "Ask": 1.65,
    "Bid": 1.67,
    "IV": 0.29633272033691405
  },
  {
    "Code": "MSFT250815C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 485,
    "Volume": 3,
    "OI": 501,
    "Ask": 1.45,
    "Bid": 1.45,
    "IV": 0.2966378930664062
  },
  {
    "Code": "MSFT250815C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 490,
    "Volume": 38,
    "OI": 230,
    "Ask": 1.27,
    "Bid": 1.22,
    "IV": 0.2967599621582031
  },
  {
    "Code": "MSFT250815C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 495,
    "Volume": 37,
    "OI": 213,
    "Ask": 1.12,
    "Bid": 1.02,
    "IV": 0.2973703076171874
  },
  {
    "Code": "MSFT250815C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 500,
    "Volume": 40,
    "OI": 1042,
    "Ask": 0.99,
    "Bid": 0.88,
    "IV": 0.2980416876220703
  },
  {
    "Code": "MSFT250815C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 505,
    "Volume": 6,
    "OI": 548,
    "Ask": 0.88,
    "Bid": 0.76,
    "IV": 0.2990792749023437
  },
  {
    "Code": "MSFT250815C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 510,
    "Volume": 1,
    "OI": 366,
    "Ask": 0.79,
    "Bid": 0.62,
    "IV": 0.30054410400390624
  },
  {
    "Code": "MSFT250815C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 515,
    "Volume": 2,
    "OI": 2174,
    "Ask": 0.7,
    "Bid": 0.53,
    "IV": 0.3012765185546875
  },
  {
    "Code": "MSFT250815C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 520,
    "Volume": 4,
    "OI": 325,
    "Ask": 0.62,
    "Bid": 0.44,
    "IV": 0.30213100219726563
  },
  {
    "Code": "MSFT250815C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 525,
    "Volume": 3,
    "OI": 452,
    "Ask": 0.55,
    "Bid": 0.37,
    "IV": 0.30298548583984375
  },
  {
    "Code": "MSFT250815C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 530,
    "Volume": 11,
    "OI": 216,
    "Ask": 0.49,
    "Bid": 0.31,
    "IV": 0.3039620385742187
  },
  {
    "Code": "MSFT250815C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 535,
    "Volume": 1,
    "OI": 82,
    "Ask": 0.44,
    "Bid": 0.26,
    "IV": 0.30542686767578126
  },
  {
    "Code": "MSFT250815C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 540,
    "Volume": 1,
    "OI": 126,
    "Ask": 0.4,
    "Bid": 0.24,
    "IV": 0.30713583496093744
  },
  {
    "Code": "MSFT250815C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 545,
    "Volume": 2,
    "OI": 60,
    "Ask": 0.37,
    "Bid": 0.2,
    "IV": 0.3096992858886719
  },
  {
    "Code": "MSFT250815C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 550,
    "Volume": 20,
    "OI": 349,
    "Ask": 0.34,
    "Bid": 0.16,
    "IV": 0.3117744604492187
  },
  {
    "Code": "MSFT250815C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 555,
    "Volume": 5,
    "OI": 95,
    "Ask": 0.32,
    "Bid": 0.13,
    "IV": 0.3149482568359374
  },
  {
    "Code": "MSFT250815C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 560,
    "Volume": 3,
    "OI": 171,
    "Ask": 0.29,
    "Bid": 0.11,
    "IV": 0.31641308593749995
  },
  {
    "Code": "MSFT250815C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 565,
    "Volume": 2,
    "OI": 199,
    "Ask": 0.27,
    "Bid": 0.1,
    "IV": 0.3188544677734374
  },
  {
    "Code": "MSFT250815C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 570,
    "Volume": 1,
    "OI": 58,
    "Ask": 0.25,
    "Bid": 0.09,
    "IV": 0.3210517114257812
  },
  {
    "Code": "MSFT250815C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 575,
    "Volume": 1,
    "OI": 48,
    "Ask": 0.24,
    "Bid": 0.06,
    "IV": 0.32471378417968744
  },
  {
    "Code": "MSFT250815C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 580,
    "Volume": 1,
    "OI": 142,
    "Ask": 0.23,
    "Bid": 0.04,
    "IV": 0.32813171874999997
  },
  {
    "Code": "MSFT250815C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 585,
    "Volume": 1,
    "OI": 106,
    "Ask": 0.21,
    "Bid": 0.03,
    "IV": 0.32959654785156245
  },
  {
    "Code": "MSFT250815C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 590,
    "Volume": 10,
    "OI": 129,
    "Ask": 0.2,
    "Bid": 0.02,
    "IV": 0.3325262060546875
  },
  {
    "Code": "MSFT250815C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 595,
    "Volume": 5,
    "OI": 17,
    "Ask": 0.19,
    "Bid": 0.01,
    "IV": 0.3354558642578125
  },
  {
    "Code": "MSFT250815C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 600,
    "Volume": 4,
    "OI": 150,
    "Ask": 0.18,
    "Bid": 0.02,
    "IV": 0.33789724609375
  },
  {
    "Code": "MSFT250815C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 605,
    "Volume": 8,
    "OI": 19,
    "Ask": 0.18,
    "Bid": 0,
    "IV": 0.34278000976562495
  },
  {
    "Code": "MSFT250815C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 610,
    "Volume": 1,
    "OI": 61,
    "Ask": 0.3,
    "Bid": 0,
    "IV": 0.36890279541015625
  },
  {
    "Code": "MSFT250815C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 615,
    "Volume": 22,
    "OI": 145,
    "Ask": 0.16,
    "Bid": 0,
    "IV": 0.34766277343749996
  },
  {
    "Code": "MSFT250815C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 620,
    "Volume": 1,
    "OI": 127,
    "Ask": 0.1,
    "Bid": 0.03,
    "IV": 0.334967587890625
  },
  {
    "Code": "MSFT250815C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 640,
    "Volume": 10,
    "OI": 2198,
    "Ask": 0.14,
    "Bid": 0,
    "IV": 0.36426416992187505
  },
  {
    "Code": "MSFT250815C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-08-15",
    "Strike": 660,
    "Volume": 36,
    "OI": 225,
    "Ask": 0.13,
    "Bid": 0.02,
    "IV": 0.37793590820312495
  },
  {
    "Code": "MSFT250815P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 200,
    "Volume": 6,
    "OI": 163,
    "Ask": 0.64,
    "Bid": 0.63,
    "IV": 0.48560084716796875
  },
  {
    "Code": "MSFT250815P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 210,
    "Volume": 15,
    "OI": 229,
    "Ask": 0.85,
    "Bid": 0.85,
    "IV": 0.47095255615234377
  },
  {
    "Code": "MSFT250815P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 215,
    "Volume": 1,
    "OI": 256,
    "Ask": 0.96,
    "Bid": 0.98,
    "IV": 0.4624077197265626
  },
  {
    "Code": "MSFT250815P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 220,
    "Volume": 2,
    "OI": 59,
    "Ask": 1.09,
    "Bid": 1.13,
    "IV": 0.4545952978515625
  },
  {
    "Code": "MSFT250815P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 225,
    "Volume": 37,
    "OI": 92,
    "Ask": 1.24,
    "Bid": 1.31,
    "IV": 0.44714908325195313
  },
  {
    "Code": "MSFT250815P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 230,
    "Volume": 13,
    "OI": 1520,
    "Ask": 1.41,
    "Bid": 1.51,
    "IV": 0.43994700683593746
  },
  {
    "Code": "MSFT250815P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 235,
    "Volume": 15,
    "OI": 52,
    "Ask": 1.59,
    "Bid": 1.73,
    "IV": 0.4322566540527344
  },
  {
    "Code": "MSFT250815P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 240,
    "Volume": 11,
    "OI": 145,
    "Ask": 1.8,
    "Bid": 1.98,
    "IV": 0.4250545776367188
  },
  {
    "Code": "MSFT250815P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 245,
    "Volume": 30,
    "OI": 71,
    "Ask": 2.04,
    "Bid": 2.27,
    "IV": 0.41834077758789057
  },
  {
    "Code": "MSFT250815P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 250,
    "Volume": 1,
    "OI": 330,
    "Ask": 2.3,
    "Bid": 2.6,
    "IV": 0.4112607702636719
  },
  {
    "Code": "MSFT250815P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 255,
    "Volume": 20,
    "OI": 31,
    "Ask": 2.59,
    "Bid": 2.96,
    "IV": 0.40430283203125
  },
  {
    "Code": "MSFT250815P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 260,
    "Volume": 13,
    "OI": 220,
    "Ask": 2.93,
    "Bid": 3.35,
    "IV": 0.3980773083496094
  },
  {
    "Code": "MSFT250815P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 265,
    "Volume": 4,
    "OI": 32,
    "Ask": 3.3,
    "Bid": 3.8,
    "IV": 0.39160764648437496
  },
  {
    "Code": "MSFT250815P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 270,
    "Volume": 8,
    "OI": 147,
    "Ask": 3.75,
    "Bid": 3.45,
    "IV": 0.3862976409912109
  },
  {
    "Code": "MSFT250815P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 275,
    "Volume": 48,
    "OI": 23,
    "Ask": 4.2,
    "Bid": 4,
    "IV": 0.37970591003417964
  },
  {
    "Code": "MSFT250815P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 280,
    "Volume": 49,
    "OI": 188,
    "Ask": 4.7,
    "Bid": 5.5,
    "IV": 0.3732362481689453
  },
  {
    "Code": "MSFT250815P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 285,
    "Volume": 16,
    "OI": 379,
    "Ask": 5.25,
    "Bid": 4.95,
    "IV": 0.36676658630371095
  },
  {
    "Code": "MSFT250815P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 290,
    "Volume": 10,
    "OI": 206,
    "Ask": 5.9,
    "Bid": 6.9,
    "IV": 0.3612734771728515
  },
  {
    "Code": "MSFT250815P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 295,
    "Volume": 48,
    "OI": 126,
    "Ask": 6.55,
    "Bid": 7.7,
    "IV": 0.3544986425781249
  },
  {
    "Code": "MSFT250815P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 300,
    "Volume": 63,
    "OI": 1061,
    "Ask": 7.35,
    "Bid": 7,
    "IV": 0.34931070617675775
  },
  {
    "Code": "MSFT250815P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 305,
    "Volume": 2,
    "OI": 223,
    "Ask": 8.2,
    "Bid": 9.7,
    "IV": 0.34363449340820307
  },
  {
    "Code": "MSFT250815P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 310,
    "Volume": 25,
    "OI": 210,
    "Ask": 9.1,
    "Bid": 10.6,
    "IV": 0.337470004272461
  },
  {
    "Code": "MSFT250815P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 315,
    "Volume": 39,
    "OI": 365,
    "Ask": 10.1,
    "Bid": 10.75,
    "IV": 0.3315496533203125
  },
  {
    "Code": "MSFT250815P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 320,
    "Volume": 310,
    "OI": 651,
    "Ask": 11.25,
    "Bid": 11,
    "IV": 0.32651430328369135
  },
  {
    "Code": "MSFT250815P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 325,
    "Volume": 140,
    "OI": 820,
    "Ask": 12.45,
    "Bid": 14.4,
    "IV": 0.32068550415039054
  },
  {
    "Code": "MSFT250815P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 330,
    "Volume": 312,
    "OI": 1307,
    "Ask": 13.75,
    "Bid": 13.5,
    "IV": 0.3147956704711914
  },
  {
    "Code": "MSFT250815P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 335,
    "Volume": 4,
    "OI": 654,
    "Ask": 15.2,
    "Bid": 15,
    "IV": 0.30939411315917964
  },
  {
    "Code": "MSFT250815P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 340,
    "Volume": 27,
    "OI": 702,
    "Ask": 16.75,
    "Bid": 16.7,
    "IV": 0.30371790039062496
  },
  {
    "Code": "MSFT250815P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 345,
    "Volume": 44,
    "OI": 1162,
    "Ask": 18.4,
    "Bid": 18.5,
    "IV": 0.29767548034667957
  },
  {
    "Code": "MSFT250815P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 350,
    "Volume": 130,
    "OI": 4367,
    "Ask": 20.2,
    "Bid": 21.4,
    "IV": 0.29184668121337876
  },
  {
    "Code": "MSFT250815P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 355,
    "Volume": 38,
    "OI": 1165,
    "Ask": 22.15,
    "Bid": 22.3,
    "IV": 0.2860789166259765
  },
  {
    "Code": "MSFT250815P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 360,
    "Volume": 297,
    "OI": 1087,
    "Ask": 24.2,
    "Bid": 24.5,
    "IV": 0.27973132385253896
  },
  {
    "Code": "MSFT250815P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 365,
    "Volume": 104,
    "OI": 994,
    "Ask": 26.4,
    "Bid": 26.5,
    "IV": 0.27332269653320307
  },
  {
    "Code": "MSFT250815P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 370,
    "Volume": 102,
    "OI": 2619,
    "Ask": 28.75,
    "Bid": 29,
    "IV": 0.26674622421264654
  },
  {
    "Code": "MSFT250815P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 375,
    "Volume": 59,
    "OI": 1400,
    "Ask": 31.25,
    "Bid": 31.7,
    "IV": 0.2599103550720215
  },
  {
    "Code": "MSFT250815P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 380,
    "Volume": 170,
    "OI": 1370,
    "Ask": 33.95,
    "Bid": 34.55,
    "IV": 0.25331862411499023
  },
  {
    "Code": "MSFT250815P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 385,
    "Volume": 112,
    "OI": 1473,
    "Ask": 36.75,
    "Bid": 39.65,
    "IV": 0.24567404724121095
  },
  {
    "Code": "MSFT250815P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 390,
    "Volume": 81,
    "OI": 1263,
    "Ask": 39.7,
    "Bid": 41.45,
    "IV": 0.23738860763549802
  },
  {
    "Code": "MSFT250815P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 395,
    "Volume": 60,
    "OI": 1033,
    "Ask": 44.1,
    "Bid": 43.75,
    "IV": 0.24613180633544923
  },
  {
    "Code": "MSFT250815P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 400,
    "Volume": 23,
    "OI": 2317,
    "Ask": 47.25,
    "Bid": 47,
    "IV": 0.23590851989746092
  },
  {
    "Code": "MSFT250815P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 405,
    "Volume": 5,
    "OI": 503,
    "Ask": 50.85,
    "Bid": 50.85,
    "IV": 0.22925575439453127
  },
  {
    "Code": "MSFT250815P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 410,
    "Volume": 23,
    "OI": 999,
    "Ask": 53.7,
    "Bid": 54.6,
    "IV": 0.20563538513183593
  },
  {
    "Code": "MSFT250815P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 415,
    "Volume": 7,
    "OI": 421,
    "Ask": 58.25,
    "Bid": 58.35,
    "IV": 0.2089312506103515
  },
  {
    "Code": "MSFT250815P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 420,
    "Volume": 15,
    "OI": 425,
    "Ask": 61.6,
    "Bid": 62.4,
    "IV": 0.1801839794921875
  },
  {
    "Code": "MSFT250815P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 425,
    "Volume": 5,
    "OI": 1352,
    "Ask": 65.95,
    "Bid": 66.6,
    "IV": 0.16736672485351564
  },
  {
    "Code": "MSFT250815P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 430,
    "Volume": 21,
    "OI": 9687,
    "Ask": 69.35,
    "Bid": 70.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 435,
    "Volume": 6,
    "OI": 1610,
    "Ask": 74.05,
    "Bid": 75.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 440,
    "Volume": 1,
    "OI": 10139,
    "Ask": 78.6,
    "Bid": 79.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 445,
    "Volume": 1,
    "OI": 138,
    "Ask": 82.45,
    "Bid": 84,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 450,
    "Volume": 3,
    "OI": 181,
    "Ask": 88.05,
    "Bid": 88.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 455,
    "Volume": 2,
    "OI": 211,
    "Ask": 92.2,
    "Bid": 93,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 460,
    "Volume": 1,
    "OI": 161,
    "Ask": 97.5,
    "Bid": 98,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 465,
    "Volume": 4,
    "OI": 0,
    "Ask": 102.3,
    "Bid": 103,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 470,
    "Volume": 2,
    "OI": 10,
    "Ask": 112.05,
    "Bid": 108,
    "IV": 0.28852029846191396
  },
  {
    "Code": "MSFT250815P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 475,
    "Volume": 1,
    "OI": 0,
    "Ask": 117.05,
    "Bid": 113,
    "IV": 0.2971261694335937
  },
  {
    "Code": "MSFT250815P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 480,
    "Volume": 1,
    "OI": 0,
    "Ask": 122.15,
    "Bid": 117.65,
    "IV": 0.3089058367919921
  },
  {
    "Code": "MSFT250815P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 485,
    "Volume": 30,
    "OI": 0,
    "Ask": 127.4,
    "Bid": 122.65,
    "IV": 0.3255072332763671
  },
  {
    "Code": "MSFT250815P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 101.05,
    "Bid": 99.2,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 495,
    "Volume": 8,
    "OI": 13,
    "Ask": 70.5,
    "Bid": 67.75,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 500,
    "Volume": 2,
    "OI": 0,
    "Ask": 111.1,
    "Bid": 108.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 505,
    "Volume": None,
    "OI": 16,
    "Ask": 79,
    "Bid": 76.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 510,
    "Volume": 2,
    "OI": 6,
    "Ask": 101.45,
    "Bid": 98.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 515,
    "Volume": 2,
    "OI": 5,
    "Ask": 98.55,
    "Bid": 96.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 520,
    "Volume": None,
    "OI": 3,
    "Ask": 96.75,
    "Bid": 95.45,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 530,
    "Volume": 10,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 535,
    "Volume": 1,
    "OI": 0,
    "Ask": 177.4,
    "Bid": 172.7,
    "IV": 0.4031431756591797
  },
  {
    "Code": "MSFT250815P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 121.95,
    "Bid": 119.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 545,
    "Volume": 9,
    "OI": 0,
    "Ask": 127,
    "Bid": 124.45,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 550,
    "Volume": 2,
    "OI": 0,
    "Ask": 123,
    "Bid": 119.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 555,
    "Volume": 1,
    "OI": 0,
    "Ask": 138.3,
    "Bid": 136.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 620,
    "Volume": 1,
    "OI": 0,
    "Ask": 203.4,
    "Bid": 201.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250815P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-08-15",
    "Strike": 640,
    "Volume": None,
    "OI": 0,
    "Ask": 213,
    "Bid": 209.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 200,
    "Volume": 1,
    "OI": 14,
    "Ask": 166,
    "Bid": 161.5,
    "IV": 0.6141396008300781
  },
  {
    "Code": "MSFT250919C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 210,
    "Volume": 15,
    "OI": 15,
    "Ask": 157,
    "Bid": 152,
    "IV": 0.5974771697998047
  },
  {
    "Code": "MSFT250919C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 220,
    "Volume": 1,
    "OI": 14,
    "Ask": 174.95,
    "Bid": 173.35,
    "IV": 1.1623882212829588
  },
  {
    "Code": "MSFT250919C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 230,
    "Volume": 1,
    "OI": 40,
    "Ask": 138,
    "Bid": 133,
    "IV": 0.5432784930419923
  },
  {
    "Code": "MSFT250919C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 240,
    "Volume": 26,
    "OI": 46,
    "Ask": 157.8,
    "Bid": 154.4,
    "IV": 1.058293282775879
  },
  {
    "Code": "MSFT250919C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 250,
    "Volume": 2,
    "OI": 127,
    "Ask": 120,
    "Bid": 120.85,
    "IV": 0.5700726586914062
  },
  {
    "Code": "MSFT250919C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 260,
    "Volume": 1,
    "OI": 81,
    "Ask": 111,
    "Bid": 110.5,
    "IV": 0.5323227920532226
  },
  {
    "Code": "MSFT250919C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 270,
    "Volume": 14,
    "OI": 905,
    "Ask": 101.1,
    "Bid": 101.5,
    "IV": 0.49551896087646485
  },
  {
    "Code": "MSFT250919C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 280,
    "Volume": 20,
    "OI": 38,
    "Ask": 92.55,
    "Bid": 93.15,
    "IV": 0.47687290710449215
  },
  {
    "Code": "MSFT250919C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 290,
    "Volume": 28,
    "OI": 95,
    "Ask": 84.05,
    "Bid": 85.75,
    "IV": 0.4567315069580079
  },
  {
    "Code": "MSFT250919C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 300,
    "Volume": 1,
    "OI": 263,
    "Ask": 77.1,
    "Bid": 77.3,
    "IV": 0.4556939196777344
  },
  {
    "Code": "MSFT250919C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 310,
    "Volume": 9,
    "OI": 82,
    "Ask": 68.35,
    "Bid": 69.65,
    "IV": 0.42694664855957043
  },
  {
    "Code": "MSFT250919C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 320,
    "Volume": 2,
    "OI": 121,
    "Ask": 60.8,
    "Bid": 61.5,
    "IV": 0.4112302529907227
  },
  {
    "Code": "MSFT250919C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 330,
    "Volume": 1,
    "OI": 326,
    "Ask": 54,
    "Bid": 55.15,
    "IV": 0.4009459320068359
  },
  {
    "Code": "MSFT250919C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 340,
    "Volume": 6,
    "OI": 309,
    "Ask": 46.95,
    "Bid": 47.75,
    "IV": 0.38411565597534175
  },
  {
    "Code": "MSFT250919C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 350,
    "Volume": 13,
    "OI": 381,
    "Ask": 41.1,
    "Bid": 41.15,
    "IV": 0.3764710791015625
  },
  {
    "Code": "MSFT250919C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 360,
    "Volume": 146,
    "OI": 325,
    "Ask": 34.5,
    "Bid": 36.4,
    "IV": 0.35681795532226557
  },
  {
    "Code": "MSFT250919C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 370,
    "Volume": 166,
    "OI": 939,
    "Ask": 29.25,
    "Bid": 30.9,
    "IV": 0.3469303588867187
  },
  {
    "Code": "MSFT250919C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 380,
    "Volume": 260,
    "OI": 1508,
    "Ask": 24.5,
    "Bid": 26,
    "IV": 0.33757681472778317
  },
  {
    "Code": "MSFT250919C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 390,
    "Volume": 440,
    "OI": 1724,
    "Ask": 20.3,
    "Bid": 21.6,
    "IV": 0.3291998233032226
  },
  {
    "Code": "MSFT250919C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 400,
    "Volume": 816,
    "OI": 3257,
    "Ask": 16.6,
    "Bid": 17.75,
    "IV": 0.32128059097290035
  },
  {
    "Code": "MSFT250919C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 410,
    "Volume": 323,
    "OI": 1954,
    "Ask": 13.4,
    "Bid": 14.35,
    "IV": 0.3139411868286133
  },
  {
    "Code": "MSFT250919C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 420,
    "Volume": 175,
    "OI": 2484,
    "Ask": 10.7,
    "Bid": 11.5,
    "IV": 0.30750204223632804
  },
  {
    "Code": "MSFT250919C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 430,
    "Volume": 239,
    "OI": 2778,
    "Ask": 8.35,
    "Bid": 9.15,
    "IV": 0.3003457417297363
  },
  {
    "Code": "MSFT250919C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 440,
    "Volume": 85,
    "OI": 2516,
    "Ask": 6.6,
    "Bid": 7.15,
    "IV": 0.29657685852050775
  },
  {
    "Code": "MSFT250919C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 450,
    "Volume": 135,
    "OI": 3109,
    "Ask": 5.15,
    "Bid": 5.55,
    "IV": 0.2928232339477538
  },
  {
    "Code": "MSFT250919C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 460,
    "Volume": 22,
    "OI": 1334,
    "Ask": 4.05,
    "Bid": 4.3,
    "IV": 0.29077857666015616
  },
  {
    "Code": "MSFT250919C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 465,
    "Volume": 6,
    "OI": 1573,
    "Ask": 3.5,
    "Bid": 3.75,
    "IV": 0.2880930566406249
  },
  {
    "Code": "MSFT250919C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 470,
    "Volume": 190,
    "OI": 3479,
    "Ask": 3.5,
    "Bid": 3.3,
    "IV": 0.29651582397460935
  },
  {
    "Code": "MSFT250919C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 475,
    "Volume": 9,
    "OI": 872,
    "Ask": 2.75,
    "Bid": 2.85,
    "IV": 0.28711650390624993
  },
  {
    "Code": "MSFT250919C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 480,
    "Volume": 23,
    "OI": 1141,
    "Ask": 2.43,
    "Bid": 2.49,
    "IV": 0.2866282275390625
  },
  {
    "Code": "MSFT250919C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 485,
    "Volume": 3,
    "OI": 257,
    "Ask": 2.16,
    "Bid": 2.16,
    "IV": 0.286567192993164
  },
  {
    "Code": "MSFT250919C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 490,
    "Volume": 40,
    "OI": 376,
    "Ask": 1.91,
    "Bid": 1.88,
    "IV": 0.2863230548095703
  },
  {
    "Code": "MSFT250919C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 495,
    "Volume": 10,
    "OI": 249,
    "Ask": 1.7,
    "Bid": 1.62,
    "IV": 0.2864451239013671
  },
  {
    "Code": "MSFT250919C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 500,
    "Volume": 142,
    "OI": 4650,
    "Ask": 1.55,
    "Bid": 1.39,
    "IV": 0.28803202209472645
  },
  {
    "Code": "MSFT250919C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 505,
    "Volume": 1,
    "OI": 437,
    "Ask": 1.38,
    "Bid": 1.2,
    "IV": 0.2882151257324218
  },
  {
    "Code": "MSFT250919C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 510,
    "Volume": 10,
    "OI": 512,
    "Ask": 1.19,
    "Bid": 1.02,
    "IV": 0.2868113311767577
  },
  {
    "Code": "MSFT250919C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 515,
    "Volume": 41,
    "OI": 401,
    "Ask": 1.06,
    "Bid": 0.87,
    "IV": 0.28717753845214833
  },
  {
    "Code": "MSFT250919C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 520,
    "Volume": 6,
    "OI": 882,
    "Ask": 0.92,
    "Bid": 0.75,
    "IV": 0.28626202026367187
  },
  {
    "Code": "MSFT250919C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 525,
    "Volume": 8,
    "OI": 429,
    "Ask": 0.8,
    "Bid": 0.64,
    "IV": 0.28552960571289054
  },
  {
    "Code": "MSFT250919C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 530,
    "Volume": 27,
    "OI": 2461,
    "Ask": 0.71,
    "Bid": 0.55,
    "IV": 0.2858958129882812
  },
  {
    "Code": "MSFT250919C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 535,
    "Volume": 76,
    "OI": 173,
    "Ask": 0.65,
    "Bid": 0.47,
    "IV": 0.2876047802734374
  },
  {
    "Code": "MSFT250919C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 540,
    "Volume": 3,
    "OI": 701,
    "Ask": 0.6,
    "Bid": 0.38,
    "IV": 0.28955788574218744
  },
  {
    "Code": "MSFT250919C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 545,
    "Volume": 1,
    "OI": 819,
    "Ask": 0.53,
    "Bid": 0.32,
    "IV": 0.28955788574218744
  },
  {
    "Code": "MSFT250919C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 550,
    "Volume": 20,
    "OI": 745,
    "Ask": 0.46,
    "Bid": 0.29,
    "IV": 0.288947540283203
  },
  {
    "Code": "MSFT250919C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 555,
    "Volume": 3,
    "OI": 260,
    "Ask": 0.43,
    "Bid": 0.23,
    "IV": 0.2912668530273437
  },
  {
    "Code": "MSFT250919C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 560,
    "Volume": 10,
    "OI": 373,
    "Ask": 0.4,
    "Bid": 0.19,
    "IV": 0.2934640966796874
  },
  {
    "Code": "MSFT250919C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 565,
    "Volume": 140,
    "OI": 172,
    "Ask": 0.36,
    "Bid": 0.17,
    "IV": 0.2941965112304687
  },
  {
    "Code": "MSFT250919C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 570,
    "Volume": 1,
    "OI": 446,
    "Ask": 0.33,
    "Bid": 0.15,
    "IV": 0.29566134033203123
  },
  {
    "Code": "MSFT250919C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 575,
    "Volume": 6,
    "OI": 283,
    "Ask": 0.31,
    "Bid": 0.11,
    "IV": 0.2978585839843749
  },
  {
    "Code": "MSFT250919C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 580,
    "Volume": 1,
    "OI": 288,
    "Ask": 0.3,
    "Bid": 0.07,
    "IV": 0.3012765185546875
  },
  {
    "Code": "MSFT250919C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 585,
    "Volume": 1,
    "OI": 20,
    "Ask": 0.28,
    "Bid": 0.08,
    "IV": 0.30322962402343745
  },
  {
    "Code": "MSFT250919C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 590,
    "Volume": 1,
    "OI": 166,
    "Ask": 0.26,
    "Bid": 0.04,
    "IV": 0.30493859130859374
  },
  {
    "Code": "MSFT250919C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 595,
    "Volume": 1,
    "OI": 60,
    "Ask": 0.25,
    "Bid": 0.05,
    "IV": 0.3078682495117187
  },
  {
    "Code": "MSFT250919C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 600,
    "Volume": 395,
    "OI": 947,
    "Ask": 0.21,
    "Bid": 0.05,
    "IV": 0.30591514404296877
  },
  {
    "Code": "MSFT250919C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 605,
    "Volume": 25,
    "OI": 97,
    "Ask": 0.18,
    "Bid": 0.05,
    "IV": 0.304694453125
  },
  {
    "Code": "MSFT250919C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 610,
    "Volume": 20,
    "OI": 70,
    "Ask": 0.21,
    "Bid": 0.01,
    "IV": 0.31445998046874996
  },
  {
    "Code": "MSFT250919C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 615,
    "Volume": 18,
    "OI": 145,
    "Ask": 0.2,
    "Bid": 0,
    "IV": 0.3166572241210937
  },
  {
    "Code": "MSFT250919C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 620,
    "Volume": 44,
    "OI": 576,
    "Ask": 0.2,
    "Bid": 0,
    "IV": 0.32080757324218745
  },
  {
    "Code": "MSFT250919C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 625,
    "Volume": 1,
    "OI": 339,
    "Ask": 0.14,
    "Bid": 0.06,
    "IV": 0.31250687499999996
  },
  {
    "Code": "MSFT250919C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 630,
    "Volume": 1,
    "OI": 220,
    "Ask": 0.18,
    "Bid": 0,
    "IV": 0.32520206054687495
  },
  {
    "Code": "MSFT250919C00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 635,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.12500875
  },
  {
    "Code": "MSFT250919C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 640,
    "Volume": 1,
    "OI": 448,
    "Ask": 0.18,
    "Bid": 0,
    "IV": 0.33301448242187504
  },
  {
    "Code": "MSFT250919C00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 645,
    "Volume": 2,
    "OI": 58,
    "Ask": 0.17,
    "Bid": 0,
    "IV": 0.33447931152343746
  },
  {
    "Code": "MSFT250919C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 650,
    "Volume": 101,
    "OI": 370,
    "Ask": 0.11,
    "Bid": 0,
    "IV": 0.3232489550781249
  },
  {
    "Code": "MSFT250919C00655000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 655,
    "Volume": 3,
    "OI": 80,
    "Ask": 0.16,
    "Bid": 0,
    "IV": 0.3398503515625
  },
  {
    "Code": "MSFT250919C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 660,
    "Volume": 60,
    "OI": 845,
    "Ask": 0.15,
    "Bid": 0,
    "IV": 0.3413151806640625
  },
  {
    "Code": "MSFT250919C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 680,
    "Volume": 1,
    "OI": 741,
    "Ask": 0.05,
    "Bid": 0,
    "IV": 0.32031929687499994
  },
  {
    "Code": "MSFT250919C00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 685,
    "Volume": 5,
    "OI": 341,
    "Ask": 0.08,
    "Bid": 0,
    "IV": 0.33740896972656254
  },
  {
    "Code": "MSFT250919C00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 690,
    "Volume": 1,
    "OI": 289,
    "Ask": 0.08,
    "Bid": 0.01,
    "IV": 0.340826904296875
  },
  {
    "Code": "MSFT250919C00695000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 695,
    "Volume": 2,
    "OI": 557,
    "Ask": 0.19,
    "Bid": 0.1,
    "IV": 0.3754945263671875
  },
  {
    "Code": "MSFT250919C00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-09-19",
    "Strike": 700,
    "Volume": 100,
    "OI": 1030,
    "Ask": 0.13,
    "Bid": 0.01,
    "IV": 0.36426416992187505
  },
  {
    "Code": "MSFT250919P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 200,
    "Volume": 5,
    "OI": 514,
    "Ask": 0.87,
    "Bid": 0.9,
    "IV": 0.4537408142089844
  },
  {
    "Code": "MSFT250919P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 210,
    "Volume": 1,
    "OI": 850,
    "Ask": 1.14,
    "Bid": 1.16,
    "IV": 0.44067942138671873
  },
  {
    "Code": "MSFT250919P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 220,
    "Volume": 1,
    "OI": 323,
    "Ask": 1.46,
    "Bid": 1.52,
    "IV": 0.426885614013672
  },
  {
    "Code": "MSFT250919P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 230,
    "Volume": 12,
    "OI": 428,
    "Ask": 1.86,
    "Bid": 1.99,
    "IV": 0.41370215209960937
  },
  {
    "Code": "MSFT250919P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 240,
    "Volume": 60,
    "OI": 141,
    "Ask": 2.31,
    "Bid": 2.62,
    "IV": 0.3991759301757813
  },
  {
    "Code": "MSFT250919P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 250,
    "Volume": 6,
    "OI": 460,
    "Ask": 2.93,
    "Bid": 3.3,
    "IV": 0.3874572973632812
  },
  {
    "Code": "MSFT250919P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 260,
    "Volume": 56,
    "OI": 328,
    "Ask": 3.7,
    "Bid": 4.15,
    "IV": 0.37628797546386716
  },
  {
    "Code": "MSFT250919P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 270,
    "Volume": 271,
    "OI": 541,
    "Ask": 4.55,
    "Bid": 5.3,
    "IV": 0.36319606536865234
  },
  {
    "Code": "MSFT250919P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 280,
    "Volume": 41,
    "OI": 576,
    "Ask": 5.7,
    "Bid": 6.75,
    "IV": 0.35300329620361326
  },
  {
    "Code": "MSFT250919P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 290,
    "Volume": 113,
    "OI": 1967,
    "Ask": 7.05,
    "Bid": 8.2,
    "IV": 0.34229173339843744
  },
  {
    "Code": "MSFT250919P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 300,
    "Volume": 875,
    "OI": 2895,
    "Ask": 8.7,
    "Bid": 8.4,
    "IV": 0.33231258514404294
  },
  {
    "Code": "MSFT250919P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 310,
    "Volume": 161,
    "OI": 1597,
    "Ask": 10.65,
    "Bid": 10.2,
    "IV": 0.32227240234374993
  },
  {
    "Code": "MSFT250919P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 320,
    "Volume": 242,
    "OI": 4952,
    "Ask": 12.95,
    "Bid": 14.6,
    "IV": 0.3123237713623046
  },
  {
    "Code": "MSFT250919P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 330,
    "Volume": 721,
    "OI": 1365,
    "Ask": 15.6,
    "Bid": 17.4,
    "IV": 0.30191738128662116
  },
  {
    "Code": "MSFT250919P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 340,
    "Volume": 589,
    "OI": 2620,
    "Ask": 18.7,
    "Bid": 20.8,
    "IV": 0.29172461212158196
  },
  {
    "Code": "MSFT250919P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 350,
    "Volume": 809,
    "OI": 3779,
    "Ask": 22.25,
    "Bid": 24.5,
    "IV": 0.2812266702270507
  },
  {
    "Code": "MSFT250919P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 360,
    "Volume": 453,
    "OI": 3883,
    "Ask": 26.3,
    "Bid": 28.7,
    "IV": 0.27042355560302733
  },
  {
    "Code": "MSFT250919P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 370,
    "Volume": 608,
    "OI": 6546,
    "Ask": 30.85,
    "Bid": 33.3,
    "IV": 0.2588727677917481
  },
  {
    "Code": "MSFT250919P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 380,
    "Volume": 380,
    "OI": 3609,
    "Ask": 35.95,
    "Bid": 38.6,
    "IV": 0.2465590481567383
  },
  {
    "Code": "MSFT250919P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 390,
    "Volume": 243,
    "OI": 3436,
    "Ask": 41.65,
    "Bid": 43.35,
    "IV": 0.233406103515625
  },
  {
    "Code": "MSFT250919P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 400,
    "Volume": 60,
    "OI": 3907,
    "Ask": 48.4,
    "Bid": 49.7,
    "IV": 0.2243729907226562
  },
  {
    "Code": "MSFT250919P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 410,
    "Volume": 103,
    "OI": 1699,
    "Ask": 55.65,
    "Bid": 56,
    "IV": 0.21321892745971682
  },
  {
    "Code": "MSFT250919P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 420,
    "Volume": 14,
    "OI": 1090,
    "Ask": 63.05,
    "Bid": 63.5,
    "IV": 0.19245192321777344
  },
  {
    "Code": "MSFT250919P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 430,
    "Volume": 15,
    "OI": 1091,
    "Ask": 71.25,
    "Bid": 71.7,
    "IV": 0.1676108630371094
  },
  {
    "Code": "MSFT250919P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 440,
    "Volume": 10,
    "OI": 1251,
    "Ask": 79.05,
    "Bid": 80.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 450,
    "Volume": 1,
    "OI": 831,
    "Ask": 88.45,
    "Bid": 89,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 460,
    "Volume": 7,
    "OI": 302,
    "Ask": 97.7,
    "Bid": 98.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 465,
    "Volume": 4,
    "OI": 246,
    "Ask": 102.25,
    "Bid": 103,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 470,
    "Volume": 10,
    "OI": 0,
    "Ask": 113,
    "Bid": 108,
    "IV": 0.28186753295898437
  },
  {
    "Code": "MSFT250919P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 475,
    "Volume": 2,
    "OI": 0,
    "Ask": 117.5,
    "Bid": 113,
    "IV": 0.2770458038330078
  },
  {
    "Code": "MSFT250919P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 480,
    "Volume": 5,
    "OI": 0,
    "Ask": 122.5,
    "Bid": 118,
    "IV": 0.28479719116210933
  },
  {
    "Code": "MSFT250919P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 485,
    "Volume": 2,
    "OI": 0,
    "Ask": 127.5,
    "Bid": 122.5,
    "IV": 0.2923654748535155
  },
  {
    "Code": "MSFT250919P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 490,
    "Volume": 10,
    "OI": 0,
    "Ask": 132.5,
    "Bid": 127.5,
    "IV": 0.299811689453125
  },
  {
    "Code": "MSFT250919P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 495,
    "Volume": 2,
    "OI": 0,
    "Ask": 106,
    "Bid": 104.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 500,
    "Volume": 1,
    "OI": 0,
    "Ask": 142.5,
    "Bid": 137.5,
    "IV": 0.3143379113769531
  },
  {
    "Code": "MSFT250919P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 505,
    "Volume": 4,
    "OI": 0,
    "Ask": 109.8,
    "Bid": 106.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 510,
    "Volume": 5,
    "OI": 0,
    "Ask": 121.2,
    "Bid": 119.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 515,
    "Volume": 18,
    "OI": 8,
    "Ask": 94.5,
    "Bid": 91.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 520,
    "Volume": 9,
    "OI": 15,
    "Ask": 79.7,
    "Bid": 77.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 525,
    "Volume": 4,
    "OI": 0,
    "Ask": 103.45,
    "Bid": 100.3,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 530,
    "Volume": 16,
    "OI": 0,
    "Ask": 122.3,
    "Bid": 120.4,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 535,
    "Volume": 1,
    "OI": 0,
    "Ask": 177.5,
    "Bid": 172.5,
    "IV": 0.3618227880859375
  },
  {
    "Code": "MSFT250919P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 540,
    "Volume": 4,
    "OI": 0,
    "Ask": 114.5,
    "Bid": 112.4,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 545,
    "Volume": 7,
    "OI": 0,
    "Ask": 127.8,
    "Bid": 125,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 550,
    "Volume": None,
    "OI": 0,
    "Ask": 192.5,
    "Bid": 187.5,
    "IV": 0.3807434973144531
  },
  {
    "Code": "MSFT250919P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 555,
    "Volume": None,
    "OI": 0,
    "Ask": 151.5,
    "Bid": 147,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 560,
    "Volume": 2,
    "OI": 0,
    "Ask": 138.5,
    "Bid": 135.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 565,
    "Volume": 2,
    "OI": 0,
    "Ask": 143.5,
    "Bid": 139.35,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 570,
    "Volume": 1,
    "OI": 0,
    "Ask": 152.5,
    "Bid": 147.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 580,
    "Volume": 2,
    "OI": 0,
    "Ask": 161.5,
    "Bid": 157,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 620,
    "Volume": 2,
    "OI": 0,
    "Ask": 204,
    "Bid": 199,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 635,
    "Volume": None,
    "OI": 0,
    "Ask": 209.45,
    "Bid": 204.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 640,
    "Volume": 1,
    "OI": 0,
    "Ask": 214,
    "Bid": 209.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 650,
    "Volume": None,
    "OI": 0,
    "Ask": 224.05,
    "Bid": 220,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 660,
    "Volume": 2,
    "OI": 0,
    "Ask": 245.25,
    "Bid": 241.35,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 680,
    "Volume": 2,
    "OI": 0,
    "Ask": 265.3,
    "Bid": 261.4,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT250919P00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-09-19",
    "Strike": 700,
    "Volume": 10,
    "OI": 0,
    "Ask": 265.5,
    "Bid": 261.45,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 230,
    "Volume": None,
    "OI": 1,
    "Ask": 138.5,
    "Bid": 134.25,
    "IV": 0.5243577838134765
  },
  {
    "Code": "MSFT251017C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 240,
    "Volume": 2,
    "OI": 0,
    "Ask": 129.8,
    "Bid": 125.05,
    "IV": 0.5087329400634766
  },
  {
    "Code": "MSFT251017C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 260,
    "Volume": 10,
    "OI": 16,
    "Ask": 111.75,
    "Bid": 111.65,
    "IV": 0.5086719055175781
  },
  {
    "Code": "MSFT251017C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 270,
    "Volume": 2,
    "OI": 2,
    "Ask": 103.1,
    "Bid": 103,
    "IV": 0.49005636901855476
  },
  {
    "Code": "MSFT251017C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 280,
    "Volume": 2,
    "OI": 2,
    "Ask": 94.75,
    "Bid": 95,
    "IV": 0.4732413516235352
  },
  {
    "Code": "MSFT251017C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 290,
    "Volume": 10,
    "OI": 0,
    "Ask": 86.25,
    "Bid": 86.7,
    "IV": 0.45236753692626963
  },
  {
    "Code": "MSFT251017C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 300,
    "Volume": 20,
    "OI": 24,
    "Ask": 78.15,
    "Bid": 78.3,
    "IV": 0.4348353636169434
  },
  {
    "Code": "MSFT251017C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 305,
    "Volume": None,
    "OI": 6,
    "Ask": 74.3,
    "Bid": 74.35,
    "IV": 0.42766380447387703
  },
  {
    "Code": "MSFT251017C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 310,
    "Volume": 46,
    "OI": 22,
    "Ask": 70.45,
    "Bid": 70.85,
    "IV": 0.4198208653259277
  },
  {
    "Code": "MSFT251017C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 315,
    "Volume": 16,
    "OI": 16,
    "Ask": 66.65,
    "Bid": 67.55,
    "IV": 0.41190163299560545
  },
  {
    "Code": "MSFT251017C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 320,
    "Volume": 1,
    "OI": 9,
    "Ask": 63.05,
    "Bid": 63.75,
    "IV": 0.40552352294921873
  },
  {
    "Code": "MSFT251017C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 330,
    "Volume": 7,
    "OI": 22,
    "Ask": 56.05,
    "Bid": 56.35,
    "IV": 0.39264523376464844
  },
  {
    "Code": "MSFT251017C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 335,
    "Volume": 34,
    "OI": 22,
    "Ask": 52.65,
    "Bid": 53.7,
    "IV": 0.3860840200805663
  },
  {
    "Code": "MSFT251017C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 340,
    "Volume": 2,
    "OI": 15,
    "Ask": 49.75,
    "Bid": 49.6,
    "IV": 0.38377996597290037
  },
  {
    "Code": "MSFT251017C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 345,
    "Volume": 7,
    "OI": 35,
    "Ask": 46.8,
    "Bid": 45.9,
    "IV": 0.3800110827636719
  },
  {
    "Code": "MSFT251017C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 350,
    "Volume": 3,
    "OI": 33,
    "Ask": 43.3,
    "Bid": 43.95,
    "IV": 0.3699556413269042
  },
  {
    "Code": "MSFT251017C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 355,
    "Volume": 1,
    "OI": 7,
    "Ask": 40.9,
    "Bid": 41.15,
    "IV": 0.3697877963256836
  },
  {
    "Code": "MSFT251017C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 360,
    "Volume": 51,
    "OI": 76,
    "Ask": 36.75,
    "Bid": 37.85,
    "IV": 0.3518131225585937
  },
  {
    "Code": "MSFT251017C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 365,
    "Volume": 21,
    "OI": 32,
    "Ask": 34.05,
    "Bid": 35.85,
    "IV": 0.3469151002502441
  },
  {
    "Code": "MSFT251017C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 370,
    "Volume": 43,
    "OI": 96,
    "Ask": 31.45,
    "Bid": 33.2,
    "IV": 0.3420170779418945
  },
  {
    "Code": "MSFT251017C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 375,
    "Volume": 44,
    "OI": 51,
    "Ask": 29.05,
    "Bid": 30.7,
    "IV": 0.33801931518554684
  },
  {
    "Code": "MSFT251017C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 380,
    "Volume": 198,
    "OI": 207,
    "Ask": 26.55,
    "Bid": 28.25,
    "IV": 0.3320531883239746
  },
  {
    "Code": "MSFT251017C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 385,
    "Volume": 29,
    "OI": 74,
    "Ask": 24.5,
    "Bid": 25.95,
    "IV": 0.32938292694091786
  },
  {
    "Code": "MSFT251017C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 390,
    "Volume": 26,
    "OI": 129,
    "Ask": 22.15,
    "Bid": 23.8,
    "IV": 0.3227606787109374
  },
  {
    "Code": "MSFT251017C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 395,
    "Volume": 32,
    "OI": 227,
    "Ask": 20.45,
    "Bid": 21.8,
    "IV": 0.3214484359741211
  },
  {
    "Code": "MSFT251017C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 400,
    "Volume": 77,
    "OI": 322,
    "Ask": 19.65,
    "Bid": 19.9,
    "IV": 0.328208011932373
  },
  {
    "Code": "MSFT251017C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 405,
    "Volume": 4,
    "OI": 219,
    "Ask": 16.75,
    "Bid": 18.1,
    "IV": 0.31272049591064455
  },
  {
    "Code": "MSFT251017C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 410,
    "Volume": 17,
    "OI": 203,
    "Ask": 14.9,
    "Bid": 16.35,
    "IV": 0.30664755859375
  },
  {
    "Code": "MSFT251017C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 415,
    "Volume": 46,
    "OI": 203,
    "Ask": 13.45,
    "Bid": 14.8,
    "IV": 0.3036568658447265
  },
  {
    "Code": "MSFT251017C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 420,
    "Volume": 52,
    "OI": 186,
    "Ask": 13.85,
    "Bid": 13.35,
    "IV": 0.3202735209655761
  },
  {
    "Code": "MSFT251017C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 425,
    "Volume": 27,
    "OI": 151,
    "Ask": 11,
    "Bid": 12.05,
    "IV": 0.29953703399658205
  },
  {
    "Code": "MSFT251017C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 430,
    "Volume": 35,
    "OI": 220,
    "Ask": 9.8,
    "Bid": 10.8,
    "IV": 0.29616487533569336
  },
  {
    "Code": "MSFT251017C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 435,
    "Volume": 32,
    "OI": 130,
    "Ask": 10.05,
    "Bid": 9.7,
    "IV": 0.3099586827087402
  },
  {
    "Code": "MSFT251017C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 440,
    "Volume": 35,
    "OI": 283,
    "Ask": 7.95,
    "Bid": 8.7,
    "IV": 0.29315892395019527
  },
  {
    "Code": "MSFT251017C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 445,
    "Volume": 3,
    "OI": 203,
    "Ask": 7.15,
    "Bid": 7.8,
    "IV": 0.2918924571228026
  },
  {
    "Code": "MSFT251017C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 450,
    "Volume": 25,
    "OI": 375,
    "Ask": 6.3,
    "Bid": 6.85,
    "IV": 0.28888650573730457
  },
  {
    "Code": "MSFT251017C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 455,
    "Volume": 11,
    "OI": 216,
    "Ask": 5.65,
    "Bid": 6.1,
    "IV": 0.28784891845703114
  },
  {
    "Code": "MSFT251017C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 460,
    "Volume": 5,
    "OI": 183,
    "Ask": 5,
    "Bid": 5.4,
    "IV": 0.28586529571533204
  },
  {
    "Code": "MSFT251017C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 465,
    "Volume": 10,
    "OI": 100,
    "Ask": 4.5,
    "Bid": 4.75,
    "IV": 0.2854990884399413
  },
  {
    "Code": "MSFT251017C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 470,
    "Volume": 1,
    "OI": 502,
    "Ask": 4,
    "Bid": 4.25,
    "IV": 0.2842783975219726
  },
  {
    "Code": "MSFT251017C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 475,
    "Volume": 2,
    "OI": 82,
    "Ask": 3.6,
    "Bid": 3.8,
    "IV": 0.28412581115722646
  },
  {
    "Code": "MSFT251017C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 480,
    "Volume": 11,
    "OI": 98,
    "Ask": 3.1,
    "Bid": 3.35,
    "IV": 0.280982532043457
  },
  {
    "Code": "MSFT251017C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 485,
    "Volume": 9,
    "OI": 133,
    "Ask": 2.82,
    "Bid": 2.95,
    "IV": 0.2818064984130859
  },
  {
    "Code": "MSFT251017C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 490,
    "Volume": 3,
    "OI": 17,
    "Ask": 2.79,
    "Bid": 2.6,
    "IV": 0.28815409118652335
  },
  {
    "Code": "MSFT251017C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 495,
    "Volume": 75,
    "OI": 43,
    "Ask": 2.25,
    "Bid": 2.25,
    "IV": 0.2811961529541015
  },
  {
    "Code": "MSFT251017C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 500,
    "Volume": 14,
    "OI": 141,
    "Ask": 2.02,
    "Bid": 2.01,
    "IV": 0.28125718749999995
  },
  {
    "Code": "MSFT251017C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 505,
    "Volume": 1,
    "OI": 38,
    "Ask": 2.01,
    "Bid": 1.7,
    "IV": 0.28742167663574214
  },
  {
    "Code": "MSFT251017C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 510,
    "Volume": 25,
    "OI": 523,
    "Ask": 1.63,
    "Bid": 1.52,
    "IV": 0.28162339477539056
  },
  {
    "Code": "MSFT251017C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 520,
    "Volume": 3,
    "OI": 495,
    "Ask": 1.32,
    "Bid": 1.15,
    "IV": 0.282233740234375
  },
  {
    "Code": "MSFT251017C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 540,
    "Volume": 3,
    "OI": 119,
    "Ask": 0.9,
    "Bid": 0.65,
    "IV": 0.28552960571289054
  },
  {
    "Code": "MSFT251017C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 560,
    "Volume": 1,
    "OI": 24,
    "Ask": 0.57,
    "Bid": 0.37,
    "IV": 0.2854075366210937
  },
  {
    "Code": "MSFT251017C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 580,
    "Volume": 1,
    "OI": 4,
    "Ask": 0.43,
    "Bid": 0.19,
    "IV": 0.29224340576171864
  },
  {
    "Code": "MSFT251017C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-10-17",
    "Strike": 600,
    "Volume": 1,
    "OI": 103,
    "Ask": 0.32,
    "Bid": 0.1,
    "IV": 0.2978585839843749
  },
  {
    "Code": "MSFT251017P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 200,
    "Volume": 20,
    "OI": 91,
    "Ask": 0.92,
    "Bid": 0.96,
    "IV": 0.42383388671875
  },
  {
    "Code": "MSFT251017P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 210,
    "Volume": 4,
    "OI": 9,
    "Ask": 1.25,
    "Bid": 1.29,
    "IV": 0.4146787048339844
  },
  {
    "Code": "MSFT251017P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 220,
    "Volume": 2,
    "OI": 24,
    "Ask": 1.59,
    "Bid": 1.7,
    "IV": 0.4017393811035156
  },
  {
    "Code": "MSFT251017P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 230,
    "Volume": 14,
    "OI": 30,
    "Ask": 2.01,
    "Bid": 2.22,
    "IV": 0.38922729919433596
  },
  {
    "Code": "MSFT251017P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 240,
    "Volume": 5,
    "OI": 30,
    "Ask": 2.53,
    "Bid": 2.9,
    "IV": 0.3772645281982422
  },
  {
    "Code": "MSFT251017P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 250,
    "Volume": 82,
    "OI": 36,
    "Ask": 3.2,
    "Bid": 3.65,
    "IV": 0.3665834826660156
  },
  {
    "Code": "MSFT251017P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 260,
    "Volume": 77,
    "OI": 10,
    "Ask": 4.1,
    "Bid": 4.6,
    "IV": 0.35822174987792965
  },
  {
    "Code": "MSFT251017P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 270,
    "Volume": 942,
    "OI": 28,
    "Ask": 5,
    "Bid": 5.75,
    "IV": 0.3458317370605468
  },
  {
    "Code": "MSFT251017P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 280,
    "Volume": 11,
    "OI": 35,
    "Ask": 6.25,
    "Bid": 7.15,
    "IV": 0.336920693359375
  },
  {
    "Code": "MSFT251017P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 290,
    "Volume": 37,
    "OI": 102,
    "Ask": 7.7,
    "Bid": 8.8,
    "IV": 0.3273687869262696
  },
  {
    "Code": "MSFT251017P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 300,
    "Volume": 301,
    "OI": 412,
    "Ask": 9.5,
    "Bid": 10.85,
    "IV": 0.319068088684082
  },
  {
    "Code": "MSFT251017P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 305,
    "Volume": 1,
    "OI": 106,
    "Ask": 10.45,
    "Bid": 11.75,
    "IV": 0.31401748001098634
  },
  {
    "Code": "MSFT251017P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 310,
    "Volume": 59,
    "OI": 121,
    "Ask": 11.55,
    "Bid": 12.85,
    "IV": 0.3099129067993164
  },
  {
    "Code": "MSFT251017P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 315,
    "Volume": 79,
    "OI": 244,
    "Ask": 12.7,
    "Bid": 14.4,
    "IV": 0.3053047985839844
  },
  {
    "Code": "MSFT251017P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 320,
    "Volume": 10,
    "OI": 142,
    "Ask": 13.95,
    "Bid": 15.55,
    "IV": 0.30084927673339845
  },
  {
    "Code": "MSFT251017P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 325,
    "Volume": 167,
    "OI": 427,
    "Ask": 15.3,
    "Bid": 17.15,
    "IV": 0.2964090135192871
  },
  {
    "Code": "MSFT251017P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 330,
    "Volume": 43,
    "OI": 1357,
    "Ask": 16.7,
    "Bid": 18.55,
    "IV": 0.2914194393920897
  },
  {
    "Code": "MSFT251017P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 335,
    "Volume": 26,
    "OI": 225,
    "Ask": 18.25,
    "Bid": 20.15,
    "IV": 0.2869028829956054
  },
  {
    "Code": "MSFT251017P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 340,
    "Volume": 40,
    "OI": 588,
    "Ask": 19.85,
    "Bid": 19.5,
    "IV": 0.2817759811401367
  },
  {
    "Code": "MSFT251017P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 345,
    "Volume": 54,
    "OI": 235,
    "Ask": 21.65,
    "Bid": 23.6,
    "IV": 0.2775035629272461
  },
  {
    "Code": "MSFT251017P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 350,
    "Volume": 16,
    "OI": 146,
    "Ask": 23.5,
    "Bid": 25.65,
    "IV": 0.2725292474365234
  },
  {
    "Code": "MSFT251017P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 355,
    "Volume": 20,
    "OI": 134,
    "Ask": 25.5,
    "Bid": 27.45,
    "IV": 0.2677685528564453
  },
  {
    "Code": "MSFT251017P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 360,
    "Volume": 51,
    "OI": 383,
    "Ask": 27.6,
    "Bid": 29.65,
    "IV": 0.26271794418334965
  },
  {
    "Code": "MSFT251017P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 365,
    "Volume": 321,
    "OI": 128,
    "Ask": 29.85,
    "Bid": 30,
    "IV": 0.2577894046020508
  },
  {
    "Code": "MSFT251017P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 370,
    "Volume": 391,
    "OI": 175,
    "Ask": 32.2,
    "Bid": 34.5,
    "IV": 0.2524793991088867
  },
  {
    "Code": "MSFT251017P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 375,
    "Volume": 14,
    "OI": 104,
    "Ask": 34.7,
    "Bid": 35,
    "IV": 0.24719991088867188
  },
  {
    "Code": "MSFT251017P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 380,
    "Volume": 43,
    "OI": 949,
    "Ask": 37.3,
    "Bid": 37.7,
    "IV": 0.2414016290283203
  },
  {
    "Code": "MSFT251017P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 385,
    "Volume": 13,
    "OI": 384,
    "Ask": 40.05,
    "Bid": 40.5,
    "IV": 0.2355270539855957
  },
  {
    "Code": "MSFT251017P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 390,
    "Volume": 102,
    "OI": 353,
    "Ask": 42.95,
    "Bid": 43.5,
    "IV": 0.2295304098510742
  },
  {
    "Code": "MSFT251017P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 395,
    "Volume": 43,
    "OI": 252,
    "Ask": 45.95,
    "Bid": 46.5,
    "IV": 0.22277083389282226
  },
  {
    "Code": "MSFT251017P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 400,
    "Volume": 32,
    "OI": 549,
    "Ask": 49.6,
    "Bid": 50.25,
    "IV": 0.22135178070068356
  },
  {
    "Code": "MSFT251017P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 405,
    "Volume": 48,
    "OI": 84,
    "Ask": 53.25,
    "Bid": 53.6,
    "IV": 0.21839160522460935
  },
  {
    "Code": "MSFT251017P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 410,
    "Volume": 5,
    "OI": 92,
    "Ask": 56.6,
    "Bid": 57.05,
    "IV": 0.2098467687988281
  },
  {
    "Code": "MSFT251017P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 415,
    "Volume": 26,
    "OI": 43,
    "Ask": 60.6,
    "Bid": 60.65,
    "IV": 0.2075579733276367
  },
  {
    "Code": "MSFT251017P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 420,
    "Volume": 37,
    "OI": 57,
    "Ask": 64.1,
    "Bid": 64.45,
    "IV": 0.19574778869628906
  },
  {
    "Code": "MSFT251017P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 425,
    "Volume": 1,
    "OI": 52,
    "Ask": 68.1,
    "Bid": 68.35,
    "IV": 0.18833209136962892
  },
  {
    "Code": "MSFT251017P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 430,
    "Volume": 1,
    "OI": 14,
    "Ask": 71.95,
    "Bid": 72,
    "IV": 0.17359224853515626
  },
  {
    "Code": "MSFT251017P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 435,
    "Volume": 2,
    "OI": 1,
    "Ask": 75.45,
    "Bid": 76,
    "IV": 0.1294032373046875
  },
  {
    "Code": "MSFT251017P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 440,
    "Volume": 11,
    "OI": 16,
    "Ask": 80.3,
    "Bid": 80.75,
    "IV": 0.1235439208984375
  },
  {
    "Code": "MSFT251017P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 445,
    "Volume": 27,
    "OI": 32,
    "Ask": 84.5,
    "Bid": 85.15,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 450,
    "Volume": 5,
    "OI": 62,
    "Ask": 89.05,
    "Bid": 89.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 455,
    "Volume": 29,
    "OI": 34,
    "Ask": 93.6,
    "Bid": 94,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 460,
    "Volume": 10,
    "OI": 12,
    "Ask": 98.15,
    "Bid": 98.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 465,
    "Volume": 1,
    "OI": 13,
    "Ask": 102.8,
    "Bid": 103.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 470,
    "Volume": 15,
    "OI": 17,
    "Ask": 107.55,
    "Bid": 108,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251017P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 480,
    "Volume": 5,
    "OI": 5,
    "Ask": 122.4,
    "Bid": 118,
    "IV": 0.26105475280761714
  },
  {
    "Code": "MSFT251017P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-10-17",
    "Strike": 500,
    "Volume": 1,
    "OI": 0,
    "Ask": 118.95,
    "Bid": 116.95,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219C00125000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 125,
    "Volume": 2,
    "OI": 116,
    "Ask": 239.95,
    "Bid": 235.2,
    "IV": 0.7637963073730469
  },
  {
    "Code": "MSFT251219C00130000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 130,
    "Volume": 50,
    "OI": 296,
    "Ask": 284.7,
    "Bid": 281.05,
    "IV": 2.0614062136840823
  },
  {
    "Code": "MSFT251219C00135000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 135,
    "Volume": 1,
    "OI": 63,
    "Ask": 326.5,
    "Bid": 322.5,
    "IV": 3.288698067321777
  },
  {
    "Code": "MSFT251219C00140000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 140,
    "Volume": 1,
    "OI": 54,
    "Ask": 253.9,
    "Bid": 249.9,
    "IV": 1.4748866587829588
  },
  {
    "Code": "MSFT251219C00145000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 145,
    "Volume": 7,
    "OI": 20,
    "Ask": 250.9,
    "Bid": 248.05,
    "IV": 1.4816920446777342
  },
  {
    "Code": "MSFT251219C00150000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 150,
    "Volume": 1,
    "OI": 101,
    "Ask": 215.85,
    "Bid": 211.05,
    "IV": 0.6833527758789064
  },
  {
    "Code": "MSFT251219C00155000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 155,
    "Volume": 1,
    "OI": 2,
    "Ask": 300.8,
    "Bid": 296,
    "IV": 2.618899937133789
  },
  {
    "Code": "MSFT251219C00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 160,
    "Volume": 5,
    "OI": 68,
    "Ask": 255.75,
    "Bid": 252.15,
    "IV": 1.7131056825256346
  },
  {
    "Code": "MSFT251219C00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 165,
    "Volume": 1,
    "OI": 4,
    "Ask": 217.5,
    "Bid": 213.5,
    "IV": 1.0431261222839359
  },
  {
    "Code": "MSFT251219C00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 170,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219C00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 175,
    "Volume": 1,
    "OI": 22,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219C00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 180,
    "Volume": 1,
    "OI": 19,
    "Ask": 238,
    "Bid": 233,
    "IV": 1.5442222496032711
  },
  {
    "Code": "MSFT251219C00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 185,
    "Volume": 3,
    "OI": 99,
    "Ask": 182.35,
    "Bid": 177.65,
    "IV": 0.58789474609375
  },
  {
    "Code": "MSFT251219C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 190,
    "Volume": 8,
    "OI": 24,
    "Ask": 205.8,
    "Bid": 203.15,
    "IV": 1.1250348924255371
  },
  {
    "Code": "MSFT251219C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 195,
    "Volume": 13,
    "OI": 27,
    "Ask": 222.15,
    "Bid": 219,
    "IV": 1.4161711320495607
  },
  {
    "Code": "MSFT251219C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 200,
    "Volume": 1,
    "OI": 154,
    "Ask": 168.1,
    "Bid": 168.5,
    "IV": 0.6101723553466798
  },
  {
    "Code": "MSFT251219C00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 205,
    "Volume": 1,
    "OI": 29,
    "Ask": 181.7,
    "Bid": 177.3,
    "IV": 0.8764050445556641
  },
  {
    "Code": "MSFT251219C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 210,
    "Volume": 1,
    "OI": 54,
    "Ask": 158.85,
    "Bid": 154.25,
    "IV": 0.5313462393188476
  },
  {
    "Code": "MSFT251219C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 215,
    "Volume": 2,
    "OI": 81,
    "Ask": 154.25,
    "Bid": 154.4,
    "IV": 0.5707440386962892
  },
  {
    "Code": "MSFT251219C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 220,
    "Volume": 1,
    "OI": 117,
    "Ask": 149.7,
    "Bid": 145,
    "IV": 0.5116931155395508
  },
  {
    "Code": "MSFT251219C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 225,
    "Volume": 1,
    "OI": 99,
    "Ask": 145.15,
    "Bid": 140.5,
    "IV": 0.5029956927490236
  },
  {
    "Code": "MSFT251219C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 230,
    "Volume": 2,
    "OI": 173,
    "Ask": 140.65,
    "Bid": 136,
    "IV": 0.536534175720215
  },
  {
    "Code": "MSFT251219C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 235,
    "Volume": 2,
    "OI": 19,
    "Ask": 136.2,
    "Bid": 136.1,
    "IV": 0.5258531301879883
  },
  {
    "Code": "MSFT251219C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 240,
    "Volume": 2,
    "OI": 174,
    "Ask": 131.7,
    "Bid": 131.85,
    "IV": 0.517003121032715
  },
  {
    "Code": "MSFT251219C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 245,
    "Volume": 1,
    "OI": 27,
    "Ask": 127.3,
    "Bid": 127.15,
    "IV": 0.5051319018554687
  },
  {
    "Code": "MSFT251219C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 250,
    "Volume": 7,
    "OI": 250,
    "Ask": 123,
    "Bid": 122.75,
    "IV": 0.4979603427124024
  },
  {
    "Code": "MSFT251219C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 255,
    "Volume": 1,
    "OI": 197,
    "Ask": 118.6,
    "Bid": 118.3,
    "IV": 0.48788964263916024
  },
  {
    "Code": "MSFT251219C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 260,
    "Volume": 8,
    "OI": 136,
    "Ask": 114.5,
    "Bid": 114.2,
    "IV": 0.4816641189575196
  },
  {
    "Code": "MSFT251219C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 265,
    "Volume": 1,
    "OI": 136,
    "Ask": 109.1,
    "Bid": 109.8,
    "IV": 0.457585990600586
  },
  {
    "Code": "MSFT251219C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 270,
    "Volume": 1,
    "OI": 246,
    "Ask": 105.25,
    "Bid": 106.2,
    "IV": 0.45429012512207034
  },
  {
    "Code": "MSFT251219C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 275,
    "Volume": 4,
    "OI": 427,
    "Ask": 101.05,
    "Bid": 101.8,
    "IV": 0.44585209915161134
  },
  {
    "Code": "MSFT251219C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 280,
    "Volume": 25,
    "OI": 889,
    "Ask": 96.9,
    "Bid": 97.45,
    "IV": 0.43765821136474614
  },
  {
    "Code": "MSFT251219C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 285,
    "Volume": 1,
    "OI": 291,
    "Ask": 93.1,
    "Bid": 93.5,
    "IV": 0.43314165496826174
  },
  {
    "Code": "MSFT251219C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 290,
    "Volume": 1,
    "OI": 252,
    "Ask": 89.1,
    "Bid": 89.35,
    "IV": 0.4257259576416016
  },
  {
    "Code": "MSFT251219C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 295,
    "Volume": 2,
    "OI": 210,
    "Ask": 85.2,
    "Bid": 86,
    "IV": 0.4189663816833496
  },
  {
    "Code": "MSFT251219C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 300,
    "Volume": 39,
    "OI": 1275,
    "Ask": 81.35,
    "Bid": 82.7,
    "IV": 0.4122068057250976
  },
  {
    "Code": "MSFT251219C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 305,
    "Volume": 43,
    "OI": 764,
    "Ask": 77.6,
    "Bid": 78.85,
    "IV": 0.40598128204345707
  },
  {
    "Code": "MSFT251219C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 310,
    "Volume": 2,
    "OI": 293,
    "Ask": 74.15,
    "Bid": 75,
    "IV": 0.4021971401977539
  },
  {
    "Code": "MSFT251219C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 315,
    "Volume": 5,
    "OI": 942,
    "Ask": 70.55,
    "Bid": 70.95,
    "IV": 0.3962767892456055
  },
  {
    "Code": "MSFT251219C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 320,
    "Volume": 7,
    "OI": 293,
    "Ask": 67.1,
    "Bid": 68.05,
    "IV": 0.3911804046630859
  },
  {
    "Code": "MSFT251219C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 325,
    "Volume": 2,
    "OI": 384,
    "Ask": 63.5,
    "Bid": 63.9,
    "IV": 0.38410039733886714
  },
  {
    "Code": "MSFT251219C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 330,
    "Volume": 6,
    "OI": 449,
    "Ask": 60.35,
    "Bid": 60.25,
    "IV": 0.38054513504028314
  },
  {
    "Code": "MSFT251219C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 335,
    "Volume": 10,
    "OI": 473,
    "Ask": 56.85,
    "Bid": 57.85,
    "IV": 0.37317521362304684
  },
  {
    "Code": "MSFT251219C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 340,
    "Volume": 1,
    "OI": 275,
    "Ask": 54.05,
    "Bid": 54.65,
    "IV": 0.3713746945190429
  },
  {
    "Code": "MSFT251219C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 345,
    "Volume": 26,
    "OI": 808,
    "Ask": 51.75,
    "Bid": 51.2,
    "IV": 0.373129437713623
  },
  {
    "Code": "MSFT251219C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 350,
    "Volume": 24,
    "OI": 2099,
    "Ask": 47.95,
    "Bid": 47.85,
    "IV": 0.3612582185363769
  },
  {
    "Code": "MSFT251219C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 355,
    "Volume": 3,
    "OI": 310,
    "Ask": 44.95,
    "Bid": 45.35,
    "IV": 0.35562778167724607
  },
  {
    "Code": "MSFT251219C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 360,
    "Volume": 7,
    "OI": 2474,
    "Ask": 41.35,
    "Bid": 42.5,
    "IV": 0.3442906147766113
  },
  {
    "Code": "MSFT251219C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 365,
    "Volume": 14,
    "OI": 438,
    "Ask": 41,
    "Bid": 40.6,
    "IV": 0.35938140625
  },
  {
    "Code": "MSFT251219C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 370,
    "Volume": 57,
    "OI": 754,
    "Ask": 36.1,
    "Bid": 38,
    "IV": 0.3358525888061523
  },
  {
    "Code": "MSFT251219C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 375,
    "Volume": 31,
    "OI": 783,
    "Ask": 33.7,
    "Bid": 35.45,
    "IV": 0.3323736196899414
  },
  {
    "Code": "MSFT251219C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 380,
    "Volume": 69,
    "OI": 3100,
    "Ask": 31.2,
    "Bid": 33.05,
    "IV": 0.32732301101684574
  },
  {
    "Code": "MSFT251219C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 385,
    "Volume": 12,
    "OI": 612,
    "Ask": 29.5,
    "Bid": 30.75,
    "IV": 0.32813171874999997
  },
  {
    "Code": "MSFT251219C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 390,
    "Volume": 73,
    "OI": 817,
    "Ask": 26.9,
    "Bid": 28.55,
    "IV": 0.32068550415039054
  },
  {
    "Code": "MSFT251219C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 395,
    "Volume": 3,
    "OI": 733,
    "Ask": 25,
    "Bid": 26.5,
    "IV": 0.31830515686035155
  },
  {
    "Code": "MSFT251219C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 400,
    "Volume": 82,
    "OI": 1794,
    "Ask": 24.7,
    "Bid": 24.5,
    "IV": 0.32884887466430657
  },
  {
    "Code": "MSFT251219C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 405,
    "Volume": 113,
    "OI": 618,
    "Ask": 21.35,
    "Bid": 22.7,
    "IV": 0.3125221336364746
  },
  {
    "Code": "MSFT251219C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 410,
    "Volume": 57,
    "OI": 1605,
    "Ask": 19.3,
    "Bid": 20.9,
    "IV": 0.30643393768310545
  },
  {
    "Code": "MSFT251219C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 415,
    "Volume": 154,
    "OI": 790,
    "Ask": 17.85,
    "Bid": 19.15,
    "IV": 0.3048470394897461
  },
  {
    "Code": "MSFT251219C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 420,
    "Volume": 79,
    "OI": 1131,
    "Ask": 16.2,
    "Bid": 17.6,
    "IV": 0.30063565582275387
  },
  {
    "Code": "MSFT251219C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 425,
    "Volume": 8,
    "OI": 2385,
    "Ask": 15.1,
    "Bid": 16.15,
    "IV": 0.3008035008239746
  },
  {
    "Code": "MSFT251219C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 430,
    "Volume": 67,
    "OI": 1015,
    "Ask": 13.9,
    "Bid": 14.85,
    "IV": 0.29932341308593746
  },
  {
    "Code": "MSFT251219C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 435,
    "Volume": 75,
    "OI": 413,
    "Ask": 12.45,
    "Bid": 13.6,
    "IV": 0.29454745986938474
  },
  {
    "Code": "MSFT251219C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 440,
    "Volume": 59,
    "OI": 2164,
    "Ask": 11.25,
    "Bid": 12.3,
    "IV": 0.2914194393920897
  },
  {
    "Code": "MSFT251219C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 445,
    "Volume": 18,
    "OI": 2303,
    "Ask": 10.3,
    "Bid": 11.2,
    "IV": 0.29016823120117186
  },
  {
    "Code": "MSFT251219C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 450,
    "Volume": 211,
    "OI": 3854,
    "Ask": 9.2,
    "Bid": 10.3,
    "IV": 0.2864451239013671
  },
  {
    "Code": "MSFT251219C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 455,
    "Volume": 25,
    "OI": 1441,
    "Ask": 9.8,
    "Bid": 9.3,
    "IV": 0.30170376037597657
  },
  {
    "Code": "MSFT251219C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 460,
    "Volume": 197,
    "OI": 1319,
    "Ask": 7.85,
    "Bid": 8.4,
    "IV": 0.2866892620849609
  },
  {
    "Code": "MSFT251219C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 465,
    "Volume": 130,
    "OI": 747,
    "Ask": 7.05,
    "Bid": 7.6,
    "IV": 0.2842783975219726
  },
  {
    "Code": "MSFT251219C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 470,
    "Volume": 123,
    "OI": 1467,
    "Ask": 6.2,
    "Bid": 6.85,
    "IV": 0.28031115203857415
  },
  {
    "Code": "MSFT251219C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 475,
    "Volume": 49,
    "OI": 518,
    "Ask": 5.7,
    "Bid": 6.2,
    "IV": 0.28043322113037106
  },
  {
    "Code": "MSFT251219C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 480,
    "Volume": 52,
    "OI": 657,
    "Ask": 5.25,
    "Bid": 5.65,
    "IV": 0.280707876586914
  },
  {
    "Code": "MSFT251219C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 485,
    "Volume": 25,
    "OI": 301,
    "Ask": 4.65,
    "Bid": 5.05,
    "IV": 0.27805287384033206
  },
  {
    "Code": "MSFT251219C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 490,
    "Volume": 8,
    "OI": 401,
    "Ask": 4.25,
    "Bid": 4.6,
    "IV": 0.2779002874755859
  },
  {
    "Code": "MSFT251219C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 495,
    "Volume": 3,
    "OI": 874,
    "Ask": 4.4,
    "Bid": 4.1,
    "IV": 0.2868723657226562
  },
  {
    "Code": "MSFT251219C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 500,
    "Volume": 371,
    "OI": 1960,
    "Ask": 3.4,
    "Bid": 3.7,
    "IV": 0.2749095947265625
  },
  {
    "Code": "MSFT251219C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 505,
    "Volume": 6,
    "OI": 311,
    "Ask": 3.1,
    "Bid": 3.3,
    "IV": 0.27481804290771483
  },
  {
    "Code": "MSFT251219C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 510,
    "Volume": 5,
    "OI": 307,
    "Ask": 2.9,
    "Bid": 2.93,
    "IV": 0.27640494110107416
  },
  {
    "Code": "MSFT251219C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 515,
    "Volume": 5,
    "OI": 423,
    "Ask": 2.99,
    "Bid": 2.55,
    "IV": 0.2840342593383788
  },
  {
    "Code": "MSFT251219C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 520,
    "Volume": 15,
    "OI": 1156,
    "Ask": 2.55,
    "Bid": 2.33,
    "IV": 0.27967028930664056
  },
  {
    "Code": "MSFT251219C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 525,
    "Volume": 5,
    "OI": 1055,
    "Ask": 2.16,
    "Bid": 2.09,
    "IV": 0.27533683654785157
  },
  {
    "Code": "MSFT251219C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 530,
    "Volume": 63,
    "OI": 806,
    "Ask": 1.97,
    "Bid": 1.79,
    "IV": 0.27542838836669914
  },
  {
    "Code": "MSFT251219C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 535,
    "Volume": 10,
    "OI": 248,
    "Ask": 1.8,
    "Bid": 1.68,
    "IV": 0.2756420092773437
  },
  {
    "Code": "MSFT251219C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 540,
    "Volume": 61,
    "OI": 1294,
    "Ask": 1.66,
    "Bid": 1.5,
    "IV": 0.2763133892822265
  },
  {
    "Code": "MSFT251219C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 545,
    "Volume": 2,
    "OI": 124,
    "Ask": 1.52,
    "Bid": 1.29,
    "IV": 0.2766185620117187
  },
  {
    "Code": "MSFT251219C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 550,
    "Volume": 88,
    "OI": 785,
    "Ask": 1.16,
    "Bid": 1.15,
    "IV": 0.2682568292236328
  },
  {
    "Code": "MSFT251219C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 555,
    "Volume": 40,
    "OI": 100,
    "Ask": 1.29,
    "Bid": 1.01,
    "IV": 0.2778392529296875
  },
  {
    "Code": "MSFT251219C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 560,
    "Volume": 25,
    "OI": 336,
    "Ask": 1.17,
    "Bid": 0.93,
    "IV": 0.27771718383789057
  },
  {
    "Code": "MSFT251219C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 565,
    "Volume": 3,
    "OI": 209,
    "Ask": 1.08,
    "Bid": 0.8,
    "IV": 0.278327529296875
  },
  {
    "Code": "MSFT251219C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 570,
    "Volume": 85,
    "OI": 756,
    "Ask": 0.98,
    "Bid": 0.7,
    "IV": 0.27826649475097653
  },
  {
    "Code": "MSFT251219C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 575,
    "Volume": 2,
    "OI": 131,
    "Ask": 0.95,
    "Bid": 0.6,
    "IV": 0.28113511840820304
  },
  {
    "Code": "MSFT251219C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 580,
    "Volume": 1,
    "OI": 463,
    "Ask": 0.86,
    "Bid": 0.55,
    "IV": 0.28089098022460934
  },
  {
    "Code": "MSFT251219C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 585,
    "Volume": 2,
    "OI": 115,
    "Ask": 0.8,
    "Bid": 0.48,
    "IV": 0.28174546386718746
  },
  {
    "Code": "MSFT251219C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 590,
    "Volume": 30,
    "OI": 303,
    "Ask": 0.74,
    "Bid": 0.43,
    "IV": 0.28247787841796873
  },
  {
    "Code": "MSFT251219C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 595,
    "Volume": 28,
    "OI": 527,
    "Ask": 0.65,
    "Bid": 0.38,
    "IV": 0.2810130493164062
  },
  {
    "Code": "MSFT251219C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 600,
    "Volume": 2,
    "OI": 2534,
    "Ask": 0.61,
    "Bid": 0.33,
    "IV": 0.282233740234375
  },
  {
    "Code": "MSFT251219C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 605,
    "Volume": 22,
    "OI": 275,
    "Ask": 0.58,
    "Bid": 0.29,
    "IV": 0.28394270751953116
  },
  {
    "Code": "MSFT251219C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 610,
    "Volume": 30,
    "OI": 341,
    "Ask": 0.53,
    "Bid": 0.25,
    "IV": 0.2841868457031249
  },
  {
    "Code": "MSFT251219C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 615,
    "Volume": 2,
    "OI": 61,
    "Ask": 0.51,
    "Bid": 0.22,
    "IV": 0.28626202026367187
  },
  {
    "Code": "MSFT251219C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 620,
    "Volume": 6,
    "OI": 720,
    "Ask": 0.49,
    "Bid": 0.18,
    "IV": 0.28833719482421866
  },
  {
    "Code": "MSFT251219C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 625,
    "Volume": 2,
    "OI": 30,
    "Ask": 0.45,
    "Bid": 0.16,
    "IV": 0.2885813330078124
  },
  {
    "Code": "MSFT251219C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 630,
    "Volume": 1,
    "OI": 127,
    "Ask": 2.22,
    "Bid": 0,
    "IV": 0.3739686627197265
  },
  {
    "Code": "MSFT251219C00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 635,
    "Volume": 2,
    "OI": 150,
    "Ask": 0.42,
    "Bid": 0.11,
    "IV": 0.292853751220703
  },
  {
    "Code": "MSFT251219C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 640,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.12500875
  },
  {
    "Code": "MSFT251219C00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 645,
    "Volume": 2,
    "OI": 1330,
    "Ask": 0.38,
    "Bid": 0.08,
    "IV": 0.2957834094238281
  },
  {
    "Code": "MSFT251219C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 650,
    "Volume": 20,
    "OI": 411,
    "Ask": 0.36,
    "Bid": 0.07,
    "IV": 0.2971261694335937
  },
  {
    "Code": "MSFT251219C00655000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 655,
    "Volume": 1,
    "OI": 69,
    "Ask": 0.35,
    "Bid": 0.04,
    "IV": 0.29932341308593746
  },
  {
    "Code": "MSFT251219C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 660,
    "Volume": 3,
    "OI": 393,
    "Ask": 0.33,
    "Bid": 0.03,
    "IV": 0.3002999658203125
  },
  {
    "Code": "MSFT251219C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 680,
    "Volume": 2,
    "OI": 241,
    "Ask": 0.29,
    "Bid": 0,
    "IV": 0.3078682495117187
  },
  {
    "Code": "MSFT251219C00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 685,
    "Volume": 1,
    "OI": 125,
    "Ask": 0.29,
    "Bid": 0.02,
    "IV": 0.3110420458984374
  },
  {
    "Code": "MSFT251219C00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 690,
    "Volume": 1,
    "OI": 51,
    "Ask": 0.28,
    "Bid": 0,
    "IV": 0.31250687499999996
  },
  {
    "Code": "MSFT251219C00695000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 695,
    "Volume": 1,
    "OI": 293,
    "Ask": 0.27,
    "Bid": 0,
    "IV": 0.3142158422851562
  },
  {
    "Code": "MSFT251219C00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2025-12-19",
    "Strike": 700,
    "Volume": 90,
    "OI": 1717,
    "Ask": 0.12,
    "Bid": 0.07,
    "IV": 0.29053443847656246
  },
  {
    "Code": "MSFT251219P00125000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 125,
    "Volume": 5,
    "OI": 2401,
    "Ask": 0.2,
    "Bid": 0.12,
    "IV": 0.5107470800781251
  },
  {
    "Code": "MSFT251219P00130000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 130,
    "Volume": 10,
    "OI": 389,
    "Ask": 0.3,
    "Bid": 0.15,
    "IV": 0.51758294921875
  },
  {
    "Code": "MSFT251219P00135000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 135,
    "Volume": 15,
    "OI": 1984,
    "Ask": 0.3,
    "Bid": 0.03,
    "IV": 0.4995167236328125
  },
  {
    "Code": "MSFT251219P00140000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 140,
    "Volume": 25,
    "OI": 255,
    "Ask": 0.32,
    "Bid": 0.06,
    "IV": 0.4858449853515625
  },
  {
    "Code": "MSFT251219P00145000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 145,
    "Volume": 2,
    "OI": 138,
    "Ask": 0.4,
    "Bid": 0.1,
    "IV": 0.4831594653320313
  },
  {
    "Code": "MSFT251219P00150000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 150,
    "Volume": 1,
    "OI": 568,
    "Ask": 0.45,
    "Bid": 0.16,
    "IV": 0.4738822143554688
  },
  {
    "Code": "MSFT251219P00155000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 155,
    "Volume": 1,
    "OI": 242,
    "Ask": 0.5,
    "Bid": 0.22,
    "IV": 0.4643608251953125
  },
  {
    "Code": "MSFT251219P00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 160,
    "Volume": 1,
    "OI": 559,
    "Ask": 0.5,
    "Bid": 0.25,
    "IV": 0.44824770507812495
  },
  {
    "Code": "MSFT251219P00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 165,
    "Volume": 1,
    "OI": 193,
    "Ask": 0.6,
    "Bid": 0.38,
    "IV": 0.4440973559570312
  },
  {
    "Code": "MSFT251219P00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 170,
    "Volume": 1,
    "OI": 456,
    "Ask": 0.67,
    "Bid": 0.48,
    "IV": 0.43579665771484377
  },
  {
    "Code": "MSFT251219P00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 175,
    "Volume": 2,
    "OI": 325,
    "Ask": 0.77,
    "Bid": 0.59,
    "IV": 0.42981527221679694
  },
  {
    "Code": "MSFT251219P00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 180,
    "Volume": 21,
    "OI": 853,
    "Ask": 0.81,
    "Bid": 0.74,
    "IV": 0.41797457031249996
  },
  {
    "Code": "MSFT251219P00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 185,
    "Volume": 4,
    "OI": 344,
    "Ask": 0.97,
    "Bid": 0.88,
    "IV": 0.41528905029296875
  },
  {
    "Code": "MSFT251219P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 190,
    "Volume": 2,
    "OI": 493,
    "Ask": 1.1,
    "Bid": 0.83,
    "IV": 0.40918559570312496
  },
  {
    "Code": "MSFT251219P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 195,
    "Volume": 1,
    "OI": 731,
    "Ask": 1.23,
    "Bid": 1.2,
    "IV": 0.4023497265625
  },
  {
    "Code": "MSFT251219P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 200,
    "Volume": 4,
    "OI": 847,
    "Ask": 1.38,
    "Bid": 1.37,
    "IV": 0.39600213378906257
  },
  {
    "Code": "MSFT251219P00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 205,
    "Volume": 1,
    "OI": 257,
    "Ask": 1.6,
    "Bid": 1.58,
    "IV": 0.3924621301269531
  },
  {
    "Code": "MSFT251219P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 210,
    "Volume": 27,
    "OI": 713,
    "Ask": 1.73,
    "Bid": 1.81,
    "IV": 0.383795224609375
  },
  {
    "Code": "MSFT251219P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 215,
    "Volume": 2,
    "OI": 330,
    "Ask": 1.96,
    "Bid": 2.1,
    "IV": 0.3789124609375
  },
  {
    "Code": "MSFT251219P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 220,
    "Volume": 14,
    "OI": 291,
    "Ask": 2.17,
    "Bid": 2.37,
    "IV": 0.37244279907226563
  },
  {
    "Code": "MSFT251219P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 225,
    "Volume": 380,
    "OI": 953,
    "Ask": 2.53,
    "Bid": 2.73,
    "IV": 0.3704896936035156
  },
  {
    "Code": "MSFT251219P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 230,
    "Volume": 1,
    "OI": 560,
    "Ask": 2.77,
    "Bid": 3,
    "IV": 0.3635927899169922
  },
  {
    "Code": "MSFT251219P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 235,
    "Volume": 10,
    "OI": 347,
    "Ask": 3.2,
    "Bid": 3.45,
    "IV": 0.36151761535644533
  },
  {
    "Code": "MSFT251219P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 240,
    "Volume": 3,
    "OI": 5325,
    "Ask": 3.55,
    "Bid": 3.8,
    "IV": 0.3562076098632812
  },
  {
    "Code": "MSFT251219P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 245,
    "Volume": 1,
    "OI": 766,
    "Ask": 3.95,
    "Bid": 4.25,
    "IV": 0.35135536346435536
  },
  {
    "Code": "MSFT251219P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 250,
    "Volume": 5,
    "OI": 654,
    "Ask": 4.4,
    "Bid": 4.05,
    "IV": 0.34683880706787107
  },
  {
    "Code": "MSFT251219P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 255,
    "Volume": 32,
    "OI": 932,
    "Ask": 4.85,
    "Bid": 5.3,
    "IV": 0.3415593188476562
  },
  {
    "Code": "MSFT251219P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 260,
    "Volume": 19,
    "OI": 2929,
    "Ask": 5.35,
    "Bid": 4.95,
    "IV": 0.33649345153808596
  },
  {
    "Code": "MSFT251219P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 265,
    "Volume": 15,
    "OI": 1319,
    "Ask": 5.95,
    "Bid": 6.5,
    "IV": 0.3325262060546875
  },
  {
    "Code": "MSFT251219P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 270,
    "Volume": 23,
    "OI": 1947,
    "Ask": 6.55,
    "Bid": 7.2,
    "IV": 0.32770447692871096
  },
  {
    "Code": "MSFT251219P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 275,
    "Volume": 27,
    "OI": 609,
    "Ask": 7.3,
    "Bid": 7.95,
    "IV": 0.3244696459960937
  },
  {
    "Code": "MSFT251219P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 280,
    "Volume": 21,
    "OI": 1540,
    "Ask": 8.05,
    "Bid": 8.75,
    "IV": 0.32031929687499994
  },
  {
    "Code": "MSFT251219P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 285,
    "Volume": 141,
    "OI": 1025,
    "Ask": 8.85,
    "Bid": 9.6,
    "IV": 0.3160163613891601
  },
  {
    "Code": "MSFT251219P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 290,
    "Volume": 60,
    "OI": 352,
    "Ask": 9.75,
    "Bid": 10.5,
    "IV": 0.31223221954345703
  },
  {
    "Code": "MSFT251219P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 295,
    "Volume": 76,
    "OI": 611,
    "Ask": 10.6,
    "Bid": 11.6,
    "IV": 0.3069832485961914
  },
  {
    "Code": "MSFT251219P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 300,
    "Volume": 385,
    "OI": 5241,
    "Ask": 11.65,
    "Bid": 12.7,
    "IV": 0.30336695175170897
  },
  {
    "Code": "MSFT251219P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 305,
    "Volume": 7,
    "OI": 2872,
    "Ask": 12.8,
    "Bid": 14,
    "IV": 0.29999479309082033
  },
  {
    "Code": "MSFT251219P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 310,
    "Volume": 24,
    "OI": 695,
    "Ask": 14,
    "Bid": 15.4,
    "IV": 0.2962716857910156
  },
  {
    "Code": "MSFT251219P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 315,
    "Volume": 23,
    "OI": 1371,
    "Ask": 15.25,
    "Bid": 16.35,
    "IV": 0.29218237121582025
  },
  {
    "Code": "MSFT251219P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 320,
    "Volume": 60,
    "OI": 1146,
    "Ask": 16.6,
    "Bid": 18.05,
    "IV": 0.28824564300537103
  },
  {
    "Code": "MSFT251219P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 325,
    "Volume": 143,
    "OI": 1495,
    "Ask": 18.05,
    "Bid": 19.5,
    "IV": 0.2843852079772949
  },
  {
    "Code": "MSFT251219P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 330,
    "Volume": 9,
    "OI": 1336,
    "Ask": 19.55,
    "Bid": 20.8,
    "IV": 0.2801127897644042
  },
  {
    "Code": "MSFT251219P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 335,
    "Volume": 9,
    "OI": 489,
    "Ask": 21.2,
    "Bid": 22.7,
    "IV": 0.2763133892822265
  },
  {
    "Code": "MSFT251219P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 340,
    "Volume": 19,
    "OI": 1075,
    "Ask": 22.9,
    "Bid": 24.35,
    "IV": 0.2720562297058105
  },
  {
    "Code": "MSFT251219P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 345,
    "Volume": 10,
    "OI": 346,
    "Ask": 24.75,
    "Bid": 26.35,
    "IV": 0.26818053604125974
  },
  {
    "Code": "MSFT251219P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 350,
    "Volume": 61,
    "OI": 2293,
    "Ask": 26.65,
    "Bid": 28.25,
    "IV": 0.26380130737304686
  },
  {
    "Code": "MSFT251219P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 355,
    "Volume": 54,
    "OI": 2705,
    "Ask": 28.7,
    "Bid": 28.8,
    "IV": 0.2597119927978516
  },
  {
    "Code": "MSFT251219P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 360,
    "Volume": 93,
    "OI": 821,
    "Ask": 30.85,
    "Bid": 32.7,
    "IV": 0.2554853504943848
  },
  {
    "Code": "MSFT251219P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 365,
    "Volume": 112,
    "OI": 640,
    "Ask": 33.1,
    "Bid": 34.95,
    "IV": 0.25109086318969726
  },
  {
    "Code": "MSFT251219P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 370,
    "Volume": 24,
    "OI": 2100,
    "Ask": 35.45,
    "Bid": 37.35,
    "IV": 0.24648275497436523
  },
  {
    "Code": "MSFT251219P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 375,
    "Volume": 80,
    "OI": 765,
    "Ask": 37.95,
    "Bid": 39.75,
    "IV": 0.2420577503967285
  },
  {
    "Code": "MSFT251219P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 380,
    "Volume": 22,
    "OI": 2124,
    "Ask": 40.55,
    "Bid": 42.5,
    "IV": 0.2373580903625488
  },
  {
    "Code": "MSFT251219P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 385,
    "Volume": 92,
    "OI": 899,
    "Ask": 43.25,
    "Bid": 45.3,
    "IV": 0.23235325759887693
  },
  {
    "Code": "MSFT251219P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 390,
    "Volume": 79,
    "OI": 963,
    "Ask": 46.05,
    "Bid": 48.15,
    "IV": 0.2269822175598144
  },
  {
    "Code": "MSFT251219P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 395,
    "Volume": 4,
    "OI": 936,
    "Ask": 49.05,
    "Bid": 49.5,
    "IV": 0.2220994538879394
  },
  {
    "Code": "MSFT251219P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 400,
    "Volume": 105,
    "OI": 3016,
    "Ask": 52.1,
    "Bid": 53.2,
    "IV": 0.21631643066406248
  },
  {
    "Code": "MSFT251219P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 405,
    "Volume": 23,
    "OI": 12632,
    "Ask": 55.75,
    "Bid": 56.4,
    "IV": 0.2148668601989746
  },
  {
    "Code": "MSFT251219P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 410,
    "Volume": 7,
    "OI": 1131,
    "Ask": 59.1,
    "Bid": 59.9,
    "IV": 0.20917538879394526
  },
  {
    "Code": "MSFT251219P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 415,
    "Volume": 3,
    "OI": 583,
    "Ask": 62.35,
    "Bid": 62.9,
    "IV": 0.20066106964111324
  },
  {
    "Code": "MSFT251219P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 420,
    "Volume": 2,
    "OI": 1239,
    "Ask": 66.35,
    "Bid": 66.7,
    "IV": 0.1987537400817871
  },
  {
    "Code": "MSFT251219P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 425,
    "Volume": 2,
    "OI": 928,
    "Ask": 70.05,
    "Bid": 70,
    "IV": 0.19161269821166993
  },
  {
    "Code": "MSFT251219P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 430,
    "Volume": 14,
    "OI": 1337,
    "Ask": 73.25,
    "Bid": 74.25,
    "IV": 0.17414155944824222
  },
  {
    "Code": "MSFT251219P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 435,
    "Volume": 1,
    "OI": 451,
    "Ask": 77.7,
    "Bid": 78.2,
    "IV": 0.17258517852783206
  },
  {
    "Code": "MSFT251219P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 440,
    "Volume": 68,
    "OI": 681,
    "Ask": 81.7,
    "Bid": 82.35,
    "IV": 0.1596763720703125
  },
  {
    "Code": "MSFT251219P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 445,
    "Volume": 5,
    "OI": 377,
    "Ask": 86.25,
    "Bid": 86,
    "IV": 0.15479360839843753
  },
  {
    "Code": "MSFT251219P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 450,
    "Volume": 73,
    "OI": 554,
    "Ask": 89.75,
    "Bid": 90.9,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 455,
    "Volume": 2,
    "OI": 807,
    "Ask": 94.7,
    "Bid": 95.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 460,
    "Volume": 34,
    "OI": 181,
    "Ask": 99.15,
    "Bid": 99.8,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 465,
    "Volume": 4,
    "OI": 79,
    "Ask": 103.3,
    "Bid": 104,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 470,
    "Volume": 6,
    "OI": 68,
    "Ask": 108.2,
    "Bid": 108.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 475,
    "Volume": 16,
    "OI": 141,
    "Ask": 112.4,
    "Bid": 113.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 480,
    "Volume": 1,
    "OI": 86,
    "Ask": 117.4,
    "Bid": 118,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 485,
    "Volume": 1,
    "OI": 101,
    "Ask": 122.35,
    "Bid": 123,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 490,
    "Volume": 1,
    "OI": 0,
    "Ask": 132.2,
    "Bid": 128,
    "IV": 0.23441317352294921
  },
  {
    "Code": "MSFT251219P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 495,
    "Volume": 14,
    "OI": 37,
    "Ask": 81.65,
    "Bid": 79.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 500,
    "Volume": 10,
    "OI": 16,
    "Ask": 142.4,
    "Bid": 137.5,
    "IV": 0.2508009490966796
  },
  {
    "Code": "MSFT251219P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 505,
    "Volume": 1,
    "OI": 0,
    "Ask": 147.4,
    "Bid": 142.5,
    "IV": 0.2564771618652344
  },
  {
    "Code": "MSFT251219P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 510,
    "Volume": 35,
    "OI": 1,
    "Ask": 118.25,
    "Bid": 114.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 515,
    "Volume": 20,
    "OI": 0,
    "Ask": 120.5,
    "Bid": 115.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 520,
    "Volume": 2,
    "OI": 0,
    "Ask": 131.3,
    "Bid": 129.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 530,
    "Volume": 4,
    "OI": 0,
    "Ask": 172.4,
    "Bid": 167.6,
    "IV": 0.28363753479003895
  },
  {
    "Code": "MSFT251219P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 535,
    "Volume": 2,
    "OI": 1,
    "Ask": 111,
    "Bid": 106.85,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 540,
    "Volume": 5,
    "OI": 0,
    "Ask": 149.8,
    "Bid": 146.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 545,
    "Volume": 7,
    "OI": 0,
    "Ask": 108.65,
    "Bid": 105.4,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 550,
    "Volume": 2,
    "OI": 0,
    "Ask": 130.25,
    "Bid": 127.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 555,
    "Volume": None,
    "OI": 0,
    "Ask": 137.2,
    "Bid": 133.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 560,
    "Volume": 2,
    "OI": 0,
    "Ask": 155.5,
    "Bid": 151,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 565,
    "Volume": None,
    "OI": 0,
    "Ask": 165.5,
    "Bid": 161.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 570,
    "Volume": 2,
    "OI": 0,
    "Ask": 174.1,
    "Bid": 171,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 575,
    "Volume": 1,
    "OI": 0,
    "Ask": 157.5,
    "Bid": 153,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 580,
    "Volume": 6,
    "OI": 0,
    "Ask": 153,
    "Bid": 148.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 585,
    "Volume": None,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 600,
    "Volume": None,
    "OI": 0,
    "Ask": 177,
    "Bid": 172.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 610,
    "Volume": 38,
    "OI": 0,
    "Ask": 187,
    "Bid": 182.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 620,
    "Volume": 1,
    "OI": 0,
    "Ask": 262.4,
    "Bid": 257.65,
    "IV": 0.3676821044921875
  },
  {
    "Code": "MSFT251219P00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 625,
    "Volume": None,
    "OI": 0,
    "Ask": 197,
    "Bid": 192,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 630,
    "Volume": None,
    "OI": 0,
    "Ask": 201.45,
    "Bid": 197,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 640,
    "Volume": 20,
    "OI": 0,
    "Ask": 217,
    "Bid": 212.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 645,
    "Volume": 1,
    "OI": 0,
    "Ask": 227.5,
    "Bid": 223,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 650,
    "Volume": 3,
    "OI": 0,
    "Ask": 234,
    "Bid": 229,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT251219P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2025-12-19",
    "Strike": 660,
    "Volume": None,
    "OI": 0,
    "Ask": 237,
    "Bid": 232.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116C00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 160,
    "Volume": 2,
    "OI": 186,
    "Ask": 206.55,
    "Bid": 202,
    "IV": 0.6364782446289063
  },
  {
    "Code": "MSFT260116C00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 165,
    "Volume": 1,
    "OI": 24,
    "Ask": 201.85,
    "Bid": 197.15,
    "IV": 0.6229285754394531
  },
  {
    "Code": "MSFT260116C00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 170,
    "Volume": 10,
    "OI": 0,
    "Ask": 221.65,
    "Bid": 219.35,
    "IV": 1.1374249671936039
  },
  {
    "Code": "MSFT260116C00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 175,
    "Volume": 30,
    "OI": 0,
    "Ask": 216.95,
    "Bid": 214.5,
    "IV": 1.1070601287841797
  },
  {
    "Code": "MSFT260116C00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 180,
    "Volume": 1,
    "OI": 101,
    "Ask": 187.65,
    "Bid": 183,
    "IV": 0.5868571588134766
  },
  {
    "Code": "MSFT260116C00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 185,
    "Volume": 2,
    "OI": 513,
    "Ask": 219.8,
    "Bid": 216.9,
    "IV": 1.2380104017639157
  },
  {
    "Code": "MSFT260116C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 190,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 195,
    "Volume": 30,
    "OI": 100,
    "Ask": 229,
    "Bid": 224.55,
    "IV": 1.435748060531616
  },
  {
    "Code": "MSFT260116C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 200,
    "Volume": 5,
    "OI": 411,
    "Ask": 168.95,
    "Bid": 166,
    "IV": 0.5618329949951173
  },
  {
    "Code": "MSFT260116C00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 205,
    "Volume": 1,
    "OI": 874,
    "Ask": 164.5,
    "Bid": 160,
    "IV": 0.5380295220947267
  },
  {
    "Code": "MSFT260116C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 210,
    "Volume": 14,
    "OI": 90,
    "Ask": 186,
    "Bid": 183.9,
    "IV": 0.9545597805786132
  },
  {
    "Code": "MSFT260116C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 215,
    "Volume": 1,
    "OI": 170,
    "Ask": 155.3,
    "Bid": 155.5,
    "IV": 0.5617109259033204
  },
  {
    "Code": "MSFT260116C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 220,
    "Volume": 2,
    "OI": 216,
    "Ask": 186.7,
    "Bid": 183.8,
    "IV": 1.0329333021545415
  },
  {
    "Code": "MSFT260116C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 225,
    "Volume": 1,
    "OI": 366,
    "Ask": 146.25,
    "Bid": 141.5,
    "IV": 0.5381210739135743
  },
  {
    "Code": "MSFT260116C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 230,
    "Volume": 1,
    "OI": 212,
    "Ask": 141.75,
    "Bid": 137,
    "IV": 0.5274400283813477
  },
  {
    "Code": "MSFT260116C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 235,
    "Volume": 2,
    "OI": 86,
    "Ask": 137.35,
    "Bid": 137.15,
    "IV": 0.5166369137573242
  },
  {
    "Code": "MSFT260116C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 240,
    "Volume": 6,
    "OI": 112,
    "Ask": 132.95,
    "Bid": 133.05,
    "IV": 0.5094043200683593
  },
  {
    "Code": "MSFT260116C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 245,
    "Volume": 1,
    "OI": 129,
    "Ask": 176.3,
    "Bid": 172.65,
    "IV": 1.0553025750732423
  },
  {
    "Code": "MSFT260116C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 250,
    "Volume": 4,
    "OI": 497,
    "Ask": 124.2,
    "Bid": 124,
    "IV": 0.4896596444702149
  },
  {
    "Code": "MSFT260116C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 255,
    "Volume": 17,
    "OI": 146,
    "Ask": 119.8,
    "Bid": 119.55,
    "IV": 0.47948213394165035
  },
  {
    "Code": "MSFT260116C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 260,
    "Volume": 4,
    "OI": 476,
    "Ask": 115.45,
    "Bid": 115.45,
    "IV": 0.46976238250732427
  },
  {
    "Code": "MSFT260116C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 265,
    "Volume": 2,
    "OI": 269,
    "Ask": 110.55,
    "Bid": 111.1,
    "IV": 0.45297788238525394
  },
  {
    "Code": "MSFT260116C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 270,
    "Volume": 1,
    "OI": 901,
    "Ask": 106.45,
    "Bid": 107.1,
    "IV": 0.44605046142578125
  },
  {
    "Code": "MSFT260116C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 275,
    "Volume": 4,
    "OI": 2655,
    "Ask": 102.3,
    "Bid": 103.45,
    "IV": 0.43814648773193365
  },
  {
    "Code": "MSFT260116C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 280,
    "Volume": 11,
    "OI": 526,
    "Ask": 98.15,
    "Bid": 99.9,
    "IV": 0.4298763067626954
  },
  {
    "Code": "MSFT260116C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 285,
    "Volume": 3,
    "OI": 465,
    "Ask": 94.25,
    "Bid": 95.85,
    "IV": 0.42400173171997074
  },
  {
    "Code": "MSFT260116C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 290,
    "Volume": 10,
    "OI": 174,
    "Ask": 90.4,
    "Bid": 91.65,
    "IV": 0.4181576739501953
  },
  {
    "Code": "MSFT260116C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 295,
    "Volume": 2,
    "OI": 91,
    "Ask": 86.75,
    "Bid": 87.7,
    "IV": 0.41386999710083
  },
  {
    "Code": "MSFT260116C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 300,
    "Volume": 58,
    "OI": 1108,
    "Ask": 82.75,
    "Bid": 84.2,
    "IV": 0.40549300567626956
  },
  {
    "Code": "MSFT260116C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 305,
    "Volume": 1,
    "OI": 134,
    "Ask": 79.4,
    "Bid": 79.9,
    "IV": 0.40306688247680666
  },
  {
    "Code": "MSFT260116C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 310,
    "Volume": 1,
    "OI": 204,
    "Ask": 75.5,
    "Bid": 76.15,
    "IV": 0.3947509255981446
  },
  {
    "Code": "MSFT260116C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 315,
    "Volume": 1,
    "OI": 188,
    "Ask": 72.2,
    "Bid": 73.3,
    "IV": 0.3915618705749511
  },
  {
    "Code": "MSFT260116C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 320,
    "Volume": 12,
    "OI": 255,
    "Ask": 68.5,
    "Bid": 69.65,
    "IV": 0.38413091461181637
  },
  {
    "Code": "MSFT260116C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 325,
    "Volume": 1,
    "OI": 193,
    "Ask": 65.1,
    "Bid": 66.25,
    "IV": 0.37888194366455075
  },
  {
    "Code": "MSFT260116C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 330,
    "Volume": 12,
    "OI": 278,
    "Ask": 62.1,
    "Bid": 62.15,
    "IV": 0.37651685501098636
  },
  {
    "Code": "MSFT260116C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 335,
    "Volume": 4,
    "OI": 126,
    "Ask": 58.2,
    "Bid": 59.6,
    "IV": 0.3658510681152344
  },
  {
    "Code": "MSFT260116C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 340,
    "Volume": 12,
    "OI": 184,
    "Ask": 55.2,
    "Bid": 57.35,
    "IV": 0.3622958058166504
  },
  {
    "Code": "MSFT260116C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 345,
    "Volume": 6,
    "OI": 65,
    "Ask": 52.1,
    "Bid": 54.3,
    "IV": 0.35726045578002924
  },
  {
    "Code": "MSFT260116C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 350,
    "Volume": 94,
    "OI": 1469,
    "Ask": 49.25,
    "Bid": 51.3,
    "IV": 0.3536594175720214
  },
  {
    "Code": "MSFT260116C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 355,
    "Volume": 3,
    "OI": 214,
    "Ask": 46.45,
    "Bid": 48.35,
    "IV": 0.34979898254394526
  },
  {
    "Code": "MSFT260116C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 360,
    "Volume": 53,
    "OI": 1530,
    "Ask": 43.5,
    "Bid": 45.55,
    "IV": 0.34410751113891597
  },
  {
    "Code": "MSFT260116C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 365,
    "Volume": 53,
    "OI": 659,
    "Ask": 40.7,
    "Bid": 42.85,
    "IV": 0.33896535064697264
  },
  {
    "Code": "MSFT260116C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 370,
    "Volume": 101,
    "OI": 674,
    "Ask": 38.15,
    "Bid": 40.2,
    "IV": 0.3351354328918457
  },
  {
    "Code": "MSFT260116C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 375,
    "Volume": 71,
    "OI": 679,
    "Ask": 38,
    "Bid": 37.7,
    "IV": 0.34952432708740233
  },
  {
    "Code": "MSFT260116C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 380,
    "Volume": 62,
    "OI": 914,
    "Ask": 33.4,
    "Bid": 35.25,
    "IV": 0.328208011932373
  },
  {
    "Code": "MSFT260116C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 385,
    "Volume": 20,
    "OI": 671,
    "Ask": 31.15,
    "Bid": 32.95,
    "IV": 0.3246985255432128
  },
  {
    "Code": "MSFT260116C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 390,
    "Volume": 507,
    "OI": 1168,
    "Ask": 29,
    "Bid": 30.75,
    "IV": 0.32129584960937496
  },
  {
    "Code": "MSFT260116C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 395,
    "Volume": 90,
    "OI": 2487,
    "Ask": 27.15,
    "Bid": 28.6,
    "IV": 0.31958688232421867
  },
  {
    "Code": "MSFT260116C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 400,
    "Volume": 346,
    "OI": 3513,
    "Ask": 25.2,
    "Bid": 26.6,
    "IV": 0.3163825686645507
  },
  {
    "Code": "MSFT260116C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 405,
    "Volume": 50,
    "OI": 2630,
    "Ask": 23.35,
    "Bid": 24.65,
    "IV": 0.3133003240966796
  },
  {
    "Code": "MSFT260116C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 410,
    "Volume": 325,
    "OI": 2468,
    "Ask": 21.25,
    "Bid": 22.95,
    "IV": 0.30741049041748036
  },
  {
    "Code": "MSFT260116C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 415,
    "Volume": 48,
    "OI": 1974,
    "Ask": 19.9,
    "Bid": 21.15,
    "IV": 0.30705954177856437
  },
  {
    "Code": "MSFT260116C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 420,
    "Volume": 675,
    "OI": 5090,
    "Ask": 18.35,
    "Bid": 19.5,
    "IV": 0.3043587631225586
  },
  {
    "Code": "MSFT260116C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 425,
    "Volume": 95,
    "OI": 7105,
    "Ask": 16.55,
    "Bid": 18,
    "IV": 0.29871306762695304
  },
  {
    "Code": "MSFT260116C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 430,
    "Volume": 150,
    "OI": 4983,
    "Ask": 15.2,
    "Bid": 16.55,
    "IV": 0.2962716857910156
  },
  {
    "Code": "MSFT260116C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 435,
    "Volume": 56,
    "OI": 717,
    "Ask": 13.8,
    "Bid": 15.25,
    "IV": 0.29264013031005853
  },
  {
    "Code": "MSFT260116C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 440,
    "Volume": 52,
    "OI": 2309,
    "Ask": 13.05,
    "Bid": 13.95,
    "IV": 0.2945016839599609
  },
  {
    "Code": "MSFT260116C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 445,
    "Volume": 79,
    "OI": 1054,
    "Ask": 11.6,
    "Bid": 12.85,
    "IV": 0.28888650573730457
  },
  {
    "Code": "MSFT260116C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 450,
    "Volume": 273,
    "OI": 8095,
    "Ask": 10.7,
    "Bid": 11.7,
    "IV": 0.28803202209472645
  },
  {
    "Code": "MSFT260116C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 455,
    "Volume": 33,
    "OI": 1199,
    "Ask": 10.05,
    "Bid": 10.7,
    "IV": 0.2892527130126953
  },
  {
    "Code": "MSFT260116C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 460,
    "Volume": 62,
    "OI": 1300,
    "Ask": 9,
    "Bid": 9.75,
    "IV": 0.28552960571289054
  },
  {
    "Code": "MSFT260116C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 465,
    "Volume": 33,
    "OI": 770,
    "Ask": 7.85,
    "Bid": 8.9,
    "IV": 0.27971606521606435
  },
  {
    "Code": "MSFT260116C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 470,
    "Volume": 358,
    "OI": 2894,
    "Ask": 7.15,
    "Bid": 8.1,
    "IV": 0.27840382247924805
  },
  {
    "Code": "MSFT260116C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 475,
    "Volume": 18,
    "OI": 1417,
    "Ask": 6.9,
    "Bid": 7.4,
    "IV": 0.2822642575073242
  },
  {
    "Code": "MSFT260116C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 480,
    "Volume": 50,
    "OI": 2131,
    "Ask": 5.85,
    "Bid": 6.7,
    "IV": 0.27509269836425776
  },
  {
    "Code": "MSFT260116C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 490,
    "Volume": 29,
    "OI": 1884,
    "Ask": 5.1,
    "Bid": 5.5,
    "IV": 0.27719839019775383
  },
  {
    "Code": "MSFT260116C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 500,
    "Volume": 566,
    "OI": 7809,
    "Ask": 4.15,
    "Bid": 4.65,
    "IV": 0.2742992492675781
  },
  {
    "Code": "MSFT260116C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 520,
    "Volume": 57,
    "OI": 4903,
    "Ask": 2.93,
    "Bid": 3.05,
    "IV": 0.2738414901733398
  },
  {
    "Code": "MSFT260116C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 540,
    "Volume": 104,
    "OI": 3542,
    "Ask": 2.1,
    "Bid": 2.02,
    "IV": 0.27466545654296876
  },
  {
    "Code": "MSFT260116C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 550,
    "Volume": 28,
    "OI": 3246,
    "Ask": 1.88,
    "Bid": 1.6,
    "IV": 0.27802235656738283
  },
  {
    "Code": "MSFT260116C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 560,
    "Volume": 2,
    "OI": 678,
    "Ask": 1.58,
    "Bid": 1.31,
    "IV": 0.27802235656738283
  },
  {
    "Code": "MSFT260116C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 570,
    "Volume": 76,
    "OI": 2529,
    "Ask": 1.38,
    "Bid": 1.04,
    "IV": 0.27985339294433587
  },
  {
    "Code": "MSFT260116C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 580,
    "Volume": 13,
    "OI": 2137,
    "Ask": 1.1,
    "Bid": 0.86,
    "IV": 0.2774120111083984
  },
  {
    "Code": "MSFT260116C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 600,
    "Volume": 104,
    "OI": 6052,
    "Ask": 0.74,
    "Bid": 0.6,
    "IV": 0.2757030438232422
  },
  {
    "Code": "MSFT260116C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 610,
    "Volume": 6,
    "OI": 869,
    "Ask": 0.66,
    "Bid": 0.45,
    "IV": 0.278327529296875
  },
  {
    "Code": "MSFT260116C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 620,
    "Volume": 12,
    "OI": 678,
    "Ask": 0.6,
    "Bid": 0.36,
    "IV": 0.2815013256835937
  },
  {
    "Code": "MSFT260116C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 640,
    "Volume": 3,
    "OI": 585,
    "Ask": 0.47,
    "Bid": 0.24,
    "IV": 0.2854075366210937
  },
  {
    "Code": "MSFT260116C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 660,
    "Volume": 10,
    "OI": 926,
    "Ask": 0.38,
    "Bid": 0.16,
    "IV": 0.29016823120117186
  },
  {
    "Code": "MSFT260116C00665000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 665,
    "Volume": 1,
    "OI": 76,
    "Ask": 0.22,
    "Bid": 0.13,
    "IV": 0.2749095947265625
  },
  {
    "Code": "MSFT260116C00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 670,
    "Volume": 11,
    "OI": 159,
    "Ask": 0.35,
    "Bid": 0.11,
    "IV": 0.29321995849609367
  },
  {
    "Code": "MSFT260116C00675000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 675,
    "Volume": 6,
    "OI": 695,
    "Ask": 0.33,
    "Bid": 0.1,
    "IV": 0.29407444213867184
  },
  {
    "Code": "MSFT260116C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 680,
    "Volume": 5,
    "OI": 615,
    "Ask": 0.32,
    "Bid": 0.08,
    "IV": 0.295905478515625
  },
  {
    "Code": "MSFT260116C00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 685,
    "Volume": 10,
    "OI": 297,
    "Ask": 0.31,
    "Bid": 0.07,
    "IV": 0.29761444580078117
  },
  {
    "Code": "MSFT260116C00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 690,
    "Volume": 7,
    "OI": 133,
    "Ask": 0.29,
    "Bid": 0.11,
    "IV": 0.2981027221679687
  },
  {
    "Code": "MSFT260116C00695000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 695,
    "Volume": 1,
    "OI": 280,
    "Ask": 0.29,
    "Bid": 0.05,
    "IV": 0.30103238037109376
  },
  {
    "Code": "MSFT260116C00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-01-16",
    "Strike": 700,
    "Volume": 18,
    "OI": 4724,
    "Ask": 0.16,
    "Bid": 0.1,
    "IV": 0.28443098388671867
  },
  {
    "Code": "MSFT260116P00160000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 160,
    "Volume": 12,
    "OI": 804,
    "Ask": 0.5,
    "Bid": 0.31,
    "IV": 0.42578699218750005
  },
  {
    "Code": "MSFT260116P00165000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 165,
    "Volume": 20,
    "OI": 340,
    "Ask": 0.64,
    "Bid": 0.35,
    "IV": 0.4260311303710938
  },
  {
    "Code": "MSFT260116P00170000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 170,
    "Volume": 1,
    "OI": 480,
    "Ask": 0.69,
    "Bid": 0.43,
    "IV": 0.4157773266601562
  },
  {
    "Code": "MSFT260116P00175000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 175,
    "Volume": 1,
    "OI": 275,
    "Ask": 0.83,
    "Bid": 0.6,
    "IV": 0.41309180664062495
  },
  {
    "Code": "MSFT260116P00180000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 180,
    "Volume": 48,
    "OI": 349,
    "Ask": 0.9,
    "Bid": 0.7,
    "IV": 0.40381455566406255
  },
  {
    "Code": "MSFT260116P00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 185,
    "Volume": 1,
    "OI": 301,
    "Ask": 1.06,
    "Bid": 0.76,
    "IV": 0.40051869018554687
  },
  {
    "Code": "MSFT260116P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 190,
    "Volume": 10,
    "OI": 435,
    "Ask": 1.2,
    "Bid": 0.96,
    "IV": 0.39465937377929694
  },
  {
    "Code": "MSFT260116P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 195,
    "Volume": 1,
    "OI": 780,
    "Ask": 1.36,
    "Bid": 1.13,
    "IV": 0.38922729919433596
  },
  {
    "Code": "MSFT260116P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 200,
    "Volume": 23,
    "OI": 1219,
    "Ask": 1.49,
    "Bid": 1.3,
    "IV": 0.3815979809570312
  },
  {
    "Code": "MSFT260116P00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 205,
    "Volume": 12,
    "OI": 297,
    "Ask": 1.67,
    "Bid": 1.49,
    "IV": 0.3758607336425781
  },
  {
    "Code": "MSFT260116P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 210,
    "Volume": 5,
    "OI": 421,
    "Ask": 1.95,
    "Bid": 1.68,
    "IV": 0.3734193518066406
  },
  {
    "Code": "MSFT260116P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 215,
    "Volume": 7,
    "OI": 293,
    "Ask": 2.19,
    "Bid": 2.06,
    "IV": 0.3684145190429688
  },
  {
    "Code": "MSFT260116P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 220,
    "Volume": 16,
    "OI": 255,
    "Ask": 2.46,
    "Bid": 2.17,
    "IV": 0.3635927899169922
  },
  {
    "Code": "MSFT260116P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 225,
    "Volume": 19,
    "OI": 596,
    "Ask": 2.75,
    "Bid": 2.94,
    "IV": 0.35864899169921877
  },
  {
    "Code": "MSFT260116P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 230,
    "Volume": 51,
    "OI": 1058,
    "Ask": 3.1,
    "Bid": 3.3,
    "IV": 0.35468174621582027
  },
  {
    "Code": "MSFT260116P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 235,
    "Volume": 9,
    "OI": 508,
    "Ask": 3.45,
    "Bid": 3.7,
    "IV": 0.3498600170898437
  },
  {
    "Code": "MSFT260116P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 240,
    "Volume": 52,
    "OI": 2002,
    "Ask": 3.85,
    "Bid": 4.25,
    "IV": 0.3454655297851562
  },
  {
    "Code": "MSFT260116P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 245,
    "Volume": 23,
    "OI": 542,
    "Ask": 4.3,
    "Bid": 4.6,
    "IV": 0.3414372497558594
  },
  {
    "Code": "MSFT260116P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 250,
    "Volume": 133,
    "OI": 1129,
    "Ask": 4.75,
    "Bid": 4.35,
    "IV": 0.33661552062988287
  },
  {
    "Code": "MSFT260116P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 255,
    "Volume": 9,
    "OI": 667,
    "Ask": 5.25,
    "Bid": 5.65,
    "IV": 0.3320379296875
  },
  {
    "Code": "MSFT260116P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 260,
    "Volume": 9,
    "OI": 2434,
    "Ask": 5.8,
    "Bid": 6.25,
    "IV": 0.3276434423828125
  },
  {
    "Code": "MSFT260116P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 265,
    "Volume": 156,
    "OI": 1853,
    "Ask": 6.45,
    "Bid": 6.95,
    "IV": 0.32413395599365225
  },
  {
    "Code": "MSFT260116P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 270,
    "Volume": 162,
    "OI": 2393,
    "Ask": 7.1,
    "Bid": 7.8,
    "IV": 0.3198310205078124
  },
  {
    "Code": "MSFT260116P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 275,
    "Volume": 361,
    "OI": 838,
    "Ask": 7.85,
    "Bid": 8.4,
    "IV": 0.31619946502685536
  },
  {
    "Code": "MSFT260116P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 280,
    "Volume": 50,
    "OI": 911,
    "Ask": 8.65,
    "Bid": 9.25,
    "IV": 0.31247635772705074
  },
  {
    "Code": "MSFT260116P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 285,
    "Volume": 56,
    "OI": 497,
    "Ask": 9.5,
    "Bid": 10.15,
    "IV": 0.3086006640625
  },
  {
    "Code": "MSFT260116P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 290,
    "Volume": 51,
    "OI": 2171,
    "Ask": 10.4,
    "Bid": 11.45,
    "IV": 0.3045723840332031
  },
  {
    "Code": "MSFT260116P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 295,
    "Volume": 124,
    "OI": 287,
    "Ask": 11.5,
    "Bid": 12.4,
    "IV": 0.3020699676513672
  },
  {
    "Code": "MSFT260116P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 300,
    "Volume": 478,
    "OI": 3465,
    "Ask": 12.45,
    "Bid": 13.65,
    "IV": 0.29703461761474603
  },
  {
    "Code": "MSFT260116P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 305,
    "Volume": 91,
    "OI": 452,
    "Ask": 13.6,
    "Bid": 14.75,
    "IV": 0.2934335794067382
  },
  {
    "Code": "MSFT260116P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 310,
    "Volume": 91,
    "OI": 1741,
    "Ask": 14.8,
    "Bid": 16.15,
    "IV": 0.2895273684692382
  },
  {
    "Code": "MSFT260116P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 315,
    "Volume": 140,
    "OI": 651,
    "Ask": 16.1,
    "Bid": 17.4,
    "IV": 0.2858347784423828
  },
  {
    "Code": "MSFT260116P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 320,
    "Volume": 241,
    "OI": 3082,
    "Ask": 17.5,
    "Bid": 18.8,
    "IV": 0.2822489988708496
  },
  {
    "Code": "MSFT260116P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 325,
    "Volume": 209,
    "OI": 1247,
    "Ask": 19.1,
    "Bid": 20.55,
    "IV": 0.27967028930664056
  },
  {
    "Code": "MSFT260116P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 330,
    "Volume": 150,
    "OI": 1719,
    "Ask": 20.55,
    "Bid": 22,
    "IV": 0.2748943360900879
  },
  {
    "Code": "MSFT260116P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 335,
    "Volume": 70,
    "OI": 880,
    "Ask": 22.2,
    "Bid": 23.85,
    "IV": 0.271064418334961
  },
  {
    "Code": "MSFT260116P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 340,
    "Volume": 93,
    "OI": 2705,
    "Ask": 23.95,
    "Bid": 25.2,
    "IV": 0.2672192419433594
  },
  {
    "Code": "MSFT260116P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 345,
    "Volume": 52,
    "OI": 984,
    "Ask": 25.75,
    "Bid": 25.7,
    "IV": 0.2629620823669434
  },
  {
    "Code": "MSFT260116P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 350,
    "Volume": 479,
    "OI": 5983,
    "Ask": 27.7,
    "Bid": 29.6,
    "IV": 0.2590558714294434
  },
  {
    "Code": "MSFT260116P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 355,
    "Volume": 49,
    "OI": 2335,
    "Ask": 29.75,
    "Bid": 29.85,
    "IV": 0.2550733673095704
  },
  {
    "Code": "MSFT260116P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 360,
    "Volume": 454,
    "OI": 3766,
    "Ask": 32.05,
    "Bid": 32.05,
    "IV": 0.2521742263793946
  },
  {
    "Code": "MSFT260116P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 365,
    "Volume": 121,
    "OI": 2278,
    "Ask": 34.15,
    "Bid": 35.95,
    "IV": 0.24677266906738282
  },
  {
    "Code": "MSFT260116P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 370,
    "Volume": 89,
    "OI": 3066,
    "Ask": 36.5,
    "Bid": 36.65,
    "IV": 0.24239344039916988
  },
  {
    "Code": "MSFT260116P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 375,
    "Volume": 157,
    "OI": 3032,
    "Ask": 38.95,
    "Bid": 41.1,
    "IV": 0.23781584945678708
  },
  {
    "Code": "MSFT260116P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 380,
    "Volume": 85,
    "OI": 4538,
    "Ask": 41.55,
    "Bid": 41.75,
    "IV": 0.2334366207885742
  },
  {
    "Code": "MSFT260116P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 385,
    "Volume": 19,
    "OI": 2140,
    "Ask": 44.4,
    "Bid": 46.2,
    "IV": 0.23001868621826171
  },
  {
    "Code": "MSFT260116P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 390,
    "Volume": 95,
    "OI": 2435,
    "Ask": 47.2,
    "Bid": 49.05,
    "IV": 0.2251206639099121
  },
  {
    "Code": "MSFT260116P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 395,
    "Volume": 8,
    "OI": 1863,
    "Ask": 50.15,
    "Bid": 52.15,
    "IV": 0.22031419342041014
  },
  {
    "Code": "MSFT260116P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 400,
    "Volume": 95,
    "OI": 4635,
    "Ask": 53,
    "Bid": 55.05,
    "IV": 0.21341728973388674
  },
  {
    "Code": "MSFT260116P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 405,
    "Volume": 30,
    "OI": 775,
    "Ask": 56.15,
    "Bid": 56.7,
    "IV": 0.20777159423828123
  },
  {
    "Code": "MSFT260116P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 410,
    "Volume": 28,
    "OI": 1914,
    "Ask": 59.45,
    "Bid": 62,
    "IV": 0.20209538146972655
  },
  {
    "Code": "MSFT260116P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 415,
    "Volume": 75,
    "OI": 1201,
    "Ask": 62.8,
    "Bid": 63.5,
    "IV": 0.1953052882385254
  },
  {
    "Code": "MSFT260116P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 420,
    "Volume": 63,
    "OI": 3164,
    "Ask": 66.3,
    "Bid": 67.55,
    "IV": 0.18824053955078124
  },
  {
    "Code": "MSFT260116P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 425,
    "Volume": 41,
    "OI": 4703,
    "Ask": 70.85,
    "Bid": 71,
    "IV": 0.19165847412109377
  },
  {
    "Code": "MSFT260116P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 430,
    "Volume": 47,
    "OI": 3285,
    "Ask": 74.55,
    "Bid": 74.7,
    "IV": 0.18369346588134766
  },
  {
    "Code": "MSFT260116P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 435,
    "Volume": 1,
    "OI": 406,
    "Ask": 78.7,
    "Bid": 78.65,
    "IV": 0.17960415130615232
  },
  {
    "Code": "MSFT260116P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 440,
    "Volume": 29,
    "OI": 1430,
    "Ask": 81.95,
    "Bid": 82.6,
    "IV": 0.15699085205078128
  },
  {
    "Code": "MSFT260116P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 445,
    "Volume": 21,
    "OI": 1131,
    "Ask": 85.85,
    "Bid": 86.5,
    "IV": 0.13507945007324224
  },
  {
    "Code": "MSFT260116P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 450,
    "Volume": 16,
    "OI": 1475,
    "Ask": 90.6,
    "Bid": 91.3,
    "IV": 0.13080703186035153
  },
  {
    "Code": "MSFT260116P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 455,
    "Volume": 2,
    "OI": 482,
    "Ask": 94.85,
    "Bid": 95.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 460,
    "Volume": 9,
    "OI": 456,
    "Ask": 99.25,
    "Bid": 100.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 465,
    "Volume": 2,
    "OI": 233,
    "Ask": 103.75,
    "Bid": 104,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 470,
    "Volume": 2,
    "OI": 1385,
    "Ask": 108.15,
    "Bid": 109,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 475,
    "Volume": 34,
    "OI": 1218,
    "Ask": 112.75,
    "Bid": 113.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 480,
    "Volume": 2,
    "OI": 220,
    "Ask": 117.75,
    "Bid": 118,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 490,
    "Volume": 2,
    "OI": 9,
    "Ask": 127.35,
    "Bid": 128,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 500,
    "Volume": 1,
    "OI": 25,
    "Ask": 142.3,
    "Bid": 138,
    "IV": 0.23600007171630855
  },
  {
    "Code": "MSFT260116P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 520,
    "Volume": 1,
    "OI": 2,
    "Ask": 162.4,
    "Bid": 158,
    "IV": 0.2594068200683594
  },
  {
    "Code": "MSFT260116P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 133.4,
    "Bid": 130.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 550,
    "Volume": 25,
    "OI": 0,
    "Ask": 192.4,
    "Bid": 187.7,
    "IV": 0.28882547119140617
  },
  {
    "Code": "MSFT260116P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 560,
    "Volume": 16,
    "OI": 0,
    "Ask": 154,
    "Bid": 149.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 570,
    "Volume": 2,
    "OI": 0,
    "Ask": 155,
    "Bid": 151,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 580,
    "Volume": 2,
    "OI": 0,
    "Ask": 184.35,
    "Bid": 181,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 600,
    "Volume": 2,
    "OI": 0,
    "Ask": 182.5,
    "Bid": 178.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 610,
    "Volume": 6,
    "OI": 0,
    "Ask": 187,
    "Bid": 182.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 620,
    "Volume": None,
    "OI": 0,
    "Ask": 230.55,
    "Bid": 226.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 640,
    "Volume": 2,
    "OI": 0,
    "Ask": 212,
    "Bid": 207,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 660,
    "Volume": 2,
    "OI": 0,
    "Ask": 244,
    "Bid": 239,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 670,
    "Volume": 2,
    "OI": 0,
    "Ask": 255.5,
    "Bid": 251,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 680,
    "Volume": 2,
    "OI": 0,
    "Ask": 235,
    "Bid": 230.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260116P00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-01-16",
    "Strike": 700,
    "Volume": 6,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 195,
    "Volume": None,
    "OI": 2,
    "Ask": 175,
    "Bid": 170,
    "IV": 0.5266465792846681
  },
  {
    "Code": "MSFT260320C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 210,
    "Volume": 1,
    "OI": 2,
    "Ask": 189.15,
    "Bid": 186.5,
    "IV": 0.8998728274536132
  },
  {
    "Code": "MSFT260320C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 220,
    "Volume": None,
    "OI": 1,
    "Ask": 179.25,
    "Bid": 175.85,
    "IV": 0.8444839770507812
  },
  {
    "Code": "MSFT260320C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 240,
    "Volume": 1,
    "OI": 36,
    "Ask": 135,
    "Bid": 134.5,
    "IV": 0.48734033172607427
  },
  {
    "Code": "MSFT260320C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 250,
    "Volume": 1,
    "OI": 48,
    "Ask": 126.5,
    "Bid": 126.6,
    "IV": 0.4713187634277344
  },
  {
    "Code": "MSFT260320C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 260,
    "Volume": 4,
    "OI": 10,
    "Ask": 116.65,
    "Bid": 117.15,
    "IV": 0.4390467472839356
  },
  {
    "Code": "MSFT260320C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 270,
    "Volume": 11,
    "OI": 40,
    "Ask": 108.7,
    "Bid": 109.45,
    "IV": 0.428014753112793
  },
  {
    "Code": "MSFT260320C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 280,
    "Volume": 8,
    "OI": 33,
    "Ask": 100.75,
    "Bid": 102.3,
    "IV": 0.41535008483886715
  },
  {
    "Code": "MSFT260320C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 290,
    "Volume": 1,
    "OI": 30,
    "Ask": 93.3,
    "Bid": 94.4,
    "IV": 0.40598128204345707
  },
  {
    "Code": "MSFT260320C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 300,
    "Volume": 9,
    "OI": 310,
    "Ask": 86.1,
    "Bid": 86.75,
    "IV": 0.3970092037963867
  },
  {
    "Code": "MSFT260320C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 310,
    "Volume": 1,
    "OI": 38,
    "Ask": 79.1,
    "Bid": 79.15,
    "IV": 0.38788453918457033
  },
  {
    "Code": "MSFT260320C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 320,
    "Volume": 4,
    "OI": 55,
    "Ask": 72.2,
    "Bid": 73.25,
    "IV": 0.3777070286560058
  },
  {
    "Code": "MSFT260320C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 330,
    "Volume": 1,
    "OI": 42,
    "Ask": 65.85,
    "Bid": 66.3,
    "IV": 0.3700319345092773
  },
  {
    "Code": "MSFT260320C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 340,
    "Volume": 5,
    "OI": 28,
    "Ask": 58.85,
    "Bid": 61,
    "IV": 0.3554599366760253
  },
  {
    "Code": "MSFT260320C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 350,
    "Volume": 3,
    "OI": 85,
    "Ask": 53.1,
    "Bid": 54.85,
    "IV": 0.34841044662475584
  },
  {
    "Code": "MSFT260320C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 360,
    "Volume": 17,
    "OI": 81,
    "Ask": 47.4,
    "Bid": 49.45,
    "IV": 0.33960621337890623
  },
  {
    "Code": "MSFT260320C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 370,
    "Volume": 18,
    "OI": 179,
    "Ask": 44.5,
    "Bid": 44.2,
    "IV": 0.34871561935424805
  },
  {
    "Code": "MSFT260320C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 380,
    "Volume": 19,
    "OI": 556,
    "Ask": 39.5,
    "Bid": 39.3,
    "IV": 0.34056750747680664
  },
  {
    "Code": "MSFT260320C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 390,
    "Volume": 33,
    "OI": 352,
    "Ask": 33.35,
    "Bid": 34.8,
    "IV": 0.3220435227966308
  },
  {
    "Code": "MSFT260320C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 400,
    "Volume": 288,
    "OI": 736,
    "Ask": 29.25,
    "Bid": 30.6,
    "IV": 0.3159095509338378
  },
  {
    "Code": "MSFT260320C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 410,
    "Volume": 80,
    "OI": 576,
    "Ask": 25.3,
    "Bid": 26.8,
    "IV": 0.30855488815307613
  },
  {
    "Code": "MSFT260320C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 420,
    "Volume": 29,
    "OI": 897,
    "Ask": 21.8,
    "Bid": 23.4,
    "IV": 0.3022072953796387
  },
  {
    "Code": "MSFT260320C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 430,
    "Volume": 49,
    "OI": 376,
    "Ask": 19.2,
    "Bid": 20.3,
    "IV": 0.30051358673095707
  },
  {
    "Code": "MSFT260320C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 440,
    "Volume": 39,
    "OI": 1502,
    "Ask": 16.45,
    "Bid": 17.5,
    "IV": 0.29549349533081054
  },
  {
    "Code": "MSFT260320C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 450,
    "Volume": 32,
    "OI": 613,
    "Ask": 14.1,
    "Bid": 15.1,
    "IV": 0.2915567671203612
  },
  {
    "Code": "MSFT260320C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 460,
    "Volume": 16,
    "OI": 350,
    "Ask": 11.95,
    "Bid": 12.95,
    "IV": 0.28711650390624993
  },
  {
    "Code": "MSFT260320C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 470,
    "Volume": 2,
    "OI": 535,
    "Ask": 10.15,
    "Bid": 11.05,
    "IV": 0.28375960388183585
  },
  {
    "Code": "MSFT260320C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 480,
    "Volume": 17,
    "OI": 484,
    "Ask": 8.6,
    "Bid": 9.4,
    "IV": 0.28079942840576166
  },
  {
    "Code": "MSFT260320C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 490,
    "Volume": 64,
    "OI": 117,
    "Ask": 7.4,
    "Bid": 8.05,
    "IV": 0.27970080657958973
  },
  {
    "Code": "MSFT260320C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 500,
    "Volume": 37,
    "OI": 2198,
    "Ask": 6.45,
    "Bid": 6.8,
    "IV": 0.2798839102172851
  },
  {
    "Code": "MSFT260320C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 510,
    "Volume": 27,
    "OI": 715,
    "Ask": 5.55,
    "Bid": 5.75,
    "IV": 0.2791514956665039
  },
  {
    "Code": "MSFT260320C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 520,
    "Volume": 9,
    "OI": 141,
    "Ask": 5.25,
    "Bid": 4.9,
    "IV": 0.2854990884399413
  },
  {
    "Code": "MSFT260320C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 530,
    "Volume": 21,
    "OI": 199,
    "Ask": 4,
    "Bid": 4.1,
    "IV": 0.2763439065551757
  },
  {
    "Code": "MSFT260320C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 540,
    "Volume": 5,
    "OI": 58,
    "Ask": 3.3,
    "Bid": 3.4,
    "IV": 0.27353631744384765
  },
  {
    "Code": "MSFT260320C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 550,
    "Volume": 26,
    "OI": 118,
    "Ask": 2.93,
    "Bid": 2.89,
    "IV": 0.27533683654785157
  },
  {
    "Code": "MSFT260320C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 560,
    "Volume": 3,
    "OI": 101,
    "Ask": 2.54,
    "Bid": 2.41,
    "IV": 0.2757030438232422
  },
  {
    "Code": "MSFT260320C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 570,
    "Volume": 1,
    "OI": 58,
    "Ask": 2.22,
    "Bid": 2.01,
    "IV": 0.27652701019287107
  },
  {
    "Code": "MSFT260320C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 580,
    "Volume": 25,
    "OI": 132,
    "Ask": 2.04,
    "Bid": 1.68,
    "IV": 0.2799144274902343
  },
  {
    "Code": "MSFT260320C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 590,
    "Volume": 4,
    "OI": 49,
    "Ask": 1.73,
    "Bid": 1.4,
    "IV": 0.2790599438476562
  },
  {
    "Code": "MSFT260320C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 600,
    "Volume": 2,
    "OI": 143,
    "Ask": 1.57,
    "Bid": 1.16,
    "IV": 0.2815623602294921
  },
  {
    "Code": "MSFT260320C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 610,
    "Volume": 2,
    "OI": 45,
    "Ask": 1.36,
    "Bid": 0.98,
    "IV": 0.28174546386718746
  },
  {
    "Code": "MSFT260320C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 620,
    "Volume": 1,
    "OI": 27,
    "Ask": 1.11,
    "Bid": 0.81,
    "IV": 0.27924304748535156
  },
  {
    "Code": "MSFT260320C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 630,
    "Volume": 2,
    "OI": 3,
    "Ask": 0.96,
    "Bid": 0.66,
    "IV": 0.2794261511230468
  },
  {
    "Code": "MSFT260320C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 640,
    "Volume": 1,
    "OI": 6,
    "Ask": 0.84,
    "Bid": 0.55,
    "IV": 0.280158565673828
  },
  {
    "Code": "MSFT260320C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 650,
    "Volume": 1,
    "OI": 68,
    "Ask": 0.74,
    "Bid": 0.45,
    "IV": 0.2810130493164062
  },
  {
    "Code": "MSFT260320C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-03-20",
    "Strike": 660,
    "Volume": 1,
    "OI": 231,
    "Ask": 0.64,
    "Bid": 0.38,
    "IV": 0.28125718749999995
  },
  {
    "Code": "MSFT260320P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 190,
    "Volume": None,
    "OI": 1,
    "Ask": 1.56,
    "Bid": 1.26,
    "IV": 0.3748841809082031
  },
  {
    "Code": "MSFT260320P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 195,
    "Volume": 3,
    "OI": 65,
    "Ask": 1.76,
    "Bid": 1.45,
    "IV": 0.3700624517822265
  },
  {
    "Code": "MSFT260320P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 200,
    "Volume": 5,
    "OI": 11,
    "Ask": 1.97,
    "Bid": 1.65,
    "IV": 0.3649355499267578
  },
  {
    "Code": "MSFT260320P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 210,
    "Volume": 3,
    "OI": 33,
    "Ask": 2.47,
    "Bid": 2.16,
    "IV": 0.35547519531249994
  },
  {
    "Code": "MSFT260320P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 220,
    "Volume": 3,
    "OI": 24,
    "Ask": 3.1,
    "Bid": 3.3,
    "IV": 0.34705242797851554
  },
  {
    "Code": "MSFT260320P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 230,
    "Volume": 11,
    "OI": 35,
    "Ask": 3.8,
    "Bid": 4.05,
    "IV": 0.33768362518310546
  },
  {
    "Code": "MSFT260320P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 240,
    "Volume": 6,
    "OI": 34,
    "Ask": 4.7,
    "Bid": 5,
    "IV": 0.3299932723999023
  },
  {
    "Code": "MSFT260320P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 250,
    "Volume": 11,
    "OI": 197,
    "Ask": 5.75,
    "Bid": 6,
    "IV": 0.32224188507080076
  },
  {
    "Code": "MSFT260320P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 260,
    "Volume": 14,
    "OI": 157,
    "Ask": 6.95,
    "Bid": 7.55,
    "IV": 0.3142158422851562
  },
  {
    "Code": "MSFT260320P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 270,
    "Volume": 14,
    "OI": 237,
    "Ask": 8.4,
    "Bid": 9.2,
    "IV": 0.307074800415039
  },
  {
    "Code": "MSFT260320P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 280,
    "Volume": 32,
    "OI": 274,
    "Ask": 10.1,
    "Bid": 10.6,
    "IV": 0.3003152244567871
  },
  {
    "Code": "MSFT260320P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 290,
    "Volume": 44,
    "OI": 333,
    "Ask": 12.05,
    "Bid": 13,
    "IV": 0.29358616577148433
  },
  {
    "Code": "MSFT260320P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 300,
    "Volume": 85,
    "OI": 963,
    "Ask": 14.25,
    "Bid": 15.15,
    "IV": 0.2866587448120117
  },
  {
    "Code": "MSFT260320P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 310,
    "Volume": 18,
    "OI": 401,
    "Ask": 16.75,
    "Bid": 17.65,
    "IV": 0.27982287567138664
  },
  {
    "Code": "MSFT260320P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 320,
    "Volume": 15,
    "OI": 943,
    "Ask": 19.6,
    "Bid": 20.85,
    "IV": 0.2732616619873046
  },
  {
    "Code": "MSFT260320P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 330,
    "Volume": 86,
    "OI": 1047,
    "Ask": 22.75,
    "Bid": 24.3,
    "IV": 0.26636475830078127
  },
  {
    "Code": "MSFT260320P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 340,
    "Volume": 58,
    "OI": 1470,
    "Ask": 26.45,
    "Bid": 27.8,
    "IV": 0.2608869078063965
  },
  {
    "Code": "MSFT260320P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 350,
    "Volume": 84,
    "OI": 923,
    "Ask": 30.15,
    "Bid": 31.4,
    "IV": 0.2524793991088867
  },
  {
    "Code": "MSFT260320P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 360,
    "Volume": 120,
    "OI": 549,
    "Ask": 34.55,
    "Bid": 35.9,
    "IV": 0.24623861679077147
  },
  {
    "Code": "MSFT260320P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 370,
    "Volume": 55,
    "OI": 515,
    "Ask": 39.05,
    "Bid": 40.8,
    "IV": 0.23761748718261716
  },
  {
    "Code": "MSFT260320P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 380,
    "Volume": 97,
    "OI": 558,
    "Ask": 44.3,
    "Bid": 44,
    "IV": 0.23114782531738282
  },
  {
    "Code": "MSFT260320P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 390,
    "Volume": 20,
    "OI": 290,
    "Ask": 49.75,
    "Bid": 51.3,
    "IV": 0.22272505798339842
  },
  {
    "Code": "MSFT260320P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 400,
    "Volume": 40,
    "OI": 337,
    "Ask": 55.5,
    "Bid": 57.3,
    "IV": 0.21280694427490232
  },
  {
    "Code": "MSFT260320P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 410,
    "Volume": 11,
    "OI": 104,
    "Ask": 62,
    "Bid": 62,
    "IV": 0.20467409103393552
  },
  {
    "Code": "MSFT260320P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 420,
    "Volume": 25,
    "OI": 185,
    "Ask": 68.55,
    "Bid": 69,
    "IV": 0.19226881958007813
  },
  {
    "Code": "MSFT260320P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 430,
    "Volume": 5,
    "OI": 161,
    "Ask": 76.8,
    "Bid": 76.6,
    "IV": 0.19113968048095703
  },
  {
    "Code": "MSFT260320P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 440,
    "Volume": 2,
    "OI": 115,
    "Ask": 83.9,
    "Bid": 84.2,
    "IV": 0.1720053503417969
  },
  {
    "Code": "MSFT260320P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 450,
    "Volume": 1,
    "OI": 81,
    "Ask": 91.9,
    "Bid": 92,
    "IV": 0.15296257202148442
  },
  {
    "Code": "MSFT260320P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 460,
    "Volume": 1,
    "OI": 15,
    "Ask": 100.05,
    "Bid": 101,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 470,
    "Volume": 29,
    "OI": 3,
    "Ask": 109.05,
    "Bid": 110,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 480,
    "Volume": 5,
    "OI": 13,
    "Ask": 118.35,
    "Bid": 119,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 490,
    "Volume": 3,
    "OI": 9,
    "Ask": 128.1,
    "Bid": 128,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 500,
    "Volume": 2,
    "OI": 22,
    "Ask": 137.5,
    "Bid": 138,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 510,
    "Volume": 54,
    "OI": 0,
    "Ask": 152.5,
    "Bid": 148,
    "IV": 0.22766885620117186
  },
  {
    "Code": "MSFT260320P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 520,
    "Volume": 1,
    "OI": 0,
    "Ask": 131,
    "Bid": 126.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260320P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 530,
    "Volume": 1,
    "OI": 0,
    "Ask": 172.5,
    "Bid": 167.5,
    "IV": 0.24634542724609376
  },
  {
    "Code": "MSFT260320P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-03-20",
    "Strike": 570,
    "Volume": None,
    "OI": 0,
    "Ask": 212.5,
    "Bid": 207.5,
    "IV": 0.28067735931396476
  },
  {
    "Code": "MSFT260618C00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 185,
    "Volume": 1,
    "OI": 756,
    "Ask": 185.5,
    "Bid": 185.5,
    "IV": 0.5557295404052736
  },
  {
    "Code": "MSFT260618C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 190,
    "Volume": 1,
    "OI": 54,
    "Ask": 181,
    "Bid": 176.5,
    "IV": 0.5081531118774415
  },
  {
    "Code": "MSFT260618C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 195,
    "Volume": 5,
    "OI": 5,
    "Ask": 250,
    "Bid": 245,
    "IV": 1.4111662742614748
  },
  {
    "Code": "MSFT260618C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 200,
    "Volume": 2,
    "OI": 29,
    "Ask": 172,
    "Bid": 167.5,
    "IV": 0.5262193374633789
  },
  {
    "Code": "MSFT260618C00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 205,
    "Volume": 8,
    "OI": 4,
    "Ask": 240.5,
    "Bid": 235.5,
    "IV": 1.3388247170257563
  },
  {
    "Code": "MSFT260618C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 210,
    "Volume": 1,
    "OI": 8,
    "Ask": 163,
    "Bid": 163,
    "IV": 0.5062915582275391
  },
  {
    "Code": "MSFT260618C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 215,
    "Volume": 1,
    "OI": 10,
    "Ask": 186.85,
    "Bid": 183.6,
    "IV": 0.8046131599426269
  },
  {
    "Code": "MSFT260618C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 220,
    "Volume": 2,
    "OI": 125,
    "Ask": 154.5,
    "Bid": 150,
    "IV": 0.49268085449218757
  },
  {
    "Code": "MSFT260618C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 225,
    "Volume": 3,
    "OI": 13,
    "Ask": 179.1,
    "Bid": 176,
    "IV": 0.7820151193237305
  },
  {
    "Code": "MSFT260618C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 230,
    "Volume": 2,
    "OI": 9,
    "Ask": 146,
    "Bid": 145.5,
    "IV": 0.47806308074951176
  },
  {
    "Code": "MSFT260618C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 235,
    "Volume": 8,
    "OI": 17,
    "Ask": 142,
    "Bid": 141.5,
    "IV": 0.47328712753295904
  },
  {
    "Code": "MSFT260618C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 240,
    "Volume": 1,
    "OI": 6,
    "Ask": 137.5,
    "Bid": 137,
    "IV": 0.46262134063720706
  },
  {
    "Code": "MSFT260618C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 245,
    "Volume": 1,
    "OI": 21,
    "Ask": 161.3,
    "Bid": 158,
    "IV": 0.7132597033691408
  },
  {
    "Code": "MSFT260618C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 250,
    "Volume": 1,
    "OI": 27,
    "Ask": 152.05,
    "Bid": 149.65,
    "IV": 0.6568943002319337
  },
  {
    "Code": "MSFT260618C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 255,
    "Volume": 10,
    "OI": 20,
    "Ask": 169.7,
    "Bid": 166.5,
    "IV": 0.8365952619934081
  },
  {
    "Code": "MSFT260618C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 260,
    "Volume": 2,
    "OI": 6,
    "Ask": 185.95,
    "Bid": 181.5,
    "IV": 0.9969787899780272
  },
  {
    "Code": "MSFT260618C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 265,
    "Volume": 1,
    "OI": 28,
    "Ask": 116.95,
    "Bid": 116.5,
    "IV": 0.42774009765625004
  },
  {
    "Code": "MSFT260618C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 270,
    "Volume": 5,
    "OI": 38,
    "Ask": 112.95,
    "Bid": 112.5,
    "IV": 0.4211178494262696
  },
  {
    "Code": "MSFT260618C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 275,
    "Volume": 26,
    "OI": 47,
    "Ask": 108.7,
    "Bid": 108.5,
    "IV": 0.41200844345092774
  },
  {
    "Code": "MSFT260618C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 280,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 285,
    "Volume": 100,
    "OI": 520,
    "Ask": 101.35,
    "Bid": 101.2,
    "IV": 0.40312791702270506
  },
  {
    "Code": "MSFT260618C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 290,
    "Volume": 20,
    "OI": 534,
    "Ask": 97.85,
    "Bid": 97.55,
    "IV": 0.39955739608764657
  },
  {
    "Code": "MSFT260618C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 295,
    "Volume": 1,
    "OI": 518,
    "Ask": 94.35,
    "Bid": 94.6,
    "IV": 0.3955901506042481
  },
  {
    "Code": "MSFT260618C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 300,
    "Volume": 6,
    "OI": 849,
    "Ask": 91.1,
    "Bid": 91.55,
    "IV": 0.3931640274047852
  },
  {
    "Code": "MSFT260618C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 305,
    "Volume": 15,
    "OI": 38,
    "Ask": 87.3,
    "Bid": 87.6,
    "IV": 0.3860992787170409
  },
  {
    "Code": "MSFT260618C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 310,
    "Volume": 4,
    "OI": 85,
    "Ask": 84,
    "Bid": 83,
    "IV": 0.3824982405090332
  },
  {
    "Code": "MSFT260618C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 315,
    "Volume": 1,
    "OI": 13,
    "Ask": 80.75,
    "Bid": 80.7,
    "IV": 0.37886668502807613
  },
  {
    "Code": "MSFT260618C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 320,
    "Volume": 4,
    "OI": 178,
    "Ask": 77.4,
    "Bid": 77.45,
    "IV": 0.374105990447998
  },
  {
    "Code": "MSFT260618C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 325,
    "Volume": 3,
    "OI": 125,
    "Ask": 74.4,
    "Bid": 74.75,
    "IV": 0.371450987701416
  },
  {
    "Code": "MSFT260618C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 330,
    "Volume": 2,
    "OI": 93,
    "Ask": 70.95,
    "Bid": 70.4,
    "IV": 0.36525598129272463
  },
  {
    "Code": "MSFT260618C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 335,
    "Volume": 1,
    "OI": 27,
    "Ask": 67.35,
    "Bid": 68.3,
    "IV": 0.3577182148742675
  },
  {
    "Code": "MSFT260618C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 340,
    "Volume": 23,
    "OI": 103,
    "Ask": 64.3,
    "Bid": 66.2,
    "IV": 0.3535678657531737
  },
  {
    "Code": "MSFT260618C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 345,
    "Volume": 2,
    "OI": 54,
    "Ask": 61.5,
    "Bid": 63.25,
    "IV": 0.3506992420959472
  },
  {
    "Code": "MSFT260618C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 350,
    "Volume": 20,
    "OI": 885,
    "Ask": 58.7,
    "Bid": 60.4,
    "IV": 0.3474033766174316
  },
  {
    "Code": "MSFT260618C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 355,
    "Volume": 6,
    "OI": 34,
    "Ask": 55.9,
    "Bid": 57.6,
    "IV": 0.3436802693176269
  },
  {
    "Code": "MSFT260618C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 360,
    "Volume": 407,
    "OI": 72,
    "Ask": 53.05,
    "Bid": 54.9,
    "IV": 0.33922474746704095
  },
  {
    "Code": "MSFT260618C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 365,
    "Volume": 47,
    "OI": 51,
    "Ask": 50.5,
    "Bid": 52.3,
    "IV": 0.33628745994567866
  },
  {
    "Code": "MSFT260618C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 370,
    "Volume": 301,
    "OI": 368,
    "Ask": 47.9,
    "Bid": 49.75,
    "IV": 0.3326024992370606
  },
  {
    "Code": "MSFT260618C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 375,
    "Volume": 4,
    "OI": 150,
    "Ask": 45.45,
    "Bid": 47.3,
    "IV": 0.3294439614868163
  },
  {
    "Code": "MSFT260618C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 380,
    "Volume": 53,
    "OI": 181,
    "Ask": 43.3,
    "Bid": 44.9,
    "IV": 0.32776551147460936
  },
  {
    "Code": "MSFT260618C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 385,
    "Volume": 5,
    "OI": 139,
    "Ask": 40.95,
    "Bid": 42.6,
    "IV": 0.32438572349548334
  },
  {
    "Code": "MSFT260618C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 390,
    "Volume": 93,
    "OI": 282,
    "Ask": 38.9,
    "Bid": 40.4,
    "IV": 0.32247076461791985
  },
  {
    "Code": "MSFT260618C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 395,
    "Volume": 1,
    "OI": 422,
    "Ask": 36.7,
    "Bid": 38.25,
    "IV": 0.31917489913940417
  },
  {
    "Code": "MSFT260618C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 400,
    "Volume": 15,
    "OI": 673,
    "Ask": 34.95,
    "Bid": 36.2,
    "IV": 0.31830515686035155
  },
  {
    "Code": "MSFT260618C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 405,
    "Volume": 13,
    "OI": 306,
    "Ask": 33.05,
    "Bid": 34.2,
    "IV": 0.31606213729858396
  },
  {
    "Code": "MSFT260618C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 410,
    "Volume": 54,
    "OI": 386,
    "Ask": 31,
    "Bid": 32.3,
    "IV": 0.312407693862915
  },
  {
    "Code": "MSFT260618C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 415,
    "Volume": 39,
    "OI": 1680,
    "Ask": 29.25,
    "Bid": 30.5,
    "IV": 0.31026385543823237
  },
  {
    "Code": "MSFT260618C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 420,
    "Volume": 25,
    "OI": 908,
    "Ask": 27.7,
    "Bid": 28.75,
    "IV": 0.3090126472473144
  },
  {
    "Code": "MSFT260618C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 425,
    "Volume": 4,
    "OI": 625,
    "Ask": 25.85,
    "Bid": 27.05,
    "IV": 0.30533531585693363
  },
  {
    "Code": "MSFT260618C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 430,
    "Volume": 4,
    "OI": 365,
    "Ask": 24.3,
    "Bid": 25.3,
    "IV": 0.30321436538696284
  },
  {
    "Code": "MSFT260618C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 435,
    "Volume": 15,
    "OI": 209,
    "Ask": 22.8,
    "Bid": 23.95,
    "IV": 0.30100949241638186
  },
  {
    "Code": "MSFT260618C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 440,
    "Volume": 16,
    "OI": 1424,
    "Ask": 21.4,
    "Bid": 22.5,
    "IV": 0.2990640162658691
  },
  {
    "Code": "MSFT260618C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 445,
    "Volume": 239,
    "OI": 188,
    "Ask": 20.15,
    "Bid": 21.15,
    "IV": 0.29776703216552725
  },
  {
    "Code": "MSFT260618C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 450,
    "Volume": 50,
    "OI": 1342,
    "Ask": 18.65,
    "Bid": 19.85,
    "IV": 0.29422702850341786
  },
  {
    "Code": "MSFT260618C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 455,
    "Volume": 111,
    "OI": 792,
    "Ask": 17.45,
    "Bid": 18.6,
    "IV": 0.29242650939941395
  },
  {
    "Code": "MSFT260618C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 460,
    "Volume": 2,
    "OI": 516,
    "Ask": 16.35,
    "Bid": 17.45,
    "IV": 0.29097693893432613
  },
  {
    "Code": "MSFT260618C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 465,
    "Volume": 3,
    "OI": 382,
    "Ask": 15.3,
    "Bid": 16.4,
    "IV": 0.289496851196289
  },
  {
    "Code": "MSFT260618C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 470,
    "Volume": 26,
    "OI": 305,
    "Ask": 14.15,
    "Bid": 15.35,
    "IV": 0.2867960725402831
  },
  {
    "Code": "MSFT260618C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 475,
    "Volume": 41,
    "OI": 587,
    "Ask": 13.15,
    "Bid": 14.35,
    "IV": 0.2848582257080078
  },
  {
    "Code": "MSFT260618C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 480,
    "Volume": 168,
    "OI": 708,
    "Ask": 12.35,
    "Bid": 13.45,
    "IV": 0.2841868457031249
  },
  {
    "Code": "MSFT260618C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 485,
    "Volume": 70,
    "OI": 481,
    "Ask": 11.45,
    "Bid": 12.6,
    "IV": 0.2822642575073242
  },
  {
    "Code": "MSFT260618C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 490,
    "Volume": 10,
    "OI": 392,
    "Ask": 11.2,
    "Bid": 11.7,
    "IV": 0.28578900253295897
  },
  {
    "Code": "MSFT260618C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 495,
    "Volume": 2,
    "OI": 153,
    "Ask": 10.3,
    "Bid": 10.95,
    "IV": 0.2831797756958008
  },
  {
    "Code": "MSFT260618C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 500,
    "Volume": 4,
    "OI": 829,
    "Ask": 9.15,
    "Bid": 10.2,
    "IV": 0.2776408906555175
  },
  {
    "Code": "MSFT260618C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 505,
    "Volume": 3,
    "OI": 59,
    "Ask": 8.55,
    "Bid": 9.55,
    "IV": 0.2769237347412109
  },
  {
    "Code": "MSFT260618C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 510,
    "Volume": 14,
    "OI": 1475,
    "Ask": 8.25,
    "Bid": 8.9,
    "IV": 0.27899890930175775
  },
  {
    "Code": "MSFT260618C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 515,
    "Volume": 1,
    "OI": 185,
    "Ask": 7.5,
    "Bid": 8.35,
    "IV": 0.27605399246215817
  },
  {
    "Code": "MSFT260618C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 520,
    "Volume": 4,
    "OI": 458,
    "Ask": 7.1,
    "Bid": 7.75,
    "IV": 0.27652701019287107
  },
  {
    "Code": "MSFT260618C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 525,
    "Volume": 5,
    "OI": 139,
    "Ask": 6.65,
    "Bid": 7.25,
    "IV": 0.27616080291748035
  },
  {
    "Code": "MSFT260618C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 530,
    "Volume": 1,
    "OI": 132,
    "Ask": 5.95,
    "Bid": 6.8,
    "IV": 0.2724376956176757
  },
  {
    "Code": "MSFT260618C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 535,
    "Volume": 40,
    "OI": 84,
    "Ask": 5.6,
    "Bid": 6.35,
    "IV": 0.27255976470947263
  },
  {
    "Code": "MSFT260618C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 540,
    "Volume": 10,
    "OI": 236,
    "Ask": 5.3,
    "Bid": 5.85,
    "IV": 0.27307855834960937
  },
  {
    "Code": "MSFT260618C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 545,
    "Volume": 5,
    "OI": 147,
    "Ask": 4.95,
    "Bid": 5.55,
    "IV": 0.27268183380126954
  },
  {
    "Code": "MSFT260618C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 550,
    "Volume": 126,
    "OI": 450,
    "Ask": 4.75,
    "Bid": 5.1,
    "IV": 0.27411614562988285
  },
  {
    "Code": "MSFT260618C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 555,
    "Volume": 1,
    "OI": 124,
    "Ask": 4.45,
    "Bid": 4.7,
    "IV": 0.2739330419921875
  },
  {
    "Code": "MSFT260618C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 560,
    "Volume": 42,
    "OI": 252,
    "Ask": 4.2,
    "Bid": 4.4,
    "IV": 0.27423821472167964
  },
  {
    "Code": "MSFT260618C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 565,
    "Volume": 6,
    "OI": 149,
    "Ask": 4.15,
    "Bid": 4.05,
    "IV": 0.27744252838134764
  },
  {
    "Code": "MSFT260618C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 570,
    "Volume": 5,
    "OI": 175,
    "Ask": 4.35,
    "Bid": 3.8,
    "IV": 0.2844004666137695
  },
  {
    "Code": "MSFT260618C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 575,
    "Volume": 3,
    "OI": 372,
    "Ask": 4.1,
    "Bid": 3.5,
    "IV": 0.28443098388671867
  },
  {
    "Code": "MSFT260618C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 580,
    "Volume": 7,
    "OI": 387,
    "Ask": 3.8,
    "Bid": 3.25,
    "IV": 0.283362879333496
  },
  {
    "Code": "MSFT260618C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 585,
    "Volume": 2,
    "OI": 23,
    "Ask": 3.55,
    "Bid": 3.05,
    "IV": 0.2828746029663085
  },
  {
    "Code": "MSFT260618C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 590,
    "Volume": 3,
    "OI": 197,
    "Ask": 2.94,
    "Bid": 2.84,
    "IV": 0.27539787109374997
  },
  {
    "Code": "MSFT260618C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 595,
    "Volume": 3,
    "OI": 67,
    "Ask": 3.15,
    "Bid": 2.63,
    "IV": 0.28290512023925773
  },
  {
    "Code": "MSFT260618C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 600,
    "Volume": 1,
    "OI": 1295,
    "Ask": 2.65,
    "Bid": 2.5,
    "IV": 0.2765880447387695
  },
  {
    "Code": "MSFT260618C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 605,
    "Volume": 1,
    "OI": 5,
    "Ask": 3.55,
    "Bid": 3.3,
    "IV": 0.29715668670654294
  },
  {
    "Code": "MSFT260618C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 610,
    "Volume": 2,
    "OI": 221,
    "Ask": 2.55,
    "Bid": 2.18,
    "IV": 0.2812266702270507
  },
  {
    "Code": "MSFT260618C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 615,
    "Volume": 1,
    "OI": 6,
    "Ask": 2.37,
    "Bid": 1.94,
    "IV": 0.2805858074951171
  },
  {
    "Code": "MSFT260618C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 620,
    "Volume": 4,
    "OI": 138,
    "Ask": 2.22,
    "Bid": 1.83,
    "IV": 0.2803416693115234
  },
  {
    "Code": "MSFT260618C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 625,
    "Volume": 1,
    "OI": 188,
    "Ask": 2.04,
    "Bid": 1.87,
    "IV": 0.2791820129394531
  },
  {
    "Code": "MSFT260618C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 630,
    "Volume": 2,
    "OI": 84,
    "Ask": 1.97,
    "Bid": 1.54,
    "IV": 0.2805247729492187
  },
  {
    "Code": "MSFT260618C00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 635,
    "Volume": 1,
    "OI": 14,
    "Ask": 1.84,
    "Bid": 1.42,
    "IV": 0.28018908294677725
  },
  {
    "Code": "MSFT260618C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 640,
    "Volume": 1,
    "OI": 300,
    "Ask": 1.73,
    "Bid": 1.32,
    "IV": 0.28018908294677725
  },
  {
    "Code": "MSFT260618C00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 645,
    "Volume": 1,
    "OI": 117,
    "Ask": 1.62,
    "Bid": 1.21,
    "IV": 0.27997546203613277
  },
  {
    "Code": "MSFT260618C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 650,
    "Volume": 1,
    "OI": 793,
    "Ask": 1.52,
    "Bid": 1.12,
    "IV": 0.2799144274902343
  },
  {
    "Code": "MSFT260618C00655000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 655,
    "Volume": 2,
    "OI": 57,
    "Ask": 1.43,
    "Bid": 1.04,
    "IV": 0.2799144274902343
  },
  {
    "Code": "MSFT260618C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 660,
    "Volume": 12,
    "OI": 103,
    "Ask": 1.34,
    "Bid": 0.98,
    "IV": 0.2797923583984374
  },
  {
    "Code": "MSFT260618C00665000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 665,
    "Volume": 1,
    "OI": 91,
    "Ask": 1.26,
    "Bid": 0.88,
    "IV": 0.2797923583984374
  },
  {
    "Code": "MSFT260618C00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 670,
    "Volume": 10,
    "OI": 129,
    "Ask": 1.19,
    "Bid": 0.81,
    "IV": 0.28003649658203117
  },
  {
    "Code": "MSFT260618C00675000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 675,
    "Volume": 8,
    "OI": 99,
    "Ask": 1.12,
    "Bid": 0.74,
    "IV": 0.28009753112792957
  },
  {
    "Code": "MSFT260618C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-06-18",
    "Strike": 680,
    "Volume": 5,
    "OI": 709,
    "Ask": 1.06,
    "Bid": 0.69,
    "IV": 0.28040270385742183
  },
  {
    "Code": "MSFT260618P00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 185,
    "Volume": 13,
    "OI": 727,
    "Ask": 1.97,
    "Bid": 1.59,
    "IV": 0.36249416809082036
  },
  {
    "Code": "MSFT260618P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 190,
    "Volume": 2,
    "OI": 494,
    "Ask": 2.2,
    "Bid": 1.81,
    "IV": 0.3577945080566406
  },
  {
    "Code": "MSFT260618P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 195,
    "Volume": 1,
    "OI": 34,
    "Ask": 2.45,
    "Bid": 2.05,
    "IV": 0.35309484802246094
  },
  {
    "Code": "MSFT260618P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 200,
    "Volume": 2,
    "OI": 233,
    "Ask": 2.73,
    "Bid": 2.32,
    "IV": 0.34870036071777344
  },
  {
    "Code": "MSFT260618P00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 205,
    "Volume": 99,
    "OI": 49,
    "Ask": 3.05,
    "Bid": 2.61,
    "IV": 0.344733115234375
  },
  {
    "Code": "MSFT260618P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 210,
    "Volume": 4,
    "OI": 15,
    "Ask": 3.4,
    "Bid": 3.3,
    "IV": 0.3409184561157227
  },
  {
    "Code": "MSFT260618P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 215,
    "Volume": 2,
    "OI": 59,
    "Ask": 3.65,
    "Bid": 3.7,
    "IV": 0.33423517333984376
  },
  {
    "Code": "MSFT260618P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 220,
    "Volume": 115,
    "OI": 53,
    "Ask": 4.15,
    "Bid": 4.25,
    "IV": 0.3324956887817383
  },
  {
    "Code": "MSFT260618P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 225,
    "Volume": 12,
    "OI": 66,
    "Ask": 4.55,
    "Bid": 4.45,
    "IV": 0.32794861511230466
  },
  {
    "Code": "MSFT260618P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 230,
    "Volume": 21,
    "OI": 53,
    "Ask": 5.05,
    "Bid": 5.05,
    "IV": 0.32471378417968744
  },
  {
    "Code": "MSFT260618P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 235,
    "Volume": 13,
    "OI": 78,
    "Ask": 5.45,
    "Bid": 5.6,
    "IV": 0.31915964050292955
  },
  {
    "Code": "MSFT260618P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 240,
    "Volume": 3,
    "OI": 63,
    "Ask": 6.1,
    "Bid": 6.2,
    "IV": 0.3171760177612304
  },
  {
    "Code": "MSFT260618P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 245,
    "Volume": 99,
    "OI": 239,
    "Ask": 6.7,
    "Bid": 7.1,
    "IV": 0.31366653137207035
  },
  {
    "Code": "MSFT260618P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 250,
    "Volume": 124,
    "OI": 258,
    "Ask": 7.3,
    "Bid": 7.45,
    "IV": 0.3096077340698242
  },
  {
    "Code": "MSFT260618P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 255,
    "Volume": 4,
    "OI": 28,
    "Ask": 8,
    "Bid": 8.05,
    "IV": 0.30631186859130854
  },
  {
    "Code": "MSFT260618P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 260,
    "Volume": 2,
    "OI": 59,
    "Ask": 8.75,
    "Bid": 9.1,
    "IV": 0.3030465203857422
  },
  {
    "Code": "MSFT260618P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 265,
    "Volume": 56,
    "OI": 166,
    "Ask": 9.55,
    "Bid": 9.7,
    "IV": 0.29978117218017575
  },
  {
    "Code": "MSFT260618P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 270,
    "Volume": 3,
    "OI": 296,
    "Ask": 10.4,
    "Bid": 10.7,
    "IV": 0.2964853067016602
  },
  {
    "Code": "MSFT260618P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 275,
    "Volume": 1,
    "OI": 204,
    "Ask": 11.45,
    "Bid": 11.6,
    "IV": 0.2947000462341308
  },
  {
    "Code": "MSFT260618P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 280,
    "Volume": 5,
    "OI": 352,
    "Ask": 12.4,
    "Bid": 12.5,
    "IV": 0.29123633575439445
  },
  {
    "Code": "MSFT260618P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 285,
    "Volume": 4,
    "OI": 406,
    "Ask": 13.3,
    "Bid": 13.6,
    "IV": 0.2867350379943847
  },
  {
    "Code": "MSFT260618P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 290,
    "Volume": 6,
    "OI": 693,
    "Ask": 14.4,
    "Bid": 14.8,
    "IV": 0.2836070175170897
  },
  {
    "Code": "MSFT260618P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 295,
    "Volume": 4,
    "OI": 304,
    "Ask": 15.6,
    "Bid": 16.05,
    "IV": 0.28079942840576166
  },
  {
    "Code": "MSFT260618P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 300,
    "Volume": 30,
    "OI": 791,
    "Ask": 16.85,
    "Bid": 17.4,
    "IV": 0.27780873565673825
  },
  {
    "Code": "MSFT260618P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 305,
    "Volume": 6,
    "OI": 217,
    "Ask": 18.15,
    "Bid": 18.8,
    "IV": 0.2746349392700196
  },
  {
    "Code": "MSFT260618P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 310,
    "Volume": 1,
    "OI": 299,
    "Ask": 19.55,
    "Bid": 20,
    "IV": 0.2717052810668945
  },
  {
    "Code": "MSFT260618P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 315,
    "Volume": 43,
    "OI": 711,
    "Ask": 21.15,
    "Bid": 21.5,
    "IV": 0.26970639968872073
  },
  {
    "Code": "MSFT260618P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 320,
    "Volume": 26,
    "OI": 668,
    "Ask": 22.7,
    "Bid": 23.1,
    "IV": 0.2667004483032227
  },
  {
    "Code": "MSFT260618P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 325,
    "Volume": 13,
    "OI": 762,
    "Ask": 24.15,
    "Bid": 24.9,
    "IV": 0.2624127714538575
  },
  {
    "Code": "MSFT260618P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 330,
    "Volume": 1,
    "OI": 318,
    "Ask": 25.85,
    "Bid": 26.4,
    "IV": 0.2593610441589356
  },
  {
    "Code": "MSFT260618P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 335,
    "Volume": 2,
    "OI": 186,
    "Ask": 27.6,
    "Bid": 28.45,
    "IV": 0.25606517868041995
  },
  {
    "Code": "MSFT260618P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 340,
    "Volume": 7,
    "OI": 549,
    "Ask": 29.65,
    "Bid": 30.2,
    "IV": 0.2542188836669922
  },
  {
    "Code": "MSFT260618P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 345,
    "Volume": 2,
    "OI": 278,
    "Ask": 31.4,
    "Bid": 32.2,
    "IV": 0.24976336181640624
  },
  {
    "Code": "MSFT260618P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 350,
    "Volume": 39,
    "OI": 1597,
    "Ask": 33.45,
    "Bid": 34.2,
    "IV": 0.2466963758850098
  },
  {
    "Code": "MSFT260618P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 355,
    "Volume": 1,
    "OI": 336,
    "Ask": 35.75,
    "Bid": 36.45,
    "IV": 0.24465171859741214
  },
  {
    "Code": "MSFT260618P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 360,
    "Volume": 104,
    "OI": 496,
    "Ask": 37.75,
    "Bid": 38.65,
    "IV": 0.24005886901855467
  },
  {
    "Code": "MSFT260618P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 365,
    "Volume": 6,
    "OI": 292,
    "Ask": 40.25,
    "Bid": 40.9,
    "IV": 0.23804472900390622
  },
  {
    "Code": "MSFT260618P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 370,
    "Volume": 195,
    "OI": 296,
    "Ask": 42.45,
    "Bid": 43.4,
    "IV": 0.23349765533447264
  },
  {
    "Code": "MSFT260618P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 375,
    "Volume": 61,
    "OI": 693,
    "Ask": 44.9,
    "Bid": 46,
    "IV": 0.2298889878082275
  },
  {
    "Code": "MSFT260618P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 380,
    "Volume": 204,
    "OI": 1024,
    "Ask": 47.5,
    "Bid": 48.5,
    "IV": 0.22658549301147457
  },
  {
    "Code": "MSFT260618P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 385,
    "Volume": 26,
    "OI": 327,
    "Ask": 50.35,
    "Bid": 51.2,
    "IV": 0.22420514572143552
  },
  {
    "Code": "MSFT260618P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 390,
    "Volume": 56,
    "OI": 479,
    "Ask": 52.9,
    "Bid": 54.05,
    "IV": 0.21920031295776365
  },
  {
    "Code": "MSFT260618P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 395,
    "Volume": 1,
    "OI": 246,
    "Ask": 55.75,
    "Bid": 57,
    "IV": 0.21543142974853519
  },
  {
    "Code": "MSFT260618P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 400,
    "Volume": 16,
    "OI": 1502,
    "Ask": 58.7,
    "Bid": 60.05,
    "IV": 0.21157099472045893
  },
  {
    "Code": "MSFT260618P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 405,
    "Volume": 1,
    "OI": 187,
    "Ask": 61.95,
    "Bid": 63.05,
    "IV": 0.20899228515624996
  },
  {
    "Code": "MSFT260618P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 410,
    "Volume": 16,
    "OI": 593,
    "Ask": 65.1,
    "Bid": 66.25,
    "IV": 0.2049487464904785
  },
  {
    "Code": "MSFT260618P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 415,
    "Volume": 1,
    "OI": 128,
    "Ask": 68.35,
    "Bid": 69.6,
    "IV": 0.20079076805114746
  },
  {
    "Code": "MSFT260618P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 420,
    "Volume": 17,
    "OI": 329,
    "Ask": 71.65,
    "Bid": 71.5,
    "IV": 0.1960987373352051
  },
  {
    "Code": "MSFT260618P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 425,
    "Volume": 12,
    "OI": 397,
    "Ask": 75.1,
    "Bid": 76.5,
    "IV": 0.1915821809387207
  },
  {
    "Code": "MSFT260618P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 430,
    "Volume": 27,
    "OI": 209,
    "Ask": 78.6,
    "Bid": 80.15,
    "IV": 0.18640950317382812
  },
  {
    "Code": "MSFT260618P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 435,
    "Volume": 8,
    "OI": 395,
    "Ask": 82.2,
    "Bid": 82.5,
    "IV": 0.18091639404296872
  },
  {
    "Code": "MSFT260618P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 440,
    "Volume": 3,
    "OI": 289,
    "Ask": 87.5,
    "Bid": 86,
    "IV": 0.19030045547485352
  },
  {
    "Code": "MSFT260618P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 445,
    "Volume": 1,
    "OI": 348,
    "Ask": 90.45,
    "Bid": 90,
    "IV": 0.1766134585571289
  },
  {
    "Code": "MSFT260618P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 450,
    "Volume": 2,
    "OI": 209,
    "Ask": 94.7,
    "Bid": 94.05,
    "IV": 0.17443147354125982
  },
  {
    "Code": "MSFT260618P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 455,
    "Volume": 1,
    "OI": 196,
    "Ask": 98,
    "Bid": 98.05,
    "IV": 0.1587913711547852
  },
  {
    "Code": "MSFT260618P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 460,
    "Volume": 4,
    "OI": 64,
    "Ask": 103,
    "Bid": 102.5,
    "IV": 0.16407085937500002
  },
  {
    "Code": "MSFT260618P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 465,
    "Volume": 1,
    "OI": 98,
    "Ask": 107,
    "Bid": 106.55,
    "IV": 0.15320671020507814
  },
  {
    "Code": "MSFT260618P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 470,
    "Volume": 1,
    "OI": 105,
    "Ask": 110.95,
    "Bid": 111,
    "IV": 0.13459117370605472
  },
  {
    "Code": "MSFT260618P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 475,
    "Volume": 1,
    "OI": 20,
    "Ask": 115.7,
    "Bid": 115,
    "IV": 0.13080703186035153
  },
  {
    "Code": "MSFT260618P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 480,
    "Volume": 100,
    "OI": 98,
    "Ask": 119,
    "Bid": 120,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 485,
    "Volume": 1,
    "OI": 5,
    "Ask": 123.6,
    "Bid": 124,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 490,
    "Volume": 31,
    "OI": 9,
    "Ask": 128.7,
    "Bid": 129,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 495,
    "Volume": 20,
    "OI": 41,
    "Ask": 133.45,
    "Bid": 133.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 500,
    "Volume": 2,
    "OI": 104,
    "Ask": 137.3,
    "Bid": 138.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 505,
    "Volume": 2,
    "OI": 3,
    "Ask": 142.3,
    "Bid": 143,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 510,
    "Volume": 2,
    "OI": 1,
    "Ask": 147.4,
    "Bid": 148,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 515,
    "Volume": 4,
    "OI": 0,
    "Ask": 152.5,
    "Bid": 153,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 520,
    "Volume": 1,
    "OI": 0,
    "Ask": 162.5,
    "Bid": 158,
    "IV": 0.21167780517578122
  },
  {
    "Code": "MSFT260618P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 525,
    "Volume": 2,
    "OI": 47,
    "Ask": 134,
    "Bid": 129.9,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 530,
    "Volume": 7,
    "OI": 0,
    "Ask": 149.1,
    "Bid": 145.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 535,
    "Volume": 6,
    "OI": 4,
    "Ask": 129.25,
    "Bid": 125.8,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 148.45,
    "Bid": 144.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 545,
    "Volume": 1,
    "OI": 1,
    "Ask": 121,
    "Bid": 117.45,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 550,
    "Volume": 2,
    "OI": 0,
    "Ask": 192.5,
    "Bid": 187.5,
    "IV": 0.2356033471679687
  },
  {
    "Code": "MSFT260618P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 555,
    "Volume": 2,
    "OI": 0,
    "Ask": 197.5,
    "Bid": 192.5,
    "IV": 0.23941800628662108
  },
  {
    "Code": "MSFT260618P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 560,
    "Volume": 1,
    "OI": 0,
    "Ask": 202.5,
    "Bid": 197.5,
    "IV": 0.243171630859375
  },
  {
    "Code": "MSFT260618P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 580,
    "Volume": 2,
    "OI": 0,
    "Ask": 177.4,
    "Bid": 173,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 585,
    "Volume": 2,
    "OI": 0,
    "Ask": 170.3,
    "Bid": 166,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 590,
    "Volume": None,
    "OI": 0,
    "Ask": 174,
    "Bid": 169,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 595,
    "Volume": 2,
    "OI": 0,
    "Ask": 180.4,
    "Bid": 176.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 600,
    "Volume": 2,
    "OI": 0,
    "Ask": 193.85,
    "Bid": 190.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 610,
    "Volume": 2,
    "OI": 0,
    "Ask": 193.9,
    "Bid": 189,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 620,
    "Volume": None,
    "OI": 0,
    "Ask": 197,
    "Bid": 192.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 625,
    "Volume": None,
    "OI": 0,
    "Ask": 223,
    "Bid": 218,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 630,
    "Volume": 2,
    "OI": 0,
    "Ask": 214,
    "Bid": 209,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 640,
    "Volume": 2,
    "OI": 0,
    "Ask": 212,
    "Bid": 207,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 650,
    "Volume": 1,
    "OI": 0,
    "Ask": 208.25,
    "Bid": 203.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 660,
    "Volume": 2,
    "OI": 0,
    "Ask": 257.5,
    "Bid": 253,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT260618P00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-06-18",
    "Strike": 680,
    "Volume": 4,
    "OI": 0,
    "Ask": 266.5,
    "Bid": 261.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218C00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 185,
    "Volume": 3,
    "OI": 1047,
    "Ask": 189,
    "Bid": 184.5,
    "IV": 0.5138903591918945
  },
  {
    "Code": "MSFT261218C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 190,
    "Volume": 2,
    "OI": 96,
    "Ask": 184.5,
    "Bid": 180,
    "IV": 0.5038806936645508
  },
  {
    "Code": "MSFT261218C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 195,
    "Volume": 2,
    "OI": 101,
    "Ask": 180.5,
    "Bid": 180,
    "IV": 0.49991344818115235
  },
  {
    "Code": "MSFT261218C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 200,
    "Volume": 7,
    "OI": 341,
    "Ask": 176,
    "Bid": 176,
    "IV": 0.4898427481079103
  },
  {
    "Code": "MSFT261218C00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 205,
    "Volume": 1,
    "OI": 76,
    "Ask": 171.5,
    "Bid": 171.5,
    "IV": 0.47983308258056634
  },
  {
    "Code": "MSFT261218C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 210,
    "Volume": 2,
    "OI": 103,
    "Ask": 167.5,
    "Bid": 167,
    "IV": 0.4752707502746582
  },
  {
    "Code": "MSFT261218C00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 215,
    "Volume": 2,
    "OI": 33,
    "Ask": 163.5,
    "Bid": 163,
    "IV": 0.4703879866027832
  },
  {
    "Code": "MSFT261218C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 220,
    "Volume": 2,
    "OI": 23,
    "Ask": 159,
    "Bid": 159,
    "IV": 0.4602715106201172
  },
  {
    "Code": "MSFT261218C00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 225,
    "Volume": 1,
    "OI": 15,
    "Ask": 175.5,
    "Bid": 171.2,
    "IV": 0.6206855558776856
  },
  {
    "Code": "MSFT261218C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 230,
    "Volume": 3,
    "OI": 58,
    "Ask": 197.95,
    "Bid": 193.5,
    "IV": 0.8317430155944823
  },
  {
    "Code": "MSFT261218C00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 235,
    "Volume": 2,
    "OI": 12,
    "Ask": 167,
    "Bid": 162.75,
    "IV": 0.5968515657043458
  },
  {
    "Code": "MSFT261218C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 240,
    "Volume": 1,
    "OI": 79,
    "Ask": 143.5,
    "Bid": 142.55,
    "IV": 0.44240364730834963
  },
  {
    "Code": "MSFT261218C00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 245,
    "Volume": 1,
    "OI": 31,
    "Ask": 139.25,
    "Bid": 138.5,
    "IV": 0.43410294906616215
  },
  {
    "Code": "MSFT261218C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 250,
    "Volume": 1,
    "OI": 40,
    "Ask": 135.15,
    "Bid": 134.6,
    "IV": 0.4269924244689942
  },
  {
    "Code": "MSFT261218C00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 255,
    "Volume": 4,
    "OI": 12,
    "Ask": 131.3,
    "Bid": 131.3,
    "IV": 0.42177397079467777
  },
  {
    "Code": "MSFT261218C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 260,
    "Volume": 4,
    "OI": 171,
    "Ask": 127.7,
    "Bid": 127.55,
    "IV": 0.4182797430419921
  },
  {
    "Code": "MSFT261218C00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 265,
    "Volume": 2,
    "OI": 41,
    "Ask": 123.55,
    "Bid": 123.8,
    "IV": 0.41032999343872073
  },
  {
    "Code": "MSFT261218C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 270,
    "Volume": 11,
    "OI": 51,
    "Ask": 120.1,
    "Bid": 119.5,
    "IV": 0.40746136978149416
  },
  {
    "Code": "MSFT261218C00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 275,
    "Volume": 1,
    "OI": 29,
    "Ask": 133.95,
    "Bid": 131.1,
    "IV": 0.5165453619384766
  },
  {
    "Code": "MSFT261218C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 280,
    "Volume": 3,
    "OI": 124,
    "Ask": 112.75,
    "Bid": 112.5,
    "IV": 0.39761954925537113
  },
  {
    "Code": "MSFT261218C00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 285,
    "Volume": 1,
    "OI": 48,
    "Ask": 109.25,
    "Bid": 108.55,
    "IV": 0.393560751953125
  },
  {
    "Code": "MSFT261218C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 290,
    "Volume": 21,
    "OI": 28,
    "Ask": 105.6,
    "Bid": 105.05,
    "IV": 0.3882354878234863
  },
  {
    "Code": "MSFT261218C00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 295,
    "Volume": 1,
    "OI": 48,
    "Ask": 102.45,
    "Bid": 102,
    "IV": 0.3859924682617187
  },
  {
    "Code": "MSFT261218C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 300,
    "Volume": 20,
    "OI": 488,
    "Ask": 99.1,
    "Bid": 98.95,
    "IV": 0.3821320332336425
  },
  {
    "Code": "MSFT261218C00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 305,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 310,
    "Volume": 2,
    "OI": 31,
    "Ask": 92.65,
    "Bid": 92,
    "IV": 0.3751664656829834
  },
  {
    "Code": "MSFT261218C00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 315,
    "Volume": 1,
    "OI": 34,
    "Ask": 89.5,
    "Bid": 88.7,
    "IV": 0.37172564315795903
  },
  {
    "Code": "MSFT261218C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 320,
    "Volume": 1,
    "OI": 64,
    "Ask": 86.4,
    "Bid": 85.5,
    "IV": 0.3683153379058839
  },
  {
    "Code": "MSFT261218C00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 325,
    "Volume": 22,
    "OI": 113,
    "Ask": 83.45,
    "Bid": 82.55,
    "IV": 0.3655077487945557
  },
  {
    "Code": "MSFT261218C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 330,
    "Volume": 2,
    "OI": 93,
    "Ask": 80.25,
    "Bid": 79.55,
    "IV": 0.36095304580688475
  },
  {
    "Code": "MSFT261218C00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 335,
    "Volume": 1,
    "OI": 75,
    "Ask": 77.3,
    "Bid": 76.5,
    "IV": 0.3575808871459961
  },
  {
    "Code": "MSFT261218C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 340,
    "Volume": 7,
    "OI": 125,
    "Ask": 74,
    "Bid": 73.6,
    "IV": 0.35195045028686517
  },
  {
    "Code": "MSFT261218C00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 345,
    "Volume": 28,
    "OI": 2859,
    "Ask": 71.4,
    "Bid": 72.8,
    "IV": 0.35002786209106435
  },
  {
    "Code": "MSFT261218C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 350,
    "Volume": 27,
    "OI": 2499,
    "Ask": 68.5,
    "Bid": 70.05,
    "IV": 0.34612165115356436
  },
  {
    "Code": "MSFT261218C00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 355,
    "Volume": 5,
    "OI": 150,
    "Ask": 65.95,
    "Bid": 67.1,
    "IV": 0.3438786315917969
  },
  {
    "Code": "MSFT261218C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 360,
    "Volume": 8,
    "OI": 8334,
    "Ask": 63.25,
    "Bid": 64.75,
    "IV": 0.3405141022491456
  },
  {
    "Code": "MSFT261218C00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 365,
    "Volume": 8,
    "OI": 1037,
    "Ask": 60.9,
    "Bid": 62.2,
    "IV": 0.33876698837280267
  },
  {
    "Code": "MSFT261218C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 370,
    "Volume": 127,
    "OI": 1397,
    "Ask": 58.3,
    "Bid": 59.75,
    "IV": 0.3353643124389648
  },
  {
    "Code": "MSFT261218C00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 375,
    "Volume": 5,
    "OI": 4943,
    "Ask": 55.75,
    "Bid": 57.3,
    "IV": 0.3319540071868896
  },
  {
    "Code": "MSFT261218C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 380,
    "Volume": 3,
    "OI": 4815,
    "Ask": 53.25,
    "Bid": 54.95,
    "IV": 0.32852081398010247
  },
  {
    "Code": "MSFT261218C00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 385,
    "Volume": 1,
    "OI": 1913,
    "Ask": 51.25,
    "Bid": 52.7,
    "IV": 0.32747559738159177
  },
  {
    "Code": "MSFT261218C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 390,
    "Volume": 1,
    "OI": 582,
    "Ask": 49.2,
    "Bid": 50.45,
    "IV": 0.3258581819152832
  },
  {
    "Code": "MSFT261218C00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 395,
    "Volume": 1,
    "OI": 1178,
    "Ask": 46.9,
    "Bid": 48.35,
    "IV": 0.32260809234619137
  },
  {
    "Code": "MSFT261218C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 400,
    "Volume": 19,
    "OI": 3179,
    "Ask": 44.6,
    "Bid": 46.25,
    "IV": 0.31907571800231926
  },
  {
    "Code": "MSFT261218C00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 405,
    "Volume": 4,
    "OI": 2331,
    "Ask": 43.05,
    "Bid": 44.25,
    "IV": 0.31925119232177723
  },
  {
    "Code": "MSFT261218C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 410,
    "Volume": 5,
    "OI": 1900,
    "Ask": 41,
    "Bid": 42.3,
    "IV": 0.3164741204833984
  },
  {
    "Code": "MSFT261218C00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 415,
    "Volume": 13,
    "OI": 1038,
    "Ask": 38.9,
    "Bid": 40.4,
    "IV": 0.3131172204589844
  },
  {
    "Code": "MSFT261218C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 420,
    "Volume": 18,
    "OI": 2183,
    "Ask": 37.45,
    "Bid": 38.6,
    "IV": 0.3129875220489502
  },
  {
    "Code": "MSFT261218C00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 425,
    "Volume": 4,
    "OI": 1217,
    "Ask": 35.6,
    "Bid": 36.8,
    "IV": 0.31040881248474117
  },
  {
    "Code": "MSFT261218C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 430,
    "Volume": 3,
    "OI": 1920,
    "Ask": 34.1,
    "Bid": 34.9,
    "IV": 0.3094551477050781
  },
  {
    "Code": "MSFT261218C00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 435,
    "Volume": 5,
    "OI": 613,
    "Ask": 32.5,
    "Bid": 33.25,
    "IV": 0.3076698872375488
  },
  {
    "Code": "MSFT261218C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 440,
    "Volume": 2,
    "OI": 708,
    "Ask": 30.95,
    "Bid": 31.95,
    "IV": 0.3058846267700196
  },
  {
    "Code": "MSFT261218C00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 445,
    "Volume": 5,
    "OI": 111,
    "Ask": 29.4,
    "Bid": 30.45,
    "IV": 0.30380945220947264
  },
  {
    "Code": "MSFT261218C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 450,
    "Volume": 50,
    "OI": 1309,
    "Ask": 27.95,
    "Bid": 28.75,
    "IV": 0.3020241917419434
  },
  {
    "Code": "MSFT261218C00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 455,
    "Volume": 1,
    "OI": 489,
    "Ask": 26.6,
    "Bid": 27.6,
    "IV": 0.30052884536743163
  },
  {
    "Code": "MSFT261218C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 460,
    "Volume": 51,
    "OI": 496,
    "Ask": 25.3,
    "Bid": 26.25,
    "IV": 0.2990563869476318
  },
  {
    "Code": "MSFT261218C00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 465,
    "Volume": 3,
    "OI": 221,
    "Ask": 23.9,
    "Bid": 25,
    "IV": 0.29671418624877927
  },
  {
    "Code": "MSFT261218C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 470,
    "Volume": 5,
    "OI": 1303,
    "Ask": 22.65,
    "Bid": 23.75,
    "IV": 0.2949747016906738
  },
  {
    "Code": "MSFT261218C00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 475,
    "Volume": 51,
    "OI": 2416,
    "Ask": 21.75,
    "Bid": 22.65,
    "IV": 0.2950967707824707
  },
  {
    "Code": "MSFT261218C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 480,
    "Volume": 12,
    "OI": 2869,
    "Ask": 20.5,
    "Bid": 21.45,
    "IV": 0.2928232339477538
  },
  {
    "Code": "MSFT261218C00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 485,
    "Volume": 6,
    "OI": 73,
    "Ask": 19.6,
    "Bid": 20.15,
    "IV": 0.2924722853088378
  },
  {
    "Code": "MSFT261218C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 490,
    "Volume": 13,
    "OI": 555,
    "Ask": 18.45,
    "Bid": 19.35,
    "IV": 0.2902750416564941
  },
  {
    "Code": "MSFT261218C00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 495,
    "Volume": 1,
    "OI": 107,
    "Ask": 17.55,
    "Bid": 18.4,
    "IV": 0.28943581665039053
  },
  {
    "Code": "MSFT261218C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 500,
    "Volume": 20,
    "OI": 3808,
    "Ask": 17,
    "Bid": 17.5,
    "IV": 0.2907022834777831
  },
  {
    "Code": "MSFT261218C00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 505,
    "Volume": 1,
    "OI": 422,
    "Ask": 15.75,
    "Bid": 16.55,
    "IV": 0.28701732276916503
  },
  {
    "Code": "MSFT261218C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 510,
    "Volume": 16,
    "OI": 169,
    "Ask": 14.85,
    "Bid": 15.7,
    "IV": 0.2854227952575683
  },
  {
    "Code": "MSFT261218C00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 515,
    "Volume": 14,
    "OI": 1226,
    "Ask": 14.2,
    "Bid": 14.9,
    "IV": 0.2853465020751953
  },
  {
    "Code": "MSFT261218C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 520,
    "Volume": 6,
    "OI": 1349,
    "Ask": 13.35,
    "Bid": 14.15,
    "IV": 0.2836070175170897
  },
  {
    "Code": "MSFT261218C00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 525,
    "Volume": 1,
    "OI": 550,
    "Ask": 13.15,
    "Bid": 13.4,
    "IV": 0.28649089981079096
  },
  {
    "Code": "MSFT261218C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 530,
    "Volume": 1,
    "OI": 571,
    "Ask": 11.8,
    "Bid": 12.8,
    "IV": 0.28043322113037106
  },
  {
    "Code": "MSFT261218C00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 535,
    "Volume": 1,
    "OI": 277,
    "Ask": 11.5,
    "Bid": 12.05,
    "IV": 0.282233740234375
  },
  {
    "Code": "MSFT261218C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 540,
    "Volume": 6,
    "OI": 767,
    "Ask": 12.5,
    "Bid": 11.25,
    "IV": 0.2941965112304687
  },
  {
    "Code": "MSFT261218C00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 545,
    "Volume": 1,
    "OI": 85,
    "Ask": 10.45,
    "Bid": 10.85,
    "IV": 0.2817607225036621
  },
  {
    "Code": "MSFT261218C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 550,
    "Volume": 1,
    "OI": 2464,
    "Ask": 9.75,
    "Bid": 10.35,
    "IV": 0.27973132385253896
  },
  {
    "Code": "MSFT261218C00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 555,
    "Volume": 1,
    "OI": 85,
    "Ask": 9.5,
    "Bid": 9.75,
    "IV": 0.28137925659179686
  },
  {
    "Code": "MSFT261218C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 560,
    "Volume": 100,
    "OI": 485,
    "Ask": 8.7,
    "Bid": 9.25,
    "IV": 0.2779613220214844
  },
  {
    "Code": "MSFT261218C00565000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 565,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.062509375
  },
  {
    "Code": "MSFT261218C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 570,
    "Volume": 3,
    "OI": 93,
    "Ask": 7.65,
    "Bid": 8.35,
    "IV": 0.2752605433654785
  },
  {
    "Code": "MSFT261218C00575000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 575,
    "Volume": 3,
    "OI": 52,
    "Ask": 7.4,
    "Bid": 7.85,
    "IV": 0.27628287200927726
  },
  {
    "Code": "MSFT261218C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 580,
    "Volume": 4,
    "OI": 608,
    "Ask": 6.85,
    "Bid": 7.45,
    "IV": 0.27411614562988285
  },
  {
    "Code": "MSFT261218C00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 585,
    "Volume": 21,
    "OI": 68,
    "Ask": 7.1,
    "Bid": 7.05,
    "IV": 0.28008227249145495
  },
  {
    "Code": "MSFT261218C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 590,
    "Volume": 1,
    "OI": 609,
    "Ask": 7.5,
    "Bid": 6.65,
    "IV": 0.2875132284545897
  },
  {
    "Code": "MSFT261218C00595000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 595,
    "Volume": 1,
    "OI": 88,
    "Ask": 6.15,
    "Bid": 6.4,
    "IV": 0.27649649291992184
  },
  {
    "Code": "MSFT261218C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 600,
    "Volume": 8,
    "OI": 1111,
    "Ask": 5.35,
    "Bid": 6.05,
    "IV": 0.27045407287597656
  },
  {
    "Code": "MSFT261218C00605000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 605,
    "Volume": 3,
    "OI": 324,
    "Ask": 5.6,
    "Bid": 5.7,
    "IV": 0.27652701019287107
  },
  {
    "Code": "MSFT261218C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 610,
    "Volume": 2,
    "OI": 172,
    "Ask": 6.15,
    "Bid": 5.35,
    "IV": 0.2859721061706542
  },
  {
    "Code": "MSFT261218C00615000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 615,
    "Volume": 3,
    "OI": 28,
    "Ask": 5.05,
    "Bid": 5.1,
    "IV": 0.27593192337036127
  },
  {
    "Code": "MSFT261218C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 620,
    "Volume": 1,
    "OI": 242,
    "Ask": 4.65,
    "Bid": 4.85,
    "IV": 0.27374993835449213
  },
  {
    "Code": "MSFT261218C00625000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 625,
    "Volume": 1,
    "OI": 84,
    "Ask": 4.45,
    "Bid": 4.55,
    "IV": 0.27399407653808594
  },
  {
    "Code": "MSFT261218C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 630,
    "Volume": 1,
    "OI": 13,
    "Ask": 5.2,
    "Bid": 4.75,
    "IV": 0.2866587448120117
  },
  {
    "Code": "MSFT261218C00635000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 635,
    "Volume": 1,
    "OI": 30,
    "Ask": 4.85,
    "Bid": 4.55,
    "IV": 0.28504132934570303
  },
  {
    "Code": "MSFT261218C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 640,
    "Volume": 1,
    "OI": 1399,
    "Ask": 3.6,
    "Bid": 3.85,
    "IV": 0.2701183828735352
  },
  {
    "Code": "MSFT261218C00645000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 645,
    "Volume": 40,
    "OI": 29,
    "Ask": 3.5,
    "Bid": 3.7,
    "IV": 0.27127803924560545
  },
  {
    "Code": "MSFT261218C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 650,
    "Volume": 3,
    "OI": 101,
    "Ask": 3.95,
    "Bid": 3.45,
    "IV": 0.28079942840576166
  },
  {
    "Code": "MSFT261218C00655000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 655,
    "Volume": 1,
    "OI": 25,
    "Ask": 3.25,
    "Bid": 3.3,
    "IV": 0.2724987301635742
  },
  {
    "Code": "MSFT261218C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 660,
    "Volume": 2,
    "OI": 746,
    "Ask": 3,
    "Bid": 3.15,
    "IV": 0.27082028015136717
  },
  {
    "Code": "MSFT261218C00665000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 665,
    "Volume": 67,
    "OI": 42,
    "Ask": 3.05,
    "Bid": 2.94,
    "IV": 0.27423821472167964
  },
  {
    "Code": "MSFT261218C00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 670,
    "Volume": 28,
    "OI": 30,
    "Ask": 3,
    "Bid": 2.78,
    "IV": 0.2758861474609374
  },
  {
    "Code": "MSFT261218C00675000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 675,
    "Volume": 2,
    "OI": 42,
    "Ask": 3.25,
    "Bid": 2.63,
    "IV": 0.28269149932861326
  },
  {
    "Code": "MSFT261218C00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 680,
    "Volume": 2,
    "OI": 183,
    "Ask": 3.1,
    "Bid": 2.49,
    "IV": 0.28256943023681635
  },
  {
    "Code": "MSFT261218C00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 685,
    "Volume": 4,
    "OI": 111,
    "Ask": 2.95,
    "Bid": 2.35,
    "IV": 0.2823558093261719
  },
  {
    "Code": "MSFT261218C00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 690,
    "Volume": 1,
    "OI": 28,
    "Ask": 2.81,
    "Bid": 2.22,
    "IV": 0.2821727056884765
  },
  {
    "Code": "MSFT261218C00695000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 695,
    "Volume": 2,
    "OI": 2398,
    "Ask": 2.66,
    "Bid": 2.14,
    "IV": 0.281684429321289
  },
  {
    "Code": "MSFT261218C00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2026-12-18",
    "Strike": 700,
    "Volume": 18,
    "OI": 3988,
    "Ask": 2.56,
    "Bid": 2.03,
    "IV": 0.2820506365966796
  },
  {
    "Code": "MSFT261218P00185000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 185,
    "Volume": 13,
    "OI": 1334,
    "Ask": 3.3,
    "Bid": 2.74,
    "IV": 0.3399724206542969
  },
  {
    "Code": "MSFT261218P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 190,
    "Volume": 7,
    "OI": 181,
    "Ask": 3.65,
    "Bid": 3.05,
    "IV": 0.3360662097167969
  },
  {
    "Code": "MSFT261218P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 195,
    "Volume": 1,
    "OI": 85,
    "Ask": 4,
    "Bid": 3.5,
    "IV": 0.33173275695800786
  },
  {
    "Code": "MSFT261218P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 200,
    "Volume": 6,
    "OI": 144,
    "Ask": 4.3,
    "Bid": 4.05,
    "IV": 0.3259955096435546
  },
  {
    "Code": "MSFT261218P00205000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 205,
    "Volume": 7,
    "OI": 74,
    "Ask": 4.85,
    "Bid": 4.45,
    "IV": 0.32450016326904285
  },
  {
    "Code": "MSFT261218P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 210,
    "Volume": 28,
    "OI": 259,
    "Ask": 5.1,
    "Bid": 4.9,
    "IV": 0.3172980868530273
  },
  {
    "Code": "MSFT261218P00215000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 215,
    "Volume": 1,
    "OI": 69,
    "Ask": 5.85,
    "Bid": 5.55,
    "IV": 0.3177863632202148
  },
  {
    "Code": "MSFT261218P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 220,
    "Volume": 22,
    "OI": 60,
    "Ask": 6.2,
    "Bid": 6,
    "IV": 0.31156083953857416
  },
  {
    "Code": "MSFT261218P00225000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 225,
    "Volume": 3,
    "OI": 62,
    "Ask": 6.95,
    "Bid": 6.65,
    "IV": 0.3106453213500976
  },
  {
    "Code": "MSFT261218P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 230,
    "Volume": 23,
    "OI": 616,
    "Ask": 7.45,
    "Bid": 7.45,
    "IV": 0.3057930749511719
  },
  {
    "Code": "MSFT261218P00235000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 235,
    "Volume": 2,
    "OI": 55,
    "Ask": 8.2,
    "Bid": 7.9,
    "IV": 0.30368738311767574
  },
  {
    "Code": "MSFT261218P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 240,
    "Volume": 3,
    "OI": 120,
    "Ask": 9,
    "Bid": 8.65,
    "IV": 0.30156643264770505
  },
  {
    "Code": "MSFT261218P00245000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 245,
    "Volume": 5,
    "OI": 77,
    "Ask": 9.95,
    "Bid": 9.4,
    "IV": 0.30049832809448246
  },
  {
    "Code": "MSFT261218P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 250,
    "Volume": 3,
    "OI": 218,
    "Ask": 10.6,
    "Bid": 10.4,
    "IV": 0.29573763351440424
  },
  {
    "Code": "MSFT261218P00255000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 255,
    "Volume": 3,
    "OI": 68,
    "Ask": 11.5,
    "Bid": 11.15,
    "IV": 0.29312840667724605
  },
  {
    "Code": "MSFT261218P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 260,
    "Volume": 80,
    "OI": 534,
    "Ask": 12.4,
    "Bid": 12.2,
    "IV": 0.29003090347290034
  },
  {
    "Code": "MSFT261218P00265000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 265,
    "Volume": 2,
    "OI": 175,
    "Ask": 13.35,
    "Bid": 13.1,
    "IV": 0.28696391754150385
  },
  {
    "Code": "MSFT261218P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 270,
    "Volume": 2,
    "OI": 177,
    "Ask": 14.55,
    "Bid": 14.15,
    "IV": 0.285590640258789
  },
  {
    "Code": "MSFT261218P00275000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 275,
    "Volume": 3,
    "OI": 112,
    "Ask": 15.65,
    "Bid": 15.1,
    "IV": 0.28285934432983395
  },
  {
    "Code": "MSFT261218P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 280,
    "Volume": 3,
    "OI": 420,
    "Ask": 16.6,
    "Bid": 16.5,
    "IV": 0.27851063293457035
  },
  {
    "Code": "MSFT261218P00285000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 285,
    "Volume": 6,
    "OI": 109,
    "Ask": 17.75,
    "Bid": 17.8,
    "IV": 0.2753520951843262
  },
  {
    "Code": "MSFT261218P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 290,
    "Volume": 6,
    "OI": 168,
    "Ask": 19.05,
    "Bid": 18.9,
    "IV": 0.272895454711914
  },
  {
    "Code": "MSFT261218P00295000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 295,
    "Volume": 10,
    "OI": 56,
    "Ask": 20.35,
    "Bid": 20.15,
    "IV": 0.26998105514526366
  },
  {
    "Code": "MSFT261218P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 300,
    "Volume": 7,
    "OI": 444,
    "Ask": 21.7,
    "Bid": 21.4,
    "IV": 0.26699036239624024
  },
  {
    "Code": "MSFT261218P00305000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 305,
    "Volume": 1,
    "OI": 38,
    "Ask": 23.15,
    "Bid": 21.95,
    "IV": 0.26425906646728514
  },
  {
    "Code": "MSFT261218P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 310,
    "Volume": 1,
    "OI": 278,
    "Ask": 24.9,
    "Bid": 24.4,
    "IV": 0.2630383755493164
  },
  {
    "Code": "MSFT261218P00315000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 315,
    "Volume": 2,
    "OI": 94,
    "Ask": 26.45,
    "Bid": 26.05,
    "IV": 0.2600629414367676
  },
  {
    "Code": "MSFT261218P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 320,
    "Volume": 10,
    "OI": 758,
    "Ask": 28.1,
    "Bid": 27.7,
    "IV": 0.257293498916626
  },
  {
    "Code": "MSFT261218P00325000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 325,
    "Volume": 2,
    "OI": 660,
    "Ask": 29.8,
    "Bid": 29.65,
    "IV": 0.25440198730468755
  },
  {
    "Code": "MSFT261218P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 330,
    "Volume": 2,
    "OI": 299,
    "Ask": 31.6,
    "Bid": 31.05,
    "IV": 0.25168595001220706
  },
  {
    "Code": "MSFT261218P00335000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 335,
    "Volume": 16,
    "OI": 415,
    "Ask": 33.45,
    "Bid": 33.3,
    "IV": 0.2488325849914551
  },
  {
    "Code": "MSFT261218P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 340,
    "Volume": 10,
    "OI": 1253,
    "Ask": 35.4,
    "Bid": 35.1,
    "IV": 0.24613180633544923
  },
  {
    "Code": "MSFT261218P00345000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 345,
    "Volume": 1,
    "OI": 259,
    "Ask": 37.4,
    "Bid": 37.35,
    "IV": 0.24327844131469728
  },
  {
    "Code": "MSFT261218P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 350,
    "Volume": 335,
    "OI": 1800,
    "Ask": 39.2,
    "Bid": 39,
    "IV": 0.23889921264648437
  },
  {
    "Code": "MSFT261218P00355000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 355,
    "Volume": 55,
    "OI": 105,
    "Ask": 41.6,
    "Bid": 41.4,
    "IV": 0.23738860763549802
  },
  {
    "Code": "MSFT261218P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 360,
    "Volume": 1,
    "OI": 552,
    "Ask": 43.85,
    "Bid": 43.65,
    "IV": 0.23461153579711913
  },
  {
    "Code": "MSFT261218P00365000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 365,
    "Volume": 53,
    "OI": 702,
    "Ask": 46.15,
    "Bid": 45.8,
    "IV": 0.2316589896392822
  },
  {
    "Code": "MSFT261218P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 370,
    "Volume": 9,
    "OI": 506,
    "Ask": 48.55,
    "Bid": 48.45,
    "IV": 0.228797995300293
  },
  {
    "Code": "MSFT261218P00375000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 375,
    "Volume": 1,
    "OI": 158,
    "Ask": 51,
    "Bid": 49.6,
    "IV": 0.22574626800537106
  },
  {
    "Code": "MSFT261218P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 380,
    "Volume": 22,
    "OI": 456,
    "Ask": 53.3,
    "Bid": 53.45,
    "IV": 0.22144333251953124
  },
  {
    "Code": "MSFT261218P00385000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 385,
    "Volume": 3,
    "OI": 1051,
    "Ask": 56.2,
    "Bid": 56.1,
    "IV": 0.21987169296264647
  },
  {
    "Code": "MSFT261218P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 390,
    "Volume": 33,
    "OI": 206,
    "Ask": 58.65,
    "Bid": 58.75,
    "IV": 0.21540854179382327
  },
  {
    "Code": "MSFT261218P00395000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 395,
    "Volume": 2,
    "OI": 157,
    "Ask": 61.7,
    "Bid": 61.55,
    "IV": 0.2136919451904297
  },
  {
    "Code": "MSFT261218P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 400,
    "Volume": 15,
    "OI": 1153,
    "Ask": 64.3,
    "Bid": 64.45,
    "IV": 0.20902280242919918
  },
  {
    "Code": "MSFT261218P00405000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 405,
    "Volume": 1,
    "OI": 292,
    "Ask": 67.55,
    "Bid": 67.5,
    "IV": 0.20742064559936518
  },
  {
    "Code": "MSFT261218P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 410,
    "Volume": 4,
    "OI": 393,
    "Ask": 70.3,
    "Bid": 70.65,
    "IV": 0.2024921060180664
  },
  {
    "Code": "MSFT261218P00415000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 415,
    "Volume": 1,
    "OI": 463,
    "Ask": 73.4,
    "Bid": 73.8,
    "IV": 0.19896736099243162
  },
  {
    "Code": "MSFT261218P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 420,
    "Volume": 14,
    "OI": 1415,
    "Ask": 76.6,
    "Bid": 76,
    "IV": 0.19543498664855957
  },
  {
    "Code": "MSFT261218P00425000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 425,
    "Volume": 6,
    "OI": 633,
    "Ask": 79.9,
    "Bid": 80.45,
    "IV": 0.19190261230468753
  },
  {
    "Code": "MSFT261218P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 430,
    "Volume": 12,
    "OI": 285,
    "Ask": 83.25,
    "Bid": 83,
    "IV": 0.1880269186401367
  },
  {
    "Code": "MSFT261218P00435000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 435,
    "Volume": 6,
    "OI": 273,
    "Ask": 86.7,
    "Bid": 87.5,
    "IV": 0.18412070770263672
  },
  {
    "Code": "MSFT261218P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 440,
    "Volume": 8,
    "OI": 258,
    "Ask": 90.55,
    "Bid": 90,
    "IV": 0.1822438954162598
  },
  {
    "Code": "MSFT261218P00445000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 445,
    "Volume": 8,
    "OI": 167,
    "Ask": 93.85,
    "Bid": 94,
    "IV": 0.17574371627807617
  },
  {
    "Code": "MSFT261218P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 450,
    "Volume": 2,
    "OI": 1349,
    "Ask": 97.5,
    "Bid": 97.5,
    "IV": 0.17079991806030276
  },
  {
    "Code": "MSFT261218P00455000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 455,
    "Volume": 2,
    "OI": 25,
    "Ask": 103,
    "Bid": 101.5,
    "IV": 0.1799856172180176
  },
  {
    "Code": "MSFT261218P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 460,
    "Volume": 1,
    "OI": 311,
    "Ask": 106.2,
    "Bid": 105,
    "IV": 0.17015905532836917
  },
  {
    "Code": "MSFT261218P00465000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 465,
    "Volume": 50,
    "OI": 99,
    "Ask": 109.65,
    "Bid": 109.5,
    "IV": 0.16050033843994144
  },
  {
    "Code": "MSFT261218P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 470,
    "Volume": 2,
    "OI": 1017,
    "Ask": 114.9,
    "Bid": 113.55,
    "IV": 0.16754982849121097
  },
  {
    "Code": "MSFT261218P00475000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 475,
    "Volume": 10,
    "OI": 3920,
    "Ask": 118.95,
    "Bid": 117.5,
    "IV": 0.16208723663330077
  },
  {
    "Code": "MSFT261218P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 480,
    "Volume": 26,
    "OI": 2382,
    "Ask": 123,
    "Bid": 122,
    "IV": 0.1550377465820313
  },
  {
    "Code": "MSFT261218P00485000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 485,
    "Volume": 4,
    "OI": 29,
    "Ask": 126.6,
    "Bid": 126,
    "IV": 0.13794807373046875
  },
  {
    "Code": "MSFT261218P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 490,
    "Volume": 2,
    "OI": 541,
    "Ask": 131.5,
    "Bid": 130.5,
    "IV": 0.13971807556152344
  },
  {
    "Code": "MSFT261218P00495000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 495,
    "Volume": 3,
    "OI": 159,
    "Ask": 135.2,
    "Bid": 135.05,
    "IV": 0.09937424072265624
  },
  {
    "Code": "MSFT261218P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 500,
    "Volume": 4,
    "OI": 1454,
    "Ask": 138.85,
    "Bid": 139.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00505000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 505,
    "Volume": 64,
    "OI": 33,
    "Ask": 143.9,
    "Bid": 144,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 510,
    "Volume": 2,
    "OI": 10,
    "Ask": 148.75,
    "Bid": 148.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00515000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 515,
    "Volume": None,
    "OI": 12,
    "Ask": 153.9,
    "Bid": 153.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 520,
    "Volume": 34,
    "OI": 106,
    "Ask": 158.5,
    "Bid": 158,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00525000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 525,
    "Volume": 84,
    "OI": 48,
    "Ask": 163,
    "Bid": 163,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 530,
    "Volume": 3,
    "OI": 246,
    "Ask": 167.9,
    "Bid": 168,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00535000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 535,
    "Volume": 7,
    "OI": 0,
    "Ask": 130.7,
    "Bid": 127.7,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 177.5,
    "Bid": 178,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00545000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 545,
    "Volume": 100,
    "OI": 103,
    "Ask": 154,
    "Bid": 149.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 550,
    "Volume": 6,
    "OI": 1,
    "Ask": 192.5,
    "Bid": 187.5,
    "IV": 0.19837227416992187
  },
  {
    "Code": "MSFT261218P00555000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 555,
    "Volume": 2,
    "OI": 0,
    "Ask": 164,
    "Bid": 159.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 560,
    "Volume": 1,
    "OI": 1,
    "Ask": 184,
    "Bid": 179,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 570,
    "Volume": 7,
    "OI": 0,
    "Ask": 175.5,
    "Bid": 170.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 580,
    "Volume": 5,
    "OI": 0,
    "Ask": 185.5,
    "Bid": 180.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00585000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 585,
    "Volume": None,
    "OI": 0,
    "Ask": 170,
    "Bid": 165.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 590,
    "Volume": 1,
    "OI": 0,
    "Ask": 195.5,
    "Bid": 190.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 600,
    "Volume": 3,
    "OI": 0,
    "Ask": 205.5,
    "Bid": 200.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 610,
    "Volume": 2,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 620,
    "Volume": 1,
    "OI": 0,
    "Ask": 225.5,
    "Bid": 220.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 640,
    "Volume": 1,
    "OI": 0,
    "Ask": 205.5,
    "Bid": 201,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 650,
    "Volume": 2,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 660,
    "Volume": 2,
    "OI": 0,
    "Ask": 232,
    "Bid": 227,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00670000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 670,
    "Volume": 2,
    "OI": 0,
    "Ask": 281.5,
    "Bid": 276.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00680000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 680,
    "Volume": None,
    "OI": 0,
    "Ask": 252,
    "Bid": 247,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00685000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 685,
    "Volume": None,
    "OI": 0,
    "Ask": 270,
    "Bid": 265.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00690000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 690,
    "Volume": None,
    "OI": 0,
    "Ask": 275.5,
    "Bid": 270.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT261218P00700000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2026-12-18",
    "Strike": 700,
    "Volume": 2,
    "OI": 0,
    "Ask": 309,
    "Bid": 304,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 200,
    "Volume": None,
    "OI": 5,
    "Ask": 176.5,
    "Bid": 172,
    "IV": 0.48474636352539063
  },
  {
    "Code": "MSFT270115C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 210,
    "Volume": 9,
    "OI": 474,
    "Ask": 168.5,
    "Bid": 168,
    "IV": 0.4752860089111328
  },
  {
    "Code": "MSFT270115C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 220,
    "Volume": 2,
    "OI": 366,
    "Ask": 160,
    "Bid": 159.5,
    "IV": 0.4599358206176758
  },
  {
    "Code": "MSFT270115C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 230,
    "Volume": 10,
    "OI": 133,
    "Ask": 152,
    "Bid": 151.65,
    "IV": 0.44885805053710937
  },
  {
    "Code": "MSFT270115C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 240,
    "Volume": 54,
    "OI": 155,
    "Ask": 144,
    "Bid": 143.5,
    "IV": 0.4370173486328125
  },
  {
    "Code": "MSFT270115C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 250,
    "Volume": 1,
    "OI": 40,
    "Ask": 136.2,
    "Bid": 136.25,
    "IV": 0.4261226821899414
  },
  {
    "Code": "MSFT270115C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 260,
    "Volume": 1,
    "OI": 20,
    "Ask": 128.85,
    "Bid": 128.75,
    "IV": 0.4178982771301269
  },
  {
    "Code": "MSFT270115C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 270,
    "Volume": 1,
    "OI": 85,
    "Ask": 121.35,
    "Bid": 120.55,
    "IV": 0.40759869750976563
  },
  {
    "Code": "MSFT270115C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 280,
    "Volume": 2,
    "OI": 109,
    "Ask": 114.2,
    "Bid": 114.05,
    "IV": 0.3989012747192383
  },
  {
    "Code": "MSFT270115C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 290,
    "Volume": 5,
    "OI": 2505,
    "Ask": 107.1,
    "Bid": 107.1,
    "IV": 0.3896240237426758
  },
  {
    "Code": "MSFT270115C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 300,
    "Volume": 3,
    "OI": 296,
    "Ask": 100.25,
    "Bid": 100.05,
    "IV": 0.38104867004394527
  },
  {
    "Code": "MSFT270115C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 310,
    "Volume": 1,
    "OI": 89,
    "Ask": 94.2,
    "Bid": 93.8,
    "IV": 0.37639478591918946
  },
  {
    "Code": "MSFT270115C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 320,
    "Volume": 3,
    "OI": 97,
    "Ask": 87.55,
    "Bid": 87,
    "IV": 0.3670412417602539
  },
  {
    "Code": "MSFT270115C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 330,
    "Volume": 2,
    "OI": 155,
    "Ask": 81.85,
    "Bid": 81.9,
    "IV": 0.3622042539978027
  },
  {
    "Code": "MSFT270115C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 340,
    "Volume": 1,
    "OI": 68,
    "Ask": 75.6,
    "Bid": 75.3,
    "IV": 0.35317877052307123
  },
  {
    "Code": "MSFT270115C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 350,
    "Volume": 7,
    "OI": 324,
    "Ask": 70.2,
    "Bid": 71.25,
    "IV": 0.34783824775695804
  },
  {
    "Code": "MSFT270115C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 360,
    "Volume": 12,
    "OI": 111,
    "Ask": 65.05,
    "Bid": 66.3,
    "IV": 0.3427342338562011
  },
  {
    "Code": "MSFT270115C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 370,
    "Volume": 19,
    "OI": 140,
    "Ask": 60.1,
    "Bid": 61.25,
    "IV": 0.33757681472778317
  },
  {
    "Code": "MSFT270115C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 380,
    "Volume": 34,
    "OI": 226,
    "Ask": 54.85,
    "Bid": 56.5,
    "IV": 0.3297491342163086
  },
  {
    "Code": "MSFT270115C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 390,
    "Volume": 8,
    "OI": 216,
    "Ask": 50.6,
    "Bid": 51.75,
    "IV": 0.32606417350769035
  },
  {
    "Code": "MSFT270115C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 400,
    "Volume": 17,
    "OI": 1558,
    "Ask": 46.6,
    "Bid": 48,
    "IV": 0.32256994575500486
  },
  {
    "Code": "MSFT270115C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 410,
    "Volume": 1021,
    "OI": 482,
    "Ask": 42.8,
    "Bid": 43.7,
    "IV": 0.31902231277465815
  },
  {
    "Code": "MSFT270115C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 420,
    "Volume": 22,
    "OI": 1021,
    "Ask": 38.75,
    "Bid": 39.8,
    "IV": 0.31304855659484865
  },
  {
    "Code": "MSFT270115C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 430,
    "Volume": 14,
    "OI": 1658,
    "Ask": 35.7,
    "Bid": 36.6,
    "IV": 0.3112861840820312
  },
  {
    "Code": "MSFT270115C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 440,
    "Volume": 23,
    "OI": 579,
    "Ask": 32.4,
    "Bid": 33.3,
    "IV": 0.3071205763244628
  },
  {
    "Code": "MSFT270115C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 450,
    "Volume": 43,
    "OI": 4072,
    "Ask": 29.25,
    "Bid": 30.3,
    "IV": 0.3026803131103516
  },
  {
    "Code": "MSFT270115C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 460,
    "Volume": 21,
    "OI": 569,
    "Ask": 26.7,
    "Bid": 27.55,
    "IV": 0.30052884536743163
  },
  {
    "Code": "MSFT270115C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 470,
    "Volume": 34,
    "OI": 138,
    "Ask": 24.15,
    "Bid": 25,
    "IV": 0.29736267829895013
  },
  {
    "Code": "MSFT270115C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 480,
    "Volume": 4,
    "OI": 339,
    "Ask": 21.9,
    "Bid": 22.65,
    "IV": 0.2949441844177246
  },
  {
    "Code": "MSFT270115C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 490,
    "Volume": 1,
    "OI": 341,
    "Ask": 19.7,
    "Bid": 20.5,
    "IV": 0.29181616394042953
  },
  {
    "Code": "MSFT270115C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 500,
    "Volume": 68,
    "OI": 3546,
    "Ask": 18.25,
    "Bid": 18.65,
    "IV": 0.292502802581787
  },
  {
    "Code": "MSFT270115C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 510,
    "Volume": 1,
    "OI": 1111,
    "Ask": 17.5,
    "Bid": 16.8,
    "IV": 0.29706513488769526
  },
  {
    "Code": "MSFT270115C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 520,
    "Volume": 12,
    "OI": 491,
    "Ask": 14.8,
    "Bid": 15.2,
    "IV": 0.2877573666381835
  },
  {
    "Code": "MSFT270115C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 530,
    "Volume": 14,
    "OI": 382,
    "Ask": 13.4,
    "Bid": 13.75,
    "IV": 0.2862925375366211
  },
  {
    "Code": "MSFT270115C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 540,
    "Volume": 13,
    "OI": 169,
    "Ask": 11.9,
    "Bid": 12.55,
    "IV": 0.28319503433227533
  },
  {
    "Code": "MSFT270115C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 550,
    "Volume": 1,
    "OI": 889,
    "Ask": 10.9,
    "Bid": 11.25,
    "IV": 0.2831187411499023
  },
  {
    "Code": "MSFT270115C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 560,
    "Volume": 1,
    "OI": 235,
    "Ask": 10.05,
    "Bid": 10.15,
    "IV": 0.2836070175170897
  },
  {
    "Code": "MSFT270115C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 570,
    "Volume": 2,
    "OI": 38,
    "Ask": 8.95,
    "Bid": 9.15,
    "IV": 0.28127244613647456
  },
  {
    "Code": "MSFT270115C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 580,
    "Volume": 2,
    "OI": 398,
    "Ask": 8.25,
    "Bid": 8.35,
    "IV": 0.2817912397766113
  },
  {
    "Code": "MSFT270115C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 590,
    "Volume": 2,
    "OI": 2210,
    "Ask": 7.2,
    "Bid": 7.45,
    "IV": 0.2782512361145019
  },
  {
    "Code": "MSFT270115C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 600,
    "Volume": 38,
    "OI": 2486,
    "Ask": 6.6,
    "Bid": 6.75,
    "IV": 0.2784495983886719
  },
  {
    "Code": "MSFT270115C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 610,
    "Volume": 7,
    "OI": 73,
    "Ask": 5.95,
    "Bid": 6.15,
    "IV": 0.2775035629272461
  },
  {
    "Code": "MSFT270115C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 620,
    "Volume": 4,
    "OI": 550,
    "Ask": 5.35,
    "Bid": 5.4,
    "IV": 0.27648123428344723
  },
  {
    "Code": "MSFT270115C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 630,
    "Volume": 4,
    "OI": 26,
    "Ask": 5.1,
    "Bid": 4.95,
    "IV": 0.2791820129394531
  },
  {
    "Code": "MSFT270115C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 640,
    "Volume": 34,
    "OI": 588,
    "Ask": 4.3,
    "Bid": 4.45,
    "IV": 0.2742992492675781
  },
  {
    "Code": "MSFT270115C00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 650,
    "Volume": 11,
    "OI": 1042,
    "Ask": 4.25,
    "Bid": 4.1,
    "IV": 0.2789683920288085
  },
  {
    "Code": "MSFT270115C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-01-15",
    "Strike": 660,
    "Volume": 127,
    "OI": 569,
    "Ask": 3.45,
    "Bid": 3.5,
    "IV": 0.2722851092529296
  },
  {
    "Code": "MSFT270115P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 195,
    "Volume": 1,
    "OI": 238,
    "Ask": 4.25,
    "Bid": 3.95,
    "IV": 0.32938292694091786
  },
  {
    "Code": "MSFT270115P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 200,
    "Volume": 7,
    "OI": 36,
    "Ask": 4.65,
    "Bid": 4.35,
    "IV": 0.32529361236572263
  },
  {
    "Code": "MSFT270115P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 210,
    "Volume": 39,
    "OI": 679,
    "Ask": 5.3,
    "Bid": 5.3,
    "IV": 0.3136054968261719
  },
  {
    "Code": "MSFT270115P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 220,
    "Volume": 32,
    "OI": 319,
    "Ask": 6.5,
    "Bid": 6.3,
    "IV": 0.3089973886108398
  },
  {
    "Code": "MSFT270115P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 230,
    "Volume": 23,
    "OI": 572,
    "Ask": 7.75,
    "Bid": 7.7,
    "IV": 0.30286341674804684
  },
  {
    "Code": "MSFT270115P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 240,
    "Volume": 4,
    "OI": 141,
    "Ask": 9.3,
    "Bid": 9.05,
    "IV": 0.2983010844421386
  },
  {
    "Code": "MSFT270115P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 250,
    "Volume": 1,
    "OI": 239,
    "Ask": 10.9,
    "Bid": 10.5,
    "IV": 0.2922739230346678
  },
  {
    "Code": "MSFT270115P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 260,
    "Volume": 131,
    "OI": 806,
    "Ask": 12.7,
    "Bid": 12.35,
    "IV": 0.2864298652648925
  },
  {
    "Code": "MSFT270115P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 270,
    "Volume": 2,
    "OI": 270,
    "Ask": 14.7,
    "Bid": 14.45,
    "IV": 0.2806163247680663
  },
  {
    "Code": "MSFT270115P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 280,
    "Volume": 4,
    "OI": 523,
    "Ask": 16.95,
    "Bid": 16.8,
    "IV": 0.275123215637207
  },
  {
    "Code": "MSFT270115P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 290,
    "Volume": 1,
    "OI": 348,
    "Ask": 19.45,
    "Bid": 19.45,
    "IV": 0.26978269287109374
  },
  {
    "Code": "MSFT270115P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 300,
    "Volume": 45,
    "OI": 1116,
    "Ask": 22.15,
    "Bid": 22.1,
    "IV": 0.2641827732849121
  },
  {
    "Code": "MSFT270115P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 310,
    "Volume": 9,
    "OI": 156,
    "Ask": 25.15,
    "Bid": 25.3,
    "IV": 0.25888802642822273
  },
  {
    "Code": "MSFT270115P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 320,
    "Volume": 47,
    "OI": 618,
    "Ask": 28.4,
    "Bid": 28.25,
    "IV": 0.253486469116211
  },
  {
    "Code": "MSFT270115P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 330,
    "Volume": 1,
    "OI": 387,
    "Ask": 32.15,
    "Bid": 31.85,
    "IV": 0.2493590079498291
  },
  {
    "Code": "MSFT270115P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 340,
    "Volume": 59,
    "OI": 1735,
    "Ask": 35.75,
    "Bid": 35.9,
    "IV": 0.2427138717651367
  },
  {
    "Code": "MSFT270115P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 350,
    "Volume": 110,
    "OI": 3260,
    "Ask": 39.9,
    "Bid": 40.05,
    "IV": 0.2374725301361084
  },
  {
    "Code": "MSFT270115P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 360,
    "Volume": 5,
    "OI": 774,
    "Ask": 44.55,
    "Bid": 44.35,
    "IV": 0.2332077412414551
  },
  {
    "Code": "MSFT270115P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 370,
    "Volume": 8,
    "OI": 365,
    "Ask": 49.3,
    "Bid": 49.15,
    "IV": 0.2277451493835449
  },
  {
    "Code": "MSFT270115P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 380,
    "Volume": 21,
    "OI": 2362,
    "Ask": 54,
    "Bid": 54.1,
    "IV": 0.22028367614746092
  },
  {
    "Code": "MSFT270115P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 390,
    "Volume": 29,
    "OI": 343,
    "Ask": 59.65,
    "Bid": 59.45,
    "IV": 0.2159959992980957
  },
  {
    "Code": "MSFT270115P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 400,
    "Volume": 8,
    "OI": 592,
    "Ask": 65,
    "Bid": 65.2,
    "IV": 0.20825224128723138
  },
  {
    "Code": "MSFT270115P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 410,
    "Volume": 6,
    "OI": 550,
    "Ask": 71.25,
    "Bid": 71.25,
    "IV": 0.20336947761535643
  },
  {
    "Code": "MSFT270115P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 420,
    "Volume": 7,
    "OI": 472,
    "Ask": 77.25,
    "Bid": 77.7,
    "IV": 0.19498485687255857
  },
  {
    "Code": "MSFT270115P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 430,
    "Volume": 13,
    "OI": 354,
    "Ask": 84.15,
    "Bid": 84.55,
    "IV": 0.18953752365112309
  },
  {
    "Code": "MSFT270115P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 440,
    "Volume": 26,
    "OI": 282,
    "Ask": 90.75,
    "Bid": 91.6,
    "IV": 0.17964992721557616
  },
  {
    "Code": "MSFT270115P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 450,
    "Volume": 2,
    "OI": 671,
    "Ask": 98,
    "Bid": 98,
    "IV": 0.17093724578857422
  },
  {
    "Code": "MSFT270115P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 460,
    "Volume": 52,
    "OI": 320,
    "Ask": 106.1,
    "Bid": 106,
    "IV": 0.1656272402954102
  },
  {
    "Code": "MSFT270115P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 470,
    "Volume": 37,
    "OI": 109,
    "Ask": 114.45,
    "Bid": 114,
    "IV": 0.15949326843261719
  },
  {
    "Code": "MSFT270115P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 480,
    "Volume": 2,
    "OI": 528,
    "Ask": 122.3,
    "Bid": 122,
    "IV": 0.14237307830810547
  },
  {
    "Code": "MSFT270115P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 490,
    "Volume": 1,
    "OI": 369,
    "Ask": 130.65,
    "Bid": 130.5,
    "IV": 0.1165249481201172
  },
  {
    "Code": "MSFT270115P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 500,
    "Volume": 1,
    "OI": 1402,
    "Ask": 139.65,
    "Bid": 140,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 510,
    "Volume": 3,
    "OI": 33,
    "Ask": 149.5,
    "Bid": 149,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 520,
    "Volume": 3,
    "OI": 475,
    "Ask": 158.5,
    "Bid": 158.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 530,
    "Volume": 3,
    "OI": 250,
    "Ask": 168,
    "Bid": 168,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 540,
    "Volume": 2,
    "OI": 0,
    "Ask": 182.5,
    "Bid": 178,
    "IV": 0.1877217459106445
  },
  {
    "Code": "MSFT270115P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 550,
    "Volume": 6,
    "OI": 0,
    "Ask": 192.5,
    "Bid": 187.5,
    "IV": 0.1941303732299805
  },
  {
    "Code": "MSFT270115P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 560,
    "Volume": 1,
    "OI": 1,
    "Ask": 202.5,
    "Bid": 197.5,
    "IV": 0.2003558969116211
  },
  {
    "Code": "MSFT270115P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 570,
    "Volume": 1,
    "OI": 0,
    "Ask": 212.5,
    "Bid": 207.5,
    "IV": 0.20642883422851557
  },
  {
    "Code": "MSFT270115P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 580,
    "Volume": None,
    "OI": 0,
    "Ask": 185.5,
    "Bid": 180.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 590,
    "Volume": None,
    "OI": 0,
    "Ask": 195.5,
    "Bid": 190.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 600,
    "Volume": 3,
    "OI": 0,
    "Ask": 212.45,
    "Bid": 207.55,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 610,
    "Volume": None,
    "OI": 0,
    "Ask": 215.5,
    "Bid": 210.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 620,
    "Volume": None,
    "OI": 0,
    "Ask": 225.5,
    "Bid": 220.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 640,
    "Volume": 14,
    "OI": 0,
    "Ask": 245.5,
    "Bid": 240.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00650000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 650,
    "Volume": 2,
    "OI": 0,
    "Ask": 266.5,
    "Bid": 262,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270115P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-01-15",
    "Strike": 660,
    "Volume": None,
    "OI": 0,
    "Ask": 233,
    "Bid": 228,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 195,
    "Volume": None,
    "OI": 2,
    "Ask": 183.5,
    "Bid": 179,
    "IV": 0.4705100556945801
  },
  {
    "Code": "MSFT270617C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 200,
    "Volume": 2,
    "OI": 4,
    "Ask": 179.5,
    "Bid": 175,
    "IV": 0.4654899642944337
  },
  {
    "Code": "MSFT270617C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 210,
    "Volume": 2,
    "OI": 9,
    "Ask": 171.5,
    "Bid": 171,
    "IV": 0.4548699533081054
  },
  {
    "Code": "MSFT270617C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 220,
    "Volume": 1,
    "OI": 3,
    "Ask": 163.5,
    "Bid": 163,
    "IV": 0.44360907958984375
  },
  {
    "Code": "MSFT270617C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 230,
    "Volume": 1,
    "OI": 0,
    "Ask": 155.5,
    "Bid": 155,
    "IV": 0.4317988949584961
  },
  {
    "Code": "MSFT270617C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 240,
    "Volume": None,
    "OI": 2,
    "Ask": 148,
    "Bid": 147.5,
    "IV": 0.4232693171691894
  },
  {
    "Code": "MSFT270617C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 250,
    "Volume": 4,
    "OI": 5,
    "Ask": 140.5,
    "Bid": 140,
    "IV": 0.41394629028320307
  },
  {
    "Code": "MSFT270617C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 260,
    "Volume": 4,
    "OI": 6,
    "Ask": 133.5,
    "Bid": 132.5,
    "IV": 0.4072935247802735
  },
  {
    "Code": "MSFT270617C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 270,
    "Volume": 1,
    "OI": 25,
    "Ask": 126.5,
    "Bid": 125.5,
    "IV": 0.3997176117706299
  },
  {
    "Code": "MSFT270617C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 280,
    "Volume": 76,
    "OI": 184,
    "Ask": 119.35,
    "Bid": 118.5,
    "IV": 0.39042510215759274
  },
  {
    "Code": "MSFT270617C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 290,
    "Volume": 16,
    "OI": 9,
    "Ask": 113,
    "Bid": 112,
    "IV": 0.38516850189208973
  },
  {
    "Code": "MSFT270617C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 300,
    "Volume": 1,
    "OI": 12,
    "Ask": 106.5,
    "Bid": 105.5,
    "IV": 0.3781037532043457
  },
  {
    "Code": "MSFT270617C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 310,
    "Volume": 3,
    "OI": 4,
    "Ask": 100,
    "Bid": 99,
    "IV": 0.3702455554199219
  },
  {
    "Code": "MSFT270617C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 320,
    "Volume": 1,
    "OI": 10,
    "Ask": 94.45,
    "Bid": 93.3,
    "IV": 0.36665977584838866
  },
  {
    "Code": "MSFT270617C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 330,
    "Volume": 4,
    "OI": 9,
    "Ask": 88.5,
    "Bid": 87.5,
    "IV": 0.36002989830017085
  },
  {
    "Code": "MSFT270617C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 340,
    "Volume": 4,
    "OI": 6,
    "Ask": 82.9,
    "Bid": 82,
    "IV": 0.35435368553161606
  },
  {
    "Code": "MSFT270617C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 350,
    "Volume": 4,
    "OI": 19,
    "Ask": 78,
    "Bid": 76.8,
    "IV": 0.3512714409637451
  },
  {
    "Code": "MSFT270617C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 360,
    "Volume": 7,
    "OI": 17,
    "Ask": 72.5,
    "Bid": 71.65,
    "IV": 0.3443516493225098
  },
  {
    "Code": "MSFT270617C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 370,
    "Volume": 31,
    "OI": 55,
    "Ask": 67.9,
    "Bid": 66.95,
    "IV": 0.3409337147521973
  },
  {
    "Code": "MSFT270617C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 380,
    "Volume": 39,
    "OI": 98,
    "Ask": 63.5,
    "Bid": 62.15,
    "IV": 0.33756918540954584
  },
  {
    "Code": "MSFT270617C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 390,
    "Volume": 16,
    "OI": 67,
    "Ask": 58.85,
    "Bid": 57.75,
    "IV": 0.33215236946105964
  },
  {
    "Code": "MSFT270617C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 400,
    "Volume": 17,
    "OI": 244,
    "Ask": 54.4,
    "Bid": 53.5,
    "IV": 0.3268271053314209
  },
  {
    "Code": "MSFT270617C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 410,
    "Volume": 5,
    "OI": 148,
    "Ask": 50.45,
    "Bid": 50.1,
    "IV": 0.32300481689453114
  },
  {
    "Code": "MSFT270617C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 420,
    "Volume": 10,
    "OI": 161,
    "Ask": 45.95,
    "Bid": 46.4,
    "IV": 0.31572644729614247
  },
  {
    "Code": "MSFT270617C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 430,
    "Volume": 34,
    "OI": 137,
    "Ask": 43.4,
    "Bid": 42.4,
    "IV": 0.3168098104858398
  },
  {
    "Code": "MSFT270617C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 440,
    "Volume": 16,
    "OI": 74,
    "Ask": 40.45,
    "Bid": 38.5,
    "IV": 0.31521528297424306
  },
  {
    "Code": "MSFT270617C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 450,
    "Volume": 71,
    "OI": 231,
    "Ask": 37.05,
    "Bid": 35.8,
    "IV": 0.31065295066833487
  },
  {
    "Code": "MSFT270617C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 460,
    "Volume": 19,
    "OI": 152,
    "Ask": 34.25,
    "Bid": 32.8,
    "IV": 0.30818868087768553
  },
  {
    "Code": "MSFT270617C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 470,
    "Volume": 44,
    "OI": 30,
    "Ask": 31.8,
    "Bid": 30.3,
    "IV": 0.30668570518493643
  },
  {
    "Code": "MSFT270617C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 480,
    "Volume": 6,
    "OI": 51,
    "Ask": 29.5,
    "Bid": 28.3,
    "IV": 0.3052132467651367
  },
  {
    "Code": "MSFT270617C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 490,
    "Volume": 22,
    "OI": 28,
    "Ask": 27.25,
    "Bid": 26.25,
    "IV": 0.3032906585693359
  },
  {
    "Code": "MSFT270617C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 500,
    "Volume": 7,
    "OI": 217,
    "Ask": 24.2,
    "Bid": 24,
    "IV": 0.29633272033691405
  },
  {
    "Code": "MSFT270617C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 510,
    "Volume": 46,
    "OI": 44,
    "Ask": 23.3,
    "Bid": 22.2,
    "IV": 0.30023893127441403
  },
  {
    "Code": "MSFT270617C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 520,
    "Volume": 33,
    "OI": 65,
    "Ask": 21.55,
    "Bid": 19.7,
    "IV": 0.29895720581054686
  },
  {
    "Code": "MSFT270617C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 530,
    "Volume": 1,
    "OI": 16,
    "Ask": 20.2,
    "Bid": 18.25,
    "IV": 0.2993386717224121
  },
  {
    "Code": "MSFT270617C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 540,
    "Volume": 18,
    "OI": 68,
    "Ask": 18.4,
    "Bid": 16.7,
    "IV": 0.29649293601989746
  },
  {
    "Code": "MSFT270617C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 550,
    "Volume": 6,
    "OI": 8,
    "Ask": 16.75,
    "Bid": 15.2,
    "IV": 0.2938379332733153
  },
  {
    "Code": "MSFT270617C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 560,
    "Volume": 5,
    "OI": 48,
    "Ask": 15.6,
    "Bid": 14.8,
    "IV": 0.29369297622680657
  },
  {
    "Code": "MSFT270617C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 570,
    "Volume": 16,
    "OI": 14,
    "Ask": 14.5,
    "Bid": 12.85,
    "IV": 0.29337254486083975
  },
  {
    "Code": "MSFT270617C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 580,
    "Volume": 1,
    "OI": 28,
    "Ask": 13.2,
    "Bid": 12.25,
    "IV": 0.29112952529907216
  },
  {
    "Code": "MSFT270617C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 590,
    "Volume": 42,
    "OI": 11,
    "Ask": 12.45,
    "Bid": 10.6,
    "IV": 0.2922128884887695
  },
  {
    "Code": "MSFT270617C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 600,
    "Volume": 4,
    "OI": 275,
    "Ask": 11.85,
    "Bid": 9.9,
    "IV": 0.294028666229248
  },
  {
    "Code": "MSFT270617C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 610,
    "Volume": 11,
    "OI": 76,
    "Ask": 10.6,
    "Bid": 8.5,
    "IV": 0.2904886625671386
  },
  {
    "Code": "MSFT270617C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 620,
    "Volume": 3,
    "OI": 42,
    "Ask": 9.8,
    "Bid": 8.3,
    "IV": 0.2898630584716796
  },
  {
    "Code": "MSFT270617C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 630,
    "Volume": 2,
    "OI": 31,
    "Ask": 9.2,
    "Bid": 7,
    "IV": 0.2904581452941894
  },
  {
    "Code": "MSFT270617C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 640,
    "Volume": 37,
    "OI": 261,
    "Ask": 8.8,
    "Bid": 7.45,
    "IV": 0.29244176803588856
  },
  {
    "Code": "MSFT270617C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-06-17",
    "Strike": 660,
    "Volume": 3,
    "OI": 682,
    "Ask": 7.35,
    "Bid": 6.1,
    "IV": 0.2895121098327636
  },
  {
    "Code": "MSFT270617P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 195,
    "Volume": 1,
    "OI": 85,
    "Ask": 7,
    "Bid": 3,
    "IV": 0.33850759155273435
  },
  {
    "Code": "MSFT270617P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 200,
    "Volume": 3,
    "OI": 8,
    "Ask": 7.3,
    "Bid": 3.55,
    "IV": 0.33115292877197267
  },
  {
    "Code": "MSFT270617P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 210,
    "Volume": 7,
    "OI": 311,
    "Ask": 8.65,
    "Bid": 5.4,
    "IV": 0.3254461987304687
  },
  {
    "Code": "MSFT270617P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 220,
    "Volume": 1,
    "OI": 33,
    "Ask": 9.45,
    "Bid": 6.05,
    "IV": 0.31223221954345703
  },
  {
    "Code": "MSFT270617P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 230,
    "Volume": 2,
    "OI": 15,
    "Ask": 10.9,
    "Bid": 7.7,
    "IV": 0.30524376403808595
  },
  {
    "Code": "MSFT270617P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 240,
    "Volume": 1,
    "OI": 16,
    "Ask": 12.8,
    "Bid": 9.4,
    "IV": 0.3010628976440429
  },
  {
    "Code": "MSFT270617P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 250,
    "Volume": 13,
    "OI": 85,
    "Ask": 14.5,
    "Bid": 11.3,
    "IV": 0.29361668304443356
  },
  {
    "Code": "MSFT270617P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 260,
    "Volume": 80,
    "OI": 96,
    "Ask": 16.45,
    "Bid": 13.2,
    "IV": 0.28697917617797847
  },
  {
    "Code": "MSFT270617P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 270,
    "Volume": None,
    "OI": 4,
    "Ask": 12.55,
    "Bid": 10.35,
    "IV": 0.23625946853637692
  },
  {
    "Code": "MSFT270617P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 280,
    "Volume": 1,
    "OI": 11,
    "Ask": 21,
    "Bid": 17.75,
    "IV": 0.27468071517944337
  },
  {
    "Code": "MSFT270617P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 290,
    "Volume": 2,
    "OI": 22,
    "Ask": 24.5,
    "Bid": 20.9,
    "IV": 0.2743145079040527
  },
  {
    "Code": "MSFT270617P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 300,
    "Volume": 4,
    "OI": 111,
    "Ask": 27.1,
    "Bid": 23.6,
    "IV": 0.26689118125915523
  },
  {
    "Code": "MSFT270617P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 310,
    "Volume": 1,
    "OI": 16,
    "Ask": 30.5,
    "Bid": 26.65,
    "IV": 0.26285527191162117
  },
  {
    "Code": "MSFT270617P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 320,
    "Volume": 1,
    "OI": 17,
    "Ask": 33.85,
    "Bid": 30.1,
    "IV": 0.257194317779541
  },
  {
    "Code": "MSFT270617P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 330,
    "Volume": 2,
    "OI": 266,
    "Ask": 36.8,
    "Bid": 34.3,
    "IV": 0.24826801544189453
  },
  {
    "Code": "MSFT270617P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 340,
    "Volume": 100,
    "OI": 59,
    "Ask": 41.5,
    "Bid": 38.4,
    "IV": 0.24699391929626466
  },
  {
    "Code": "MSFT270617P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 350,
    "Volume": 1,
    "OI": 91,
    "Ask": 46,
    "Bid": 42.05,
    "IV": 0.24326318267822267
  },
  {
    "Code": "MSFT270617P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 360,
    "Volume": 65,
    "OI": 138,
    "Ask": 50.45,
    "Bid": 46.75,
    "IV": 0.23795317718505854
  },
  {
    "Code": "MSFT270617P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 370,
    "Volume": 3,
    "OI": 126,
    "Ask": 54.25,
    "Bid": 51.7,
    "IV": 0.22826394302368164
  },
  {
    "Code": "MSFT270617P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 380,
    "Volume": 1,
    "OI": 380,
    "Ask": 59.75,
    "Bid": 56.7,
    "IV": 0.22525036231994625
  },
  {
    "Code": "MSFT270617P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 390,
    "Volume": 2,
    "OI": 42,
    "Ask": 64.5,
    "Bid": 62.15,
    "IV": 0.2173082420349121
  },
  {
    "Code": "MSFT270617P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 400,
    "Volume": 2,
    "OI": 27,
    "Ask": 70.1,
    "Bid": 67.6,
    "IV": 0.21190668472290036
  },
  {
    "Code": "MSFT270617P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 410,
    "Volume": 2,
    "OI": 116,
    "Ask": 76.15,
    "Bid": 73.5,
    "IV": 0.20716124877929684
  },
  {
    "Code": "MSFT270617P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 420,
    "Volume": 4,
    "OI": 23,
    "Ask": 82.3,
    "Bid": 80.1,
    "IV": 0.20134007896423337
  },
  {
    "Code": "MSFT270617P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 430,
    "Volume": 1,
    "OI": 19,
    "Ask": 88.6,
    "Bid": 86.5,
    "IV": 0.19457287368774412
  },
  {
    "Code": "MSFT270617P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 440,
    "Volume": 1,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 450,
    "Volume": 1,
    "OI": 12,
    "Ask": 102.7,
    "Bid": 100.5,
    "IV": 0.18360191406249998
  },
  {
    "Code": "MSFT270617P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 460,
    "Volume": 2,
    "OI": 58,
    "Ask": 109.9,
    "Bid": 108,
    "IV": 0.1758963026428223
  },
  {
    "Code": "MSFT270617P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 470,
    "Volume": 2,
    "OI": 42,
    "Ask": 98,
    "Bid": 93.75,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 480,
    "Volume": 3,
    "OI": 5,
    "Ask": 99.5,
    "Bid": 94.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 490,
    "Volume": 114,
    "OI": 0,
    "Ask": 133.5,
    "Bid": 132.5,
    "IV": 0.14933101654052733
  },
  {
    "Code": "MSFT270617P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 500,
    "Volume": 2,
    "OI": 2,
    "Ask": 142,
    "Bid": 141,
    "IV": 0.1375513491821289
  },
  {
    "Code": "MSFT270617P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 510,
    "Volume": None,
    "OI": 0,
    "Ask": 111.8,
    "Bid": 108.05,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 520,
    "Volume": 1,
    "OI": 2,
    "Ask": 159.5,
    "Bid": 159,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 530,
    "Volume": 2,
    "OI": 3,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 540,
    "Volume": None,
    "OI": 0,
    "Ask": 135.5,
    "Bid": 132.1,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 550,
    "Volume": None,
    "OI": 0,
    "Ask": 145.5,
    "Bid": 141.8,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 560,
    "Volume": None,
    "OI": 0,
    "Ask": 155.5,
    "Bid": 150.6,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 600,
    "Volume": 2,
    "OI": 0,
    "Ask": 209,
    "Bid": 204,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT270617P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-06-17",
    "Strike": 660,
    "Volume": 2,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217C00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 190,
    "Volume": 6,
    "OI": 3,
    "Ask": 191,
    "Bid": 186.5,
    "IV": 0.46085133880615237
  },
  {
    "Code": "MSFT271217C00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 195,
    "Volume": 1,
    "OI": 1832,
    "Ask": 187,
    "Bid": 182.5,
    "IV": 0.45537348831176755
  },
  {
    "Code": "MSFT271217C00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 200,
    "Volume": 7,
    "OI": 8,
    "Ask": 183,
    "Bid": 182.5,
    "IV": 0.44977356872558594
  },
  {
    "Code": "MSFT271217C00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 210,
    "Volume": 1,
    "OI": 1296,
    "Ask": 175.5,
    "Bid": 174.5,
    "IV": 0.44217476776123044
  },
  {
    "Code": "MSFT271217C00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 220,
    "Volume": 1,
    "OI": 904,
    "Ask": 167.5,
    "Bid": 167,
    "IV": 0.4301051863098145
  },
  {
    "Code": "MSFT271217C00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 230,
    "Volume": 6,
    "OI": 29,
    "Ask": 160,
    "Bid": 159.5,
    "IV": 0.4212399185180664
  },
  {
    "Code": "MSFT271217C00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 240,
    "Volume": 10,
    "OI": 17,
    "Ask": 153,
    "Bid": 152,
    "IV": 0.41509068801879884
  },
  {
    "Code": "MSFT271217C00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 250,
    "Volume": 5,
    "OI": 338,
    "Ask": 145.45,
    "Bid": 145,
    "IV": 0.4046842979431152
  },
  {
    "Code": "MSFT271217C00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 260,
    "Volume": 5,
    "OI": 51,
    "Ask": 138.8,
    "Bid": 138,
    "IV": 0.3992522233581543
  },
  {
    "Code": "MSFT271217C00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 270,
    "Volume": 10,
    "OI": 329,
    "Ask": 131.95,
    "Bid": 131.1,
    "IV": 0.3918517846679687
  },
  {
    "Code": "MSFT271217C00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 280,
    "Volume": 2,
    "OI": 35,
    "Ask": 125.45,
    "Bid": 124.5,
    "IV": 0.38574070075988764
  },
  {
    "Code": "MSFT271217C00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 290,
    "Volume": 1,
    "OI": 31,
    "Ask": 119.5,
    "Bid": 118,
    "IV": 0.3818116018676757
  },
  {
    "Code": "MSFT271217C00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 300,
    "Volume": 20,
    "OI": 299,
    "Ask": 112.85,
    "Bid": 112,
    "IV": 0.373480386352539
  },
  {
    "Code": "MSFT271217C00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 310,
    "Volume": 11,
    "OI": 124,
    "Ask": 106.9,
    "Bid": 106,
    "IV": 0.36806357040405274
  },
  {
    "Code": "MSFT271217C00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 320,
    "Volume": 3,
    "OI": 173,
    "Ask": 101.4,
    "Bid": 100,
    "IV": 0.3640963249206543
  },
  {
    "Code": "MSFT271217C00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 330,
    "Volume": 4,
    "OI": 39,
    "Ask": 96,
    "Bid": 94.5,
    "IV": 0.3598239067077636
  },
  {
    "Code": "MSFT271217C00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 340,
    "Volume": 12,
    "OI": 72,
    "Ask": 90.3,
    "Bid": 89.05,
    "IV": 0.35345342597961427
  },
  {
    "Code": "MSFT271217C00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 350,
    "Volume": 20,
    "OI": 213,
    "Ask": 84.7,
    "Bid": 84.1,
    "IV": 0.3468998416137695
  },
  {
    "Code": "MSFT271217C00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 360,
    "Volume": 76,
    "OI": 72,
    "Ask": 80.4,
    "Bid": 80,
    "IV": 0.34544264183044426
  },
  {
    "Code": "MSFT271217C00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 370,
    "Volume": 320,
    "OI": 186,
    "Ask": 75.45,
    "Bid": 74.5,
    "IV": 0.34038440383911134
  },
  {
    "Code": "MSFT271217C00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 380,
    "Volume": 110,
    "OI": 308,
    "Ask": 71,
    "Bid": 69.5,
    "IV": 0.3368062535858154
  },
  {
    "Code": "MSFT271217C00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 390,
    "Volume": 24,
    "OI": 167,
    "Ask": 66.85,
    "Bid": 65.5,
    "IV": 0.3338231901550293
  },
  {
    "Code": "MSFT271217C00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 400,
    "Volume": 1198,
    "OI": 510,
    "Ask": 62.25,
    "Bid": 61.2,
    "IV": 0.32823089988708487
  },
  {
    "Code": "MSFT271217C00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 410,
    "Volume": 164,
    "OI": 647,
    "Ask": 58.45,
    "Bid": 57.65,
    "IV": 0.3253699055480957
  },
  {
    "Code": "MSFT271217C00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 420,
    "Volume": 61,
    "OI": 658,
    "Ask": 54.55,
    "Bid": 54,
    "IV": 0.32141791870117187
  },
  {
    "Code": "MSFT271217C00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 430,
    "Volume": 145,
    "OI": 180,
    "Ask": 51.2,
    "Bid": 49.5,
    "IV": 0.31914438186645494
  },
  {
    "Code": "MSFT271217C00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 440,
    "Volume": 15,
    "OI": 352,
    "Ask": 47.85,
    "Bid": 46,
    "IV": 0.31621472366333
  },
  {
    "Code": "MSFT271217C00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 450,
    "Volume": 103,
    "OI": 312,
    "Ask": 44.75,
    "Bid": 44.35,
    "IV": 0.3137199365997314
  },
  {
    "Code": "MSFT271217C00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 460,
    "Volume": 22,
    "OI": 229,
    "Ask": 41.75,
    "Bid": 40.2,
    "IV": 0.3110267872619628
  },
  {
    "Code": "MSFT271217C00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 470,
    "Volume": 61,
    "OI": 177,
    "Ask": 39.3,
    "Bid": 37.05,
    "IV": 0.31013415702819824
  },
  {
    "Code": "MSFT271217C00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 480,
    "Volume": 10,
    "OI": 300,
    "Ask": 36.8,
    "Bid": 34.5,
    "IV": 0.30844807769775384
  },
  {
    "Code": "MSFT271217C00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 490,
    "Volume": 81,
    "OI": 388,
    "Ask": 33.95,
    "Bid": 32.25,
    "IV": 0.3046029013061523
  },
  {
    "Code": "MSFT271217C00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 500,
    "Volume": 69,
    "OI": 3756,
    "Ask": 30.95,
    "Bid": 30.2,
    "IV": 0.29941496490478514
  },
  {
    "Code": "MSFT271217C00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 510,
    "Volume": 5,
    "OI": 469,
    "Ask": 29.85,
    "Bid": 28.25,
    "IV": 0.3024743215179443
  },
  {
    "Code": "MSFT271217C00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 520,
    "Volume": 24,
    "OI": 123,
    "Ask": 28.1,
    "Bid": 26.2,
    "IV": 0.30205470901489256
  },
  {
    "Code": "MSFT271217C00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 530,
    "Volume": 2,
    "OI": 288,
    "Ask": 26.1,
    "Bid": 24.1,
    "IV": 0.2999337585449219
  },
  {
    "Code": "MSFT271217C00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 540,
    "Volume": 3,
    "OI": 67,
    "Ask": 24.35,
    "Bid": 22.65,
    "IV": 0.2985147053527832
  },
  {
    "Code": "MSFT271217C00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 550,
    "Volume": 11,
    "OI": 279,
    "Ask": 22.95,
    "Bid": 20.5,
    "IV": 0.2983926362609863
  },
  {
    "Code": "MSFT271217C00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 560,
    "Volume": 26,
    "OI": 165,
    "Ask": 21.5,
    "Bid": 19.1,
    "IV": 0.297583928527832
  },
  {
    "Code": "MSFT271217C00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 570,
    "Volume": 19,
    "OI": 86,
    "Ask": 20.45,
    "Bid": 18.25,
    "IV": 0.29848418807983396
  },
  {
    "Code": "MSFT271217C00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 580,
    "Volume": 2,
    "OI": 301,
    "Ask": 19.2,
    "Bid": 17.35,
    "IV": 0.297934877166748
  },
  {
    "Code": "MSFT271217C00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 590,
    "Volume": 25,
    "OI": 34,
    "Ask": 17.5,
    "Bid": 16.3,
    "IV": 0.2943948735046386
  },
  {
    "Code": "MSFT271217C00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 600,
    "Volume": 7,
    "OI": 472,
    "Ask": 16.5,
    "Bid": 15,
    "IV": 0.2944101321411132
  },
  {
    "Code": "MSFT271217C00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 610,
    "Volume": 12,
    "OI": 136,
    "Ask": 15.7,
    "Bid": 13.5,
    "IV": 0.29526461578369134
  },
  {
    "Code": "MSFT271217C00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 620,
    "Volume": 2,
    "OI": 45,
    "Ask": 14.65,
    "Bid": 12.5,
    "IV": 0.2942728044128417
  },
  {
    "Code": "MSFT271217C00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 630,
    "Volume": 5,
    "OI": 287,
    "Ask": 13.15,
    "Bid": 11.5,
    "IV": 0.28993935165405266
  },
  {
    "Code": "MSFT271217C00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 640,
    "Volume": 46,
    "OI": 1116,
    "Ask": 13,
    "Bid": 11.05,
    "IV": 0.29405918350219723
  },
  {
    "Code": "MSFT271217C00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "CALL",
    "Expiry": "2027-12-17",
    "Strike": 660,
    "Volume": 92,
    "OI": 1369,
    "Ask": 11.2,
    "Bid": 10.05,
    "IV": 0.2914346980285643
  },
  {
    "Code": "MSFT271217P00190000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 190,
    "Volume": 3,
    "OI": 23,
    "Ask": 7.9,
    "Bid": 4.25,
    "IV": 0.32733826965332036
  },
  {
    "Code": "MSFT271217P00195000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 195,
    "Volume": 4,
    "OI": 660,
    "Ask": 8.45,
    "Bid": 4.5,
    "IV": 0.322974299621582
  },
  {
    "Code": "MSFT271217P00200000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 200,
    "Volume": 6,
    "OI": 13,
    "Ask": 8.7,
    "Bid": 5.5,
    "IV": 0.3150703259277343
  },
  {
    "Code": "MSFT271217P00210000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 210,
    "Volume": 5,
    "OI": 442,
    "Ask": 10.5,
    "Bid": 6.85,
    "IV": 0.31272049591064455
  },
  {
    "Code": "MSFT271217P00220000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 220,
    "Volume": 1,
    "OI": 434,
    "Ask": 11.6,
    "Bid": 8.55,
    "IV": 0.3021004849243164
  },
  {
    "Code": "MSFT271217P00230000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 230,
    "Volume": 20,
    "OI": 156,
    "Ask": 13.45,
    "Bid": 9.7,
    "IV": 0.2973550489807128
  },
  {
    "Code": "MSFT271217P00240000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 240,
    "Volume": 8,
    "OI": 149,
    "Ask": 15.85,
    "Bid": 11.85,
    "IV": 0.2954629780578613
  },
  {
    "Code": "MSFT271217P00250000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 250,
    "Volume": 19,
    "OI": 132,
    "Ask": 17.7,
    "Bid": 13.6,
    "IV": 0.28803202209472645
  },
  {
    "Code": "MSFT271217P00260000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 260,
    "Volume": 3,
    "OI": 26,
    "Ask": 20,
    "Bid": 16.1,
    "IV": 0.2827220166015625
  },
  {
    "Code": "MSFT271217P00270000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 270,
    "Volume": 6,
    "OI": 85,
    "Ask": 21.35,
    "Bid": 18.9,
    "IV": 0.27046933151245117
  },
  {
    "Code": "MSFT271217P00280000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 280,
    "Volume": 17,
    "OI": 154,
    "Ask": 24.5,
    "Bid": 21.15,
    "IV": 0.26840941558837883
  },
  {
    "Code": "MSFT271217P00290000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 290,
    "Volume": 21,
    "OI": 111,
    "Ask": 27.7,
    "Bid": 24.05,
    "IV": 0.26520510192871094
  },
  {
    "Code": "MSFT271217P00300000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 300,
    "Volume": 58,
    "OI": 669,
    "Ask": 29.65,
    "Bid": 27.1,
    "IV": 0.25424177162170414
  },
  {
    "Code": "MSFT271217P00310000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 310,
    "Volume": 3,
    "OI": 99,
    "Ask": 34.45,
    "Bid": 30.15,
    "IV": 0.2569501795959473
  },
  {
    "Code": "MSFT271217P00320000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 320,
    "Volume": 27,
    "OI": 382,
    "Ask": 37.55,
    "Bid": 33.7,
    "IV": 0.24987017227172853
  },
  {
    "Code": "MSFT271217P00330000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 330,
    "Volume": 7,
    "OI": 193,
    "Ask": 41.2,
    "Bid": 37.75,
    "IV": 0.2444380976867676
  },
  {
    "Code": "MSFT271217P00340000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 340,
    "Volume": 14,
    "OI": 677,
    "Ask": 45.15,
    "Bid": 41.75,
    "IV": 0.2393264544677734
  },
  {
    "Code": "MSFT271217P00350000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 350,
    "Volume": 154,
    "OI": 569,
    "Ask": 49.85,
    "Bid": 46.25,
    "IV": 0.23645783081054686
  },
  {
    "Code": "MSFT271217P00360000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 360,
    "Volume": 17,
    "OI": 321,
    "Ask": 53.95,
    "Bid": 50.65,
    "IV": 0.2298584705352783
  },
  {
    "Code": "MSFT271217P00370000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 370,
    "Volume": 13,
    "OI": 99,
    "Ask": 58.85,
    "Bid": 55.2,
    "IV": 0.22563182823181152
  },
  {
    "Code": "MSFT271217P00380000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 380,
    "Volume": 12,
    "OI": 288,
    "Ask": 63.75,
    "Bid": 60.6,
    "IV": 0.22028367614746092
  },
  {
    "Code": "MSFT271217P00390000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 390,
    "Volume": 15,
    "OI": 131,
    "Ask": 68.8,
    "Bid": 65.65,
    "IV": 0.21443198905944824
  },
  {
    "Code": "MSFT271217P00400000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 400,
    "Volume": 55,
    "OI": 438,
    "Ask": 74.25,
    "Bid": 71.3,
    "IV": 0.20909909561157225
  },
  {
    "Code": "MSFT271217P00410000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 410,
    "Volume": 11,
    "OI": 40,
    "Ask": 80,
    "Bid": 77.25,
    "IV": 0.2038272367095947
  },
  {
    "Code": "MSFT271217P00420000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 420,
    "Volume": 10,
    "OI": 199,
    "Ask": 86,
    "Bid": 83.15,
    "IV": 0.19837227416992187
  },
  {
    "Code": "MSFT271217P00430000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 430,
    "Volume": 1,
    "OI": 105,
    "Ask": 92.5,
    "Bid": 89.55,
    "IV": 0.1938404591369629
  },
  {
    "Code": "MSFT271217P00440000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 440,
    "Volume": 1,
    "OI": 76,
    "Ask": 98.7,
    "Bid": 96,
    "IV": 0.18647816703796385
  },
  {
    "Code": "MSFT271217P00450000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 450,
    "Volume": 1,
    "OI": 98,
    "Ask": 105.1,
    "Bid": 103.5,
    "IV": 0.17834531379699708
  },
  {
    "Code": "MSFT271217P00460000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 460,
    "Volume": 2,
    "OI": 38,
    "Ask": 112.5,
    "Bid": 110.5,
    "IV": 0.17359224853515626
  },
  {
    "Code": "MSFT271217P00470000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 470,
    "Volume": 3,
    "OI": 280,
    "Ask": 120,
    "Bid": 118,
    "IV": 0.16766426826477052
  },
  {
    "Code": "MSFT271217P00480000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 480,
    "Volume": 4,
    "OI": 42,
    "Ask": 127.5,
    "Bid": 126,
    "IV": 0.1595543029785156
  },
  {
    "Code": "MSFT271217P00490000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 490,
    "Volume": 1,
    "OI": 9,
    "Ask": 112.55,
    "Bid": 108,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00500000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 500,
    "Volume": 1,
    "OI": 1166,
    "Ask": 143.5,
    "Bid": 142.5,
    "IV": 0.14130497375488282
  },
  {
    "Code": "MSFT271217P00510000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 510,
    "Volume": 1,
    "OI": 115,
    "Ask": 131.7,
    "Bid": 127.25,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00520000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 520,
    "Volume": 1,
    "OI": 8,
    "Ask": 161,
    "Bid": 160,
    "IV": 0.11902736450195311
  },
  {
    "Code": "MSFT271217P00530000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 530,
    "Volume": 7,
    "OI": 44,
    "Ask": 170,
    "Bid": 169.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00540000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 540,
    "Volume": 4,
    "OI": 89,
    "Ask": 179,
    "Bid": 178.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00550000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 550,
    "Volume": 1,
    "OI": 117,
    "Ask": 188.5,
    "Bid": 188,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00560000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 560,
    "Volume": 2,
    "OI": 239,
    "Ask": 166,
    "Bid": 161.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00570000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 570,
    "Volume": 1,
    "OI": 0,
    "Ask": 207.5,
    "Bid": 208,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00580000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 580,
    "Volume": 4,
    "OI": 1,
    "Ask": 222.5,
    "Bid": 217.5,
    "IV": 0.17313448944091797
  },
  {
    "Code": "MSFT271217P00590000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 590,
    "Volume": 29,
    "OI": 0,
    "Ask": 0,
    "Bid": 0,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00600000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 600,
    "Volume": 2,
    "OI": 0,
    "Ask": 242.5,
    "Bid": 237.5,
    "IV": 0.18245751632690427
  },
  {
    "Code": "MSFT271217P00610000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 610,
    "Volume": 2,
    "OI": 0,
    "Ask": 204,
    "Bid": 199.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00620000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 620,
    "Volume": 2,
    "OI": 0,
    "Ask": 225.5,
    "Bid": 220.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00630000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 630,
    "Volume": 2,
    "OI": 0,
    "Ask": 252,
    "Bid": 247.5,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00640000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 640,
    "Volume": 2,
    "OI": 0,
    "Ask": 249,
    "Bid": 244,
    "IV": 0.000010000000000000003
  },
  {
    "Code": "MSFT271217P00660000",
    "Ticker": "MSFT",
    "Price": 359.84,
    "Option": "PUT",
    "Expiry": "2027-12-17",
    "Strike": 660,
    "Volume": 1,
    "OI": 0,
    "Ask": 302.5,
    "Bid": 297.5,
    "IV": 0.20807676696777339
  }
]